#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x91723af8, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xe492ec92, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x8c141446, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x665b3f6c, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xd34827df, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xd0b3132e, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x07923bac, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x0cab5b00, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xd9cc1aea, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xa456b87b, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x028825fd, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xfc21fc41, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x9398e60d, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xf01abc4d, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x2df36237, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xb04bfd90, "kthread_queue_work" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x327efef, "kthread_create_worker" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x8af809a9, "sched_set_fifo" },
	{ 0xf2485224, "kthread_destroy_worker" },
	{ 0xd020eac7, "crypto_enqueue_request" },
	{ 0xca7a0548, "crypto_dequeue_request" },
	{ 0xc0c02377, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B26E4A6A17DA4EF3D4A6E1");

MODULE_INFO(suserelease, "ALP-0.1");
