#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0xbedb55fd, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x20007641, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xccbb14b5, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xf214893a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa031b3f5, "crypto_aead_setauthsize" },
	{ 0x484e9d03, "crypto_aead_decrypt" },
	{ 0xf49b8df2, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a61396b, "crypto_unregister_aeads" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0xaf94c4f3, "cryptd_skcipher_child" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe160349b, "crypto_skcipher_decrypt" },
	{ 0x532f668e, "cryptd_alloc_skcipher" },
	{ 0x70f0b35f, "crypto_aead_setkey" },
	{ 0xe3eab053, "crypto_register_skcipher" },
	{ 0xd2d01436, "crypto_aead_encrypt" },
	{ 0xae340916, "cryptd_aead_queued" },
	{ 0x15c2b02b, "crypto_unregister_skcipher" },
	{ 0xe1b2eda9, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cedfaf3, "cryptd_skcipher_queued" },
	{ 0x4a38c3bb, "cryptd_free_aead" },
	{ 0x6c895e5b, "crypto_unregister_skciphers" },
	{ 0xff4b56b7, "cryptd_free_skcipher" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x80c06867, "crypto_alloc_skcipher" },
	{ 0x41ce6aec, "crypto_skcipher_encrypt" },
	{ 0x3cc47c18, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5ad398, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x6d2f5ee7, "crypto_register_aead" },
	{ 0x1b1bddcb, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xa0adedf3, "crypto_register_aeads" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x16d10432, "crypto_alloc_aead" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "AA924B3ED56BBDE545A3CD0");

MODULE_INFO(suserelease, "ALP-0.1");
