#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mhi_register_controller, 0x7d376432, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x8768722e, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x820cf6c8, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x52960114, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x2bafca69, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xb80c42b0, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xf3016496, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x295de55f, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xed57fa98, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xe6974005, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xeb69c674, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x3edf293b, "_gpl");
SYMBOL_CRC(mhi_notify, 0x7590292a, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x66d0fb1c, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0xcf338677, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xd5a4f153, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x3a3f04b8, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x50955b28, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x09f44319, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x366a072d, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x71c5d8e6, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x0ade18f0, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x70266ca4, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x6cb8f442, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x73beb597, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x008e8805, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xb056a64f, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x00e9ddd0, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x4cb4cd77, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x05018b71, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x898a01b7, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x4a951a87, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf7f03130, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x2ae060ea, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xb1e1a194, "device_wakeup_enable" },
	{ 0x97e846ac, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x686cbe9f, "device_del" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x77aba229, "seq_puts" },
	{ 0x3d60d0b7, "single_release" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xe0b3d283, "single_open" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2e5f309d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0E39CFD24536908AB2973B9");

MODULE_INFO(suserelease, "ALP-0.1");
