#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ipmi_addr_src_to_str, 0x67369b42, "");
SYMBOL_CRC(ipmi_smi_watcher_register, 0x3ed4d65e, "");
SYMBOL_CRC(ipmi_smi_watcher_unregister, 0x9142c20b, "");
SYMBOL_CRC(ipmi_validate_addr, 0xe4f4665b, "");
SYMBOL_CRC(ipmi_addr_length, 0x804f922a, "");
SYMBOL_CRC(ipmi_create_user, 0xae71627d, "");
SYMBOL_CRC(ipmi_get_smi_info, 0xc333a570, "");
SYMBOL_CRC(ipmi_destroy_user, 0xf388b18b, "");
SYMBOL_CRC(ipmi_get_version, 0x89a5279a, "");
SYMBOL_CRC(ipmi_set_my_address, 0xfaaa4831, "");
SYMBOL_CRC(ipmi_get_my_address, 0xec1c2a90, "");
SYMBOL_CRC(ipmi_set_my_LUN, 0x03bc993e, "");
SYMBOL_CRC(ipmi_get_my_LUN, 0x74778a80, "");
SYMBOL_CRC(ipmi_get_maintenance_mode, 0xfe0f2369, "");
SYMBOL_CRC(ipmi_set_maintenance_mode, 0x12dd1e77, "");
SYMBOL_CRC(ipmi_set_gets_events, 0x50f65edf, "");
SYMBOL_CRC(ipmi_register_for_cmd, 0x0705dd14, "");
SYMBOL_CRC(ipmi_unregister_for_cmd, 0xd54a5050, "");
SYMBOL_CRC(ipmb_checksum, 0xe98c507d, "");
SYMBOL_CRC(ipmi_request_settime, 0x4c2054d7, "");
SYMBOL_CRC(ipmi_request_supply_msgs, 0xaca90ebd, "");
SYMBOL_CRC(ipmi_poll_interface, 0xf5531bea, "");
SYMBOL_CRC(ipmi_add_smi, 0xa85cbc94, "");
SYMBOL_CRC(ipmi_unregister_smi, 0xe4330a39, "");
SYMBOL_CRC(ipmi_smi_msg_received, 0x96a6e5e8, "");
SYMBOL_CRC(ipmi_smi_watchdog_pretimeout, 0x230094ac, "");
SYMBOL_CRC(ipmi_alloc_smi_msg, 0x1f65170f, "");
SYMBOL_CRC(ipmi_free_recv_msg, 0x80aa4656, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x716f5083, "atomic_notifier_chain_unregister" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x92997ed8, "_printk" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x47f67f15, "driver_register" },
	{ 0x92018896, "init_srcu_struct" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x59e9dd35, "atomic_notifier_chain_register" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3999391e, "sysfs_remove_link" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb7c60e25, "synchronize_srcu" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x91a2f9da, "module_put" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x70dee27, "finish_wait" },
	{ 0xd039e227, "driver_find_device" },
	{ 0xc33ff55c, "put_device" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x23f9509a, "platform_device_register" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x7a5e10f6, "sysfs_create_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x25dc3dc9, "device_create_file" },
	{ 0x6aa8c5cf, "device_remove_file" },
	{ 0xc041ae4, "rt_spin_trylock" },
	{ 0x754d539c, "strlen" },
	{ 0x9166fada, "strncpy" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb7480a6d, "platform_bus_type" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xb870f38b, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x77bc13a0, "strim" },
	{ 0x81188c30, "match_string" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb213917, "__srcu_read_lock" },
	{ 0x84d2dd5e, "__srcu_read_unlock" },
	{ 0xc1f391bb, "cleanup_srcu_struct" },
	{ 0x999e8297, "vfree" },
	{ 0xb192e312, "__wake_up" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe48087a1, "platform_device_unregister" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xae29d8b2, "panic_notifier_list" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "14F6B8B64BEC13DD9D653B5");

MODULE_INFO(suserelease, "ALP-0.1");
