#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ccp_present, 0x04773b60, "_gpl");
SYMBOL_CRC(ccp_version, 0x3a1a3979, "_gpl");
SYMBOL_CRC(ccp_enqueue_cmd, 0xd1c5e96c, "_gpl");
SYMBOL_CRC(snp_alloc_firmware_page, 0x832640c7, "_gpl");
SYMBOL_CRC(snp_free_firmware_page, 0x6da19b50, "_gpl");
SYMBOL_CRC(sev_do_cmd, 0x3e3b5766, "_gpl");
SYMBOL_CRC(sev_platform_init, 0x72f6bfcf, "_gpl");
SYMBOL_CRC(psp_copy_user_blob, 0x2e6a6147, "_gpl");
SYMBOL_CRC(sev_platform_status, 0x91722dce, "_gpl");
SYMBOL_CRC(sev_guest_deactivate, 0x4073e924, "_gpl");
SYMBOL_CRC(sev_guest_activate, 0x3e059f28, "_gpl");
SYMBOL_CRC(sev_guest_decommission, 0x843d6541, "_gpl");
SYMBOL_CRC(sev_guest_df_flush, 0x8fac14a2, "_gpl");
SYMBOL_CRC(sev_issue_cmd_external_user, 0x14215a35, "_gpl");
SYMBOL_CRC(psp_tee_process_cmd, 0xaa04056c, "");
SYMBOL_CRC(psp_check_tee_status, 0x47d3c97f, "");
SYMBOL_CRC(psp_check_platform_access_status, 0x4a937398, "");
SYMBOL_CRC(psp_send_platform_access_msg, 0x98a356de, "_gpl");
SYMBOL_CRC(psp_ring_platform_doorbell, 0x6ea40704, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6aae9503, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5e97c534, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xab01938b, "pci_enable_msi" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xea6c3047, "rmp_make_shared" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0x655a35a7, "devm_get_free_pages" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x50d81800, "misc_register" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x681f1d7c, "param_ops_charp" },
	{ 0x4aa49873, "kernel_read" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x77923bd2, "dmaengine_unmap_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd73e80fb, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x45517d70, "dma_async_device_register" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9c93d754, "__platform_driver_register" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0x54794243, "pv_ops" },
	{ 0x4c792562, "override_creds" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x77009fad, "_dev_notice" },
	{ 0xbc49f06f, "path_get" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x716f5083, "atomic_notifier_chain_unregister" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x9c046227, "vfs_fsync" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x816e846, "rmp_make_private" },
	{ 0x39939cb8, "dma_async_tx_descriptor_init" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd64048a4, "filp_close" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0xabc1e259, "pci_disable_msix" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xdd269f96, "pcim_iomap_table" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x2e48e8a6, "pcim_enable_device" },
	{ 0x2158c3cc, "amd_iommu_snp_disable" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x80a095d8, "scatterwalk_ffwd" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x4204ac80, "kernel_write" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x38dc4914, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdcecbca3, "devm_platform_ioremap_resource" },
	{ 0xcd41fa78, "revert_creds" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7a9edae6, "misc_deregister" },
	{ 0xe14d67e8, "dma_pool_create" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa31af4b6, "hwrng_unregister" },
	{ 0x8f2fc198, "firmware_request_nowarn" },
	{ 0xf1c52c17, "platform_driver_unregister" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x1fb40c67, "dma_async_device_unregister" },
	{ 0x64940b3e, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5bf5222a, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0xb0455e84, "snp_leak_pages" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x9a70d708, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x9b1bfb2, "dma_release_channel" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x60c3fa90, "path_put" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xafc73513, "hwrng_register" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0xcef504b1, "devm_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0xae29d8b2, "panic_notifier_list" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0xf3ead8d6, "platform_irq_count" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x59e9dd35, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc94fee39, "pci_enable_msix_range" },
	{ 0x7a3357b5, "file_open_root" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xddaba837, "__free_pages" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xe58c28c8, "init_task" },
	{ 0xfa31095d, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfb20ff36, "dma_run_dependencies" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x11b2a8d3, "device_get_dma_attr" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1a");
MODULE_ALIAS("of:N*T*Camd,ccp-seattle-v1aC*");
MODULE_ALIAS("acpi*:AMDI0C00:*");
MODULE_ALIAS("pci:v00001022d00001537sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001456sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001468sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000014CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000015C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00001649sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d000017E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000156Esv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "047A12EE412C37AE0C86172");

MODULE_INFO(suserelease, "ALP-0.1");
