#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x38dc4914, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x80c06867, "crypto_alloc_skcipher" },
	{ 0x41ce6aec, "crypto_skcipher_encrypt" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xb0e602eb, "memmove" },
	{ 0x65b45cb, "complete" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6d2f5ee7, "crypto_register_aead" },
	{ 0x672f022f, "cxgb4_port_e2cchan" },
	{ 0x1b1bddcb, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x7a1bcd59, "gf128mul_x8_ble" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x16d10432, "crypto_alloc_aead" },
	{ 0xa031b3f5, "crypto_aead_setauthsize" },
	{ 0x484e9d03, "crypto_aead_decrypt" },
	{ 0xf49b8df2, "crypto_skcipher_setkey" },
	{ 0x78a16f48, "aes_decrypt" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa5c2b21, "cxgb4_register_uld" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0xae0457f7, "crypto_unregister_ahash" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe160349b, "crypto_skcipher_decrypt" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x70f0b35f, "crypto_aead_setkey" },
	{ 0xe3eab053, "crypto_register_skcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xd2d01436, "crypto_aead_encrypt" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x511128ed, "cxgb4_crypto_send" },
	{ 0x362689ee, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x43b4ad20, "crypto_shash_digest" },
	{ 0x15c2b02b, "crypto_unregister_skcipher" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xfb578fc5, "memset" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "cxgb4,gf128mul,authenc");


MODULE_INFO(srcversion, "C9EE9C2B287E0FA4D6BF3CF");

MODULE_INFO(suserelease, "ALP-0.1");
