#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fw_core_add_descriptor, 0x3a771e39, "");
SYMBOL_CRC(fw_core_remove_descriptor, 0x0bc6094c, "");
SYMBOL_CRC(fw_schedule_bus_reset, 0xa9b70c4c, "");
SYMBOL_CRC(fw_card_initialize, 0x028102ff, "");
SYMBOL_CRC(fw_card_add, 0x178ddae7, "");
SYMBOL_CRC(fw_card_release, 0xe86fb5c7, "_gpl");
SYMBOL_CRC(fw_core_remove_card, 0x2ad85700, "");
SYMBOL_CRC(fw_card_read_cycle_time, 0xdad9d28a, "_gpl");
SYMBOL_CRC(fw_csr_iterator_init, 0xe80e5087, "");
SYMBOL_CRC(fw_csr_iterator_next, 0xe3fde125, "");
SYMBOL_CRC(fw_csr_string, 0x6dc50487, "");
SYMBOL_CRC(fw_bus_type, 0xab0ffffd, "");
SYMBOL_CRC(fw_device_enable_phys_dma, 0x8a3c55c1, "");
SYMBOL_CRC(fw_workqueue, 0x3c56ef91, "");
SYMBOL_CRC(fw_iso_buffer_init, 0xa75ae634, "");
SYMBOL_CRC(fw_iso_buffer_destroy, 0x90876813, "");
SYMBOL_CRC(fw_iso_context_create, 0x27e78600, "");
SYMBOL_CRC(fw_iso_context_destroy, 0x7cc786c4, "");
SYMBOL_CRC(fw_iso_context_start, 0x2ad9ddf5, "");
SYMBOL_CRC(fw_iso_context_queue, 0x8da801e1, "");
SYMBOL_CRC(fw_iso_context_queue_flush, 0x55449ddd, "");
SYMBOL_CRC(fw_iso_context_flush_completions, 0x58dec89e, "");
SYMBOL_CRC(fw_iso_context_stop, 0xebcea5dc, "");
SYMBOL_CRC(fw_iso_resource_manage, 0xacd3a4f2, "");
SYMBOL_CRC(fw_core_handle_bus_reset, 0xf8ceb74a, "");
SYMBOL_CRC(fw_cancel_transaction, 0x3e123fcb, "");
SYMBOL_CRC(fw_send_request, 0x43450c0a, "");
SYMBOL_CRC(fw_run_transaction, 0xeee7583b, "");
SYMBOL_CRC(fw_high_memory_region, 0xaedf84ce, "");
SYMBOL_CRC(fw_core_add_address_handler, 0x85cd9d09, "");
SYMBOL_CRC(fw_core_remove_address_handler, 0xc455cc63, "");
SYMBOL_CRC(fw_fill_response, 0x61a00476, "");
SYMBOL_CRC(fw_send_response, 0x52cb3e74, "");
SYMBOL_CRC(fw_get_request_speed, 0x2885fec5, "");
SYMBOL_CRC(fw_request_get_timestamp, 0xabb5547d, "_gpl");
SYMBOL_CRC(fw_core_handle_request, 0xf960603e, "");
SYMBOL_CRC(fw_core_handle_response, 0x78299237, "");
SYMBOL_CRC(fw_rcode_string, 0x86468d44, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb92eeae, "nonseekable_open" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc069e309, "idr_for_each" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6db05fa7, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xff20df4, "kobject_uevent" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xfe7af2a4, "vm_map_pages_zero" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7e6c27af, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf7f03130, "device_for_each_child" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0xddaba837, "__free_pages" },
	{ 0x7f71c733, "compat_ptr_ioctl" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x97e846ac, "device_add" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x6fedbcd9, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x360d4cf6, "device_find_child" },
	{ 0x11089ac7, "_ctype" },
	{ 0x28c1b486, "device_register" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "6E8B53A1CE6E5F3833E599B");

MODULE_INFO(suserelease, "ALP-0.1");
