#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e7aef3, "drm_add_edid_modes" },
	{ 0xae26299b, "drm_add_modes_noedid" },
	{ 0x6fa39879, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xf79c1e95, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x3a53b992, "drm_dev_alloc" },
	{ 0x2e48e8a6, "pcim_enable_device" },
	{ 0xb898df87, "drmm_kmalloc" },
	{ 0x85bd1608, "__request_region" },
	{ 0x24d83656, "pci_request_region" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x684171b4, "drmm_vram_helper_init" },
	{ 0x4018a5c6, "drmm_mode_config_init" },
	{ 0x1535d8cb, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0xf5272a77, "drm_do_get_edid" },
	{ 0x847664b4, "drm_simple_display_pipe_init" },
	{ 0x81fddcbe, "drm_mode_config_reset" },
	{ 0xfb776f7d, "drm_dev_register" },
	{ 0xe954c8b6, "drm_fbdev_generic_setup" },
	{ 0xbd31f9b2, "drm_connector_attach_edid_property" },
	{ 0x23fa0f8a, "drm_connector_update_edid_property" },
	{ 0xeb9de8f7, "drm_gem_vram_offset" },
	{ 0x81d78968, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x7bb92d7, "drm_vram_mm_debugfs_init" },
	{ 0xde3982be, "drm_gem_vram_driver_dumb_create" },
	{ 0x966c11a, "drm_gem_ttm_dumb_map_offset" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0xa1f26a9d, "drm_read" },
	{ 0x809a81cc, "drm_poll" },
	{ 0xf7bd75d4, "drm_ioctl" },
	{ 0x9b18baaa, "drm_compat_ioctl" },
	{ 0x98cd203a, "drm_gem_mmap" },
	{ 0x91d2d9f3, "drm_open" },
	{ 0xc8214922, "drm_release" },
	{ 0x7f9da27e, "drm_vram_helper_mode_valid" },
	{ 0x443bdf45, "drm_atomic_helper_check" },
	{ 0xeac8af7f, "drm_atomic_helper_commit" },
	{ 0xecedaad0, "drm_atomic_helper_connector_reset" },
	{ 0x4a5514f2, "drm_helper_probe_single_connector_modes" },
	{ 0x6ea80d5e, "drm_connector_cleanup" },
	{ 0x87089a55, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x9d797f2e, "drm_atomic_helper_connector_destroy_state" },
	{ 0x4b8c4143, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0x8451e3bb, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x930fd799, "drm_mode_config_helper_resume" },
	{ 0x1822479c, "drm_mode_config_helper_suspend" },
	{ 0x56d26ed1, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x52fba713, "drm_dev_unplug" },
	{ 0xa0be48c4, "drm_dev_put" },
	{ 0x59e59527, "drm_gem_fb_create" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FF723D1DFAD815C41F05258");

MODULE_INFO(suserelease, "ALP-0.1");
