#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x3e62a7cc, "hid_open_report" },
	{ 0x607e148e, "hid_hw_start" },
	{ 0xe4263258, "hid_is_usb" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0xa310bdd6, "hid_hw_stop" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2bcbdf16, "hid_unregister_driver" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0x5adf24c2, "input_event" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xca5d05b2, "input_mt_report_slot_state" },
	{ 0xdf67bd29, "input_mt_sync_frame" },
	{ 0x44cfa162, "hid_hw_close" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x85221ee3, "hid_hw_request" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0xf6b7dd50, "devm_led_classdev_register_ext" },
	{ 0x5ca4d725, "input_set_capability" },
	{ 0xf5acc91b, "input_ff_create_memless" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0x1213f079, "devm_power_supply_register" },
	{ 0xbf0611b5, "power_supply_powers" },
	{ 0x3bd90681, "hid_hw_open" },
	{ 0xe4a55b84, "hid_validate_values" },
	{ 0xfaccf4cd, "input_mt_init_slots" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbe599a41, "__hid_register_driver" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x998c6806, "hid_hw_raw_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x112a428d, "hid_hw_output_report" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xead61759, "devm_input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x24204c2, "input_register_device" },
	{ 0xe71164cd, "input_set_abs_params" },
	{ 0x72ccdbe4, "input_alloc_absinfo" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3ef4b2fd, "power_supply_get_drvdata" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0005g*v0000054Cp0000042F");
MODULE_ALIAS("hid:b0003g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp000003D5");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000268");
MODULE_ALIAS("hid:b0003g*v0000054Cp0000024B");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000374");
MODULE_ALIAS("hid:b0003g*v0000054Cp00000002");
MODULE_ALIAS("hid:b0003g*v0000054Cp00001000");
MODULE_ALIAS("hid:b0005g*v0000054Cp00000306");
MODULE_ALIAS("hid:b0005g*v0000046Dp00000306");
MODULE_ALIAS("hid:b0005g*v00000609p00000306");
MODULE_ALIAS("hid:b0003g*v00001345p00003008");
MODULE_ALIAS("hid:b0005g*v00000609p00000368");
MODULE_ALIAS("hid:b0005g*v00000609p00000369");
MODULE_ALIAS("hid:b0003g*v000012BAp0000074B");
MODULE_ALIAS("hid:b0003g*v00001430p0000474C");
MODULE_ALIAS("hid:b0003g*v000012BAp00000100");
MODULE_ALIAS("hid:b0003g*v00001430p000007BB");

MODULE_INFO(srcversion, "6C32BD914CB6ECB444602FF");

MODULE_INFO(suserelease, "ALP-0.1");
