#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ishtp_device_init, 0xfb0756e9, "");
SYMBOL_CRC(ishtp_start, 0xd8d686a3, "");
SYMBOL_CRC(ishtp_send_suspend, 0x8b46d8d0, "");
SYMBOL_CRC(ishtp_send_resume, 0xba329311, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0xce6d5719, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x495bd547, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0xf40c8161, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x9715511f, "");
SYMBOL_CRC(ishtp_cl_free, 0xd4b6a52c, "");
SYMBOL_CRC(ishtp_cl_link, 0x8b1c6401, "");
SYMBOL_CRC(ishtp_cl_unlink, 0x414c8c3a, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0xd9824c18, "");
SYMBOL_CRC(ishtp_cl_connect, 0xc03d4fc5, "");
SYMBOL_CRC(ishtp_cl_send, 0x6e146290, "");
SYMBOL_CRC(ishtp_get_client_data, 0xdcbb7fec, "");
SYMBOL_CRC(ishtp_set_client_data, 0xb464589f, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x62e11e71, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x9b5ce839, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0xf40cd12e, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x80811bfe, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x0651e12a, "");
SYMBOL_CRC(ishtp_recv, 0x5a2e389f, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0xf1391a08, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0xe7bd2b73, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x8f8f0faf, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x37dfc4e8, "");
SYMBOL_CRC(ishtp_register_event_cb, 0x3d08565e, "");
SYMBOL_CRC(ishtp_get_device, 0xd7e861d7, "");
SYMBOL_CRC(ishtp_put_device, 0x84b24a76, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x8d938249, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xa1cd0889, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0xb339a3e4, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0xd049ee04, "");
SYMBOL_CRC(ishtp_reset_handler, 0xc075bf7f, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xbabb3c14, "");
SYMBOL_CRC(ishtp_device, 0x689b2ec0, "");
SYMBOL_CRC(ishtp_wait_resume, 0xfdee442b, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x3d9cb669, "");
SYMBOL_CRC(ishtp_trace_callback, 0x9f49afac, "");
SYMBOL_CRC(ish_hw_reset, 0x99f43436, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x6c357f43, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0xb9cfa493, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x8d9a75f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x28c1b486, "device_register" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x47f67f15, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf210c8da, "device_unregister" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A8A484047E007EB5458566");

MODULE_INFO(suserelease, "ALP-0.1");
