#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x2be64800, "");
SYMBOL_CRC(flow_resources_alloc, 0x2c004bcf, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x8bc0eb07, "");
SYMBOL_CRC(flow_resources_add, 0x8f8b4808, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x3d26966c, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x9e59661e, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x1f28179b, "");
SYMBOL_CRC(uverbs_idr_class, 0x3a44d68e, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xbac5e5eb, "");
SYMBOL_CRC(uverbs_fd_class, 0x617c5860, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x88dbbb2b, "");
SYMBOL_CRC(_uverbs_alloc, 0xbd155ce2, "");
SYMBOL_CRC(uverbs_get_flags64, 0x5b534600, "");
SYMBOL_CRC(uverbs_get_flags32, 0x9e4bb50f, "");
SYMBOL_CRC(uverbs_copy_to, 0x3572c119, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0xb4427ed0, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x7a55518f, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xe5fcbffb, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x7bbbf18e, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x4e039faa, "");
SYMBOL_CRC(ib_umem_get, 0x37a20772, "");
SYMBOL_CRC(ib_umem_release, 0xa4432170, "");
SYMBOL_CRC(ib_umem_copy_from, 0x41b50583, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xa9ad0364, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x889b4559, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x3eea6a98, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xffc721fe, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x71cf034b, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x6e3b81b5, "");
SYMBOL_CRC(ib_umem_odp_get, 0xdc229c00, "");
SYMBOL_CRC(ib_umem_odp_release, 0x44ca761a, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x37f0b13d, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x05343f86, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5d75718, "ib_query_port" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x53d0ee4f, "ww_mutex_lock" },
	{ 0xdab39dd0, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb7ae0c9b, "ib_qp_usecnt_inc" },
	{ 0x5c7ced01, "dma_buf_put" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc1f391bb, "cleanup_srcu_struct" },
	{ 0xdfa8e03c, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5ed153db, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xa7179490, "rdma_create_user_ah" },
	{ 0xd5d1a7, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x928bd1c7, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb86e1305, "ib_destroy_cq_user" },
	{ 0xe86db549, "down_read" },
	{ 0xb3d23b6f, "__mmdrop" },
	{ 0x9f20f580, "rdma_restrack_del" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xab4e6a45, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7610eb91, "set_page_dirty" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0x54794243, "pv_ops" },
	{ 0xc54b241a, "__mmap_lock_do_trace_start_locking" },
	{ 0xd5a41e6e, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3986793e, "igrab" },
	{ 0xd14cb1b, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdd407e0c, "mmput" },
	{ 0x9b67c801, "dma_map_sgtable" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x13e4c67a, "xa_destroy" },
	{ 0xb35f81b8, "xa_find" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x39c5c91b, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaf77412f, "__mmap_lock_do_trace_released" },
	{ 0xfe6fcfb9, "ib_alloc_xrcd_user" },
	{ 0xe04a8b3c, "xa_store" },
	{ 0x84d2dd5e, "__srcu_read_unlock" },
	{ 0xdf54cc38, "rdma_set_cq_moderation" },
	{ 0x6272e054, "ib_dealloc_xrcd_user" },
	{ 0xb2d62730, "dma_buf_detach" },
	{ 0xcc5b5b62, "stream_open" },
	{ 0x786ae66e, "mmu_interval_notifier_insert" },
	{ 0x4e7347a, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x86bf92c5, "ib_open_qp" },
	{ 0xbf85295c, "ib_dealloc_pd_user" },
	{ 0xdc8783a9, "rdma_get_gid_attr" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0x4bad7859, "rdma_port_get_link_layer" },
	{ 0xf3836497, "xa_find_after" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xadcccfe0, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x1a7dcafe, "rdma_query_gid_table" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0x7cce5a2c, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xca4ad370, "rdma_restrack_put" },
	{ 0x1c45e870, "ib_attach_mcast" },
	{ 0xe3b8178e, "rdma_umap_priv_init" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x5a1ce082, "ib_destroy_wq_user" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x8563df9b, "put_pid" },
	{ 0xc662d63f, "class_register" },
	{ 0xbda36c7, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xedf37bcf, "rdma_user_mmap_entry_put" },
	{ 0x49f721a7, "pin_user_pages_fast" },
	{ 0xc119e94b, "mmu_interval_notifier_remove" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xf7e1db51, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0xc81ab0f3, "ib_unregister_client" },
	{ 0xfd872396, "show_class_attr_string" },
	{ 0xcda4026b, "unpin_user_pages_dirty_lock" },
	{ 0x9bb67cad, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x37b8358c, "ibdev_warn" },
	{ 0x65b45cb, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xaf5f44a1, "mmu_interval_read_begin" },
	{ 0x54e75c98, "ib_create_qp_user" },
	{ 0x20a856d2, "dma_resv_wait_timeout" },
	{ 0xddc2140b, "cdev_device_del" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x28a59278, "radix_tree_lookup" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd824ca94, "get_pid_task" },
	{ 0x70dee27, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xaacc87d7, "kill_fasync" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0xd27d2be6, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4f37220a, "fget" },
	{ 0x53d72988, "__put_task_struct" },
	{ 0x99b898f9, "ib_query_srq" },
	{ 0x5afd725d, "ww_mutex_unlock" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x3c5bf348, "__dynamic_ibdev_dbg" },
	{ 0xbc064ab4, "ib_rdmacg_try_charge" },
	{ 0xddc860b4, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xab1e729a, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7869079, "unpin_user_page_range_dirty_lock" },
	{ 0x9d833506, "iput" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xacaa2546, "dma_buf_unpin" },
	{ 0x7f693a42, "zap_vma_ptes" },
	{ 0x9aab28c, "ib_dereg_mr_user" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xe7126e59, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xb192e312, "__wake_up" },
	{ 0xb7c60e25, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x108c1d0b, "rdma_dev_access_netns" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xafc122f6, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3143cc18, "__tracepoint_mmap_lock_released" },
	{ 0x3894b7c0, "down_read_trylock" },
	{ 0xd450cd26, "dma_buf_dynamic_attach" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc45e0f73, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x9518f21f, "radix_tree_iter_delete" },
	{ 0xd4b4e033, "ib_destroy_srq_user" },
	{ 0x3f56833f, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x66a340fc, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xb3b6a546, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf8480e8, "rdma_restrack_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc33ff55c, "put_device" },
	{ 0x9ab0e8b6, "radix_tree_lookup_slot" },
	{ 0xd8ace12, "ib_modify_qp_with_udata" },
	{ 0xecb87ee3, "ib_register_event_handler" },
	{ 0x75108d78, "ib_detach_mcast" },
	{ 0x41455bce, "dma_buf_map_attachment" },
	{ 0xddaba837, "__free_pages" },
	{ 0xd3a38038, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91a2f9da, "module_put" },
	{ 0x372ddf81, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7f71c733, "compat_ptr_ioctl" },
	{ 0xef6d7837, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x822628de, "__task_pid_nr_ns" },
	{ 0x5bc2476a, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92018896, "init_srcu_struct" },
	{ 0x92c520a8, "fput" },
	{ 0xb9f20af3, "ib_set_client_data" },
	{ 0xe915fae4, "down_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4a85cca8, "up_write" },
	{ 0x806dce72, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x54c6af3b, "radix_tree_next_chunk" },
	{ 0xeb213917, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb912e93b, "xa_load" },
	{ 0x434f4856, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x4ef08d19, "dma_buf_get" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "45FCE01455551C304395EFE");

MODULE_INFO(suserelease, "ALP-0.1");
