#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_bio_prison_create, 0x753e20b2, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy, 0xb70b342a, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell, 0x7198c66e, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell, 0xbb7b4565, "_gpl");
SYMBOL_CRC(dm_cell_key_has_valid_range, 0x476d2454, "");
SYMBOL_CRC(dm_bio_detain, 0xd77b346c, "_gpl");
SYMBOL_CRC(dm_get_cell, 0x743d7fb3, "_gpl");
SYMBOL_CRC(dm_cell_release, 0x40dca02b, "_gpl");
SYMBOL_CRC(dm_cell_release_no_holder, 0xe573dba2, "_gpl");
SYMBOL_CRC(dm_cell_error, 0xfa293a57, "_gpl");
SYMBOL_CRC(dm_cell_visit_release, 0x466e1fee, "_gpl");
SYMBOL_CRC(dm_cell_promote_or_release, 0x513a1fbe, "_gpl");
SYMBOL_CRC(dm_deferred_set_create, 0x17dd39d6, "_gpl");
SYMBOL_CRC(dm_deferred_set_destroy, 0x2eb01e04, "_gpl");
SYMBOL_CRC(dm_deferred_entry_inc, 0xca2e3a88, "_gpl");
SYMBOL_CRC(dm_deferred_entry_dec, 0x6791a44e, "_gpl");
SYMBOL_CRC(dm_deferred_set_add_work, 0xb6d5c65d, "_gpl");
SYMBOL_CRC(dm_bio_prison_create_v2, 0xd99e003d, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy_v2, 0xace9b57b, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell_v2, 0x10230714, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell_v2, 0xb5d432f5, "_gpl");
SYMBOL_CRC(dm_cell_get_v2, 0x497197b4, "_gpl");
SYMBOL_CRC(dm_cell_put_v2, 0x8dcf1fc4, "_gpl");
SYMBOL_CRC(dm_cell_lock_v2, 0xdbef3c26, "_gpl");
SYMBOL_CRC(dm_cell_quiesce_v2, 0xc5a58cca, "_gpl");
SYMBOL_CRC(dm_cell_lock_promote_v2, 0x7043fa0c, "_gpl");
SYMBOL_CRC(dm_cell_unlock_v2, 0x2c59a33e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71ddbdad, "mempool_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x56d191c5, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x16741bd4, "mempool_alloc" },
	{ 0x23a44af3, "bio_endio" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x68102b1d, "mempool_exit" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A3D101C11E78568ED202ED7");

MODULE_INFO(suserelease, "ALP-0.1");
