#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(media_device_register_entity, 0x34cc6af3, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0xeb3c3faf, "_gpl");
SYMBOL_CRC(media_device_init, 0xd128f82a, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x3c27b5ba, "_gpl");
SYMBOL_CRC(__media_device_register, 0x6ee31011, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x25da1dce, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xa26a3a54, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xc6fd2b05, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x8b012b12, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xef688b40, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xc791649a, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xe6c7635c, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x06d2f9a0, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x29979270, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xbc9ca81e, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xa3dda1fd, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xd25e05b8, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xc6c54bc2, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x355cdb7c, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xe2e186bc, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x64b9b19d, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xeb20b506, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x694cbaec, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x9f879cb9, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xf52cd664, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x59e06f85, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0xe0ee2c36, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x61e4b525, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x5999528d, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x481744af, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x36989e98, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xcbe0a574, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xee9dfbe9, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x6575e52a, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0xa92683f3, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xdd2a5a6d, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x843279a5, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xcaec19dd, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xa91aaf52, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x85af4da7, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xc9b045c1, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xe0113a8c, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xbbe4feeb, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x8cd7f5c6, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x54e2a3fb, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x57ac334c, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x750b167f, "_gpl");
SYMBOL_CRC(media_request_put, 0x4854bbc1, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x9f3825bc, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x810e1b08, "_gpl");
SYMBOL_CRC(media_request_object_put, 0xe111ddbd, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x435a0d24, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xf7e53862, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x77dbda49, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xf52a5b9c, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x296121ac, "_gpl");
SYMBOL_CRC(media_device_delete, 0xb5596c28, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf2d3c83, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb3b6a546, "cdev_device_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xdfa57e46, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x91a2f9da, "module_put" },
	{ 0x25dc3dc9, "device_create_file" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0x92c520a8, "fput" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb7480a6d, "platform_bus_type" },
	{ 0xb2bde017, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xbda36c7, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x17c84a16, "pci_bus_type" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x6aa8c5cf, "device_remove_file" },
	{ 0xd3b2192c, "bus_register" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xf7e1db51, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xddc2140b, "cdev_device_del" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xddc860b4, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "88F278A82577C102DCCFBD6");

MODULE_INFO(suserelease, "ALP-0.1");
