#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0xaa17f150, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x31126cf0, "");
SYMBOL_CRC(cx25821_dev_unregister, 0xfb667492, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0xcf4f747d, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0xd991b609, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xa1ba2b9a, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0xb0b3e2e6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe335fbe5, "v4l2_ctrl_handler_setup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcba7930e, "video_devdata" },
	{ 0xecdedd98, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0xfcd55e0f, "vb2_plane_cookie" },
	{ 0xd4a363ba, "vb2_ioctl_dqbuf" },
	{ 0xe0257f86, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf0e15fe5, "vb2_ioctl_prepare_buf" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x626e20ed, "vb2_buffer_done" },
	{ 0x195c0583, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0x3587f96e, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa884f8e3, "vb2_ioctl_qbuf" },
	{ 0xa9bf84bb, "vb2_fop_mmap" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x732363ba, "vb2_fop_read" },
	{ 0x8a6a2ce6, "v4l2_device_register" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9db96cff, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x73abb9fa, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe5a9c35, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa336c948, "vb2_ioctl_streamon" },
	{ 0xdd47c968, "vb2_fop_poll" },
	{ 0xa9ade776, "v4l2_ctrl_new_std" },
	{ 0xf2c100f0, "v4l2_ctrl_handler_free" },
	{ 0xcec559be, "v4l2_device_unregister" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xa9959115, "video_device_release_empty" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2ab5a1de, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa5f988ba, "vb2_ioctl_reqbufs" },
	{ 0x55312d4b, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88c927f7, "vb2_dma_sg_memops" },
	{ 0x8784dba8, "video_ioctl2" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x9915dcfb, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd95ff598, "vb2_ops_wait_finish" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x7dbb8699, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d36b4fd, "vb2_ioctl_querybuf" },
	{ 0xba4e767d, "v4l2_fh_open" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "77EC1E165D4713381B62A04");

MODULE_INFO(suserelease, "ALP-0.1");
