#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xc080a2d0, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x1a97dff0, "");
SYMBOL_CRC(cx88_risc_databuffer, 0xb91668e4, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0xbc72ba5d, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x9b7aa606, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x043470ed, "");
SYMBOL_CRC(cx88_wakeup, 0xfbec49c1, "");
SYMBOL_CRC(cx88_shutdown, 0x88ff9f03, "");
SYMBOL_CRC(cx88_reset, 0x332fbbd3, "");
SYMBOL_CRC(cx88_set_scale, 0xb252451a, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x97776218, "");
SYMBOL_CRC(cx88_vdev_init, 0x1646abab, "");
SYMBOL_CRC(cx88_core_get, 0x4584dd17, "");
SYMBOL_CRC(cx88_core_put, 0xac1ab7a4, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x9f565da8, "");
SYMBOL_CRC(cx88_newstation, 0xa45ba1c3, "");
SYMBOL_CRC(cx88_get_stereo, 0xa4a904d9, "");
SYMBOL_CRC(cx88_set_stereo, 0x8751b985, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0xc7663e0e, "");
SYMBOL_CRC(cx88_ir_start, 0x84fd7f47, "");
SYMBOL_CRC(cx88_ir_stop, 0xb3dad0fc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x5914557e, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x4376216d, "i2c_smbus_xfer" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0x4f115da1, "rc_keyup" },
	{ 0xeb3c078, "__v4l2_ctrl_grab" },
	{ 0xa3e7d1b7, "i2c_unregister_device" },
	{ 0x6fbdd101, "tveeprom_read" },
	{ 0xb8c530b8, "rc_keydown_notimeout" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xd8b4c43b, "rc_register_device" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x4b425066, "rc_keydown" },
	{ 0x626e20ed, "vb2_buffer_done" },
	{ 0xde80cd09, "ioremap" },
	{ 0xce407f2f, "i2c_new_client_device" },
	{ 0x777d668b, "freezing_slow_path" },
	{ 0xaa10fa2b, "rc_free_device" },
	{ 0xbe6b8d25, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8a6a2ce6, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2882e0e9, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x71e4a52a, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xf2c100f0, "v4l2_ctrl_handler_free" },
	{ 0xa378ff4a, "i2c_transfer" },
	{ 0x853d7e86, "hrtimer_cancel" },
	{ 0xcec559be, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x91ffc688, "hrtimer_forward" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x8d65047b, "v4l2_i2c_new_subdev" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x15eacb2b, "ir_raw_event_store_with_filter" },
	{ 0x35497e91, "i2c_smbus_read_byte_data" },
	{ 0xa9959115, "video_device_release_empty" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6178a2f, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xdba37fd4, "ir_raw_event_handle" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x14988a8f, "i2c_bit_add_bus" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x7dbb8699, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xe9e66f37, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");

MODULE_INFO(suserelease, "ALP-0.1");
