#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd64e639, "strscpy" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x754d539c, "strlen" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0x5adf24c2, "input_event" },
	{ 0xf8e6d4c8, "usb_find_interface" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xebdc2a31, "usb_get_dev" },
	{ 0x826b6198, "usb_ifnum_to_if" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0xb5599cfe, "usb_put_dev" },
	{ 0x5fd4299f, "input_allocate_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xe71164cd, "input_set_abs_params" },
	{ 0x24204c2, "input_register_device" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x2882e0e9, "rc_allocate_device" },
	{ 0xd8b4c43b, "rc_register_device" },
	{ 0xfbe3c8db, "sysfs_create_group" },
	{ 0xf82e3f15, "usb_register_dev" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xaa10fa2b, "rc_free_device" },
	{ 0xdf3931d0, "input_unregister_device" },
	{ 0xa7d2a2e3, "input_free_device" },
	{ 0xb794c691, "rc_g_keycode_from_table" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x4f115da1, "rc_keyup" },
	{ 0x4b425066, "rc_keydown" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc2cf69fb, "sysfs_remove_group" },
	{ 0x6178a2f, "rc_unregister_device" },
	{ 0xbe869d99, "usb_deregister_dev" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0x65b45cb, "complete" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rc-core");

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A3DCA9B273EA8D0AB2ACB45");

MODULE_INFO(suserelease, "ALP-0.1");
