#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(video_device_alloc, 0x0463077c, "");
SYMBOL_CRC(video_device_release, 0x512eacd1, "");
SYMBOL_CRC(video_device_release_empty, 0xa9959115, "");
SYMBOL_CRC(video_devdata, 0xcba7930e, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x73abb9fa, "");
SYMBOL_CRC(video_unregister_device, 0x3587f96e, "");
SYMBOL_CRC(video_device_pipeline_start, 0xa6dd0abf, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x6a4129f6, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0xff644d4a, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x873cbc5d, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xc8044aae, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xf7fadf0d, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x8784dba8, "");
SYMBOL_CRC(v4l2_device_register, 0x8a6a2ce6, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x230763cd, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x12491d95, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0xb60d5dc3, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0xcec559be, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0xd4f4c9db, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x6251f1fa, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x5d357ac7, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x96eb0182, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x9e945e89, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0xba4e767d, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x0d5b1ae1, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x74aedcde, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xe0f52cf6, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xe254eaeb, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x55028e50, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x1a947be6, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x8b18ce26, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x4e8e43fd, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0xada0a8bf, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xcac5e378, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0xa2673ff7, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x2ab5a1de, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x22b0b6f9, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0xf06ce5f3, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x7727b3f5, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0xd89ed020, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x3d4015d3, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0xba2471c3, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0xda0a2cf8, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x39321c36, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x547a8c3a, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xf0ff2669, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x9632b9b1, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x22a9592a, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x985325f3, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0xf2a1a9b0, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x9a005aad, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0x9a82ebd6, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0x9ccc04a3, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0xe0ccaf25, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0xd274e11f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0xbef34075, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0xda2c9135, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0xd6a73908, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x0a1f4a84, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x6991ba8a, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0xbbbb5fbb, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x7e21236e, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x6995ae2a, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0xd4902dac, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0xb2abc7ba, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x6bc9c10f, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x28b12cc9, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0xe94af2c0, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0xbc281ac9, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xffc5a54a, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x4e47d3d9, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0x86b17395, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x374bbd0b, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x7dbb8699, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xf2c100f0, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x2e9a4f7a, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x8004cc1a, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xa9ade776, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x74a0444b, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x8962d761, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x838296f5, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0xa002e185, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xe41a7716, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x8f64ff82, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0xbd665e57, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x107ce00f, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x3995be63, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x0eb3c078, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0xc9433c3c, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0xe335fbe5, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xe11b107f, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x8a844895, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0xbdb66b05, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x65f384e3, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x23ad2a30, "");
SYMBOL_CRC(v4l2_g_ctrl, 0xdfd3c9a6, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x494c5eb3, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x6959c043, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x2aedeed9, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0xef1286e9, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x5a271a4b, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x338b89cf, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0xe54b2a4e, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0x5c07c98c, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xe9d5eb24, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x42105a19, "");
SYMBOL_CRC(v4l2_queryctrl, 0x6312349f, "");
SYMBOL_CRC(v4l2_querymenu, 0x3495c914, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0xb66a7df7, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x16495760, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x18ee74cc, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x195c0583, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x911e9bb4, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x443da61e, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0x2d0fa7fe, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x8289556e, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0xe948fcca, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x287f4589, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x3111622a, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0xd43f4a76, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x2bfc129e, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x2969c08a, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0xc03a5108, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x3dae6c1c, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x7f3c53a9, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0xc4f5298d, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xc35d97df, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x365a3798, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x688edafb, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0xdc653fce, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x901e5d00, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x5208c00a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0xf038b5c9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xd69e5222, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xf9ee2d7a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x34460ede, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x77d8a561, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x645cc411, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x73be0eb7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xdd6a7746, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x7e364eb8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x60e7b4c0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x6da6aac5, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x69f77508, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0xc75d4ae1, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x8d65047b, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x1620346c, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xce407f2f, "i2c_new_client_device" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x28c1b486, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xc6c54bc2, "media_pipeline_start" },
	{ 0xe2e186bc, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf52cd664, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb7480a6d, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x48d7cccd, "led_set_brightness" },
	{ 0xbc9ca81e, "media_graph_walk_start" },
	{ 0xa91aaf52, "media_devnode_create" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0xdd2a5a6d, "media_entity_get_fwnode_pad" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x345716ed, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xeb3c3faf, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd25e05b8, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc662d63f, "class_register" },
	{ 0x98ace746, "led_sysfs_disable" },
	{ 0xcbe0a574, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4053333a, "__dev_fwnode" },
	{ 0x17c84a16, "pci_bus_type" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xce5588b6, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc8a71819, "cdev_alloc" },
	{ 0x85af4da7, "media_devnode_remove" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x810e1b08, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x435a0d24, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8e23e5d0, "led_sysfs_enable" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa322cbc3, "fwnode_graph_get_remote_endpoint" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xa6aa2ebb, "spi_unregister_device" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x77dbda49, "media_request_object_unbind" },
	{ 0xa40f936, "led_put" },
	{ 0xd8f0767e, "led_trigger_remove" },
	{ 0x8075a1d2, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xf52a5b9c, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x28d945c5, "fwnode_graph_get_port_parent" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc9b045c1, "media_create_intf_link" },
	{ 0x59e06f85, "media_create_pad_link" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52a57d29, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x355cdb7c, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0x39d9e1f3, "i2c_new_scanned_device" },
	{ 0xcaec19dd, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe111ddbd, "media_request_object_put" },
	{ 0x91a2f9da, "module_put" },
	{ 0x64b9b19d, "media_pipeline_alloc_start" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x34cc6af3, "media_device_register_entity" },
	{ 0x9f3825bc, "media_request_get_by_fd" },
	{ 0xf6a011d3, "cdev_add" },
	{ 0xa6ec21d6, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa3e7d1b7, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4854bbc1, "media_request_put" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x24424b46, "spi_new_device" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xf7e53862, "media_request_object_bind" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa3dda1fd, "media_graph_walk_next" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "A3C2F82B3EED68A983B8804");

MODULE_INFO(suserelease, "ALP-0.1");
