#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449b665a, "fc_remote_port_delete" },
	{ 0x3d74e74d, "scsi_is_fc_rport" },
	{ 0xb25807d7, "scsi_done" },
	{ 0x305b47cf, "mptscsih_qcmd" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8c0fdd22, "mptscsih_event_process" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0xbc99041a, "mpt_config" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7eb285d2, "mptscsih_ioc_reset" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x270ce2dc, "mpt_attach" },
	{ 0x9745a1a6, "scsi_host_alloc" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x59a55a24, "scsi_add_host_with_dma" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1f872d69, "mptscsih_abort" },
	{ 0x89ee8272, "mptscsih_dev_reset" },
	{ 0xa6c8d214, "mptscsih_bus_reset" },
	{ 0x766cc606, "fc_remote_port_add" },
	{ 0x26d2458a, "fc_remote_port_rolechg" },
	{ 0xb7c0f443, "sort" },
	{ 0xb329d11e, "mptscsih_suspend" },
	{ 0xc6be30ff, "mptscsih_resume" },
	{ 0x7aa82229, "mptscsih_shutdown" },
	{ 0x9429a4e6, "mptscsih_info" },
	{ 0x70eda5e4, "mptscsih_host_reset" },
	{ 0x196b92ce, "mptscsih_slave_configure" },
	{ 0xe54bc1bc, "mptscsih_slave_destroy" },
	{ 0x91eb2d2e, "mptscsih_change_queue_depth" },
	{ 0x2ba9bba2, "mptscsih_bios_param" },
	{ 0x8266bd28, "mptscsih_show_info" },
	{ 0x1d27109, "fc_eh_timed_out" },
	{ 0xe9811a0b, "mptscsih_host_attr_groups" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x27866d6f, "fc_attach_transport" },
	{ 0x72d3e1e, "mptscsih_io_done" },
	{ 0xe7ad3fa9, "mpt_register" },
	{ 0xb752d0d5, "mptscsih_taskmgmt_complete" },
	{ 0xcaaf6c74, "mptscsih_scandv_complete" },
	{ 0x611199a0, "mpt_event_register" },
	{ 0x67de05af, "mpt_reset_register" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x9e67ac65, "fc_release_transport" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcf0b82ae, "fc_remove_host" },
	{ 0x37a0cba, "kfree" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xa1d2bd2b, "scsi_remove_host" },
	{ 0x37958f55, "mptscsih_remove" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_mod,mptscsih,mptbase");

MODULE_ALIAS("pci:v00001000d00000621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000624sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000628sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000626sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000642sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001657d00000646sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C722A4064FFAAF5F824D402");

MODULE_INFO(suserelease, "ALP-0.1");
