#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a992743, "mutex_lock" },
	{ 0xaeeae9e3, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd85c91f8, "mpt_put_msg_frame" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9e9cc20c, "mpt_HardResetHandler" },
	{ 0x800c7e02, "mpt_free_msg_frame" },
	{ 0x8c0fdd22, "mptscsih_event_process" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0xc6be30ff, "mptscsih_resume" },
	{ 0x7eb285d2, "mptscsih_ioc_reset" },
	{ 0x9f1ab6bd, "scsi_is_host_device" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xbc99041a, "mpt_config" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x61a278a4, "spi_dv_device" },
	{ 0xaf39dd14, "spi_display_xfer_agreement" },
	{ 0x196b92ce, "mptscsih_slave_configure" },
	{ 0x8ae18e11, "mpt_findImVolumes" },
	{ 0xb27e3db5, "__scsi_iterate_devices" },
	{ 0x6fb22cb2, "scsi_scan_target" },
	{ 0x5ab2b584, "scsi_device_lookup_by_target" },
	{ 0xe278f7b9, "sdev_prefix_printk" },
	{ 0xe54bc1bc, "mptscsih_slave_destroy" },
	{ 0x9150b768, "mptscsih_raid_id_to_num" },
	{ 0xb329d11e, "mptscsih_suspend" },
	{ 0x7aa82229, "mptscsih_shutdown" },
	{ 0x9429a4e6, "mptscsih_info" },
	{ 0x1f872d69, "mptscsih_abort" },
	{ 0x89ee8272, "mptscsih_dev_reset" },
	{ 0xa6c8d214, "mptscsih_bus_reset" },
	{ 0x70eda5e4, "mptscsih_host_reset" },
	{ 0x91eb2d2e, "mptscsih_change_queue_depth" },
	{ 0x2ba9bba2, "mptscsih_bios_param" },
	{ 0x8266bd28, "mptscsih_show_info" },
	{ 0xe9811a0b, "mptscsih_host_attr_groups" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x4d8bfb6d, "spi_attach_transport" },
	{ 0x72d3e1e, "mptscsih_io_done" },
	{ 0xe7ad3fa9, "mpt_register" },
	{ 0xb752d0d5, "mptscsih_taskmgmt_complete" },
	{ 0xcaaf6c74, "mptscsih_scandv_complete" },
	{ 0x611199a0, "mpt_event_register" },
	{ 0x67de05af, "mpt_reset_register" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x785f275a, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0xa1d2bd2b, "scsi_remove_host" },
	{ 0x37958f55, "mptscsih_remove" },
	{ 0x305b47cf, "mptscsih_qcmd" },
	{ 0x85eca284, "mptscsih_is_phys_disk" },
	{ 0xb25807d7, "scsi_done" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x270ce2dc, "mpt_attach" },
	{ 0x9745a1a6, "scsi_host_alloc" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x59a55a24, "scsi_add_host_with_dma" },
	{ 0x15f66389, "scsi_scan_host" },
	{ 0x52a2c1f1, "mptscsih_IssueTaskMgmt" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mptbase,mptscsih,scsi_mod,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0FB4C011C61458934068E67");

MODULE_INFO(suserelease, "ALP-0.1");
