#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(kempld_read8, 0xf7718611, "_gpl");
SYMBOL_CRC(kempld_write8, 0xc3c0188b, "_gpl");
SYMBOL_CRC(kempld_read16, 0xa8a9c9e9, "_gpl");
SYMBOL_CRC(kempld_write16, 0x993cc3e6, "_gpl");
SYMBOL_CRC(kempld_read32, 0x6dca2451, "_gpl");
SYMBOL_CRC(kempld_write32, 0x2e0c9a40, "_gpl");
SYMBOL_CRC(kempld_get_mutex, 0x3054113c, "_gpl");
SYMBOL_CRC(kempld_release_mutex, 0x455812ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a992743, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x49bfdcdf, "mfd_add_devices" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f085f70, "platform_device_alloc" },
	{ 0x5a8f98ad, "platform_device_add_data" },
	{ 0x1908a9cc, "platform_device_put" },
	{ 0xe8fa5216, "platform_device_add_resources" },
	{ 0x63e3c0f7, "platform_device_add" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x9c93d754, "__platform_driver_register" },
	{ 0xc2cf69fb, "sysfs_remove_group" },
	{ 0x7ddd5e79, "mfd_remove_devices" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x371d1953, "platform_get_resource" },
	{ 0x32fc4a80, "devm_ioport_map" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x96848186, "scnprintf" },
	{ 0xb11cf891, "is_acpi_device_node" },
	{ 0xc3e624c5, "acpi_device_get_match_data" },
	{ 0x4509b5b5, "acpi_dev_get_resources" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x77009fad, "_dev_notice" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xfbe3c8db, "sysfs_create_group" },
	{ 0xe48087a1, "platform_device_unregister" },
	{ 0xf1c52c17, "platform_driver_unregister" },
	{ 0xaaa5d915, "param_ops_string" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb19b445, "ioread8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bBD*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bBL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bDV7*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bHL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bKL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cAL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBW6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bIP2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bIP6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cDV7*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cHL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-SCT2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXe-SCT2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-SCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXe-SCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bSC6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cKL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETXexpress-PC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-bPC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*PXT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cSL6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cBT*:");
MODULE_ALIAS("dmi*:bvr*FRI2*:rvn*Kontron*:");
MODULE_ALIAS("dmi*:pn*FishRiverIslandII*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*KBoxA-203*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-m4AL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mAL10*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*mITX-APL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*ETX-OH*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mBT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*nanoETXexpress-TT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*nETXe-TT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mTT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-mCT*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*pITX-APL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*SMARC-sXAL*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*SMARC-sXA4*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*microETXexpress-DC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cDC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*microETXexpress-PC*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cPC2*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cCT6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*COMe-cTH6*:");
MODULE_ALIAS("dmi*:rvn*Kontron*:rn*Qseven-Q7AL*:");
MODULE_ALIAS("acpi*:KEM0000:*");
MODULE_ALIAS("acpi*:KEM0001:*");

MODULE_INFO(srcversion, "03E8959469CDDA86D67869D");

MODULE_INFO(suserelease, "ALP-0.1");
