#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(madera_name_from_type, 0xebe384cb, "_gpl");
SYMBOL_CRC(madera_pm_ops, 0x9270ac38, "_gpl");
SYMBOL_CRC(madera_of_match, 0x0f379262, "_gpl");
SYMBOL_CRC(madera_dev_init, 0x3d34ae11, "_gpl");
SYMBOL_CRC(madera_dev_exit, 0xb2ec448a, "_gpl");
SYMBOL_CRC(cs47l15_patch, 0x75751567, "_gpl");
SYMBOL_CRC(cs47l15_16bit_spi_regmap, 0x65a47cec, "_gpl");
SYMBOL_CRC(cs47l15_16bit_i2c_regmap, 0x269cbda0, "_gpl");
SYMBOL_CRC(cs47l15_32bit_spi_regmap, 0x65a9a0ac, "_gpl");
SYMBOL_CRC(cs47l15_32bit_i2c_regmap, 0x269161e0, "_gpl");
SYMBOL_CRC(cs47l35_patch, 0x48079ff1, "_gpl");
SYMBOL_CRC(cs47l35_16bit_spi_regmap, 0xaf6a0a60, "_gpl");
SYMBOL_CRC(cs47l35_16bit_i2c_regmap, 0xec52cb2c, "_gpl");
SYMBOL_CRC(cs47l35_32bit_spi_regmap, 0xaf67d620, "_gpl");
SYMBOL_CRC(cs47l35_32bit_i2c_regmap, 0xec5f176c, "_gpl");
SYMBOL_CRC(cs47l85_patch, 0x9e067a74, "_gpl");
SYMBOL_CRC(cs47l85_16bit_spi_regmap, 0x9d189118, "_gpl");
SYMBOL_CRC(cs47l85_16bit_i2c_regmap, 0xde205054, "_gpl");
SYMBOL_CRC(cs47l85_32bit_spi_regmap, 0x9d154d58, "_gpl");
SYMBOL_CRC(cs47l85_32bit_i2c_regmap, 0xde2d8c14, "_gpl");
SYMBOL_CRC(cs47l90_patch, 0xb7479826, "_gpl");
SYMBOL_CRC(cs47l90_16bit_spi_regmap, 0xc6f527e4, "_gpl");
SYMBOL_CRC(cs47l90_16bit_i2c_regmap, 0x85cde6a8, "_gpl");
SYMBOL_CRC(cs47l90_32bit_spi_regmap, 0xc6f8fba4, "_gpl");
SYMBOL_CRC(cs47l90_32bit_i2c_regmap, 0x85c03ae8, "_gpl");
SYMBOL_CRC(cs47l92_patch, 0x1d58d943, "_gpl");
SYMBOL_CRC(cs47l92_16bit_spi_regmap, 0xb2412115, "_gpl");
SYMBOL_CRC(cs47l92_16bit_i2c_regmap, 0xf179e059, "_gpl");
SYMBOL_CRC(cs47l92_32bit_spi_regmap, 0xb24cfd55, "_gpl");
SYMBOL_CRC(cs47l92_32bit_i2c_regmap, 0xf1743c19, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0x8179adbf, "regulator_bulk_disable" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x49bfdcdf, "mfd_add_devices" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc93107a, "devm_clk_bulk_get_optional" },
	{ 0x46c3ac62, "regulator_bulk_enable" },
	{ 0x57b9de6f, "devm_regulator_bulk_get" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x7ddd5e79, "mfd_remove_devices" },
	{ 0x54ab2ad8, "regmap_update_bits_base" },
	{ 0x5af8a8ea, "regulator_disable" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x7d9ff068, "regmap_register_patch" },
	{ 0xe87d5fee, "__pm_runtime_use_autosuspend" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf47a65cf, "mfd_remove_devices_late" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xcc6600d0, "regulator_enable" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0xc7866340, "regcache_cache_only" },
	{ 0xec377c18, "regcache_sync" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0xedfc3fbd, "regulator_get" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9ba0553f, "gpiod_set_raw_value_cansleep" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2c570af, "regulator_put" },
	{ 0x184102c6, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("of:N*T*Ccirrus,cs47l15");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l15C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l35");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l35C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l85");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l85C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l90");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l90C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l91");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l91C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs42l92");
MODULE_ALIAS("of:N*T*Ccirrus,cs42l92C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l92");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l92C*");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l93");
MODULE_ALIAS("of:N*T*Ccirrus,cs47l93C*");
MODULE_ALIAS("of:N*T*Ccirrus,wm1840");
MODULE_ALIAS("of:N*T*Ccirrus,wm1840C*");

MODULE_INFO(srcversion, "0A34865CB839847238E9CAD");

MODULE_INFO(suserelease, "ALP-0.1");
