#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xfb578fc5, "memset" },
	{ 0xe8cd44b9, "usb_sg_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xbfca2e73, "usb_sg_wait" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xebdc2a31, "usb_get_dev" },
	{ 0x5a6b3a47, "usb_string" },
	{ 0x3ffb13ea, "mmc_alloc_host" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xb5599cfe, "usb_put_dev" },
	{ 0xee9f510f, "mmc_free_host" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa8d2a71d, "mmc_add_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x788d40e, "mmc_remove_host" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xab003540, "mmc_request_done" },
	{ 0x633074e1, "usb_lock_device_for_reset" },
	{ 0x95de297e, "usb_reset_device" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x1a03130a, "usb_sg_cancel" },
	{ 0xf28efaf6, "usb_unlink_urb" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x9166fada, "strncpy" },
	{ 0x75e77606, "mmc_detect_change" },
	{ 0x308734fa, "usb_control_msg" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x37a0cba, "kfree" },
	{ 0x65b45cb, "complete" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mmc_core");

MODULE_ALIAS("usb:v2201p012Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p012Cd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DE5BE977E75A9418A0BF959");

MODULE_INFO(suserelease, "ALP-0.1");
