#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nanddev_isbad, 0xe346060b, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0xb73d65c6, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0xea74f2c8, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0xbf4f0e1f, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0xa8aac22d, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x9cb6a6a0, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x6f03ea0f, "_gpl");
SYMBOL_CRC(nanddev_init, 0xc07b69c8, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x02ad82db, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x43da2860, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x990f5d45, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x498c29c1, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0x2afd188a, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0x6e26e8d5, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0x7fecb10c, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0x55e0a487, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0xb4c401e6, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x6221b62e, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0x43a7d6f3, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x9d0e5c2e, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x03183faf, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0xd828c6d1, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0x163b57f7, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0x633fac86, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0xddd1c15b, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0x6ed88a5d, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x7d146fd5, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x1f750ab5, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x6468bf93, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0x3d50fa66, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x249983f0, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0xa0dd84fd, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0xcd379060, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x3151bc33, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0xa282de7b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0xa1327422, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0xb1d0c855, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0xa218dc4c, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0xb8ee2dc1, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0x798dbf88, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0x8dcce7f4, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0xed85cb5c, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0xb6d37a89, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb3befda, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda297172, "mtd_ooblayout_count_eccbytes" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xf7d35506, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "8F061617B43D7186BF17431");

MODULE_INFO(suserelease, "ALP-0.1");
