#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ubi_do_get_device_info, 0x05e7cb40, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x457a1ae6, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x626a45e7, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0xb6c7bc78, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x2b40b714, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x960c42a1, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x1d78018f, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0xbc674387, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0xa91bb4ae, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x4f5b7980, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x0619fce8, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x14ac3905, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x532ea82f, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0xb0e9f7ea, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40f24c73, "get_mtd_device" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xb3b6a546, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xf9f1484f, "blocking_notifier_call_chain" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91a2f9da, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7f71c733, "compat_ptr_ioctl" },
	{ 0xf6a011d3, "cdev_add" },
	{ 0x2b9dd10a, "mtd_block_markbad" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x66360e70, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd875f102, "put_mtd_device" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd7011bc0, "mtd_read" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0x777d668b, "freezing_slow_path" },
	{ 0x28c1b486, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0xf49fe58a, "kern_path" },
	{ 0x50d81800, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xdbd7d2a8, "mtd_erase" },
	{ 0x8d86a229, "down_write_trylock" },
	{ 0xe86db549, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x409b8b7e, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x50c9e559, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x912edc17, "mtd_get_device_size" },
	{ 0x77aba229, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc26a63ff, "seq_open" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xef54be0d, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc662d63f, "class_register" },
	{ 0xbda36c7, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xce5588b6, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x7a9edae6, "misc_deregister" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd58464e9, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x6fe4e653, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xddc2140b, "cdev_device_del" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5f56c47e, "get_mtd_device_nm" },
	{ 0x60c3fa90, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbc6714aa, "blocking_notifier_chain_register" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "CF39C1057E2E8BE883B7974");

MODULE_INFO(suserelease, "ALP-0.1");
