#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vnic_dev_get_res_count, 0x72af9db0, "");
SYMBOL_CRC(vnic_dev_get_res, 0xfcb3c587, "");
SYMBOL_CRC(vnic_dev_unregister, 0x99741fa2, "");
SYMBOL_CRC(vnic_dev_register, 0xc7c15c6f, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x9803e28d, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0xe763321d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc94fee39, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xc2fb66b4, "__hw_addr_unsync_dev" },
	{ 0xf6867780, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc54dc22f, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xab01938b, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xb08a7120, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8727726c, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbf37a6fe, "netif_set_real_num_rx_queues" },
	{ 0xfb18bd99, "dev_close" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0xa5536872, "napi_enable" },
	{ 0xfe3aa697, "netif_receive_skb" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0xb0d67956, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x18984bde, "rps_may_expire_flow" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc36ec7a8, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0xc3aa5c06, "__hw_addr_sync_dev" },
	{ 0xffaafe79, "pci_disable_sriov" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0xabc1e259, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4f803e60, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa5d7b772, "__napi_schedule_irqoff" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xd7b10234, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa5d87eb, "pci_find_ext_capability" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x610b0c07, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x29442ae, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x307ead6c, "pci_enable_device_mem" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x6a5a421d, "pci_iomap" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x9a70d708, "pci_disable_msi" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xde276760, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2FEF5AEEE265B4E9395A23C");

MODULE_INFO(suserelease, "ALP-0.1");
