#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0xa3d0f3a3, "dev_kfree_skb_irq_reason" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe3feba56, "tasklet_unlock_spin_wait" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x6a5a421d, "pci_iomap" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x610b0c07, "skb_put" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x681f1d7c, "param_ops_charp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb19b445, "ioread8" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x92997ed8, "_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x156b54f8, "device_set_wakeup_enable" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x2de3dc67, "pci_iounmap" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xfd50df18, "mii_ethtool_set_link_ksettings" },
	{ 0x846ea8e5, "mii_ethtool_get_link_ksettings" },
	{ 0xcd22848c, "mii_link_ok" },
	{ 0x494cf3b, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe6fbd014, "generic_mii_ioctl" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001002bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001003bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001012bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv00001186sd00001040bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013F0d00000201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000013F0d00000200sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "438089FC010BAA00FE45081");

MODULE_INFO(suserelease, "ALP-0.1");
