#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5c81f9c3, "phy_stop" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x610b0c07, "skb_put" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0xfe3aa697, "netif_receive_skb" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x29442ae, "skb_tstamp_tx" },
	{ 0xb2fb0ed2, "__skb_pad" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa5536872, "napi_enable" },
	{ 0x1e17601b, "phy_start" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0x371d1953, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0x82670309, "__devm_request_region" },
	{ 0x64940b3e, "platform_get_irq" },
	{ 0x769e1d76, "devm_ioremap" },
	{ 0x5bf5222a, "dmam_alloc_attrs" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x25cb3734, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2345295e, "__mdiobus_register" },
	{ 0xa0466d8d, "phy_connect_direct" },
	{ 0xa6bd08d9, "phy_set_max_speed" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7825c551, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x1405c904, "phy_find_first" },
	{ 0x815588a6, "clk_enable" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x4d9810f, "phy_ethtool_nway_reset" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0xb3df9c6d, "ethtool_op_get_ts_info" },
	{ 0xde90af89, "phy_ethtool_get_link_ksettings" },
	{ 0xebb18642, "phy_ethtool_set_link_ksettings" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c93d754, "__platform_driver_register" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa62a0b2b, "phy_disconnect" },
	{ 0x74769b9a, "mdiobus_unregister" },
	{ 0xf84a804a, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xdcc625fb, "mdiobus_get_phy" },
	{ 0xdea9ddda, "phy_mii_ioctl" },
	{ 0xf1c52c17, "platform_driver_unregister" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x1ea0b5f8, "phy_print_status" },
	{ 0xd2396241, "napi_disable" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("of:N*T*Copencores,ethoc");
MODULE_ALIAS("of:N*T*Copencores,ethocC*");

MODULE_INFO(srcversion, "83AA2B7EBBFFAE9319D3EA3");

MODULE_INFO(suserelease, "ALP-0.1");
