#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x121f3196, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0x2a22c0a4, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0x0d50b79c, "_gpl");
SYMBOL_CRC(fun_bind, 0xb93e564d, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0x24feb90e, "");
SYMBOL_CRC(fun_release_irqs, 0x596f2f7d, "");
SYMBOL_CRC(fun_serv_stop, 0x2bf06288, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0xf8226c04, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0xb8ad6488, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0x575e50e5, "");
SYMBOL_CRC(fun_dev_enable, 0x24ece6ca, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0x7268a829, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0x0b11e3e6, "_gpl");
SYMBOL_CRC(fun_sq_create, 0xae7ee6d4, "_gpl");
SYMBOL_CRC(fun_cq_create, 0xa40f89cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1d69955, "pci_release_selected_regions" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x307ead6c, "pci_enable_device_mem" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x60f09718, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x1446db0, "pci_ioremap_bar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x82d07eca, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0xa45d315b, "sbitmap_prepare_to_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xfa31095d, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xd6a13ecc, "sbitmap_queue_clear" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x640911be, "__alloc_pages" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x25ae1f35, "sbitmap_finish_wait" },
	{ 0xab5f20df, "pcie_print_link_status" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xedd069a4, "__sbitmap_queue_get" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcf1d0175, "pci_msix_vec_count" },
	{ 0xd3ceb354, "pci_request_selected_regions" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B834C245229F619B0CF1B21");

MODULE_INFO(suserelease, "ALP-0.1");
