#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x18794a93, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x7344b6f3, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xa5f07207, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x9a9bdec1, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xeca04f42, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0xfc852522, "pcie_flr" },
	{ 0xa5536872, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xbb63511e, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc116c29a, "dcbnl_ieee_notify" },
	{ 0x61e11e38, "xsk_uses_need_wakeup" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0xf5ac205, "dev_mc_del" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xb6b6f231, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x1f6a9a3a, "netdev_dpll_pin_set" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xb0d67956, "netif_set_xps_queue" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42df352d, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xbd270922, "netif_tx_stop_all_queues" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x686cbe9f, "device_del" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x739696aa, "dcb_getapp" },
	{ 0xd6a50f9c, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xbf2dad4a, "flow_rule_match_ports" },
	{ 0xb9242302, "gnss_allocate_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6bccb964, "ptp_clock_event" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xb5e159d2, "netif_schedule_queue" },
	{ 0x640911be, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x1befa95a, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd29e9679, "flow_rule_match_ipv6_addrs" },
	{ 0x58f45d0e, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x618a2c06, "ptp_clock_unregister" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x4c9a633c, "xp_dma_unmap" },
	{ 0x38781eb4, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc8d339e5, "rhashtable_destroy" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xf4b093ad, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x396dee0c, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0xd25737f3, "__xa_insert" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0xf1ed20d4, "flow_rule_match_pppoe" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xc7f75729, "flow_rule_match_enc_control" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x50de5039, "__page_frag_cache_drain" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x77009fad, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xb4038389, "gnss_deregister_device" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x18984bde, "rps_may_expire_flow" },
	{ 0x43c7fc7b, "metadata_dst_free" },
	{ 0x8545bcdd, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaf8cd11b, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xefff07d4, "devlink_params_register" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xf2485224, "kthread_destroy_worker" },
	{ 0xa6404027, "flow_rule_match_enc_ipv6_addrs" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xda383661, "flow_rule_match_enc_ports" },
	{ 0xb9ac9123, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x8795cb89, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x13e4c67a, "xa_destroy" },
	{ 0xc36ec7a8, "call_netdevice_notifiers" },
	{ 0xb35f81b8, "xa_find" },
	{ 0xab5f20df, "pcie_print_link_status" },
	{ 0xb3f0e9ca, "xp_set_rxq_info" },
	{ 0x261b76d8, "flow_rule_match_vlan" },
	{ 0xef00008d, "xdp_rxq_info_unreg" },
	{ 0xb6f35a4d, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xaf6bdd92, "napi_build_skb" },
	{ 0x13a24664, "netdev_master_upper_dev_get_rcu" },
	{ 0x6a2bd183, "__xdp_rxq_info_reg" },
	{ 0xbf4d09e2, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x30f711c, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xa17c1cbe, "dpll_pin_register" },
	{ 0x563cad58, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x489954d1, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xc3aa5c06, "__hw_addr_sync_dev" },
	{ 0xd957f9e0, "devlink_port_register_with_ops" },
	{ 0xffaafe79, "pci_disable_sriov" },
	{ 0x651aca6d, "pldmfw_flash_image" },
	{ 0x99c5e33f, "kthread_queue_delayed_work" },
	{ 0x65132ad1, "metadata_dst_alloc" },
	{ 0xcb71f293, "dst_release" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0xc24d5439, "netdev_set_num_tc" },
	{ 0x2bd8bfe8, "dpll_device_register" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xfe58531e, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x31f930bd, "dev_uc_add_excl" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x7689cc6, "xp_free" },
	{ 0x2080689c, "dev_mc_add_excl" },
	{ 0x6220accb, "gnss_put_device" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x95c25395, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x183c745, "netif_set_tso_max_size" },
	{ 0x4f803e60, "__skb_flow_dissect" },
	{ 0xf6437fc0, "vlan_dev_vlan_id" },
	{ 0xecd871b2, "pci_msix_alloc_irq_at" },
	{ 0xf3836497, "xa_find_after" },
	{ 0xdd269f96, "pcim_iomap_table" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x40609e4f, "xdp_master_redirect" },
	{ 0x7e934208, "__devm_add_action" },
	{ 0x77979412, "dpll_pin_on_pin_register" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x5ee60a93, "napi_consume_skb" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0x978c0959, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xf3b8ca, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xe0b3d283, "single_open" },
	{ 0x2e48e8a6, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe8986ed5, "flow_rule_match_control" },
	{ 0x927374f4, "flow_rule_match_ip" },
	{ 0xd7b10234, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2e9c06dc, "dpll_device_get" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xfd1ae0e8, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb3df9c6d, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa265490, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe655f99a, "__tracepoint_xdp_exception" },
	{ 0x5f78ee75, "xsk_tx_completed" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0xd3106468, "netdev_lower_get_next" },
	{ 0x70d6a353, "flow_block_cb_lookup" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0xdc986b6d, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5c7bb347, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x156b54f8, "device_set_wakeup_enable" },
	{ 0xb2fb0ed2, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x25480f18, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa5d87eb, "pci_find_ext_capability" },
	{ 0x327efef, "kthread_create_worker" },
	{ 0xf64fa7bd, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x492e6b5e, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xeae6ce3b, "devlink_unregister" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x7e6c27af, "idr_find" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0x70648199, "kthread_cancel_delayed_work_sync" },
	{ 0x5113711f, "dpll_device_change_ntf" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xd07006, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x29442ae, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4036c307, "call_switchdev_notifiers" },
	{ 0xd69c3d15, "__napi_alloc_skb" },
	{ 0x554e4611, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8f2fc198, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0xf681f7ef, "auxiliary_device_init" },
	{ 0x307ead6c, "pci_enable_device_mem" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x5ea5950d, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0xc23e81ae, "flow_rule_match_l2tpv3" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x13b9f65c, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6d874e11, "xsk_tx_peek_release_desc_batch" },
	{ 0xa5fb0b99, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5bf5222a, "dmam_alloc_attrs" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xb7809365, "devl_lock" },
	{ 0x2b599ded, "pci_dev_put" },
	{ 0xdc171c2e, "xp_fill_cb" },
	{ 0x1f1aecf6, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3c8033ab, "ndo_dflt_bridge_getlink" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0xadd0c5f, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x76100adc, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xeffb6b91, "xdp_features_set_redirect_target" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xeef1f8b4, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x2acb7002, "dev_uc_del" },
	{ 0xf7370f56, "system_state" },
	{ 0x3f959bdc, "flow_rule_match_cvlan" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xebd69e83, "devlink_params_unregister" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0xe69f5f6f, "gnss_insert_raw" },
	{ 0xed7662bc, "pci_num_vf" },
	{ 0x4a447f0e, "flow_rule_match_eth_addrs" },
	{ 0x8eb0c998, "skb_add_rx_frag" },
	{ 0x1bb0705e, "get_device_system_crosststamp" },
	{ 0x9e0bb333, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xcc25611c, "ptp_clock_index" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2f7434ce, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e0e4b06, "devlink_alloc_ns" },
	{ 0x6dd7face, "devl_rate_leaf_destroy" },
	{ 0x62cf1e6c, "devlink_register" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x89739848, "xdp_do_redirect" },
	{ 0x4f2b1749, "devlink_free" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x47a37274, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xf18f8024, "devl_rate_node_create" },
	{ 0xde276760, "netdev_warn" },
	{ 0x808f971, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x67a8f7b6, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x68f7bbea, "devl_rate_nodes_destroy" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0x9591a174, "flow_rule_match_ipv4_addrs" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0x2fd6e9a8, "dpll_pin_on_pin_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x78fdf694, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0xf68b22c3, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xd6aed0ad, "devlink_flash_update_status_notify" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x309f81f6, "pci_restore_msi_state" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x9f64cebe, "xdp_return_buff" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xd635a603, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x8cd79f5c, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x140cfad2, "auxiliary_driver_unregister" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x99dd3bd2, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xee15cc82, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbcff57af, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x3d735329, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0x1af98032, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0x1de47b2b, "ipv6_skip_exthdr" },
	{ 0x5c194336, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x2f38e34f, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xddaba837, "__free_pages" },
	{ 0x60f29a3c, "netdev_dpll_pin_clear" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc2fb66b4, "__hw_addr_unsync_dev" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xf6867780, "napi_gro_receive" },
	{ 0xf2226c3d, "xdp_features_clear_redirect_target" },
	{ 0x1ea36366, "netdev_pick_tx" },
	{ 0x1b40885a, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9f1a5170, "xp_raw_get_dma" },
	{ 0xfd820350, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe49bcedb, "pci_iov_virtfn_devfn" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x69be827d, "xdp_rxq_info_is_reg" },
	{ 0xea2b9cda, "flow_rule_match_enc_opts" },
	{ 0x72bbd723, "flow_block_cb_setup_simple" },
	{ 0xae044824, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb815aef8, "flow_rule_match_basic" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc54dc22f, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x6aae9503, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfd9cf6d6, "devlink_region_create" },
	{ 0x5bc2476a, "__xa_alloc" },
	{ 0xf4d57362, "vlan_dev_real_dev" },
	{ 0xf43ac02b, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xce32995d, "devm_kmemdup" },
	{ 0xb3dc02a8, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf8d1c477, "devlink_port_unregister" },
	{ 0x34b02ef4, "devlink_flash_update_timeout_notify" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x8231185e, "init_net" },
	{ 0xb08a7120, "softnet_data" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6398658a, "xdp_return_frame" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x20bf11a6, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x40f0d8c5, "xp_dma_sync_for_cpu_slow" },
	{ 0x1a50a6b5, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8727726c, "netif_set_real_num_tx_queues" },
	{ 0x38901e36, "__auxiliary_device_add" },
	{ 0x32f588a5, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb912e93b, "xa_load" },
	{ 0xbf37a6fe, "netif_set_real_num_rx_queues" },
	{ 0xb8f819d5, "flow_indr_block_cb_alloc" },
	{ 0xb594d55, "pci_wait_for_pending_transaction" },
	{ 0xfb18bd99, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x9c828324, "pci_device_is_present" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "947D5B27A3B10D8976154B3");

MODULE_INFO(suserelease, "ALP-0.1");
