#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlx4_buf_alloc, 0xbc3bbe4c, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x87c37886, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xc3aff564, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x650ed618, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x22a84de0, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xbb37ef15, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0xfb419d80, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x0ad0a848, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x0fe0f497, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0xe7b404c7, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x69761774, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x13bf2e01, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xed2fd12c, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x6a5bb2ca, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x155f275b, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x35fe9262, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x4415b4ec, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x02d49cae, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x42ce48a6, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x8753eda7, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xe9e7825d, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xa5b0ee0d, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xce1f0427, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0xc07a531e, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x70ef3fde, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x56333368, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x105767bd, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xd1d9c6b8, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x55f5b81e, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x13714406, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xc422761a, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x4f9a947b, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x26238e55, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x8fcbb0ac, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x5d86c7c2, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x2f0e6f46, "");
SYMBOL_CRC(mlx4_test_async, 0xc146b6ed, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x50bbab23, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x18faf488, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xd33fdd06, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x2fb2dd84, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0xe6acb7f4, "");
SYMBOL_CRC(mlx4_assign_eq, 0x868c5e0f, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x078c1c6c, "");
SYMBOL_CRC(mlx4_release_eq, 0x33208e61, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x191dc39c, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x26b36b1b, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x114648da, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xe5b6a3ee, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x356e1448, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xc7d99cfe, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x259782a0, "");
SYMBOL_CRC(mlx4_wol_read, 0xf6b7fcd1, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x00573a07, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0xd4ade438, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x1554e5ab, "");
SYMBOL_CRC(set_phv_bit, 0x57bac216, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x23454bdf, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x2da4cb52, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xd9737674, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x519dbb38, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x239009c5, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xbef6862a, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x4f90742f, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xaddf3181, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x02bc0471, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x3f2ac759, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x51c6e829, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x8682efda, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x19221367, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x107cf313, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x9ebd27de, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x8e46ccc1, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x94f3815a, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xd1891348, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xc0e1198a, "");
SYMBOL_CRC(mlx4_read_clock, 0xd030b704, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x6ab8df14, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x4bf264b8, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x2fd05487, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x0f64c13d, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x76240ba8, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x8b962a93, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x18bd2ed1, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x0e94a738, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x53cc52c7, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xd12cffe4, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x456b5e6f, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xf08d54a2, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x6000315a, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xc914e8b3, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x17d62357, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x25aeaba0, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xc14a86f0, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x410f66b0, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x3bd11f01, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x410bb131, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x676e339b, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x1785dd47, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xf45aada3, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xdc90b55e, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xe115952b, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x5fcfcf53, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x98fe4d4e, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0xa5b93c5b, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x2646fba6, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0xaa99da0d, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x1bd2af2c, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xc7039ede, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x5e4c788e, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xec8dcef9, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x53cfd66d, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x030e3623, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x7ce5e680, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xa8b82bec, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x85554ec8, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x6d808ab0, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xeb4bbd05, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x7cb92f1f, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xb028f9d7, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x3e201e6e, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xf0a7e1c9, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xde7b76ab, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0xa3e1abee, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xa3985ed8, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x58904b08, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x0fdc4d6d, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xdc3e778c, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xf993d7d1, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xa4cd6d86, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x0e57ea34, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xe01713c8, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xddd1d8b4, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x0a42ea5c, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x42da587b, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x31c32a54, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xc54740b1, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x5be25762, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x9eeea804, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x8efcb1c0, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xcc834301, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x021d2b50, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xa47916e7, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0xae8d0c3e, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x0ca77d2f, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xbb55b6ba, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x1846a44d, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x536629cf, "");
SYMBOL_CRC(mlx4_get_module_info, 0xc2930c26, "");
SYMBOL_CRC(mlx4_max_tc, 0x5165585b, "");
SYMBOL_CRC(mlx4_put_qp, 0x8195017d, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x60dc4785, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x18842e5f, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xeff289e3, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xebdb1d1f, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x6edc9271, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xc6e9dbde, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x06ec3278, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x60337204, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xc60058de, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x4d9ca18b, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xe01025e8, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xcd37aa0e, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x1a247ea8, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0xb70e429a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f2b1749, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6c045967, "param_ops_byte" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x140cfad2, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x5832fb48, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xee15cc82, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x59e9dd35, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0xc94fee39, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x69edd4d1, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xddaba837, "__free_pages" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x25dc3dc9, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x9a1b1641, "radix_tree_delete" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe915fae4, "down_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x8231185e, "init_net" },
	{ 0x4a85cca8, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x38901e36, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x32a460e8, "down" },
	{ 0x70c773b8, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xad619d98, "devl_params_register" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0x686cbe9f, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x9cf14745, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x640911be, "__alloc_pages" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x84015e09, "atomic_notifier_call_chain" },
	{ 0x41e9ac4a, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x396dee0c, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x716f5083, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0x324c105e, "devl_assert_locked" },
	{ 0xab5f20df, "pcie_print_link_status" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0xe4efa734, "devl_port_unregister" },
	{ 0xfec3e024, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x489954d1, "devlink_priv" },
	{ 0xffaafe79, "pci_disable_sriov" },
	{ 0xabc1e259, "pci_disable_msix" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x95c25395, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xd7b10234, "pci_enable_sriov" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xebfc4cae, "pci_write_config_dword" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x6aa8c5cf, "device_remove_file" },
	{ 0x38dc4914, "dma_map_sg_attrs" },
	{ 0xf265449a, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5f1648b7, "pcie_capability_write_word" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3ac8c650, "devl_region_create" },
	{ 0xeae6ce3b, "devlink_unregister" },
	{ 0xe14d67e8, "dma_pool_create" },
	{ 0x9bb67cad, "radix_tree_insert" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf681f7ef, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x80ce561a, "devlink_region_snapshot_id_get" },
	{ 0xb7809365, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x28a59278, "radix_tree_lookup" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xbfc97bdc, "up" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xed7662bc, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e0e4b06, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x49925a88, "pci_sriov_get_totalvfs" },
	{ 0x62cf1e6c, "devlink_register" },
	{ 0xe1123dc2, "devlink_port_type_clear" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "39323AA1328A73160970E67");

MODULE_INFO(suserelease, "ALP-0.1");
