#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x3ef7637e, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x2bce23c1, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x569fd69b, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x882e4399, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x001d08a6, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x8d7f6e21, "");
SYMBOL_CRC(mlx5_cmd_check, 0xf38c1b7f, "");
SYMBOL_CRC(mlx5_cmd_do, 0x82e9349e, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xed05938b, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x06d127e6, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xec8501e7, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xdc0e458b, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x13bde678, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x0caf928c, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x714a6584, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x7558548f, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x207c8bdc, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x5567c65a, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xa26569b7, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xe45f075d, "");
SYMBOL_CRC(mlx5_eq_enable, 0x8056de3e, "");
SYMBOL_CRC(mlx5_eq_disable, 0x4c77f186, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xc676602c, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x39c82539, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x566186aa, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x55c14f36, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xba3ef2ea, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x8c5e725f, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xdda884f2, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xb369e409, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xe0342ceb, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xc6cb0ed0, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x08b427cd, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x5ea1f5ce, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x45f6a29f, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x7a245236, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x34aece85, "");
SYMBOL_CRC(mlx5_create_cq, 0x4b27e1ec, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xe1d703f3, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xfffdfe43, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x995a2e5e, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x19f68263, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xc34cff92, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xf9056c3e, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x427aa592, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x9d62da0c, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xca912b79, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x59cb11e6, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xba3b26c8, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xe491c8bf, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x1002d023, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xf2996d96, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xc237f514, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xd6edd957, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xb21cc1f3, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x73bcc19f, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xff5881ea, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xebc2820a, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x887d176e, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x24246857, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xc0ff9768, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xd6eac3f3, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xb85d9074, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x1c4460e2, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xaf9c6af1, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x93362523, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x92f12530, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xce52a92d, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xf646d083, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x4406c42b, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x4a08d9ec, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x0398a76c, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x670c42c9, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x8c356314, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x5ca52e2e, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x58cae843, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xdf7b7394, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xd7fb5706, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x64bb2208, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xce7329e4, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x4dac295c, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xb3f43c87, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x920a8dfd, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xc623fd65, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x23e31e49, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x9d47b6f6, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xb94eced6, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x6527eb94, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x9a1e06ef, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xc8ef8fae, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xebbf4797, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x7da9d002, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x228843de, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xf598681e, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x7c271b91, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x7f2cef5e, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x9fdc0641, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x728865f0, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x9c48bbba, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xf589a560, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x03b7a730, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x47e492c4, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x1e01978e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x70cce03f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x8c9050e1, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xac3d3e8a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x96c218da, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x04a8edde, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xfd682452, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x7005fa85, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x3e91569c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x7c7630aa, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x8bbffc2f, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x79ef713f, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xac18fcb9, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x0d8e7aab, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x9e356d0b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x946475be, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x41e0c110, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xebb457fc, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xf7d23680, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xe26e4ff5, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x5d096127, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xe54ead01, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xf592d0c7, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x26fb8d08, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xf437cc3e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x09910eb0, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xa332041c, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x51bbea0f, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x15c122f9, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x779c1144, "");
SYMBOL_CRC(mlx5_flow_table_id, 0x415dae5f, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x2204f0f5, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x126c5a8a, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xa470e5f7, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x613d1e9e, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xc773bded, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x92aac7fc, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x89f4c66f, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x3d0faa68, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x1bab9145, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x9fcb32bc, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xc7b4793a, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x4eb56670, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xff5b523c, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x3d910ed4, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xd4152727, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x365b2db4, "");
SYMBOL_CRC(mlx5_msix_free, 0xecba07ac, "");
SYMBOL_CRC(mlx5_fc_create, 0x65fee92e, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x20779a91, "");
SYMBOL_CRC(mlx5_fc_query, 0xf8fa2991, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xf508b6de, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xe36f0a4f, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xcb59779b, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xc12b7d68, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x54dee2f9, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x86a0b1fd, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x2d232675, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xbc79ccf0, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x53e9bc4a, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x5d195d2a, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x66ff0c66, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x92810f1a, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x6234c01c, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xd59c826a, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x5af9cdd8, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x57e93d10, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x886350c3, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x07d0e8b0, "");
SYMBOL_CRC(mlx5_notifier_register, 0x13449f4d, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x24f8f398, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xca8619ed, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x8e24b0a6, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x6064f4b5, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xaee32693, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x437fc5d6, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xd633b910, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x0a29e1ad, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x8ae0b9e6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0xe1ef93a7, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xa33d566e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xe7b7fa9e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x48fb2464, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x6bc6a03f, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xbcb52534, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x8000d235, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xc2d217fc, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xbb8f195a, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x291465f6, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x5730bdc8, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x3acd74ab, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0xb70e92a4, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0xcecb050c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x0c9ffe5b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x2ef52a60, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xfac59535, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xf5ba2a30, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xbe218669, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x4f179e83, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0xb0c6c266, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x0bf38ddf, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x94ef26fc, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xe991b5ae, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xb2f78a74, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x1f681071, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x1af18c6f, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xfe3d78e4, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xe084c2eb, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x194784cb, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x556ba58f, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x383158bc, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x1a066a5c, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x84bdbb7c, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x4fa4ed5b, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x7433c9f8, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x10a870e3, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xa748658f, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xf733ce83, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x713afc6d, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x6dedb528, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xbd4a693f, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x2b8ec61a, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x5738b524, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x903e05cb, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x1b2dc9eb, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x671c68af, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x83096b95, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xf3b5c91d, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x9b93314c, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x169fc145, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x0518a88f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42df352d, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0xd41d2c9b, "__inet6_lookup_established" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x686cbe9f, "device_del" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xb19b445, "ioread8" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x937ff5aa, "rhashtable_free_and_destroy" },
	{ 0x6b4f34bc, "page_pool_create" },
	{ 0x43628b2c, "skb_checksum" },
	{ 0x9cf14745, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xbf2dad4a, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x46d846c4, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd606180, "devl_resources_unregister" },
	{ 0x6bccb964, "ptp_clock_event" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0xb5e159d2, "netif_schedule_queue" },
	{ 0x640911be, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x6a9745ce, "devl_trap_groups_register" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5222aa39, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd29e9679, "flow_rule_match_ipv6_addrs" },
	{ 0x58f45d0e, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x84015e09, "atomic_notifier_call_chain" },
	{ 0x41e9ac4a, "devl_params_unregister" },
	{ 0x618a2c06, "ptp_clock_unregister" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x4c9a633c, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xc8d339e5, "rhashtable_destroy" },
	{ 0x53179ec7, "devlink_trap_report" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfe8dd747, "__neigh_event_send" },
	{ 0x6267d8d4, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x8d86a229, "down_write_trylock" },
	{ 0x3b018677, "dev_printk_emit" },
	{ 0xe86db549, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc5afa86e, "devl_traps_register" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x396dee0c, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x1b67b5bf, "__neigh_create" },
	{ 0xd25737f3, "__xa_insert" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xc7f75729, "flow_rule_match_enc_control" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x7a4c8735, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x18984bde, "rps_may_expire_flow" },
	{ 0x43c7fc7b, "metadata_dst_free" },
	{ 0x50c9e559, "blocking_notifier_chain_unregister" },
	{ 0x8545bcdd, "xsk_set_tx_need_wakeup" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaf8cd11b, "netdev_reset_tc" },
	{ 0x5cddbfe1, "neigh_destroy" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x716f5083, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x6818bf0e, "debugfs_create_x32" },
	{ 0xa6404027, "flow_rule_match_enc_ipv6_addrs" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xda383661, "flow_rule_match_enc_ports" },
	{ 0xb9ac9123, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x13e4c67a, "xa_destroy" },
	{ 0x68f4ad24, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0xb35f81b8, "xa_find" },
	{ 0x324c105e, "devl_assert_locked" },
	{ 0xab5f20df, "pcie_print_link_status" },
	{ 0xb3f0e9ca, "xp_set_rxq_info" },
	{ 0x261b76d8, "flow_rule_match_vlan" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0xe4efa734, "devl_port_unregister" },
	{ 0xef00008d, "xdp_rxq_info_unreg" },
	{ 0xef600cfa, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xfec3e024, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xaf6bdd92, "napi_build_skb" },
	{ 0x13a24664, "netdev_master_upper_dev_get_rcu" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x6a2bd183, "__xdp_rxq_info_reg" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x2b1fe0b8, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbf4d09e2, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf5c77cd4, "bpf_prog_inc" },
	{ 0x24cdea7e, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5ad18550, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0x30f711c, "seq_printf" },
	{ 0x43138985, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe04a8b3c, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x489954d1, "devlink_priv" },
	{ 0xd957f9e0, "devlink_port_register_with_ops" },
	{ 0xffaafe79, "pci_disable_sriov" },
	{ 0x65132ad1, "metadata_dst_alloc" },
	{ 0xcb71f293, "dst_release" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0xc24d5439, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xfe58531e, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb2eaafe4, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x77aba229, "seq_puts" },
	{ 0x7689cc6, "xp_free" },
	{ 0x316f68d6, "rhashtable_walk_next" },
	{ 0x9962a189, "page_pool_update_nid" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x95c25395, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x183c745, "netif_set_tso_max_size" },
	{ 0xf6437fc0, "vlan_dev_vlan_id" },
	{ 0x4f803e60, "__skb_flow_dissect" },
	{ 0xecd871b2, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc26a63ff, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xf3836497, "xa_find_after" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x40609e4f, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x2d0ef718, "xp_raw_get_data" },
	{ 0x1bd8ad1b, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xbdca4d93, "xa_set_mark" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x3909e6b7, "qdisc_reset" },
	{ 0x5ee60a93, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x978c0959, "xp_alloc_batch" },
	{ 0xabea1842, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xf3b8ca, "dcb_ieee_delapp" },
	{ 0x77e69709, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x1ba1c123, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x460f6edc, "debugfs_create_u8" },
	{ 0xe0b3d283, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xda45d902, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xe2e0cfd3, "idr_get_next_ul" },
	{ 0xebed02e, "skb_ext_add" },
	{ 0xc103c414, "pcie_bandwidth_available" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe8986ed5, "flow_rule_match_control" },
	{ 0x927374f4, "flow_rule_match_ip" },
	{ 0xd7b10234, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x5c0caa1d, "rhashtable_walk_exit" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xfd1ae0e8, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf1876a25, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf44f5d2e, "xsk_tx_release" },
	{ 0xa39df86e, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb836aec0, "pci_iov_get_pf_drvdata" },
	{ 0xebfc4cae, "pci_write_config_dword" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0xdb49dc67, "neigh_lookup" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x9871e6fc, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe655f99a, "__tracepoint_xdp_exception" },
	{ 0x3c32f704, "__inet_lookup_established" },
	{ 0x5f78ee75, "xsk_tx_completed" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0xd3106468, "netdev_lower_get_next" },
	{ 0x7a9ccb92, "secpath_set" },
	{ 0x70d6a353, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0xdc986b6d, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5c7bb347, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x17371bc5, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x8bc61e8e, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x602d2f88, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x25480f18, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf64fa7bd, "bpf_prog_put" },
	{ 0xf5877318, "page_pool_get_stats" },
	{ 0xdb8377cb, "down_timeout" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa471c7e6, "pci_cfg_access_unlock" },
	{ 0x492e6b5e, "xp_dma_map" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xeae6ce3b, "devlink_unregister" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0xe14d67e8, "dma_pool_create" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x9bb67cad, "radix_tree_insert" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcf1d0175, "pci_msix_vec_count" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x610b0c07, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x29442ae, "skb_tstamp_tx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4036c307, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xd69c3d15, "__napi_alloc_skb" },
	{ 0x554e4611, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe93f0c72, "register_fib_notifier" },
	{ 0xf681f7ef, "auxiliary_device_init" },
	{ 0xd601b619, "ip6_dst_hoplimit" },
	{ 0x51b3ef4b, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5ea5950d, "flow_rule_match_enc_ip" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0xb965f497, "pci_enable_atomic_ops_to_root" },
	{ 0x6fe4e653, "seq_release" },
	{ 0x6819d9c3, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5b0e31b4, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x623faef5, "xsk_clear_tx_need_wakeup" },
	{ 0xa97e6098, "udp4_hwcsum" },
	{ 0x48865049, "xa_get_mark" },
	{ 0xb7809365, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x1f1aecf6, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3c8033ab, "ndo_dflt_bridge_getlink" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x1539252, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0x28a59278, "radix_tree_lookup" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x6c464d6a, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xfe2f3a46, "register_netdevice_notifier_dev_net" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x23a6cb01, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x3f959bdc, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x2041fed2, "__xa_erase" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xbfc97bdc, "up" },
	{ 0x2b4c2f94, "refcount_dec_and_mutex_lock" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x4359f2b5, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xed7662bc, "pci_num_vf" },
	{ 0x5e6f7112, "debugfs_create_atomic_t" },
	{ 0x4a447f0e, "flow_rule_match_eth_addrs" },
	{ 0x8eb0c998, "skb_add_rx_frag" },
	{ 0x70b2bda2, "xfrm_state_check_expire" },
	{ 0x9e0bb333, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xcc25611c, "ptp_clock_index" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x38539737, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc154404, "flow_block_cb_free" },
	{ 0x456ebaa1, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2f7434ce, "xp_can_alloc" },
	{ 0xe43253f7, "psample_sample_packet" },
	{ 0xd91af242, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e0e4b06, "devlink_alloc_ns" },
	{ 0x6dd7face, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x49925a88, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x62cf1e6c, "devlink_register" },
	{ 0x433de314, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd1792ffc, "page_pool_destroy" },
	{ 0x89739848, "xdp_do_redirect" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x4f2b1749, "devlink_free" },
	{ 0xfe127c05, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x47a37274, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xde276760, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x808f971, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x68f7bbea, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0x9591a174, "flow_rule_match_ipv4_addrs" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0x8822092b, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xe7003433, "sock_gen_put" },
	{ 0x3894b7c0, "down_read_trylock" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbc6714aa, "blocking_notifier_chain_register" },
	{ 0xbab55129, "netdev_err" },
	{ 0xac555bd1, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4b356b60, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0xe91029b4, "netdev_port_same_parent_id" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xd635a603, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf2b3f5cd, "ptp_find_pin" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0xb8e2d65c, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xcd341475, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x140cfad2, "auxiliary_driver_unregister" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x35dbb76a, "devlink_port_attrs_pci_vf_set" },
	{ 0xee15cc82, "priv_to_devlink" },
	{ 0xf9f1484f, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xda08a10c, "vlan_dev_vlan_proto" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x59e9dd35, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc33ff55c, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0xc9ad87c2, "devlink_port_health_reporter_create" },
	{ 0xcf1500bb, "pcie_relaxed_ordering_enabled" },
	{ 0x5c194336, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x69edd4d1, "kmalloc_node_trace" },
	{ 0x5a290c88, "devlink_port_attrs_pci_pf_set" },
	{ 0x2f38e34f, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xddaba837, "__free_pages" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x78876305, "skb_vlan_pop" },
	{ 0xf6867780, "napi_gro_receive" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0xa131f041, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x1ea36366, "netdev_pick_tx" },
	{ 0x1b40885a, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9f1a5170, "xp_raw_get_dma" },
	{ 0xfd820350, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x69be827d, "xdp_rxq_info_is_reg" },
	{ 0xea2b9cda, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0xb2f68d73, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xef9b7f4c, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xf670f88d, "devl_health_reporter_create" },
	{ 0x72bbd723, "flow_block_cb_setup_simple" },
	{ 0xae044824, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb815aef8, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x668c4455, "unregister_netdevice_notifier_dev_net" },
	{ 0xdf3c1726, "pci_find_capability" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x3d2c97c5, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xe43c8ae3, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5bc2476a, "__xa_alloc" },
	{ 0xf4d57362, "vlan_dev_real_dev" },
	{ 0x9a1b1641, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb3dc02a8, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf8d1c477, "devlink_port_unregister" },
	{ 0x11e6e70e, "dev_get_port_parent_id" },
	{ 0xe915fae4, "down_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x8231185e, "init_net" },
	{ 0x4a85cca8, "up_write" },
	{ 0xb08a7120, "softnet_data" },
	{ 0xbaf695e4, "ipv6_stub" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6398658a, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0x20bf11a6, "ptp_clock_register" },
	{ 0xeb7a6989, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x40f0d8c5, "xp_dma_sync_for_cpu_slow" },
	{ 0x68aed499, "xsk_tx_peek_desc" },
	{ 0x1a50a6b5, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x6fedbcd9, "radix_tree_preloads" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x8727726c, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x38901e36, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb912e93b, "xa_load" },
	{ 0xded017e3, "irq_get_irq_data" },
	{ 0xde8cede0, "dev_remove_pack" },
	{ 0xbf37a6fe, "netif_set_real_num_rx_queues" },
	{ 0x32a460e8, "down" },
	{ 0x98582421, "dev_get_by_index" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0xb8f819d5, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa8c22ae0, "skb_store_bits" },
	{ 0x70c773b8, "devl_port_register_with_ops" },
	{ 0xf52b1425, "dev_get_by_index_rcu" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x2e2d687e, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4fe2ae1a, "pcie_capability_clear_and_set_word_locked" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0xa5536872, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xbb63511e, "xsk_clear_rx_need_wakeup" },
	{ 0x509ab49d, "unregister_netdevice_notifier_net" },
	{ 0x61e11e38, "xsk_uses_need_wakeup" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0x84cf330f, "unregister_fib_notifier" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x36a60419, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x504427ec, "debugfs_create_u64" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x61575f5a, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xad619d98, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x18cce0d3, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xb0d67956, "netif_set_xps_queue" },
	{ 0x846a4211, "__ethtool_get_link_ksettings" },
	{ 0x5e593901, "rhashtable_walk_stop" },
	{ 0xcf191255, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0B1FBD038DB77B036D6C69B");

MODULE_INFO(suserelease, "ALP-0.1");
