#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlxsw_core_port_driver_priv, 0x63874d4c, "");
SYMBOL_CRC(mlxsw_core_max_ports, 0x0ca34ccf, "");
SYMBOL_CRC(mlxsw_core_max_lag, 0xd21722b4, "");
SYMBOL_CRC(mlxsw_core_driver_priv, 0xbfb7df3c, "");
SYMBOL_CRC(mlxsw_core_fw_rev_minor_subminor_validate, 0xcbab836f, "");
SYMBOL_CRC(mlxsw_core_driver_register, 0xe9babd75, "");
SYMBOL_CRC(mlxsw_core_driver_unregister, 0x500cc313, "");
SYMBOL_CRC(mlxsw_core_bus_device_register, 0x3552084f, "");
SYMBOL_CRC(mlxsw_core_bus_device_unregister, 0x5cf3dd79, "");
SYMBOL_CRC(mlxsw_core_skb_transmit_busy, 0xac1074a5, "");
SYMBOL_CRC(mlxsw_core_skb_transmit, 0x1361ff0c, "");
SYMBOL_CRC(mlxsw_core_ptp_transmitted, 0xd774d109, "");
SYMBOL_CRC(mlxsw_core_rx_listener_register, 0xccc8e0aa, "");
SYMBOL_CRC(mlxsw_core_rx_listener_unregister, 0x112de7a4, "");
SYMBOL_CRC(mlxsw_core_event_listener_register, 0x7e08c6e0, "");
SYMBOL_CRC(mlxsw_core_event_listener_unregister, 0xd7a93413, "");
SYMBOL_CRC(mlxsw_core_trap_register, 0x2697030f, "");
SYMBOL_CRC(mlxsw_core_trap_unregister, 0xe3d5d57d, "");
SYMBOL_CRC(mlxsw_core_traps_register, 0x37203aaf, "");
SYMBOL_CRC(mlxsw_core_traps_unregister, 0xfb96e99c, "");
SYMBOL_CRC(mlxsw_core_trap_state_set, 0x1b9a69ec, "");
SYMBOL_CRC(mlxsw_reg_trans_query, 0x1cb8f858, "");
SYMBOL_CRC(mlxsw_reg_trans_write, 0xdc31781e, "");
SYMBOL_CRC(mlxsw_reg_trans_bulk_wait, 0x996c5d6d, "");
SYMBOL_CRC(mlxsw_core_irq_event_handler_register, 0xd111d3e8, "");
SYMBOL_CRC(mlxsw_core_irq_event_handler_unregister, 0x16f4221d, "");
SYMBOL_CRC(mlxsw_core_irq_event_handlers_call, 0xbda212df, "");
SYMBOL_CRC(mlxsw_reg_query, 0xa7765e88, "");
SYMBOL_CRC(mlxsw_reg_write, 0x8854d198, "");
SYMBOL_CRC(mlxsw_core_skb_receive, 0xac969803, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_set, 0xf82bdc70, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_get, 0x83fb69af, "");
SYMBOL_CRC(mlxsw_core_lag_mapping_clear, 0x75339042, "");
SYMBOL_CRC(mlxsw_core_res_valid, 0x8384a5da, "");
SYMBOL_CRC(mlxsw_core_res_get, 0x6f49e682, "");
SYMBOL_CRC(mlxsw_core_port_init, 0x508923e3, "");
SYMBOL_CRC(mlxsw_core_port_fini, 0x7b0bfeec, "");
SYMBOL_CRC(mlxsw_core_cpu_port_init, 0x23eddc68, "");
SYMBOL_CRC(mlxsw_core_cpu_port_fini, 0xff007c25, "");
SYMBOL_CRC(mlxsw_core_port_netdev_link, 0x1e822405, "");
SYMBOL_CRC(mlxsw_core_port_devlink_port_get, 0xcbb8c42a, "");
SYMBOL_CRC(mlxsw_cmd_exec, 0x484489a4, "");
SYMBOL_CRC(mlxsw_core_schedule_dw, 0x902c3533, "");
SYMBOL_CRC(mlxsw_core_schedule_work, 0xd71566b9, "");
SYMBOL_CRC(mlxsw_core_flush_owq, 0x19fa5852, "");
SYMBOL_CRC(mlxsw_core_kvd_sizes_get, 0x50359cc0, "");
SYMBOL_CRC(mlxsw_core_resources_query, 0xc530eb82, "");
SYMBOL_CRC(mlxsw_core_read_frc_h, 0x2c68ced3, "");
SYMBOL_CRC(mlxsw_core_read_frc_l, 0x77d83398, "");
SYMBOL_CRC(mlxsw_core_read_utc_sec, 0x0f4a209d, "");
SYMBOL_CRC(mlxsw_core_read_utc_nsec, 0x86817014, "");
SYMBOL_CRC(mlxsw_core_sdq_supports_cqe_v2, 0x5c73d5a4, "");
SYMBOL_CRC(mlxsw_afk_create, 0x94621adf, "");
SYMBOL_CRC(mlxsw_afk_destroy, 0x0e81c09c, "");
SYMBOL_CRC(mlxsw_afk_key_info_get, 0x2c53a96f, "");
SYMBOL_CRC(mlxsw_afk_key_info_put, 0x15801382, "");
SYMBOL_CRC(mlxsw_afk_key_info_subset, 0x3d279269, "");
SYMBOL_CRC(mlxsw_afk_key_info_block_encoding_get, 0x02dfd3d0, "");
SYMBOL_CRC(mlxsw_afk_key_info_blocks_count_get, 0x47041e4e, "");
SYMBOL_CRC(mlxsw_afk_values_add_u32, 0x7ded8b62, "");
SYMBOL_CRC(mlxsw_afk_values_add_buf, 0x6bc6adb7, "");
SYMBOL_CRC(mlxsw_afk_encode, 0x33e16dfa, "");
SYMBOL_CRC(mlxsw_afk_clear, 0xbc222a8d, "");
SYMBOL_CRC(mlxsw_afa_create, 0xd7e17798, "");
SYMBOL_CRC(mlxsw_afa_destroy, 0x9cbf026d, "");
SYMBOL_CRC(mlxsw_afa_block_create, 0x858c30d0, "");
SYMBOL_CRC(mlxsw_afa_block_destroy, 0x5ff17b5c, "");
SYMBOL_CRC(mlxsw_afa_block_commit, 0x618a30ab, "");
SYMBOL_CRC(mlxsw_afa_block_first_set, 0x829e8851, "");
SYMBOL_CRC(mlxsw_afa_block_cur_set, 0x202693f0, "");
SYMBOL_CRC(mlxsw_afa_block_first_kvdl_index, 0xdeb1dc2e, "");
SYMBOL_CRC(mlxsw_afa_block_activity_get, 0xe16986dd, "");
SYMBOL_CRC(mlxsw_afa_block_continue, 0xdc415cf1, "");
SYMBOL_CRC(mlxsw_afa_block_jump, 0x827a2f1f, "");
SYMBOL_CRC(mlxsw_afa_block_terminate, 0x43a9b87e, "");
SYMBOL_CRC(mlxsw_afa_cookie_lookup, 0xecab212a, "");
SYMBOL_CRC(mlxsw_afa_block_append_vlan_modify, 0x718d28f4, "");
SYMBOL_CRC(mlxsw_afa_block_append_drop, 0xe4d9ac5a, "");
SYMBOL_CRC(mlxsw_afa_block_append_trap, 0x07abcc0c, "");
SYMBOL_CRC(mlxsw_afa_block_append_trap_and_forward, 0xb6517b2e, "");
SYMBOL_CRC(mlxsw_afa_block_append_mirror, 0x1101e1ee, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_dsfield, 0x2f303cd3, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_dscp, 0x383bc49a, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_ecn, 0x0d0129fc, "");
SYMBOL_CRC(mlxsw_afa_block_append_qos_switch_prio, 0x65c7e645, "");
SYMBOL_CRC(mlxsw_afa_block_append_fwd, 0xff0b141d, "");
SYMBOL_CRC(mlxsw_afa_block_append_allocated_counter, 0xd28256cf, "");
SYMBOL_CRC(mlxsw_afa_block_append_counter, 0xa509fafd, "");
SYMBOL_CRC(mlxsw_afa_block_append_police, 0x49ec8a06, "");
SYMBOL_CRC(mlxsw_afa_block_append_fid_set, 0xe1860dde, "");
SYMBOL_CRC(mlxsw_afa_block_append_mcrouter, 0xd9f711ae, "");
SYMBOL_CRC(mlxsw_afa_block_append_ip, 0xd888ffb3, "");
SYMBOL_CRC(mlxsw_afa_block_append_l4port, 0xc5eacafe, "");
SYMBOL_CRC(mlxsw_afa_block_append_sampler, 0xa8e2509a, "");
SYMBOL_CRC(mlxsw_env_get_module_info, 0x81843fa5, "");
SYMBOL_CRC(mlxsw_env_get_module_eeprom, 0x73236f35, "");
SYMBOL_CRC(mlxsw_env_get_module_eeprom_by_page, 0x4866767a, "");
SYMBOL_CRC(mlxsw_env_reset_module, 0x84fc0708, "");
SYMBOL_CRC(mlxsw_env_get_module_power_mode, 0x4a558271, "");
SYMBOL_CRC(mlxsw_env_set_module_power_mode, 0x14d6ca2e, "");
SYMBOL_CRC(mlxsw_env_module_overheat_counter_get, 0x51b5769d, "");
SYMBOL_CRC(mlxsw_env_module_port_map, 0x6929f2b4, "");
SYMBOL_CRC(mlxsw_env_module_port_unmap, 0xb68e9fa8, "");
SYMBOL_CRC(mlxsw_env_module_port_up, 0x02815b77, "");
SYMBOL_CRC(mlxsw_env_module_port_down, 0xed2801d4, "");
SYMBOL_CRC(mlxsw_linecards_event_ops_register, 0x14e17bb4, "");
SYMBOL_CRC(mlxsw_linecards_event_ops_unregister, 0x4036254f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x273e5b3a, "thermal_zone_device_register_with_trips" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9cf14745, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd606180, "devl_resources_unregister" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb1baa71a, "devlink_linecard_provision_fail" },
	{ 0x892f9f04, "__SCT__tp_func_devlink_hwerr" },
	{ 0x41e9ac4a, "devl_params_unregister" },
	{ 0x7909186d, "devl_linecard_create" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0xc8d339e5, "rhashtable_destroy" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x396dee0c, "devl_unlock" },
	{ 0x995cef5a, "__tracepoint_devlink_hwmsg" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe4efa734, "devl_port_unregister" },
	{ 0xfec3e024, "devl_param_driverinit_value_get" },
	{ 0x168ff8a7, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x489954d1, "devlink_priv" },
	{ 0x619dc912, "skb_clone" },
	{ 0x6a9f4b96, "__tracepoint_devlink_hwerr" },
	{ 0xfe58531e, "hwmon_device_unregister" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x95c25395, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfbcdc032, "thermal_cooling_device_unregister" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x3cb0edd3, "devl_resource_occ_get_register" },
	{ 0xda45d902, "devl_register" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xcfad8495, "hwmon_device_register_with_groups" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x13d8fed0, "thermal_zone_device_unregister" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0xce7e7e0e, "thermal_zone_device_priv" },
	{ 0x602d2f88, "devl_unregister" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xeae6ce3b, "devlink_unregister" },
	{ 0x7e6c27af, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf681f7ef, "auxiliary_device_init" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5b0e31b4, "idr_alloc_u32" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xb7809365, "devl_lock" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xb69afbb0, "devlink_linecard_deactivate" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x9e0bb333, "devlink_port_attrs_set" },
	{ 0xb83d3e4d, "__SCK__tp_func_devlink_hwerr" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e0e4b06, "devlink_alloc_ns" },
	{ 0x62cf1e6c, "devlink_register" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x920b7f9a, "thermal_cooling_device_register" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4f2b1749, "devlink_free" },
	{ 0x47a37274, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x52aa85a9, "thermal_zone_unbind_cooling_device" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb10231e5, "thermal_zone_device_enable" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb8e2d65c, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x140cfad2, "auxiliary_driver_unregister" },
	{ 0xa0d81b76, "__SCT__tp_func_devlink_hwmsg" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xee15cc82, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0x606b4aba, "devlink_linecard_provision_set" },
	{ 0x1c0016c5, "devl_resource_occ_get_unregister" },
	{ 0xa916b694, "strnlen" },
	{ 0xafebcd07, "devlink_is_reload_failed" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x625c881f, "thermal_zone_bind_cooling_device" },
	{ 0xa54a2cba, "devlink_linecard_provision_clear" },
	{ 0xa131f041, "devl_resource_register" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xf670f88d, "devl_health_reporter_create" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xd420ce46, "devlink_port_linecard_set" },
	{ 0xfa6a9805, "devlink_linecard_nested_dl_set" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x8231185e, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x38901e36, "__auxiliary_device_add" },
	{ 0x70c773b8, "devl_port_register_with_ops" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xb7eab117, "devl_linecard_destroy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xad619d98, "devl_params_register" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbf4513c3, "devlink_linecard_activate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x686cbe9f, "device_del" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x4bfe9a81, "__SCK__tp_func_devlink_hwmsg" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mlxfw");

MODULE_ALIAS("auxiliary:mlxsw_core.lc");

MODULE_INFO(srcversion, "E752265568CFF91025A5888");

MODULE_INFO(suserelease, "ALP-0.1");
