#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ocelot_mact_learn, 0x54c238b7, "");
SYMBOL_CRC(ocelot_mact_forget, 0xea42db14, "");
SYMBOL_CRC(ocelot_mact_lookup, 0xfe6c0f69, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0xc68629fb, "");
SYMBOL_CRC(ocelot_pll5_init, 0xc0088650, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0xbeef1a5a, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x1ad41cd7, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x80959e13, "");
SYMBOL_CRC(ocelot_vlan_add, 0x39505555, "");
SYMBOL_CRC(ocelot_vlan_del, 0xd2a26438, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0xa59327ec, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0x7e8728c9, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0xd33bd270, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0xe6c6703b, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0xfdbfe315, "");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x2e666891, "");
SYMBOL_CRC(ocelot_can_inject, 0x786735be, "");
SYMBOL_CRC(ocelot_ifh_port_set, 0xd0ebefd9, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0x9955da4e, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0x618da093, "");
SYMBOL_CRC(ocelot_fdb_add, 0xdd6ba129, "");
SYMBOL_CRC(ocelot_fdb_del, 0xdbdd0ccd, "");
SYMBOL_CRC(ocelot_mact_flush, 0xabc1afe0, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0xd6731193, "");
SYMBOL_CRC(ocelot_bond_get_id, 0xc1252d35, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x17ff60df, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x2711f9d4, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0xeb917ad8, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0xfd9aa28b, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0xd91e6e06, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0xc2c09734, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0x69c44b84, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0xaefc5085, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0xc753cfd2, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0x9ff8ed78, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x1bb48d36, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0xe0b93b29, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0xa3487ddd, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x03f63102, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x2f3438f8, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x42d479f1, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x7e249f9b, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0x8567307b, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0x60ca838f, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0xe03572de, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x223033e8, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x1757748c, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0x6a2a398a, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x1f4e1c50, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0x5539c93b, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0x0c44bf61, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0x5567cdad, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0xcb77ea54, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x7fc4dfa3, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x22455f5f, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0xd654f660, "");
SYMBOL_CRC(ocelot_reset, 0x03205d36, "");
SYMBOL_CRC(ocelot_init, 0xac32bc21, "");
SYMBOL_CRC(ocelot_deinit, 0xa5d97bcb, "");
SYMBOL_CRC(ocelot_deinit_port, 0x1c12c917, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0x2847a9e1, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x6f547fe0, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0x2b4d2190, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x92a17341, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0x30260cac, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0x4d2b44d5, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0xcc998878, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0x780aaa80, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x36c471b8, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0xf57e3825, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0xa53e483b, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x43a244f3, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x64a47545, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0xe1797419, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0xa645caa6, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x384e977c, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x65c5d18d, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0xd35e91e0, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0x245c4690, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0x7496acc3, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x1a00a66c, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0x28cf8735, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0xa40c4c33, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x5987eeec, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0x9db71367, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0xcaee0092, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x4beff412, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0x1533f202, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x9e989fa7, "");
SYMBOL_CRC(ocelot_port_policer_del, 0x8c0fd686, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x7bb1c76a, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x4abe58d1, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x6ca481d3, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x3c41c579, "");
SYMBOL_CRC(ocelot_ptp_verify, 0xdbd91614, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x30ab069f, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x494aaf0b, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0xbdb4e3ba, "");
SYMBOL_CRC(ocelot_get_ts_info, 0x0c26791c, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0x405c9ddc, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xcc1eb44f, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x479bac9e, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0x0759be6c, "");
SYMBOL_CRC(ocelot_get_strings, 0x1d7e3327, "");
SYMBOL_CRC(ocelot_get_sset_count, 0x81e47ed0, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x2286b641, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xd344543d, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x0f61be11, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x8e06573a, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0xaca9a3c9, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x3ee30bb7, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0x176267e7, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0x3bd9701c, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0x111d0268, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x8120927a, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0x990c26b2, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0xf3db2729, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x947be301, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0xe5cf306a, "");
SYMBOL_CRC(ocelot_mrp_del, 0x88abc0d0, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0x2b32236a, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x820baa7a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9591a174, "flow_rule_match_ipv4_addrs" },
	{ 0x20ef8ac8, "regmap_field_update_bits_base" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb7dae00, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0xf2b3f5cd, "ptp_find_pin" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x751ef9c0, "ethtool_aggregate_pause_stats" },
	{ 0xe9d0805e, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1111eff7, "regmap_fields_read" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x9e76ce6b, "regmap_field_read" },
	{ 0x767dda68, "devm_regmap_field_alloc" },
	{ 0x3551bbc0, "ptp_classify_raw" },
	{ 0xb815aef8, "flow_rule_match_basic" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x20bf11a6, "ptp_clock_register" },
	{ 0x8727726c, "netif_set_real_num_tx_queues" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x517908f7, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xfe476a2f, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xbf2dad4a, "flow_rule_match_ports" },
	{ 0xbbf49266, "__devm_regmap_init_mmio_clk" },
	{ 0xfd595c45, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58f45d0e, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x618a2c06, "ptp_clock_unregister" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x7af80266, "of_phy_get" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x64920e4a, "phy_set_mode_ext" },
	{ 0xaf8cd11b, "netdev_reset_tc" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9511c187, "devm_ioremap_resource" },
	{ 0xd5106133, "ethtool_aggregate_rmon_stats" },
	{ 0x261b76d8, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6d4f211f, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x43138985, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc24d5439, "netdev_set_num_tc" },
	{ 0x54ab2ad8, "regmap_update_bits_base" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xb72e1ef, "devlink_sb_unregister" },
	{ 0xe8986ed5, "flow_rule_match_control" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x622df441, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x610b0c07, "skb_put" },
	{ 0x29442ae, "skb_tstamp_tx" },
	{ 0xd2f066af, "of_phy_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xab0aacd8, "skb_clone_sk" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xcddd7004, "regmap_fields_update_bits_base" },
	{ 0x4a447f0e, "flow_rule_match_eth_addrs" },
	{ 0xcc25611c, "ptp_clock_index" },
	{ 0xdd268bb, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "204625A76B0F7E0467C7CC4");

MODULE_INFO(suserelease, "ALP-0.1");
