#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ipvlan_count_rx, 0x25690b56, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xc5ad2c11, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x9c8a7b23, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xd911ec68, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x9349ab88, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89abf5, "eth_header_parse" },
	{ 0xe47a1770, "netdev_rx_handler_unregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xeee9022f, "eth_header_cache_update" },
	{ 0x84ec7283, "nf_register_net_hooks" },
	{ 0x3bd14ba3, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x8b63d0cf, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x729a96c9, "netif_stacked_transfer_operstate" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0xd50f677f, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf097f381, "ns_capable" },
	{ 0xbd26d09e, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0x846a4211, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6f8849d5, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x10fa4997, "vlan_vid_add" },
	{ 0xc36ec7a8, "call_netdevice_notifiers" },
	{ 0x6d0d79bd, "vlan_vid_del" },
	{ 0x992b5420, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x619dc912, "skb_clone" },
	{ 0xcb71f293, "dst_release" },
	{ 0x9802c3e0, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x66ddef6c, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xa15d3757, "dev_mc_unsync" },
	{ 0x7d956585, "dev_change_flags" },
	{ 0x91ab5d96, "netdev_core_stats_inc" },
	{ 0x7098f0be, "dev_forward_skb" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0xbc4b59b2, "__do_once_done" },
	{ 0x71d1d3f0, "ip6_route_input_lookup" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x9ed9cc40, "dev_pre_changeaddr_notify" },
	{ 0xda83376a, "dev_mc_sync" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0x2f3b0840, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x51b3ef4b, "netdev_update_features" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xcc92f6ed, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x24e390d8, "dev_uc_sync" },
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0x82cce1c8, "netif_inherit_tso_max" },
	{ 0xb64b066, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3f1c3346, "dev_uc_unsync" },
	{ 0x7a730f35, "ether_setup" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd7133732, "netdev_upper_dev_link" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D823DC1F35A7669BA92EB5D");

MODULE_INFO(suserelease, "ALP-0.1");
