#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macsec_pn_wrapped, 0x9016dc55, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x53e2f521, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xcbfc8ff8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x173b9494, "linkwatch_fire_event" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x9802c3e0, "netdev_rx_handler_register" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xf426d754, "skb_copy" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x610b0c07, "skb_put" },
	{ 0x478fce5e, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x5507ce36, "skb_to_sgvec" },
	{ 0xd2d01436, "crypto_aead_encrypt" },
	{ 0x1d7e311a, "skb_copy_expand" },
	{ 0xcb71f293, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x619dc912, "skb_clone" },
	{ 0x409955c6, "__netif_rx" },
	{ 0x484e9d03, "crypto_aead_decrypt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe47a1770, "netdev_rx_handler_unregister" },
	{ 0x8e6896bd, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xa15d3757, "dev_mc_unsync" },
	{ 0x3f1c3346, "dev_uc_unsync" },
	{ 0x2acb7002, "dev_uc_del" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9eeedd3e, "dev_uc_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa1073230, "genlmsg_put" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0xf6b0512a, "genl_register_family" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x16d10432, "crypto_alloc_aead" },
	{ 0x70f0b35f, "crypto_aead_setkey" },
	{ 0xa031b3f5, "crypto_aead_setauthsize" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x38539737, "___pskb_trim" },
	{ 0x7a730f35, "ether_setup" },
	{ 0x43c7fc7b, "metadata_dst_free" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xda83376a, "dev_mc_sync" },
	{ 0x24e390d8, "dev_uc_sync" },
	{ 0x992b5420, "dev_set_allmulti" },
	{ 0xf4b7c6e8, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xebccce8c, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1e228faa, "gro_cells_init" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0xe17fb1a3, "gro_cells_receive" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0xd7133732, "netdev_upper_dev_link" },
	{ 0xd50f677f, "netdev_upper_dev_unlink" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0x65132ad1, "metadata_dst_alloc" },
	{ 0x729a96c9, "netif_stacked_transfer_operstate" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "458C6D04F7AB9ADBB5E3D80");

MODULE_INFO(suserelease, "ALP-0.1");
