#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82243eef, "phy_modify_paged" },
	{ 0xd668fea2, "__mdiobus_read" },
	{ 0x4ef57dc2, "phy_select_page" },
	{ 0x15f2125f, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xade278b9, "phy_restore_page" },
	{ 0xb2bb6ee, "phy_write_paged" },
	{ 0xe01b3d29, "mdiobus_read" },
	{ 0x53eb709d, "phy_modify" },
	{ 0x5ee132b1, "genphy_soft_reset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd05185e8, "ethnl_cable_test_pulse" },
	{ 0x17142dee, "ethnl_cable_test_step" },
	{ 0xb7ef8d6d, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x3e411ace, "sfp_select_interface" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8281c719, "phy_save_page" },
	{ 0x110f413, "phy_trigger_machine" },
	{ 0x5db3c12, "phy_error" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf0754027, "devm_hwmon_device_register_with_info" },
	{ 0x8d660db2, "phy_drivers_unregister" },
	{ 0x63adfd2f, "mdiobus_write" },
	{ 0x4848b4d0, "genphy_c45_ethtool_get_eee" },
	{ 0x16eb6839, "phy_config_aneg" },
	{ 0xb91a3ec9, "phy_sfp_probe" },
	{ 0xde2897c7, "genphy_read_lpa" },
	{ 0x2d81ca8e, "phy_resolve_aneg_pause" },
	{ 0xd13e05eb, "genphy_update_link" },
	{ 0x52611551, "genphy_read_status_fixed" },
	{ 0x5e6a1b2, "genphy_suspend" },
	{ 0x577cda43, "genphy_resume" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5344ec2, "phy_modify_changed" },
	{ 0x5de0625b, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xf5dfe9cf, "genphy_check_and_restart_aneg" },
	{ 0xbead581b, "genphy_setup_forced" },
	{ 0x3ac0b160, "phy_modify_paged_changed" },
	{ 0x59c24485, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xed17a992, "ethnl_cable_test_result" },
	{ 0x9b05add5, "ethnl_cable_test_fault_length" },
	{ 0x3485a0ca, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45b0cdf6, "phy_drivers_register" },
	{ 0x13ac98bb, "phy_read_paged" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "A34A5C7054A031590BAEE22");

MODULE_INFO(suserelease, "ALP-0.1");
