#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tap_del_queues, 0xb62981e4, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xeefafe50, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x75faee5f, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xb148a3df, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x8271f1d2, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x70643265, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x75b553cf, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xaa155b6b, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x258aca0e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbab55129, "netdev_err" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xce5588b6, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb192e312, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xbda36c7, "cdev_init" },
	{ 0xf6a011d3, "cdev_add" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7e6c27af, "idr_find" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xc8e5145f, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x24c20235, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd84d0759, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x38675654, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0x27a6eb8d, "_copy_to_iter" },
	{ 0x70dee27, "finish_wait" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x838faba8, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x3c7ec025, "__skb_gso_segment" },
	{ 0x9c7249bd, "__skb_get_hash" },
	{ 0x3d735329, "skb_checksum_help" },
	{ 0x3b395a14, "kfree_skb_list_reason" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x4f803e60, "__skb_flow_dissect" },
	{ 0xbc96712, "skb_partial_csum_set" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x50b0d97a, "iov_iter_npages" },
	{ 0xe058c5bc, "sock_alloc_send_pskb" },
	{ 0x610b0c07, "skb_put" },
	{ 0x22a809d, "zerocopy_sg_from_iter" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x4c7af131, "skb_copy_datagram_from_iter" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x195dae1, "build_skb" },
	{ 0x7f71c733, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "178A457882DA8678BC6D6E1");

MODULE_INFO(suserelease, "ALP-0.1");
