#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xdcd35b13, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xd2c89a95, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8e5145f, "sock_init_data_uid" },
	{ 0x24c20235, "sk_free" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x9b9ab8a8, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x89ea5c6, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x29442ae, "skb_tstamp_tx" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xa0c0b755, "skb_copy_ubufs" },
	{ 0xdd10aede, "__skb_get_hash_symmetric" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x38539737, "___pskb_trim" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0xd2396241, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xef00008d, "xdp_rxq_info_unreg" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0x91a2f9da, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x30f711c, "seq_printf" },
	{ 0x89739848, "xdp_do_redirect" },
	{ 0x1f1aecf6, "bpf_warn_invalid_xdp_action" },
	{ 0xe655f99a, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x2d54fe5c, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x1539252, "xdp_convert_zc_to_xdp_frame" },
	{ 0x8727726c, "netif_set_real_num_tx_queues" },
	{ 0xbf37a6fe, "netif_set_real_num_rx_queues" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0x78fdf694, "netdev_state_change" },
	{ 0x195dae1, "build_skb" },
	{ 0x610b0c07, "skb_put" },
	{ 0x5657e91c, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x27a6eb8d, "_copy_to_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x838faba8, "iov_iter_advance" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbab55129, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb6279ba7, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x4f803e60, "__skb_flow_dissect" },
	{ 0xbc96712, "skb_partial_csum_set" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x69be827d, "xdp_rxq_info_is_reg" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0xa9c4e5cb, "sk_attach_filter" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x6a2bd183, "__xdp_rxq_info_reg" },
	{ 0xd635a603, "xdp_rxq_info_reg_mem_model" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0xa5536872, "napi_enable" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf097f381, "ns_capable" },
	{ 0x1d49349e, "get_net_ns" },
	{ 0xd4cf01b4, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x5b7e6acc, "make_kgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb8f51180, "__dev_get_by_name" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xfbc36f48, "alloc_netdev_mqs" },
	{ 0xef76bff8, "ip_tunnel_header_ops" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x5b236031, "sk_detach_filter" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0x703bec8e, "init_user_ns" },
	{ 0x7e1c322f, "from_kuid" },
	{ 0x38675654, "dev_get_mac_address" },
	{ 0xd84d0759, "dev_set_mac_address_user" },
	{ 0x51b3ef4b, "netdev_update_features" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x7a730f35, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xc36ec7a8, "call_netdevice_notifiers" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2e119b90, "from_kgid" },
	{ 0x82209cbf, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdaf1844a, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x40609e4f, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x50b0d97a, "iov_iter_npages" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xe058c5bc, "sock_alloc_send_pskb" },
	{ 0x22a809d, "zerocopy_sg_from_iter" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x4c7af131, "skb_copy_datagram_from_iter" },
	{ 0xfa3eecc4, "do_xdp_generic" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0xb2f0bccc, "napi_get_frags" },
	{ 0x5cbf6377, "iov_iter_single_seg_count" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xfd820350, "eth_get_headlen" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x92f08eac, "napi_gro_frags" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0x50de5039, "__page_frag_cache_drain" },
	{ 0x36bfded4, "passthru_features_check" },
	{ 0x5b208aea, "eth_mac_addr" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0xb3df9c6d, "ethtool_op_get_ts_info" },
	{ 0x42df352d, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdab39dd0, "fasync_helper" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x7655eef, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1e32af00, "netdev_info" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfe3aa697, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xec05f4ce, "from_kgid_munged" },
	{ 0x744f0ee3, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1a0779c1, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x358fc257, "dev_get_tstats64" },
	{ 0xbd270922, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x628c1d9d, "bpf_prog_get_type_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0x50d81800, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7a9edae6, "misc_deregister" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6398658a, "xdp_return_frame" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x2caaa47f, "__wake_up_sync_key" },
	{ 0xaacc87d7, "kill_fasync" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf6867780, "napi_gro_receive" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0xf64fa7bd, "bpf_prog_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x91ab5d96, "netdev_core_stats_inc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "42946F88AD4D60DF3AC6805");

MODULE_INFO(suserelease, "ALP-0.1");
