#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usbnet_get_endpoints, 0xb1c4de11, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x285c25b1, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x27ba56fd, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xd7eaedac, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x9fe406af, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xee607e0b, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xaa2b5ba5, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x62ac5afe, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x3a14a26f, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xab1db7fa, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xadf242a7, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x1a5d1f85, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x0af003fd, "_gpl");
SYMBOL_CRC(usbnet_open, 0xda20ae1e, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x5b84031f, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x24ea7045, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xb6bad13f, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x90b75da2, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xbd84ffe4, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xab03462d, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xff7e4539, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xfb5d71a5, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x05695c1e, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x7adf3022, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xd0337d63, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xc04f6516, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x495b99d3, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x780c7162, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x32135a56, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x73acd148, "");
SYMBOL_CRC(usbnet_manage_power, 0x6254d0a9, "");
SYMBOL_CRC(usbnet_link_change, 0x39e3bd11, "");
SYMBOL_CRC(usbnet_read_cmd, 0xd71cd310, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x84730e4f, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xb9f47391, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x3240ce1f, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x16e2396c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcdaeb160, "usb_set_interface" },
	{ 0x5a6b3a47, "usb_string" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x58eb47e6, "usb_get_urb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xf28efaf6, "usb_unlink_urb" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0xbab55129, "netdev_err" },
	{ 0x846ea8e5, "mii_ethtool_get_link_ksettings" },
	{ 0xfd50df18, "mii_ethtool_set_link_ksettings" },
	{ 0x494cf3b, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xdc57f58, "usb_get_from_anchor" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x1e32af00, "netdev_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x308734fa, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4110c274, "usb_autopm_get_interface" },
	{ 0x207145de, "usb_autopm_put_interface" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xcd22848c, "mii_link_ok" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0x6cb630b2, "usb_autopm_put_interface_async" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0xae0e8650, "usb_check_bulk_endpoints" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1d785fc9, "usb_autopm_get_interface_async" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x29442ae, "skb_tstamp_tx" },
	{ 0xbd3a3f19, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb192e312, "__wake_up" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x8c78d2ce, "usb_autopm_get_interface_no_resume" },
	{ 0x610b0c07, "skb_put" },
	{ 0x4eac8ab9, "usb_clear_halt" },
	{ 0x5b208aea, "eth_mac_addr" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x358fc257, "dev_get_tstats64" },
	{ 0xb3df9c6d, "ethtool_op_get_ts_info" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "52D9376E758B004E2D285ED");

MODULE_INFO(suserelease, "ALP-0.1");
