#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vxlan_fdb_find_uc, 0xc47ea7a1, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x7ecdb276, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xb9800795, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x038edf91, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0x42a91f70, "nexthop_find_by_id" },
	{ 0xc8422798, "arp_create" },
	{ 0x846a4211, "__ethtool_get_link_ksettings" },
	{ 0xf8ec4a7b, "netdev_adjacent_change_prepare" },
	{ 0x4d01d6c6, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x937ff5aa, "rhashtable_free_and_destroy" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0xb1febab9, "netdev_adjacent_change_abort" },
	{ 0x761ff712, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6dc9aaa2, "__iptunnel_pull_header" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x358fc257, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xc8d339e5, "rhashtable_destroy" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x76fdef71, "setup_udp_tunnel_sock" },
	{ 0x8afd7df7, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6f8849d5, "skb_scrub_packet" },
	{ 0x34fe8a9b, "nexthop_select_path" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x43c7fc7b, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5cddbfe1, "neigh_destroy" },
	{ 0x1dff388, "dst_cache_get_ip6" },
	{ 0x4411145d, "dst_cache_get_ip4" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xc1fad1d0, "udp_tun_rx_dst" },
	{ 0x851e4bc9, "dst_cache_set_ip6" },
	{ 0x835b71f1, "rtnl_notify" },
	{ 0x9dc5669, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x409955c6, "__netif_rx" },
	{ 0x619dc912, "skb_clone" },
	{ 0x65132ad1, "metadata_dst_alloc" },
	{ 0xcb71f293, "dst_release" },
	{ 0x43158f82, "unregister_nexthop_notifier" },
	{ 0xb2eaafe4, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd9d718e8, "udp_tunnel_notify_del_rx_port" },
	{ 0x7675c36e, "register_nexthop_notifier" },
	{ 0x8af28f88, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x943f3635, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x91ab5d96, "netdev_core_stats_inc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0xdb49dc67, "neigh_lookup" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x847f454c, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xac606f65, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0xff7d79a3, "__nlmsg_put" },
	{ 0x7bc85973, "netdev_adjacent_change_commit" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x5b208aea, "eth_mac_addr" },
	{ 0x610b0c07, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4036c307, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd601b619, "ip6_dst_hoplimit" },
	{ 0xaf9817ee, "param_ops_ushort" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xb0f402b7, "udp_sock_create4" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xfb4b1c2f, "dst_cache_set_ip4" },
	{ 0x7d4739ce, "udp_tunnel6_xmit_skb" },
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x82cce1c8, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x47a37274, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x1e228faa, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb4de40d4, "rtnl_create_link" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb5b524f4, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x7a730f35, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98b0b825, "udp_tunnel_drop_rx_port" },
	{ 0xd7133732, "netdev_upper_dev_link" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x1993f23a, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xca2a83ee, "eth_gro_complete" },
	{ 0x9214d3ca, "rtnl_set_sk_err" },
	{ 0xd3f248ce, "eth_gro_receive" },
	{ 0x5efa66d5, "rtnl_configure_link" },
	{ 0x73b06f15, "skb_tunnel_check_pmtu" },
	{ 0xde8f5d3b, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x12b17e7f, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0x9c7249bd, "__skb_get_hash" },
	{ 0xbaf695e4, "ipv6_stub" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x466d533, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf52b1425, "dev_get_by_index_rcu" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0xe17fb1a3, "gro_cells_receive" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xd50f677f, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xa08c7c64, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x4c666cec, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "B2FD6BE8AA7161956B431C8");

MODULE_INFO(suserelease, "ALP-0.1");
