#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a992743, "mutex_lock" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9d974900, "orinoco_if_del" },
	{ 0x649944ac, "wiphy_unregister" },
	{ 0xca88d42, "free_orinocodev" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc4016908, "orinoco_process_xmit_skb" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x308734fa, "usb_control_msg" },
	{ 0x502f4cff, "alloc_orinocodev" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0xb386809f, "orinoco_init" },
	{ 0x411b58b0, "orinoco_if_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2edd00b9, "orinoco_open" },
	{ 0x6146d041, "orinoco_stop" },
	{ 0x6a03d24d, "orinoco_set_multicast_list" },
	{ 0x5b208aea, "eth_mac_addr" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x5f96fa49, "orinoco_change_mtu" },
	{ 0x9e0dcb20, "orinoco_tx_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x56470118, "__warn_printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9ea59272, "try_wait_for_completion" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x37a0cba, "kfree" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xe428650, "__orinoco_ev_info" },
	{ 0xadc02585, "__orinoco_ev_rx" },
	{ 0xf28efaf6, "usb_unlink_urb" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore,orinoco,cfg80211");

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DBB96B4E0FE3747A1B8B1B6");

MODULE_INFO(suserelease, "ALP-0.1");
