#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x54a1212a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x13ab86c0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x8214086e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0xaf29699b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x1f382971, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0x31ddb77b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0xec96f337, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0xa4b84628, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0xc543eda3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x79acb426, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0xd354b292, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0x08760d83, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0x16f2f4dc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0xb5394dd0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0x2f1f7619, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x1297b45d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0x40793f4e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0x3e9c1e6c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0xff8f1010, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_he_tlv_v2, 0x8d1624da, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_v2, 0x2a1620c5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x43470c15, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x11f5be9e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0x8e73888e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0xfae9f6f5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x3087d142, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0x8c72592a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0xeca314fc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x33b6d4d8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x0b60430e, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0x7afb0b0c, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x3b2a70cb, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0xc71a80ba, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x0d3a54e4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0xf507dcf9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0x77d93bc9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x64948d1d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x19673570, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0x4f272553, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0xb4513857, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x388c5206, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0x94ed95fd, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0x813cdcbf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x0e5ff37b, "_gpl");
SYMBOL_CRC(mt76_connac_get_ch_power, 0xdaa65b78, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0xba307140, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x241bc195, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0xbfa05e9f, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0xdc5f36b1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_gtk_rekey, 0x6857a147, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_mode, 0x78607a77, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_wow_ctrl, 0xac62fc1a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0xb42d7479, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0xa14a267e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0x36099b6c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0xdf621b3c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0x6caf7239, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x9d04b4e6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0x95df7679, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0xf51b0cff, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0xa8717ff6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x3ca71db0, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0x4c386a2a, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0x39b495ac, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x1e8eaf39, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0xf986e66f, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x6e75ab40, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0xdbc0843f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0x78496501, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0x0c593924, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0x710c6fb8, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0xde336edf, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x63ecc79d, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0xd6ea17f5, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0x1f623942, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0x263e1833, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0x997fa461, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0xc6d7a0d8, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0xdbf671fb, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x38714c8d, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0x79ed1e0b, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x0550e446, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x7a951f95, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0x22f9e044, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x94256b50, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8cc2388, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc2f2e769, "mt76_tx_status_skb_get" },
	{ 0x3957f2fb, "mt76_tx_status_lock" },
	{ 0x70dee27, "finish_wait" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x69a49643, "mt76_get_rate" },
	{ 0x6200cd1d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8c267d0d, "ieee80211_beacon_loss" },
	{ 0x873fc8e1, "__mt76_tx_complete_skb" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x5c40ea45, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x7127add9, "ieee80211_find_sta" },
	{ 0x763673fa, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd9d063c3, "mt76_tx" },
	{ 0x6e2f408a, "idr_get_next" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x25b2aa50, "mt76_init_queue" },
	{ 0xc288e7d2, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa057bad7, "skb_pull" },
	{ 0xe9a8739, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x3bbf5699, "ieee80211_wake_queues" },
	{ 0x58d71aed, "mt76_mcu_send_and_get_msg" },
	{ 0x86c89313, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d6f0d4c, "__mt76_mcu_msg_alloc" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x6a0a43f2, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfa54ab2, "ieee80211_stop_queues" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x43e24dba, "mt76_get_rate_power_limits" },
	{ 0xa1d9d1eb, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40ded16e, "mt76_get_sar_power" },
	{ 0x6050460e, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "550E624516452AD632BA029");

MODULE_INFO(suserelease, "ALP-0.1");
