#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76_set_irq_mask, 0x5aa71bad, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x70e3c213, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xe947717c, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x1b193a03, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x78c54384, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0xc82534a7, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0xbfbdbaa9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xb53677bb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xd060ea85, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x73254c3b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0xf7ad39ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x6188e48c, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x6050460e, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0xdee5c3e3, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xe5515a02, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0xe950d466, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xdba627ec, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xe9f005df, "_gpl");
SYMBOL_CRC(mt76_dma_wed_reset, 0x1097d272, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x6b0d0372, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x28aa7b7a, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x40ab7f02, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x9ccfac1b, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x52a3fc87, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x3fa57eee, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x18748c13, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x5553b7a9, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x95138172, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xbcebddcb, "_gpl");
SYMBOL_CRC(mt76_rx, 0x9d5c46a8, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xb7470bfe, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x65fab216, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xba6aa6f2, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x438f72fb, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x2b0fe7b0, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xdf8b8558, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x0cb7efd1, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xfa4bcf48, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0xbed1fd1d, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x8b330c8a, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x665783c7, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x2953636b, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x8cd4213b, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x5bc4fd43, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x40ded16e, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x2b8ef08b, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xb39b72c3, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x6d19e7f3, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x5aa4f38e, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x69a49643, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xfd6beb64, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xa764dd65, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x7f58c23b, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x25b2aa50, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x763673fa, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x8bf6e780, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x74efa527, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x8367a25f, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x8cbe727f, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x245135db, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0x9f32f501, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0xdd9b7cb2, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xde0720e5, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0xf13b6174, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x13f92fc3, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x43e24dba, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xe1182bfe, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x06fcd3c0, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x3957f2fb, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x08cc2388, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xc288e7d2, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x635a0e40, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xc2f2e769, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x2d30ae2c, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x873fc8e1, "_gpl");
SYMBOL_CRC(mt76_tx, 0xd9d063c3, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x3231ab73, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x13bf3c99, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xd69ee897, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xfbbb03e6, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x53edc7b9, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xa9480924, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x5fbc99c6, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xa0451171, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x79550fc1, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x25d83ff0, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0xd63a6774, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xbf7a848a, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x3a7c65c7, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xa3cab538, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x33d420f1, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x4d6f0d4c, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x3c1653a6, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xda2ef7a0, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x58d71aed, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x0e9a8739, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x6a0a43f2, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0xcb7bc2bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1af3f96, "debugfs_create_blob" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd1792ffc, "page_pool_destroy" },
	{ 0x953a31c2, "ieee80211_register_hw" },
	{ 0xe96d1ea7, "led_classdev_unregister" },
	{ 0xd3628f21, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf23aede8, "ieee80211_sta_eosp" },
	{ 0x5c40ea45, "ieee80211_get_hdrlen_from_skb" },
	{ 0xb192e312, "__wake_up" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0x9d563ef8, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa1060e6e, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x1ba1160f, "ieee80211_get_tx_rates" },
	{ 0xa68585b8, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x95cc4b71, "ieee80211_sta_uapsd_trigger" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x41e24c06, "debugfs_create_devm_seqfile" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x6e2f408a, "idr_get_next" },
	{ 0xcb4562a6, "pci_disable_link_state" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xf6867780, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0xd67b76e0, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0xce32995d, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x3e1121e6, "debugfs_create_file_unsafe" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0xceff0ca9, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8aef8ced, "ieee80211_find_sta_by_ifaddr" },
	{ 0xc626c758, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4fe2ae1a, "pcie_capability_clear_and_set_word_locked" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xa5536872, "napi_enable" },
	{ 0x756a2279, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x3394f333, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0x993f9ef7, "ieee80211_free_txskb" },
	{ 0x6a12d405, "led_classdev_register_ext" },
	{ 0x96fd96e1, "ieee80211_alloc_hw_nm" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xbc61bed2, "ieee80211_tx_dequeue" },
	{ 0xfe9d6568, "ieee80211_rx_list" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x6b4f34bc, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5222aa39, "debugfs_create_u32" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0x59a0df03, "cfg80211_reg_can_beacon" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x884c8a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8215df98, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xaf6bdd92, "napi_build_skb" },
	{ 0x168ff8a7, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x77aba229, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa6c70c2a, "ieee80211_sta_ps_transition" },
	{ 0x460f6edc, "debugfs_create_u8" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x2ab6f7f, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x59d65559, "ieee80211_csa_finish" },
	{ 0x9871e6fc, "page_pool_put_unrefed_page" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9426b882, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8bc61e8e, "pcie_capability_read_word" },
	{ 0xb2fb0ed2, "__skb_pad" },
	{ 0xf5877318, "page_pool_get_stats" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfac8ba0, "__ieee80211_schedule_txq" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2f9644ed, "page_pool_alloc_frag" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x5bf5222a, "dmam_alloc_attrs" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x702f845, "ieee80211_free_hw" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x7dca8973, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x8eb0c998, "skb_add_rx_frag" },
	{ 0xc86d4913, "ieee80211_tx_status_ext" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "B654839BD41454BB65A8628");

MODULE_INFO(suserelease, "ALP-0.1");
