#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x0_chip_onoff, 0x8d22426d, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x43c1be0d, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x760b43ff, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xfba9104e, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xdb0ac4d1, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xeb5dd0c9, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xf30dd065, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f44e904, "mt76x02_mac_shared_key_setup" },
	{ 0x2466c977, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc1f3df55, "mt76x02_get_efuse_data" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x7fdc321c, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0xe1182bfe, "mt76_eeprom_init" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x54943bac, "mt76x02_mac_setaddr" },
	{ 0x5553b7a9, "mt76_register_device" },
	{ 0x86d1f374, "mt76x02_phy_set_bw" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xe8b7c1ef, "mt76x02_phy_set_band" },
	{ 0x438f72fb, "mt76_set_channel" },
	{ 0x7990b95d, "mt76x02_init_device" },
	{ 0x3bbf5699, "ieee80211_wake_queues" },
	{ 0x95769d75, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x5c41020a, "mt76x02_phy_set_rxpath" },
	{ 0xe3205850, "mt76x02_edcca_init" },
	{ 0xde0720e5, "mt76_eeprom_override" },
	{ 0xad07763f, "mt76x02_get_lna_gain" },
	{ 0x4433ece0, "mt76x02_init_debugfs" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfa54ab2, "ieee80211_stop_queues" },
	{ 0x75af16d8, "mt76x02_mac_cc_reset" },
	{ 0xe695dcd0, "mt76x02_init_agc_gain" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd69ee897, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1b193a03, "____mt76_poll_msec" },
	{ 0xc9b8f270, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaaedc8c9, "mt76x02_config_mac_addr_list" },
	{ 0x40ded16e, "mt76_get_sar_power" },
	{ 0xa9c1f55e, "mt76x02_eeprom_copy" },
	{ 0x5126e4ab, "mt76x02_mcu_calibrate" },
	{ 0x1805e479, "mt76x02_mcu_function_select" },
	{ 0xf899e84d, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xb3e404c9, "mt76x02_mac_wcid_setup" },
	{ 0xe947717c, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x4c87a29e, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x78c54384, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5bc4fd43, "mt76_init_sar_power" },
	{ 0xeefb3ed1, "mt76x02_phy_adjust_vga_gain" },
	{ 0xdbe5baed, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "ALP-0.1");
