#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61d6a723, "mt76x02_mcu_parse_response" },
	{ 0x3231ab73, "mt76_release_buffered_frames" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x8cd4213b, "mt76_get_txpower" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x10318c8, "mt76x02_dma_disable" },
	{ 0xa9480924, "mt76_wake_tx_queue" },
	{ 0x45488c86, "mt76x02e_init_beacon_config" },
	{ 0x7f58c23b, "mt76_get_antenna" },
	{ 0x31bd9da7, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x67a8f7b6, "pci_set_power_state" },
	{ 0x34c8d437, "mt76x02_sta_ps" },
	{ 0x56955bde, "mt76x02_sta_rate_tbl_update" },
	{ 0x9d563ef8, "kthread_park" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x6b0d0372, "mt76_dma_cleanup" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa9a18950, "mt76x02_reconfig_complete" },
	{ 0x18748c13, "mt76_alloc_device" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x4f0f75e0, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x852d60b5, "mt76x02_update_channel" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0xcb7bc2bb, "mt76_pci_disable_aspm" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x8e1321a5, "mt76x02_configure_filter" },
	{ 0xbcebddcb, "mt76_free_device" },
	{ 0x8d22426d, "mt76x0_chip_onoff" },
	{ 0x7086c465, "mt76x02_queue_rx_skb" },
	{ 0x9b93418, "kthread_unpark" },
	{ 0x6aae9503, "pcim_iomap_regions" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0xeb5dd0c9, "mt76x0_config" },
	{ 0xfba9104e, "mt76x0_register_device" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x6e298c6e, "mt76x02_rx_poll_complete" },
	{ 0xf30dd065, "mt76x0_phy_calibrate" },
	{ 0x6d19e7f3, "mt76_set_tim" },
	{ 0x917919f9, "mt76x02_sw_scan_complete" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0xa5536872, "napi_enable" },
	{ 0x6382199f, "mt76x02_tx" },
	{ 0x70e3c213, "mt76_mmio_init" },
	{ 0x53a20ddb, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xadda66cb, "mt76x02_sta_add" },
	{ 0x95138172, "mt76_unregister_device" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0x43c1be0d, "mt76x0_mac_stop" },
	{ 0x2b0fe7b0, "mt76_get_survey" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x930587df, "ieee80211_emulate_add_chanctx" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9f9913a1, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xc1742f9e, "mt76x02_set_rts_threshold" },
	{ 0x978d37ae, "mt76x02_tx_complete_skb" },
	{ 0xbed1fd1d, "mt76_sta_state" },
	{ 0x74ec6a6a, "mt76x02_mcu_msg_send" },
	{ 0x760b43ff, "mt76x0_init_hardware" },
	{ 0x7d7a4562, "mt76x02_bss_info_changed" },
	{ 0xaf520331, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x59760499, "mt76x02_add_interface" },
	{ 0x1b193a03, "____mt76_poll_msec" },
	{ 0xeaa81295, "mt76x02_tx_prepare_skb" },
	{ 0x6bb5216f, "mt76x02_mcu_cleanup" },
	{ 0x5ba5a0be, "mt76x02_ampdu_action" },
	{ 0xd4acea45, "mt76x02_conf_tx" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0xfd6beb64, "mt76_sw_scan" },
	{ 0x8b330c8a, "mt76_sta_pre_rcu_remove" },
	{ 0xdd269f96, "pcim_iomap_table" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0xd2396241, "napi_disable" },
	{ 0xe947717c, "__mt76_poll" },
	{ 0x2e48e8a6, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb105e872, "ieee80211_emulate_remove_chanctx" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x91f1ac75, "mt76x02_mac_start" },
	{ 0x6d17854f, "mt76x02_remove_interface" },
	{ 0xc11d4445, "mt76x02_dma_init" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0xdb0ac4d1, "mt76x0_set_sar_specs" },
	{ 0x54fe8d0d, "pci_choose_state" },
	{ 0xa825867, "mt76x02_set_ethtool_fwver" },
	{ 0xead56b7b, "mt76x02_set_key" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mac80211,mt76x0-common");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0B0A074F965F705E2B57676");

MODULE_INFO(suserelease, "ALP-0.1");
