#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3231ab73, "mt76_release_buffered_frames" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0x8cd4213b, "mt76_get_txpower" },
	{ 0xa9480924, "mt76_wake_tx_queue" },
	{ 0x7f58c23b, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x31bd9da7, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34c8d437, "mt76x02_sta_ps" },
	{ 0xe5a1a954, "mt76u_resume_rx" },
	{ 0x56955bde, "mt76x02_sta_rate_tbl_update" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x18748c13, "mt76_alloc_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5599cfe, "usb_put_dev" },
	{ 0x95de297e, "usb_reset_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x852d60b5, "mt76x02_update_channel" },
	{ 0xebdc2a31, "usb_get_dev" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x8e1321a5, "mt76x02_configure_filter" },
	{ 0xbcebddcb, "mt76_free_device" },
	{ 0x8d22426d, "mt76x0_chip_onoff" },
	{ 0x7086c465, "mt76x02_queue_rx_skb" },
	{ 0xb1a871e3, "mt76u_queues_deinit" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0xeb5dd0c9, "mt76x0_config" },
	{ 0xfba9104e, "mt76x0_register_device" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x541c26b3, "mt76x02u_mcu_fw_reset" },
	{ 0xf30dd065, "mt76x0_phy_calibrate" },
	{ 0x6d19e7f3, "mt76_set_tim" },
	{ 0x917919f9, "mt76x02_sw_scan_complete" },
	{ 0x6382199f, "mt76x02_tx" },
	{ 0x53a20ddb, "mt76x02_sta_remove" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0x18eff499, "mt76x02_tx_status_data" },
	{ 0xadda66cb, "mt76x02_sta_add" },
	{ 0x43c1be0d, "mt76x0_mac_stop" },
	{ 0x86aa2dbc, "mt76x02u_mcu_fw_send_data" },
	{ 0x9c2dd4ac, "mt76u_init" },
	{ 0x2b0fe7b0, "mt76_get_survey" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x930587df, "ieee80211_emulate_add_chanctx" },
	{ 0xa42a2693, "mt76x02u_init_mcu" },
	{ 0xaf9944de, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9f9913a1, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xc1742f9e, "mt76x02_set_rts_threshold" },
	{ 0xbed1fd1d, "mt76_sta_state" },
	{ 0x760b43ff, "mt76x0_init_hardware" },
	{ 0x7ad25e2b, "mt76x02u_mac_start" },
	{ 0x7d7a4562, "mt76x02_bss_info_changed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x94e5333c, "mt76u_alloc_queues" },
	{ 0xf44f0a5, "mt76u_stop_tx" },
	{ 0x47304349, "mt76x02u_init_beacon_config" },
	{ 0x8215df98, "ieee80211_unregister_hw" },
	{ 0x9279ec48, "mt76u_vendor_request" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x59760499, "mt76x02_add_interface" },
	{ 0x1b193a03, "____mt76_poll_msec" },
	{ 0xa4e78dd7, "mt76x02u_exit_beacon_config" },
	{ 0x931d1add, "mt76u_stop_rx" },
	{ 0x5ba5a0be, "mt76x02_ampdu_action" },
	{ 0xd4acea45, "mt76x02_conf_tx" },
	{ 0xfd6beb64, "mt76_sw_scan" },
	{ 0x8b330c8a, "mt76_sta_pre_rcu_remove" },
	{ 0xe947717c, "__mt76_poll" },
	{ 0xb105e872, "ieee80211_emulate_remove_chanctx" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x6d17854f, "mt76x02_remove_interface" },
	{ 0x8d376eba, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xdb0ac4d1, "mt76x0_set_sar_specs" },
	{ 0x8f2fc198, "firmware_request_nowarn" },
	{ 0xa825867, "mt76x02_set_ethtool_fwver" },
	{ 0xead56b7b, "mt76x02_set_key" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mt76,usbcore,mac80211,mt76x02-lib,mt76-usb,mt76x0-common,mt76x02-usb");

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "DB44CF6196FF3D2E8EFE6ED");

MODULE_INFO(suserelease, "ALP-0.1");
