#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x7990b95d, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x8e1321a5, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xadda66cb, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x53a20ddb, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x59760499, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x6d17854f, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x5ba5a0be, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xead56b7b, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xd4acea45, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x61ffda5d, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x4f0f75e0, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xc1742f9e, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x56955bde, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x16bb9de4, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x917919f9, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x34c8d437, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x7d7a4562, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xaaedc8c9, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x98e4359d, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x7f44e904, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xb3e404c9, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xbadcc10a, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x54943bac, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x978d37ae, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x852d60b5, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0xe3205850, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x75af16d8, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x61d6a723, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x74ec6a6a, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x1805e479, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xa5a30227, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x5126e4ab, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x6bb5216f, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x0a825867, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xa9c1f55e, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xc1f3df55, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x95769d75, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x2466c977, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x7fdc321c, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xad07763f, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x5c41020a, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x4c87a29e, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xf899e84d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x86d1f374, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xe8b7c1ef, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xeefb3ed1, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0xe695dcd0, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x45488c86, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xc11d4445, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x6e298c6e, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x010318c8, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x91f1ac75, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xa9a18950, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x6382199f, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x7086c465, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x9aab87d5, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x18eff499, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xeaa81295, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x4433ece0, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xdbe5baed, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xc9b8f270, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x6a8f17a2, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xd48bc1e1, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x18d7963b, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xa3edbb15, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x039c00e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb39b72c3, "mt76_csa_check" },
	{ 0x635a0e40, "mt76_tx_status_skb_add" },
	{ 0xc82534a7, "__tracepoint_mac_txdone" },
	{ 0x6fcd3c0, "mt76_tx_check_agg_ssn" },
	{ 0xc86d4913, "ieee80211_tx_status_ext" },
	{ 0x53edc7b9, "mt76_stop_tx_queues" },
	{ 0x38539737, "___pskb_trim" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x873fc8e1, "__mt76_tx_complete_skb" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6cc44bbf, "ieee80211_restart_hw" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5c40ea45, "ieee80211_get_hdrlen_from_skb" },
	{ 0x9d563ef8, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xda2ef7a0, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x665783c7, "mt76_wcid_init" },
	{ 0x2d30ae2c, "mt76_tx_status_check" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0xbf2a1684, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x1ba1160f, "ieee80211_get_tx_rates" },
	{ 0xa68585b8, "ieee80211_send_bar" },
	{ 0xc041ae4, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x41e24c06, "debugfs_create_devm_seqfile" },
	{ 0xd9d063c3, "mt76_tx" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0x2b8ef08b, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdf8b8558, "mt76_wcid_key_setup" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xc574a65c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d5c46a8, "mt76_rx" },
	{ 0x9b93418, "kthread_unpark" },
	{ 0x74efa527, "mt76_phy_dfs_state" },
	{ 0xf539f66c, "wiphy_to_ieee80211_hw" },
	{ 0x25b2aa50, "mt76_init_queue" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0xfa4bcf48, "__mt76_sta_remove" },
	{ 0xc288e7d2, "mt76_tx_status_skb_done" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x6b7e3bad, "debugfs_create_bool" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf7ad39ab, "__SCK__tp_func_dev_irq" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa5536872, "napi_enable" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xba6aa6f2, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x3bbf5699, "ieee80211_wake_queues" },
	{ 0x58d71aed, "mt76_mcu_send_and_get_msg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x86c89313, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d6f0d4c, "__mt76_mcu_msg_alloc" },
	{ 0x5aa71bad, "mt76_set_irq_mask" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x66ba2fbe, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5222aa39, "debugfs_create_u32" },
	{ 0xb53677bb, "__SCK__tp_func_mac_txdone" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x8cbe727f, "mt76_seq_puts_array" },
	{ 0xfa54ab2, "ieee80211_stop_queues" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd060ea85, "__tracepoint_dev_irq" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c1653a6, "mt76_mcu_get_response" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x884c8a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xd69ee897, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa3cab538, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1b193a03, "____mt76_poll_msec" },
	{ 0x30f711c, "seq_printf" },
	{ 0xbf1b54eb, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x2953636b, "mt76_wcid_cleanup" },
	{ 0x77aba229, "seq_puts" },
	{ 0xa7822d97, "ieee80211_radar_detected" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8367a25f, "mt76_queues_read" },
	{ 0x245135db, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xe947717c, "__mt76_poll" },
	{ 0x33d420f1, "mt76_rx_aggr_stop" },
	{ 0x460f6edc, "debugfs_create_u8" },
	{ 0xe0b3d283, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xe9f005df, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9426b882, "ieee80211_sta_register_airtime" },
	{ 0xdba627ec, "mt76_dma_rx_poll" },
	{ 0x8cc2388, "mt76_tx_status_unlock" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc2f2e769, "mt76_tx_status_skb_get" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x3957f2fb, "mt76_tx_status_lock" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "1252270F012C17943C7CD87");

MODULE_INFO(suserelease, "ALP-0.1");
