#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7921_rx_check, 0x4e618658, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x81e8f05e, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0xf5bef397, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0xee61e06b, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x1fce454e, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x8e547bce, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xf331a339, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x9efae07c, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x3285636c, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x40941752, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xe16eddb2, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0xe29e6230, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x60c1eefb, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x54925e4f, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0x0ff08dcb, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x9286c06d, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xa3a7cbd9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x550e446, "mt76_connac2_tx_check_aggr" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xda2ef7a0, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x665783c7, "mt76_wcid_init" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0xdbc0843f, "mt76_connac_free_pending_tx_skbs" },
	{ 0xb50ea6d0, "mt792x_sta_statistics" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x6e75ab40, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x22bca22d, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x41e24c06, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb46856ba, "mt792x_get_et_sset_count" },
	{ 0x31ddb77b, "mt76_connac_mcu_set_mac_enable" },
	{ 0x431b0e2, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x2c05f753, "mt792x_init_acpi_sar_power" },
	{ 0x65806d4f, "mt792x_set_wakeup" },
	{ 0xdf8b8558, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0xc574a65c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d5c46a8, "mt76_rx" },
	{ 0xc8636583, "mt792x_load_firmware" },
	{ 0x4f272553, "mt76_connac_mcu_sched_scan_req" },
	{ 0x208c45da, "mt792x_get_et_stats" },
	{ 0x7a951f95, "mt76_connac2_txwi_free" },
	{ 0xe2fa0ebb, "__tracepoint_lp_event" },
	{ 0x77d93bc9, "mt76_connac_mcu_uni_add_bss" },
	{ 0xc6d7a0d8, "mt76_connac2_mac_add_txs_skb" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xf539f66c, "wiphy_to_ieee80211_hw" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0x64948d1d, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0xce32995d, "devm_kmemdup" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x5553b7a9, "mt76_register_device" },
	{ 0x42ef1d2a, "mt792x_get_stats" },
	{ 0xe9a8739, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0x35a40d5d, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf13b6174, "mt76_find_power_limits_node" },
	{ 0xec6f516f, "ieee80211_remain_on_channel_expired" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x438f72fb, "mt76_set_channel" },
	{ 0x3bbf5699, "ieee80211_wake_queues" },
	{ 0x58d71aed, "mt76_mcu_send_and_get_msg" },
	{ 0xbdf406dd, "ieee80211_beacon_get_template" },
	{ 0x8fc05afb, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xde0720e5, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc79913b9, "dev_coredumpv" },
	{ 0x4d6f0d4c, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2b0fe7b0, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x3bb66c, "devm_hwmon_device_register_with_groups" },
	{ 0xbf7a848a, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5df685c3, "mt792x_get_tsf" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x270be86f, "mt792x_tx" },
	{ 0x1df1bd3b, "mt792x_get_et_strings" },
	{ 0xbed1fd1d, "mt76_sta_state" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xb3f1cc81, "ieee80211_ready_on_channel" },
	{ 0xfa54ab2, "ieee80211_stop_queues" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0x59a0df03, "cfg80211_reg_can_beacon" },
	{ 0x4a2b81d5, "mt792x_remove_interface" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x5cc1c109, "mt792x_queues_read" },
	{ 0x19673570, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0xfe48a089, "mt792x_queues_acq" },
	{ 0xf5a29dbc, "ieee80211_sched_scan_results" },
	{ 0xa1d9d1eb, "ieee80211_scan_completed" },
	{ 0x884c8a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5aa4f38e, "mt76_insert_ccmp_hdr" },
	{ 0xfae9f6f5, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x38714c8d, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x3ac29a28, "mt792x_tx_stats_show" },
	{ 0x8b57bf41, "mt792x_acpi_get_mtcl_conf" },
	{ 0xa3cab538, "mt76_rx_aggr_start" },
	{ 0x3e0bcea7, "__SCK__tp_func_lp_event" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x30f711c, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xe5ff37b, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc5c665f7, "mt792x_mac_init_band" },
	{ 0x5fbc99c6, "mt76_skb_adjust_pad" },
	{ 0x95661961, "mt792x_init_wiphy" },
	{ 0x77aba229, "seq_puts" },
	{ 0x813cdcbf, "mt76_connac_sta_state_dp" },
	{ 0xa14a267e, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x8367a25f, "mt76_queues_read" },
	{ 0x8b330c8a, "mt76_sta_pre_rcu_remove" },
	{ 0x245135db, "mt76_register_debugfs_fops" },
	{ 0xd309b7ef, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x263e1833, "mt76_connac2_mac_write_txwi" },
	{ 0x79550fc1, "__mt76_set_tx_blocked" },
	{ 0xb60430e, "mt76_connac_mcu_sta_ba" },
	{ 0xdbf671fb, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x2a8983e4, "ieee80211_queue_work" },
	{ 0xd3f80489, "mt792x_mac_reset_counters" },
	{ 0x5ee60a93, "napi_consume_skb" },
	{ 0xe947717c, "__mt76_poll" },
	{ 0x33d420f1, "mt76_rx_aggr_stop" },
	{ 0xe0b3d283, "single_open" },
	{ 0x6caf7239, "mt76_connac_mcu_add_key" },
	{ 0x9a2f81cf, "mt792x_unassign_vif_chanctx" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xfeefb29, "ieee80211_disconnect" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0xf7e1eaaf, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdc5f36b1, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xba307140, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x9426b882, "ieee80211_sta_register_airtime" },
	{ 0x5483bf22, "mt792x_init_wcid" },
	{ 0xdfff1ab3, "mt792x_init_acpi_sar" },
	{ 0x5bc4fd43, "mt76_init_sar_power" },
	{ 0xe9b46648, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0x8dd42c78, "ieee80211_iterate_interfaces" },
	{ 0xe595139, "mt792x_stop" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0x40793f4e, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xb4513857, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf507dcf9, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x41604a53, "mt792x_tx_worker" },
	{ 0x140dfd19, "mt792x_flush" },
	{ 0xd125ee73, "mt792x_rx_get_wcid" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa4b84628, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x70dee27, "finish_wait" },
	{ 0x1f382971, "mt76_connac_mcu_set_channel_domain" },
	{ 0x8c72592a, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3231ab73, "mt76_release_buffered_frames" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x8cd4213b, "mt76_get_txpower" },
	{ 0x635a0e40, "mt76_tx_status_skb_add" },
	{ 0xf986e66f, "mt76_connac_pm_wake" },
	{ 0x79ed1e0b, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x94ed95fd, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xa9480924, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x388c5206, "mt76_connac_mcu_chip_config" },
	{ 0x7f58c23b, "mt76_get_antenna" },
	{ 0xb7cebe47, "mt792x_set_coverage_class" },
	{ 0xfc66fb3, "mt792x_acpi_get_flags" },
	{ 0x873fc8e1, "__mt76_tx_complete_skb" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x28aa7b7a, "mt76_set_stream_caps" },
	{ 0x5fb92687, "mt792x_mac_assoc_rssi" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5c40ea45, "ieee80211_get_hdrlen_from_skb" },
	{ 0xb192e312, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x241bc195, "mt76_connac_mcu_update_arp_filter" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "F76EF1128C6B833825157F7");

MODULE_INFO(suserelease, "ALP-0.1");
