#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd699d4c, "rt2x00usb_initialize" },
	{ 0x86757b1c, "rt2x00usb_uninitialize" },
	{ 0x2daa1aa6, "rt2x00usb_clear_entry" },
	{ 0x1a9b8c50, "rt2x00usb_watchdog" },
	{ 0x2762ea86, "rt2x00usb_kick_queue" },
	{ 0xa90dc110, "rt2x00usb_flush_queue" },
	{ 0x4d463fd2, "rt2x00mac_tx" },
	{ 0x80f089be, "rt2x00mac_start" },
	{ 0xfd3b7dac, "rt2x00mac_stop" },
	{ 0x5daba614, "rt2x00mac_add_interface" },
	{ 0x8982b849, "rt2x00mac_remove_interface" },
	{ 0xdd5432a4, "rt2x00mac_config" },
	{ 0x4e1fe722, "rt2x00mac_bss_info_changed" },
	{ 0xb01a6673, "rt2x00mac_configure_filter" },
	{ 0x3b403fd4, "rt2x00mac_set_tim" },
	{ 0xf26f1857, "rt2x00mac_set_key" },
	{ 0x63df4664, "rt2x00mac_sw_scan_start" },
	{ 0xebdb4015, "rt2x00mac_sw_scan_complete" },
	{ 0x53f74240, "rt2x00mac_get_stats" },
	{ 0xfcaf4890, "rt2x00mac_conf_tx" },
	{ 0x43bdbf1, "rt2x00mac_rfkill_poll" },
	{ 0x4cb3f838, "rt2x00mac_flush" },
	{ 0xd53b96d7, "rt2x00mac_set_antenna" },
	{ 0xb239814a, "rt2x00mac_get_antenna" },
	{ 0x3341a6b1, "rt2x00mac_get_ringparam" },
	{ 0x42933edd, "rt2x00mac_tx_frames_pending" },
	{ 0x930587df, "ieee80211_emulate_add_chanctx" },
	{ 0xb105e872, "ieee80211_emulate_remove_chanctx" },
	{ 0x31bd9da7, "ieee80211_emulate_change_chanctx" },
	{ 0x9f9913a1, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x18fe2dc, "ieee80211_handle_wake_tx_queue" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0x202acf4e, "rt2x00usb_probe" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4f64789a, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x659f7005, "rt2x00usb_vendor_request_buff" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x2fe2c953, "rt2x00debug_dump_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fa70e5e, "rt2x00usb_vendor_request" },
	{ 0xcc8662e7, "rt2x00lib_set_mac_address" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x445e0720, "rt2x00usb_disable_radio" },
	{ 0xb312b546, "rt2x00usb_disconnect" },
	{ 0x50153367, "rt2x00usb_suspend" },
	{ 0xb97c2707, "rt2x00usb_resume" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7FEE5EDAB3F8A95A5692CF2");

MODULE_INFO(suserelease, "ALP-0.1");
