#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31ee504, "_dev_err" },
	{ 0x59c059af, "rt2800_mcu_request" },
	{ 0x65eac0ac, "rt2800mmio_toggle_irq" },
	{ 0xb700e53d, "rt2800mmio_enable_radio" },
	{ 0x200a45b4, "rt2x00pci_remove" },
	{ 0xf3d87acb, "rt2x00pci_pm_ops" },
	{ 0x39ef4ba9, "rt2800mmio_queue_init" },
	{ 0x146ffaf2, "rt2800_rt2x00debug" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x4c5691f4, "rt2800mmio_probe_hw" },
	{ 0x5031cd31, "rt2800_check_firmware" },
	{ 0x42d414e, "rt2800_load_firmware" },
	{ 0xe64274f4, "rt2x00mmio_initialize" },
	{ 0x29351852, "rt2x00mmio_uninitialize" },
	{ 0xa1dfb7aa, "rt2800mmio_get_entry_state" },
	{ 0x55afed7e, "rt2800mmio_clear_entry" },
	{ 0x16d935ab, "rt2800_rfkill_poll" },
	{ 0x8efae3a0, "rt2800_link_stats" },
	{ 0x220e4c8f, "rt2800_reset_tuner" },
	{ 0x73a2473, "rt2800_link_tuner" },
	{ 0xae35aa5b, "rt2800_gain_calibration" },
	{ 0x4cbe283e, "rt2800_vco_calibration" },
	{ 0x8f227020, "rt2800_watchdog" },
	{ 0x99bb8f9e, "rt2800mmio_start_queue" },
	{ 0x748ba845, "rt2800mmio_kick_queue" },
	{ 0x7c12a2f4, "rt2800mmio_stop_queue" },
	{ 0xc0481ac5, "rt2800mmio_flush_queue" },
	{ 0xdca5e1bf, "rt2800mmio_write_tx_desc" },
	{ 0xb9a530d, "rt2800_write_tx_data" },
	{ 0xa21007a5, "rt2800_write_beacon" },
	{ 0xd0f83fde, "rt2800_clear_beacon" },
	{ 0xf6e816cb, "rt2800mmio_fill_rxdone" },
	{ 0x28be66a, "rt2800_config_shared_key" },
	{ 0x8082c5ad, "rt2800_config_pairwise_key" },
	{ 0x42dd2050, "rt2800_config_filter" },
	{ 0xd01618b4, "rt2800_config_intf" },
	{ 0xd0be8469, "rt2800_config_erp" },
	{ 0x13834a0c, "rt2800_config_ant" },
	{ 0xb5f112ee, "rt2800_config" },
	{ 0x233589da, "rt2800_pre_reset_hw" },
	{ 0xcdc12229, "rt2x00mmio_regbusy_read" },
	{ 0xb0edb0a, "rt2800mmio_init_registers" },
	{ 0x6ac3f873, "rt2800mmio_get_txwi" },
	{ 0x149cfb28, "rt2800mmio_get_dma_done" },
	{ 0x4d463fd2, "rt2x00mac_tx" },
	{ 0x80f089be, "rt2x00mac_start" },
	{ 0xfd3b7dac, "rt2x00mac_stop" },
	{ 0x5daba614, "rt2x00mac_add_interface" },
	{ 0x8982b849, "rt2x00mac_remove_interface" },
	{ 0xdd5432a4, "rt2x00mac_config" },
	{ 0x4e1fe722, "rt2x00mac_bss_info_changed" },
	{ 0xb01a6673, "rt2x00mac_configure_filter" },
	{ 0xf26f1857, "rt2x00mac_set_key" },
	{ 0x63df4664, "rt2x00mac_sw_scan_start" },
	{ 0xebdb4015, "rt2x00mac_sw_scan_complete" },
	{ 0x53f74240, "rt2x00mac_get_stats" },
	{ 0x85abfd3, "rt2800_get_key_seq" },
	{ 0x32745887, "rt2800_set_rts_threshold" },
	{ 0x9596b680, "rt2800_sta_add" },
	{ 0xe57450e8, "rt2800_sta_remove" },
	{ 0x514a64aa, "rt2800_conf_tx" },
	{ 0x96a3addd, "rt2800_get_tsf" },
	{ 0xeac0e251, "rt2800_ampdu_action" },
	{ 0x52a92d19, "rt2800_get_survey" },
	{ 0x43bdbf1, "rt2x00mac_rfkill_poll" },
	{ 0x4cb3f838, "rt2x00mac_flush" },
	{ 0x3341a6b1, "rt2x00mac_get_ringparam" },
	{ 0x42933edd, "rt2x00mac_tx_frames_pending" },
	{ 0x930587df, "ieee80211_emulate_add_chanctx" },
	{ 0xb105e872, "ieee80211_emulate_remove_chanctx" },
	{ 0x31bd9da7, "ieee80211_emulate_change_chanctx" },
	{ 0x9f9913a1, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xab64a257, "rt2x00mac_reconfig_complete" },
	{ 0x18fe2dc, "ieee80211_handle_wake_tx_queue" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x6f43980, "rt2x00pci_probe" },
	{ 0x945a152, "rt2800_efuse_detect" },
	{ 0x7f60a8f, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2CC3E1C5DAB5726F7E0AA45");

MODULE_INFO(suserelease, "ALP-0.1");
