#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x12b7c8da, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x440016c3, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x1edb51da, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x48d103ab, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x45b26031, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x51138c38, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x551275e7, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0xe97b736d, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0xffe0e28d, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xcc8662e7, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x0b06f89b, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xec94a738, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xaf5bcef1, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0xfdbc9b9e, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x4d463fd2, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x80f089be, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0xfd3b7dac, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xab64a257, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x5daba614, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x8982b849, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0xdd5432a4, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0xb01a6673, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x3b403fd4, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xf26f1857, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x63df4664, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0xebdb4015, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x53f74240, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x4e1fe722, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0xfcaf4890, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x043bdbf1, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x4cb3f838, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0xd53b96d7, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xb239814a, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x3341a6b1, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x42933edd, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0xe722a8a8, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xd9a7faa2, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x20468267, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x1b747661, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xd0e4787c, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0xbf526224, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0xccd5ac57, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x17174443, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0xc22481b9, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x022b2b1e, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x182a3d8b, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x43e7ba1e, "_gpl");
SYMBOL_CRC(rt2x00debug_dump_frame, 0x2fe2c953, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70dee27, "finish_wait" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x95bba1d6, "led_classdev_suspend" },
	{ 0xe9e66f37, "hrtimer_init" },
	{ 0xc86d4913, "ieee80211_tx_status_ext" },
	{ 0xb1af3f96, "debugfs_create_blob" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe96d1ea7, "led_classdev_unregister" },
	{ 0x953a31c2, "ieee80211_register_hw" },
	{ 0xd3628f21, "__ieee80211_create_tpt_led_trigger" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6cc44bbf, "ieee80211_restart_hw" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x5c40ea45, "ieee80211_get_hdrlen_from_skb" },
	{ 0xb192e312, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xdb35eed6, "ieee80211_wake_queue" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x85955736, "ieee80211_tx_status_skb" },
	{ 0xbf2a1684, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0x81c2fc8c, "ieee80211_ctstoself_get" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x993f9ef7, "ieee80211_free_txskb" },
	{ 0x6a12d405, "led_classdev_register_ext" },
	{ 0xab956cf, "default_llseek" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5222aa39, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xdd70cdb5, "ieee80211_stop_queue" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfa54ab2, "ieee80211_stop_queues" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa02e2338, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa67d7ab, "wiphy_rfkill_start_polling" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x884c8a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb505afd0, "led_classdev_resume" },
	{ 0x8215df98, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbf1b54eb, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd19dd696, "ieee80211_rts_get" },
	{ 0x853d7e86, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x2a8983e4, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xf9827e8f, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x242b160a, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8dd42c78, "ieee80211_iterate_interfaces" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "226330F343CC7C2CC51E68F");

MODULE_INFO(suserelease, "ALP-0.1");
