#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x5bf7ee2a, "");
SYMBOL_CRC(rtw_dump_reg, 0xd6032bf3, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x66d631c2, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x74ed0d0c, "");
SYMBOL_CRC(rtw_core_init, 0xbbef1f07, "");
SYMBOL_CRC(rtw_core_deinit, 0xbf833090, "");
SYMBOL_CRC(rtw_register_hw, 0x4205df89, "");
SYMBOL_CRC(rtw_unregister_hw, 0xb8b28b71, "");
SYMBOL_CRC(rtw_ops, 0x85902cb9, "");
SYMBOL_CRC(check_hw_ready, 0xd5d8223b, "");
SYMBOL_CRC(rtw_restore_reg, 0xb352f959, "");
SYMBOL_CRC(rtw_dbg, 0x98a51a44, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x6a93d736, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x8c2a361c, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x42586a73, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x3fd2443e, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x007311ed, "");
SYMBOL_CRC(rtw_rx_stats, 0xf0dfc5ed, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0xdb964d75, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x5f6e3b47, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x402b8c8e, "");
SYMBOL_CRC(rtw_phy_init, 0xabc410d7, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0xa6729a52, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0xfce54079, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0x5d7c4604, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x2262c45d, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0xcf6b363f, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0x036922e1, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0xe3b331c4, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0xed384d08, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0x1d94b6df, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0x8de06f63, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0xab9ddd9e, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x47d58624, "");
SYMBOL_CRC(rtw_phy_load_tables, 0xcd20bf0e, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x6aa8763a, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0xdd92e3f7, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0xedeca3fb, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0x445b4841, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x15814717, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x5e1cdbce, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x66a83770, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x1289caf1, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0x8e8cdcf3, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0xc7c00fd2, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0xfcacf4b0, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x2faf49a6, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x1fe9a827, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x10eeaa2c, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0xbe65fc68, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0xc8983a0b, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x58ded351, "");
SYMBOL_CRC(rtw_power_mode_change, 0xb0505729, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x31a12c2b, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0x48dd5af7, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x92e498ed, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0x552c13a9, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x876d1bf8, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x624cb314, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0xf6f21cd1, "");
SYMBOL_CRC(rtw_regd_get, 0x33d1cef6, "");
SYMBOL_CRC(rtw_regd_srrc, 0x6cc1523a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82a6a2af, "ieee80211_proberesp_get" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xef176305, "request_firmware_nowait" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8aef8ced, "ieee80211_find_sta_by_ifaddr" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x3bbf5699, "ieee80211_wake_queues" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x86c89313, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x993f9ef7, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc79913b9, "dev_coredumpv" },
	{ 0xbc61bed2, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x930587df, "ieee80211_emulate_add_chanctx" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9f9913a1, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfa54ab2, "ieee80211_stop_queues" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3e6509b0, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xa1d9d1eb, "ieee80211_scan_completed" },
	{ 0x884c8a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8215df98, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xbf1b54eb, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf426d754, "skb_copy" },
	{ 0x7cefbbfe, "ieee80211_cqm_rssi_notify" },
	{ 0x77aba229, "seq_puts" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x679bfc4, "ieee80211_request_smps" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x2a8983e4, "ieee80211_queue_work" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0xe0b3d283, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xb105e872, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x156b54f8, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe9b46648, "ieee80211_connection_loss" },
	{ 0xd464edf0, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd5920ebf, "ieee80211_txq_get_depth" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xbad17c1e, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x92b6f611, "ieee80211_iterate_stations_atomic" },
	{ 0x6200cd1d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd3d1a494, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x793f9d83, "ieee80211_nullfunc_get" },
	{ 0xf7c31460, "ieee80211_pspoll_get" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x953a31c2, "ieee80211_register_hw" },
	{ 0x31bd9da7, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6cc44bbf, "ieee80211_restart_hw" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7127add9, "ieee80211_find_sta" },
	{ 0xd43e6e44, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8cd9f92a, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0xc574a65c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0xf539f66c, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "DE87DCD5539F287A7A214A8");

MODULE_INFO(suserelease, "ALP-0.1");
