#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_pm_ops, 0x2bbaed17, "");
SYMBOL_CRC(rtw_pci_probe, 0xd3f3db6b, "");
SYMBOL_CRC(rtw_pci_remove, 0xd8fb0e37, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x6810dc73, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74ed0d0c, "rtw_chip_info_setup" },
	{ 0xbe65fc68, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb8b28b71, "rtw_unregister_hw" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6a93d736, "rtw_tx_fill_tx_desc" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xa5536872, "napi_enable" },
	{ 0xbbef1f07, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x96fd96e1, "ieee80211_alloc_hw_nm" },
	{ 0x2de3dc67, "pci_iounmap" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x42586a73, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd70cdb5, "ieee80211_stop_queue" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0xf0dfc5ed, "rtw_rx_stats" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xcdfa35c, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4205df89, "rtw_register_hw" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8215df98, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x98a51a44, "rtw_dbg" },
	{ 0xbf833090, "rtw_core_deinit" },
	{ 0x85902cb9, "rtw_ops" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xb0505729, "rtw_power_mode_change" },
	{ 0x3fd2443e, "rtw_tx_write_data_h2c_get" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2ab6f7f, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x10eeaa2c, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x242b160a, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8c2a361c, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7311ed, "rtw_tx_queue_mapping" },
	{ 0x8bc61e8e, "pcie_capability_read_word" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x610b0c07, "skb_put" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x6a5a421d, "pci_iomap" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x702f845, "ieee80211_free_hw" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa3d0f3a3, "dev_kfree_skb_irq_reason" },
	{ 0x67a8f7b6, "pci_set_power_state" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0xdb35eed6, "ieee80211_wake_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x8cd9f92a, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1af98032, "devm_free_irq" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "A1A75EBC27EB7AEDBCCFA7F");

MODULE_INFO(suserelease, "ALP-0.1");
