#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x44084fc3, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0xfa137a4d, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v2, 0x3bb154ac, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x594ceaaf, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x07d8c3b0, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x6c08720f, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0xc8565eaa, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v2, 0x613bd711, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v2, 0xc565fbb4, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_be, 0x33c84a55, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0xa2648189, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x2362aca8, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0xe7e192b1, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0xf2e0db2a, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x969b7099, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x7a263255, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v2, 0x68488f72, "");
SYMBOL_CRC(rtw89_pm_ops, 0x62a04182, "");
SYMBOL_CRC(rtw89_pci_gen_ax, 0x77def2ff, "");
SYMBOL_CRC(rtw89_pci_probe, 0x8a50922b, "");
SYMBOL_CRC(rtw89_pci_remove, 0x11e35fd2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0xe3f57b04, "rtw89_debug_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x868b33, "rtw89_ser_notify" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3e6509b0, "skb_unlink" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x73345bad, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xa573a869, "rtw89_core_rx" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6bdcd970, "rtw89_core_deinit" },
	{ 0x71e4a52a, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xee08a724, "rtw89_debug" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3825294d, "rtw89_core_napi_stop" },
	{ 0x1fd42650, "rtw89_chip_info_setup" },
	{ 0x51bdacd7, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8bc61e8e, "pcie_capability_read_word" },
	{ 0xa5d87eb, "pci_find_ext_capability" },
	{ 0x77ccaf47, "rtw89_alloc_ieee80211_hw" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x6a5a421d, "pci_iomap" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x46cf1011, "rtw89_core_napi_init" },
	{ 0x4bfa9481, "rtw89_core_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x85955736, "ieee80211_tx_status_skb" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1af98032, "devm_free_irq" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfb4523a2, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xfef8794f, "rtw89_check_quirks" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd87d850f, "rtw89_core_napi_deinit" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xb6abf7c9, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xee47e66b, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2de3dc67, "pci_iounmap" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "A88C380A22B9F2391AB050E");

MODULE_INFO(suserelease, "ALP-0.1");
