#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ndlc_open, 0xb7a164d2, "");
SYMBOL_CRC(ndlc_close, 0x3c45cc91, "");
SYMBOL_CRC(ndlc_send, 0xfaede557, "");
SYMBOL_CRC(ndlc_recv, 0x37ff0848, "");
SYMBOL_CRC(ndlc_probe, 0x2d3324af, "");
SYMBOL_CRC(ndlc_remove, 0x587d1107, "");
SYMBOL_CRC(st_nci_probe, 0x149c4d30, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x9494ec6d, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0xcd9c8f3b, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x68fc486c, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x6bb7148c, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0x121c9aff, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xe05482df, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x6dadccbb, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x1b43627b, "");
SYMBOL_CRC(st_nci_se_init, 0x8fcd2b2c, "");
SYMBOL_CRC(st_nci_se_deinit, 0xa3d1d54e, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x046ef762, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2cdca210, "nfc_se_transaction" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa057bad7, "skb_pull" },
	{ 0xec1fe87c, "nci_hci_connect_gate" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xa661a116, "nci_prop_cmd" },
	{ 0x9c2e7ff9, "nci_core_conn_create" },
	{ 0xeb2c2af9, "nci_nfcc_loopback" },
	{ 0x4a46ea48, "nci_unregister_device" },
	{ 0xd4f88c37, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x731a0f29, "nci_hci_send_event" },
	{ 0xd3d0ceb0, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x22352a17, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x57f27be1, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb8e6baf, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5e3dcd75, "nci_recv_frame" },
	{ 0x3b103467, "nci_hci_dev_session_init" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x63b29800, "nci_hci_set_param" },
	{ 0xc024e808, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5f2318ff, "skb_queue_head" },
	{ 0x9be7be4d, "nci_free_device" },
	{ 0x84f88343, "nci_allocate_device" },
	{ 0xb662e80e, "nci_register_device" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x35f57703, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x13e28e68, "nfc_add_se" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x18897c19, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x1edb9612, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85319a71, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "ALP-0.1");
