#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(st21nfca_hci_probe, 0xed6ee432, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x1e3fc300, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0xf7492d4e, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x877de737, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0x16596c92, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x6c6f0dbd, "");
SYMBOL_CRC(st21nfca_dep_init, 0x9e865211, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x43e6bbe9, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x449251bd, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0xc5184131, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x9209cabc, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0xc2bcf803, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0x8c04191e, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x4c94ba4a, "");
SYMBOL_CRC(st21nfca_se_init, 0xa2729c42, "");
SYMBOL_CRC(st21nfca_se_deinit, 0xaeac663d, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0xe39a9b54, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0x2e8f7c85, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9cdc880, "nfc_hci_free_device" },
	{ 0x2cdca210, "nfc_se_transaction" },
	{ 0xb73ac380, "nfc_get_local_general_bytes" },
	{ 0x64595f1c, "nfc_hci_register_device" },
	{ 0x45aac32, "nfc_set_remote_general_bytes" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa057bad7, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x83178a62, "nfc_hci_send_cmd" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xf2e4e944, "nfc_hci_get_clientdata" },
	{ 0xd0974e50, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x40013dd1, "nfc_hci_allocate_device" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x22352a17, "nfc_se_connectivity" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcb8e6baf, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac6b2ecf, "nfc_hci_set_param" },
	{ 0xbff22cf4, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x47cb00e9, "nfc_hci_send_event" },
	{ 0xf55e780, "nfc_hci_disconnect_all_gates" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x23aa9ee0, "nfc_hci_disconnect_gate" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbfff7529, "nfc_hci_set_clientdata" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x35f57703, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x610b0c07, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb9fdd0c0, "nfc_hci_get_param" },
	{ 0xe89cac3d, "nfc_hci_send_cmd_async" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x13e28e68, "nfc_add_se" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc66345a4, "nfc_llc_stop" },
	{ 0x3a95b0ea, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbe3f27e2, "nfc_tm_data_received" },
	{ 0x18897c19, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdb8cef6c, "nfc_hci_unregister_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x50131add, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");

MODULE_INFO(suserelease, "ALP-0.1");
