#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ntb_transport_unregister_client_dev, 0xf9eb813f, "_gpl");
SYMBOL_CRC(ntb_transport_register_client_dev, 0xf55d6313, "_gpl");
SYMBOL_CRC(ntb_transport_register_client, 0x4b196bee, "_gpl");
SYMBOL_CRC(ntb_transport_unregister_client, 0xae5b5d6d, "_gpl");
SYMBOL_CRC(ntb_transport_create_queue, 0x2ad2cb0c, "_gpl");
SYMBOL_CRC(ntb_transport_free_queue, 0xc270dc24, "_gpl");
SYMBOL_CRC(ntb_transport_rx_remove, 0xc37d9036, "_gpl");
SYMBOL_CRC(ntb_transport_rx_enqueue, 0xd40e7a02, "_gpl");
SYMBOL_CRC(ntb_transport_tx_enqueue, 0x3d54dbfc, "_gpl");
SYMBOL_CRC(ntb_transport_link_up, 0x9c992c8f, "_gpl");
SYMBOL_CRC(ntb_transport_link_down, 0x436098aa, "_gpl");
SYMBOL_CRC(ntb_transport_link_query, 0x32537aca, "_gpl");
SYMBOL_CRC(ntb_transport_qp_num, 0x82e6c13d, "_gpl");
SYMBOL_CRC(ntb_transport_max_size, 0x30934216, "_gpl");
SYMBOL_CRC(ntb_transport_tx_free_entry, 0x0862001f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x108de2bb, "__ntb_register_client" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x96848186, "scnprintf" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x18f22731, "ntb_unregister_client" },
	{ 0x69edd4d1, "kmalloc_node_trace" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x28c1b486, "device_register" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1af98032, "devm_free_irq" },
	{ 0xab46e2b0, "ntbm_msi_request_threaded_irq" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0xd9ef5445, "ntb_msi_peer_trigger" },
	{ 0x86057ed7, "dmaengine_get_unmap_data" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x77923bd2, "dmaengine_unmap_put" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2d1aba6, "ntb_msi_setup_mws" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xedc03953, "iounmap" },
	{ 0x790f9868, "ntb_msi_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x660dd959, "ntb_default_peer_port_count" },
	{ 0xbecc9b59, "ntb_set_ctx" },
	{ 0x89604565, "ntb_link_event" },
	{ 0x2761ea07, "dma_sync_wait" },
	{ 0xaba8905e, "dma_unmap_resource" },
	{ 0x9b1bfb2, "dma_release_channel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x65fb32a8, "ntb_clear_ctx" },
	{ 0xeb2fc72d, "__dma_request_channel" },
	{ 0xae243c58, "dma_map_resource" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x6c045967, "param_ops_byte" },
	{ 0xb870f38b, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xf210c8da, "device_unregister" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc33ff55c, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x47f67f15, "driver_register" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "ntb");


MODULE_INFO(srcversion, "4FB0B7143C641780BB8FF07");

MODULE_INFO(suserelease, "ALP-0.1");
