#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvdimm_bus_lock, 0xe077f31d, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x268089ec, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xbfb18999, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xc8650c4f, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xc5d58ca6, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x46032a51, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xe027369a, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x701b26b7, "");
SYMBOL_CRC(nd_device_notify, 0x810ff37b, "");
SYMBOL_CRC(nvdimm_region_notify, 0x31f98aa2, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xa7a5a8a2, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xa4b31a47, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x8f0992fc, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xb489f6e0, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x9278cfa1, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xcdb68917, "");
SYMBOL_CRC(nd_device_unregister, 0x9437b278, "");
SYMBOL_CRC(__nd_driver_register, 0xe20fd4bc, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xd2facbb6, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xecc65ac3, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xdd3ae6b8, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xdc3c6be9, "_gpl");
SYMBOL_CRC(to_ndd, 0xa90d9ecc, "");
SYMBOL_CRC(nvdimm_name, 0xf86f0492, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xa1609759, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xdce45e44, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x7d3ee914, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xb9fb38d3, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x37a9858d, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xc5df52ef, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xa85c900a, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x35adfbd9, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x0c5cac4b, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x9bccad9a, "_gpl");
SYMBOL_CRC(to_nd_region, 0xf256ebbe, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x36d4f422, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x0b274a88, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xdfb850a1, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x781a869f, "");
SYMBOL_CRC(nd_region_release_lane, 0xa224d676, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xeeeac4e5, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xff5805af, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x75a7cbc8, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x369dd02c, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x33298802, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xdd8484fd, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xe3835cef, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x6878e88f, "");
SYMBOL_CRC(pmem_sector_size, 0x9384c0de, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x3ef51266, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x8c0e92fc, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x8810cb73, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xa02caa62, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x25a07df1, "");
SYMBOL_CRC(devm_namespace_enable, 0xf06e1408, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x767d505a, "_gpl");
SYMBOL_CRC(badrange_init, 0xe54f9144, "_gpl");
SYMBOL_CRC(badrange_add, 0x67bad695, "_gpl");
SYMBOL_CRC(badrange_forget, 0x20e4b579, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x620a861a, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x6843532d, "");
SYMBOL_CRC(is_nd_btt, 0x5ac47818, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xc66ca609, "");
SYMBOL_CRC(nd_btt_version, 0x266f9429, "");
SYMBOL_CRC(nd_btt_probe, 0x071a01bf, "");
SYMBOL_CRC(to_nd_pfn, 0x8b53b1bd, "");
SYMBOL_CRC(is_nd_pfn, 0xd0663799, "");
SYMBOL_CRC(nd_pfn_validate, 0x6600738a, "");
SYMBOL_CRC(nd_pfn_probe, 0xe2f32b38, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xcc513e8d, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x77fbbcb1, "");
SYMBOL_CRC(is_nd_dax, 0x3ef1d737, "");
SYMBOL_CRC(nd_dax_probe, 0xc4583ce5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0x360d4cf6, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe86db549, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x5faccb21, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xbdc5fe99, "__devm_release_region" },
	{ 0x868d84cb, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x48cc9b89, "kernfs_put" },
	{ 0x6db05fa7, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x14f17223, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xea142ce, "badblocks_check" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x7e934208, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xfb7c7c03, "badblocks_clear" },
	{ 0xe1836833, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3f38be70, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x3eab95b1, "blk_integrity_register" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x46c20923, "devm_memremap" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6fe4abd9, "badblocks_set" },
	{ 0xf210c8da, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x5818319f, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x85934beb, "badblocks_exit" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xf7f03130, "device_for_each_child" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x122529a1, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x82670309, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0x496f0ab, "badblocks_show" },
	{ 0x736a416e, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7f71c733, "compat_ptr_ioctl" },
	{ 0xe6751b1b, "perf_pmu_migrate_context" },
	{ 0x4c56e13d, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3144c6ee, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0xd949e53b, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x97e846ac, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0xcbd7b244, "class_create" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x8711de27, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdb32182c, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "899D0F9562B356761BD69D6");

MODULE_INFO(suserelease, "ALP-0.1");
