#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0xbc246188, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x1bb35658, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf256ebbe, "to_nd_region" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0xc66ca609, "nd_btt_arena_is_valid" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xca66c4ec, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xbc209a42, "put_disk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a7e32db, "debugfs_create_x64" },
	{ 0xacc760fa, "blk_queue_flag_set" },
	{ 0x8c0e92fc, "nd_dev_to_uuid" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x7a4209d3, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x23a44af3, "bio_endio" },
	{ 0xa224d676, "nd_region_release_lane" },
	{ 0x49608959, "migrate_disable" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xbfdcec1e, "set_capacity" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbbe87a25, "del_gendisk" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x6843532d, "to_nd_btt" },
	{ 0x781a869f, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5222aa39, "debugfs_create_u32" },
	{ 0x3ef51266, "nvdimm_namespace_disk_name" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6818bf0e, "debugfs_create_x32" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x8810cb73, "nvdimm_namespace_capacity" },
	{ 0x701b26b7, "nd_integrity_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x767d505a, "devm_namespace_disable" },
	{ 0xd2facbb6, "nvdimm_check_and_set_ro" },
	{ 0xea142ce, "badblocks_check" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x266f9429, "nd_btt_version" },
	{ 0xe4c71c0f, "blk_queue_max_hw_sectors" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x300e14f5, "bio_integrity_prep" },
	{ 0x842c1fa9, "__blk_alloc_disk" },
	{ 0x62fe8738, "blk_queue_logical_block_size" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xb336c246, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf06e1408, "devm_namespace_enable" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd4d57ab8, "debugfs_create_u16" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "F8DB152D5563891A4320323");

MODULE_INFO(suserelease, "ALP-0.1");
