#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmf_get_address, 0x446ab09e, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x540307d6, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x83d748dd, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xc4d3a034, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x74ef7de4, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xb909bfad, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x7a902ff0, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x3b1e83cb, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x87581d59, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xeb3a0591, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x72532e36, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x8e57a3d4, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x6e412970, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x0e7e2772, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x91a2f9da, "module_put" },
	{ 0x3144c6ee, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xe915fae4, "down_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4a85cca8, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x57de8c7a, "device_create" },
	{ 0xcbd7b244, "class_create" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x93632397, "__nvme_submit_sync_cmd" },
	{ 0x80403832, "nvme_try_sched_reset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x50d81800, "misc_register" },
	{ 0x3879213c, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xe86db549, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x14f17223, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x30f711c, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x77aba229, "seq_puts" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x4c7a3f9b, "nvme_wait_reset" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xe0b3d283, "single_open" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x5bf2f4b2, "nvme_tls_key_lookup" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x58655bef, "nvme_auth_negotiate" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x7a9edae6, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5818319f, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "78A71E0ADC0F7C75EE5FCC4");

MODULE_INFO(suserelease, "ALP-0.1");
