#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xd215b9f8, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xdf3de46b, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x122e6c2d, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0xb19a5783, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x29711dbb, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x79410ea0, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x0ac50aed, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x6775770b, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x00e5f00d, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x905fec21, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xc35fb767, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a1b1641, "radix_tree_delete" },
	{ 0x23a44af3, "bio_endio" },
	{ 0xb0a59159, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x92c520a8, "fput" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0x1f408ce2, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x703b5464, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x54c6af3b, "radix_tree_next_chunk" },
	{ 0xb70a256f, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xb912e93b, "xa_load" },
	{ 0x685421e8, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xa2e993e5, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x6413c1fe, "blkdev_get_by_path" },
	{ 0x5b49f874, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2655e568, "bio_chain" },
	{ 0x990bbe34, "blk_mq_alloc_request" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x43edab2, "pci_p2pdma_enable_store" },
	{ 0x274808d2, "pci_p2pmem_alloc_sgl" },
	{ 0xad98daa, "bio_add_page" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbdef74b4, "nvme_find_get_ns" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe07df409, "bio_integrity_alloc" },
	{ 0x92723766, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x11089ac7, "_ctype" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf1cf030a, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x3760cf8e, "iov_iter_bvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x72e21826, "nvme_passthru_start" },
	{ 0xc811d7e2, "pci_p2pdma_enable_show" },
	{ 0xe86db549, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xab4e6a45, "__xa_cmpxchg" },
	{ 0xd25737f3, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x821afea1, "crypto_shash_final" },
	{ 0x9c046227, "vfs_fsync" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x13e4c67a, "xa_destroy" },
	{ 0xb35f81b8, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd64048a4, "filp_close" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb6f35a4d, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x58aaba77, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x7b408975, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x89baeab0, "nvme_ctrl_from_file" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3836497, "xa_find_after" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xad486b35, "nvme_init_request" },
	{ 0x754d539c, "strlen" },
	{ 0xe14977a9, "nvme_execute_rq" },
	{ 0x7bb26625, "key_lookup" },
	{ 0xec1ff681, "nvme_put_ns" },
	{ 0xc0cdd407, "pci_p2pmem_find_many" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0xc0148b74, "nvme_auth_gen_privkey" },
	{ 0xf0bed80c, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc735067d, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x8e566bcb, "nvme_get_features" },
	{ 0xa3edcc5c, "submit_bio_wait" },
	{ 0xcf6a922a, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x7003197b, "__blkdev_issue_discard" },
	{ 0x4b53f284, "fs_bio_set" },
	{ 0xc2d3ef84, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x60c49ff4, "filp_open" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x74af5041, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0xa7281b84, "config_group_init" },
	{ 0xb724dfed, "config_group_find_item" },
	{ 0x9bb67cad, "radix_tree_insert" },
	{ 0xa7d92fe3, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x93525190, "bio_add_pc_page" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x2b599ded, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0x28a59278, "radix_tree_lookup" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x8237149c, "t10_pi_type1_crc" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6e76b33, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x36378658, "nvme_command_effects" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0xecceb2da, "pci_p2pmem_free_sgl" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x56d191c5, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b5f8974, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb67682b4, "nvme_passthru_end" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x5e8bb8c5, "mempool_create" },
	{ 0xbe479612, "crypto_alloc_kpp" },
	{ 0x1c022e2e, "vfs_fallocate" },
	{ 0x1f4964ef, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0xf5e13883, "bdev_nr_zones" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x16741bd4, "mempool_alloc" },
	{ 0x15d642f9, "blk_mq_free_request" },
	{ 0xca38d6b7, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8556fbfb, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x8df7212b, "submit_bio" },
	{ 0x91a2f9da, "module_put" },
	{ 0x36e7f89b, "pci_p2pdma_distance_many" },
	{ 0x6c693e7d, "nvme_auth_gen_pubkey" },
	{ 0xcfffb597, "t10_pi_type3_crc" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x3144c6ee, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x30f5bb30, "bio_put" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "configfs,nvme-auth,nvme-core,t10-pi,nvme-keyring");


MODULE_INFO(srcversion, "FD70A8E02CA0851539E9C51");

MODULE_INFO(suserelease, "ALP-0.1");
