#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__parport_register_driver, 0x2c81761a, "");
SYMBOL_CRC(parport_unregister_driver, 0x1ba304da, "");
SYMBOL_CRC(parport_get_port, 0xca1076ec, "");
SYMBOL_CRC(parport_del_port, 0x6d12f14c, "");
SYMBOL_CRC(parport_put_port, 0x25a098fa, "");
SYMBOL_CRC(parport_register_port, 0x531a83bb, "");
SYMBOL_CRC(parport_announce_port, 0x3b229048, "");
SYMBOL_CRC(parport_remove_port, 0x9699f5ef, "");
SYMBOL_CRC(parport_register_dev_model, 0xbabf2292, "");
SYMBOL_CRC(parport_unregister_device, 0x8fe8dd17, "");
SYMBOL_CRC(parport_find_number, 0xad2a5d59, "");
SYMBOL_CRC(parport_find_base, 0x66457e9d, "");
SYMBOL_CRC(parport_claim, 0xc507c8fc, "");
SYMBOL_CRC(parport_claim_or_block, 0x8b5f5e11, "");
SYMBOL_CRC(parport_release, 0xda929928, "");
SYMBOL_CRC(parport_irq_handler, 0x5e3a3912, "");
SYMBOL_CRC(parport_negotiate, 0x9ba5458f, "");
SYMBOL_CRC(parport_write, 0x3e04cab6, "");
SYMBOL_CRC(parport_read, 0x231a46c3, "");
SYMBOL_CRC(parport_wait_peripheral, 0x497a23a3, "");
SYMBOL_CRC(parport_wait_event, 0xcdf352e0, "");
SYMBOL_CRC(parport_set_timeout, 0xd9b680c0, "");
SYMBOL_CRC(parport_ieee1284_interrupt, 0x4d2a941b, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_data, 0xa390dce1, "");
SYMBOL_CRC(parport_ieee1284_ecp_read_data, 0xc9a24b13, "");
SYMBOL_CRC(parport_ieee1284_ecp_write_addr, 0x46920d1f, "");
SYMBOL_CRC(parport_ieee1284_write_compat, 0x61741060, "");
SYMBOL_CRC(parport_ieee1284_read_nibble, 0x1d1b85e0, "");
SYMBOL_CRC(parport_ieee1284_read_byte, 0x3c68de54, "");
SYMBOL_CRC(parport_ieee1284_epp_write_data, 0x4b2871f7, "");
SYMBOL_CRC(parport_ieee1284_epp_read_data, 0x752af3c5, "");
SYMBOL_CRC(parport_ieee1284_epp_write_addr, 0xae2aa009, "");
SYMBOL_CRC(parport_ieee1284_epp_read_addr, 0xfdb372b7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb192e312, "__wake_up" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x283a8651, "unregister_sysctl_table" },
	{ 0xc33ff55c, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0xd6de6fd8, "bus_for_each_dev" },
	{ 0x91a2f9da, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xacd779ad, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x11089ac7, "_ctype" },
	{ 0x28c1b486, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xe1e2999a, "register_sysctl_table" },
	{ 0x349cba85, "strchr" },
	{ 0x47f67f15, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x28b9794f, "proc_dointvec_minmax" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xbfc97bdc, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x69e54a9b, "bus_for_each_drv" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5EBA586574B69B7E1C68831");

MODULE_INFO(suserelease, "ALP-0.1");
