#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssam_get_controller, 0x1bac232a, "_gpl");
SYMBOL_CRC(ssam_client_link, 0xbbee15b2, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0xc4dc2ab5, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0xf0419a2c, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0xbf47b5ea, "_gpl");
SYMBOL_CRC(ssam_device_type, 0xb8951ec7, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x1dfae005, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x1d0ea6cf, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0xe5888c72, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0xfa2792d1, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0x06e6261d, "_gpl");
SYMBOL_CRC(ssam_bus_type, 0xb5e6b359, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0xd3025253, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x36bfd5cf, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0xf3aaac67, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0x7c73db10, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0xe69fb6e9, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x725e957c, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0xb0cc27af, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0xdc42f233, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0xb6c8015b, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0x0c1baacd, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0xf51eb764, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0xd3344e66, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0xf1c685b1, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x5a669eae, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0xec9a67aa, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0xbbb863a3, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x400fe774, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0x7cb34046, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x2a7fc499, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x0f8415f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x906d0992, "device_for_each_child_reverse" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1174cbbe, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x92018896, "init_srcu_struct" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xfee9b1f6, "devm_acpi_dev_add_driver_gpios" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xe915fae4, "down_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4a85cca8, "up_write" },
	{ 0x97e846ac, "device_add" },
	{ 0xcc4b4b6, "crc_ccitt_false" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xeb213917, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc1f391bb, "cleanup_srcu_struct" },
	{ 0xfbe3c8db, "sysfs_create_group" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x352ccea3, "serdev_device_wait_until_sent" },
	{ 0x75928107, "__serdev_device_driver_register" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xe41b6481, "acpi_dev_clear_dependencies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a6ba91b, "fwnode_handle_get" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x2b4d5f8f, "serdev_device_write_buf" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xc2cf69fb, "sysfs_remove_group" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe786a521, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x84d2dd5e, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x345716ed, "fwnode_handle_put" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xf549f52e, "device_link_add" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x207ded9a, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xb11cf891, "is_acpi_device_node" },
	{ 0xe8c96305, "gpiod_put" },
	{ 0x2e5f309d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf173141b, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1d7333db, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0xb39946c8, "device_initialize" },
	{ 0xe63f5436, "serdev_device_set_flow_control" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xbeb5e1b9, "gpiod_to_irq" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4aef4994, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8bd533db, "fwnode_get_next_child_node" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb192e312, "__wake_up" },
	{ 0xb7c60e25, "synchronize_srcu" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbe464270, "serdev_device_set_parity" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "F87072E29258F0E4F34B3AC");

MODULE_INFO(suserelease, "ALP-0.1");
