#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rio_local_get_device_id, 0xbbe91cb7, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xcceff5de, "");
SYMBOL_CRC(rio_alloc_net, 0x851a50bb, "_gpl");
SYMBOL_CRC(rio_add_net, 0x329496a1, "_gpl");
SYMBOL_CRC(rio_free_net, 0xc55da0f4, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x9b81f27f, "_gpl");
SYMBOL_CRC(rio_add_device, 0x67f1262e, "_gpl");
SYMBOL_CRC(rio_del_device, 0x42ad9b64, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xe0ad0dc7, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x5a450a67, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x53a3b4a5, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0x73db037d, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x9d240a94, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x642e5586, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x0a324f54, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x277ded33, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0xac92f3f3, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0xaa8a22fa, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x8e9fcb38, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x0d9f1de8, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x088ea987, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x2ae761e7, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x9a9fd0c4, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x4b2b4a69, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x55a3dbe5, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0xc2830635, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x0a503c9b, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x0afa7ce5, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x2fe06335, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x6c5fc461, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x315f6384, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x11a05bc4, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0x858abada, "_gpl");
SYMBOL_CRC(rio_lock_device, 0xdb1ac19b, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x7d38a34f, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0xf63da7fa, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x95ece4db, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xe46e81f9, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x8844fe15, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x7ff04840, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xa68d6e77, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xdb179bc1, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x29c398ba, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x4edd4b0d, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x05aa1531, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0xac7fadbc, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x889c26b8, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x51a6d655, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x064bcd71, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x390723a5, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x03070bdb, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x7fcc6402, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x5769904f, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0xfe16c0f2, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0xa32b94ed, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x9c7e5a4a, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x027f305d, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x3fb6a924, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0xc4901007, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x8bfdd15f, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0xc20f6323, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xec8dc574, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x944cb18f, "_gpl");
SYMBOL_CRC(rio_register_driver, 0xe3acc2f0, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0xaa6c52c1, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x77f82fe3, "_gpl");
SYMBOL_CRC(rio_dev_get, 0xb6e2cbfd, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x48b845d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf2d3c83, "get_device" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xeb2fc72d, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91a2f9da, "module_put" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0x28c1b486, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc662d63f, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b1bfb2, "dma_release_channel" },
	{ 0xf7f03130, "device_for_each_child" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DA39A8CF0BA0076D2DDF66");

MODULE_INFO(suserelease, "ALP-0.1");
