#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fcoe_ctlr_init, 0x90f3b7c6, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0xc66d455a, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x05e02d34, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x3509103c, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0xcd727404, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x913ba9c9, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x7d041f0f, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x65d8b97b, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x902e5668, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x43037acd, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x1e74b10b, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xa31273f2, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x0c29399b, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0xfe2ca7df, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0xb5485feb, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0xac9adb3d, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x4370d0f7, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x3042b063, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x9094fdfa, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x24c5c1c8, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x358e176a, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x4a2623ff, "");
SYMBOL_CRC(fcoe_transport_detach, 0x6641b93d, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x54f7e44f, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xcd91ec96, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x79798b6e, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x7889236d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xf1447dc9, "fc_lport_set_local_id" },
	{ 0x5a78af7e, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x846a4211, "__ethtool_get_link_ksettings" },
	{ 0x28c1b486, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f38ed03, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd05e6fe1, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa0eb3d6c, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x169017, "fc_fcp_init" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x621666fe, "dev_get_by_name" },
	{ 0x619dc912, "skb_clone" },
	{ 0x5b5d4b09, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xd742c30, "fc_rport_create" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x42ff6ecf, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd387373f, "fc_linkup" },
	{ 0xf4c77918, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa30f9ad1, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x610b0c07, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xd046040f, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0xf210c8da, "device_unregister" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xb243c00c, "fc_rport_logoff" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf4dc1be, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf1ff9c5c, "fc_rport_login" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xb04d73af, "fc_linkdown" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x984014e9, "fc_lport_reset" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x8231185e, "init_net" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "13A7103856008F1BFBA633C");

MODULE_INFO(suserelease, "ALP-0.1");
