#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xd878b318, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xf6eaabf4, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x267c62b4, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x5b7ae269, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x8491619f, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xc9bf015f, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x212c1f84, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xc970d359, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x7ff557aa, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x4d639897, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x6640b8b7, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x6b52a538, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x5bafce76, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xbbb6e898, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x1140bf64, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xc5b93ef2, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x81573819, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96c60292, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc5533e11, "crypto_ahash_digest" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xac8619b8, "iscsi_prep_data_out_pdu" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xd70d1140, "iscsi_put_task" },
	{ 0xbd7f59f8, "iscsi_conn_failure" },
	{ 0xb84697ec, "iscsi_conn_setup" },
	{ 0xedec8596, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x9526948d, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x49608959, "migrate_disable" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb21fa779, "crypto_ahash_final" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9783933, "skb_prepare_seq_read" },
	{ 0x48b5d22, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x53c1dfed, "skb_abort_seq_read" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5fa2d4b5, "iscsi_complete_pdu" },
	{ 0xa3acdf6a, "iscsi_verify_itt" },
	{ 0x3b50a2f9, "iscsi_itt_to_ctask" },
	{ 0x3dd85c28, "iscsi_get_task" },
	{ 0x6331af16, "iscsi_update_cmdsn" },
	{ 0xfce1850a, "__iscsi_complete_pdu" },
	{ 0x413b76a7, "iscsi_requeue_task" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x7449c5e2, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "ALP-0.1");
