#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sas_remove_children, 0x65c998b6, "");
SYMBOL_CRC(sas_remove_host, 0x6dfee8be, "");
SYMBOL_CRC(sas_get_address, 0x65b44d85, "");
SYMBOL_CRC(sas_tlr_supported, 0xab164087, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x52fc3895, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x5850d87d, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xfe6e5329, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x46775f13, "");
SYMBOL_CRC(sas_phy_add, 0x0e08e08f, "");
SYMBOL_CRC(sas_phy_free, 0x5964ac6e, "");
SYMBOL_CRC(sas_phy_delete, 0x3e04e9b9, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xbca962a1, "");
SYMBOL_CRC(sas_port_alloc, 0x0a63fde6, "");
SYMBOL_CRC(sas_port_alloc_num, 0x22d74636, "");
SYMBOL_CRC(sas_port_add, 0xbfe494ae, "");
SYMBOL_CRC(sas_port_free, 0xc9f2bd81, "");
SYMBOL_CRC(sas_port_delete, 0xe1db3c6c, "");
SYMBOL_CRC(scsi_is_sas_port, 0xd9f73360, "");
SYMBOL_CRC(sas_port_get_phy, 0x51410246, "");
SYMBOL_CRC(sas_port_add_phy, 0x31ffaaf8, "");
SYMBOL_CRC(sas_port_delete_phy, 0x667e1810, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xbeb847eb, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x3d841a7e, "");
SYMBOL_CRC(sas_end_device_alloc, 0xcf1db6e4, "");
SYMBOL_CRC(sas_expander_alloc, 0xba881429, "");
SYMBOL_CRC(sas_rphy_add, 0x1e02d118, "");
SYMBOL_CRC(sas_rphy_free, 0x0d78fad3, "");
SYMBOL_CRC(sas_rphy_delete, 0xfcc17003, "");
SYMBOL_CRC(sas_rphy_unlink, 0xfe26a131, "");
SYMBOL_CRC(sas_rphy_remove, 0x4eaf603d, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x7dc870f3, "");
SYMBOL_CRC(sas_attach_transport, 0xc4d6057c, "");
SYMBOL_CRC(sas_release_transport, 0xea7615c4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5869f910, "attribute_container_register" },
	{ 0xcc666bdb, "scsi_get_vpd_page" },
	{ 0xcd825e7d, "scsi_mode_sense" },
	{ 0xf3c7c0a7, "attribute_container_unregister" },
	{ 0xa1d2bd2b, "scsi_remove_host" },
	{ 0x3effdf83, "bsg_remove_queue" },
	{ 0xf5081ef1, "scsi_remove_target" },
	{ 0x9f1ab6bd, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x38184261, "bsg_job_done" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x599747e5, "dma_opt_mapping_size" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x33e79ae3, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf7f03130, "device_for_each_child" },
	{ 0xc33ff55c, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x97e846ac, "device_add" },
	{ 0x6ee65633, "transport_add_device" },
	{ 0x6bbf6190, "transport_configure_device" },
	{ 0x686cbe9f, "device_del" },
	{ 0x82ad3db2, "transport_destroy_device" },
	{ 0x5de6608, "transport_remove_device" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x3999391e, "sysfs_remove_link" },
	{ 0x7a5e10f6, "sysfs_create_link" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0x92997ed8, "_printk" },
	{ 0x6fb22cb2, "scsi_scan_target" },
	{ 0xd3ec5426, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xffdca8b8, "transport_class_register" },
	{ 0x74806077, "transport_class_unregister" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "223C2971947F8D4DDF94D8F");

MODULE_INFO(suserelease, "ALP-0.1");
