#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x60777fb9, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0xf38f8b7f, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x7d99e867, "");
SYMBOL_CRC(sdw_intel_startup, 0xc1a1e59f, "");
SYMBOL_CRC(sdw_intel_exit, 0x4b5661fd, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x2ae7635a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16e58faf, "simple_attr_release" },
	{ 0x38901e36, "__auxiliary_device_add" },
	{ 0xd216d1b5, "sdw_cdns_alloc_pdi" },
	{ 0xea9ab4a6, "sdw_cdns_clock_stop" },
	{ 0xdd0135fe, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x9ba7e095, "cdns_xfer_msg_defer" },
	{ 0xb53e3751, "cdns_xfer_msg" },
	{ 0x686cbe9f, "device_del" },
	{ 0xbc46161c, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0xa90edf5c, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x1fc043d3, "sdw_stream_add_master" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x6f59533, "cdns_read_ping_status" },
	{ 0x7216b95d, "acpi_fetch_acpi_dev" },
	{ 0x97b8e7c6, "device_get_named_child_node" },
	{ 0x862882f3, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xfe94f13a, "sdw_cdns_config_update" },
	{ 0x30f711c, "seq_printf" },
	{ 0x49cbaa94, "sdw_bus_master_delete" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x95c25395, "__auxiliary_driver_register" },
	{ 0x8c022f5a, "sdw_cdns_check_self_clearing_bits" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xe87d5fee, "__pm_runtime_use_autosuspend" },
	{ 0x8879dc63, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xe0b3d283, "single_open" },
	{ 0x67722566, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x6127b667, "sdw_master_read_prop" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xe7fd23e1, "sdw_compute_params" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x958c429e, "sdw_cdns_pdi_init" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xf681f7ef, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x82ee731, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbf4c51c, "sdw_cdns_clock_restart" },
	{ 0xd635a811, "sdw_cdns_debugfs_init" },
	{ 0x4db26aa, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0x484282ec, "sdw_bus_master_add" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x1e2ff1db, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x9d48dacb, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x1902a920, "sdw_cdns_is_clock_stop" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x5dc7608e, "sdw_cdns_config_update_set_wait" },
	{ 0xf7f03130, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xef6b1757, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x140cfad2, "auxiliary_driver_unregister" },
	{ 0x9964a4aa, "devm_snd_soc_register_component" },
	{ 0xe0cd3134, "cdns_bus_conf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0xf20762e1, "cdns_set_sdw_stream" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x19d5f935, "fwnode_property_read_u32_array" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xd0c2e9b1, "sdw_clear_slave_status" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0x9d754878, "sdw_stream_remove_master" },
	{ 0xc224c66b, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x4f7d441b, "sdw_cdns_exit_reset" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "728C65849BB4A5CAB7B251D");

MODULE_INFO(suserelease, "ALP-0.1");
