#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

SYMBOL_CRC(dot11d_init, 0xead5b87e, "");
SYMBOL_CRC(dot11d_channel_map, 0xb658a911, "");
SYMBOL_CRC(rt_global_debug_component, 0x22166084, "");
SYMBOL_CRC(alloc_rtllib, 0x23ca4b3f, "");
SYMBOL_CRC(free_rtllib, 0x3df4e239, "");
SYMBOL_CRC(rtllib_rx, 0x4f3cb80e, "");
SYMBOL_CRC(rtllib_legal_channel, 0xd4b8ff00, "");
SYMBOL_CRC(rtllib_xmit, 0x14cb62dc, "");
SYMBOL_CRC(rtllib_wx_get_scan, 0x53651fe2, "");
SYMBOL_CRC(rtllib_wx_set_encode, 0x626099b1, "");
SYMBOL_CRC(rtllib_wx_get_encode, 0xbea2de4d, "");
SYMBOL_CRC(rtllib_wx_set_encode_ext, 0x69dc9068, "");
SYMBOL_CRC(rtllib_wx_set_mlme, 0x932935a3, "");
SYMBOL_CRC(rtllib_wx_set_auth, 0x58095201, "");
SYMBOL_CRC(rtllib_wx_set_gen_ie, 0x081c1759, "");
SYMBOL_CRC(rtllib_EnableIntelPromiscuousMode, 0xf9d8d90c, "");
SYMBOL_CRC(rtllib_DisableIntelPromiscuousMode, 0xe7b17ed2, "");
SYMBOL_CRC(rtllib_stop_send_beacons, 0x478dec16, "");
SYMBOL_CRC(rtllib_start_send_beacons, 0x90aeb5eb, "");
SYMBOL_CRC(rtllib_stop_scan, 0xdaea1252, "");
SYMBOL_CRC(rtllib_stop_scan_syncro, 0x9d7a8472, "");
SYMBOL_CRC(rtllib_act_scanning, 0xfcd683af, "");
SYMBOL_CRC(rtllib_start_scan_syncro, 0x1a0dfec9, "");
SYMBOL_CRC(rtllib_sta_ps_send_null_frame, 0x709cd766, "");
SYMBOL_CRC(rtllib_ps_tx_ack, 0x15065dfb, "");
SYMBOL_CRC(rtllib_reset_queue, 0xca5d3ab5, "");
SYMBOL_CRC(rtllib_get_beacon, 0xf009a4be, "");
SYMBOL_CRC(rtllib_softmac_stop_protocol, 0xa8792264, "");
SYMBOL_CRC(rtllib_softmac_start_protocol, 0xd9b9fb2d, "");
SYMBOL_CRC(rtllib_MgntDisconnect, 0x2b9d4666, "");
SYMBOL_CRC(notify_wx_assoc_event, 0xfdf35d8a, "");
SYMBOL_CRC(rtllib_wlan_frequencies, 0xdf78f620, "");
SYMBOL_CRC(rtllib_wx_set_freq, 0xb94e527a, "");
SYMBOL_CRC(rtllib_wx_get_freq, 0xf2213366, "");
SYMBOL_CRC(rtllib_wx_get_wap, 0xe139d2db, "");
SYMBOL_CRC(rtllib_wx_set_wap, 0x8a8c89fe, "");
SYMBOL_CRC(rtllib_wx_get_essid, 0x35418817, "");
SYMBOL_CRC(rtllib_wx_set_rate, 0x1881d055, "");
SYMBOL_CRC(rtllib_wx_get_rate, 0x53eeb149, "");
SYMBOL_CRC(rtllib_wx_set_rts, 0x6dc48249, "");
SYMBOL_CRC(rtllib_wx_get_rts, 0x0671d96c, "");
SYMBOL_CRC(rtllib_wx_set_mode, 0xff5ef200, "");
SYMBOL_CRC(rtllib_wx_set_scan, 0x180a7efe, "");
SYMBOL_CRC(rtllib_wx_set_essid, 0x210bbb39, "");
SYMBOL_CRC(rtllib_wx_get_mode, 0xb431931c, "");
SYMBOL_CRC(rtllib_wx_set_rawtx, 0xb3adb7fb, "");
SYMBOL_CRC(rtllib_wx_get_name, 0x39113b09, "");
SYMBOL_CRC(rtllib_wx_set_power, 0xe6623f11, "");
SYMBOL_CRC(rtllib_wx_get_power, 0xf2280c3f, "");
SYMBOL_CRC(HT_update_self_and_peer_setting, 0x40fe6d18, "");
SYMBOL_CRC(RemovePeerTS, 0x7d60ea5f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcbe36b06, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0xbae96900, "lib80211_get_crypto_ops" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xafc8f0ea, "wireless_send_event" },
	{ 0x9166fada, "strncpy" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbd270922, "netif_tx_stop_all_queues" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfeaf8285, "netdev_alert" },
	{ 0xfaa659fa, "lib80211_crypt_info_free" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc0d6409e, "lib80211_crypt_delayed_deinit" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x610b0c07, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x5b74a175, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xde276760, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "lib80211");


MODULE_INFO(srcversion, "DDC9178F5686FEDDBC7E584");

MODULE_INFO(suserelease, "ALP-0.1");
