#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

SYMBOL_CRC(ieee80211_rx, 0x7965601d, "");
SYMBOL_CRC(ieee80211_rx_mgt, 0x3a9ded12, "");
SYMBOL_CRC(ieee80211_is_54g, 0xe3372510, "");
SYMBOL_CRC(ieee80211_is_shortslot, 0x6651f895, "");
SYMBOL_CRC(ieee80211_softmac_scan_syncro, 0x55afcbde, "");
SYMBOL_CRC(ieee80211_stop_send_beacons, 0xd197a2e0, "");
SYMBOL_CRC(ieee80211_start_send_beacons, 0x2e75f69e, "");
SYMBOL_CRC(ieee80211_stop_scan, 0x050f3011, "");
SYMBOL_CRC(ieee80211_start_scan_syncro, 0xddcdc27e, "");
SYMBOL_CRC(ieee80211_ps_tx_ack, 0xc4b18c8b, "");
SYMBOL_CRC(ieee80211_softmac_xmit, 0xde5628f5, "");
SYMBOL_CRC(ieee80211_reset_queue, 0xd9ac97a1, "");
SYMBOL_CRC(ieee80211_wake_queue_rsl, 0x05fdfb46, "");
SYMBOL_CRC(ieee80211_stop_queue_rsl, 0x694edfe4, "");
SYMBOL_CRC(ieee80211_disassociate, 0x7880be00, "");
SYMBOL_CRC(ieee80211_get_beacon, 0xaa66c697, "");
SYMBOL_CRC(ieee80211_softmac_stop_protocol, 0xc086959f, "");
SYMBOL_CRC(ieee80211_softmac_start_protocol, 0xb0fd5834, "");
SYMBOL_CRC(SendDisassociation_rsl, 0x0c2372a7, "");
SYMBOL_CRC(ieee80211_wpa_supplicant_ioctl, 0x199960d9, "");
SYMBOL_CRC(notify_wx_assoc_event_rsl, 0xb7705bc6, "");
SYMBOL_CRC(ieee80211_txb_free, 0xde2e5370, "");
SYMBOL_CRC(ieee80211_wx_get_scan, 0x32efcaee, "");
SYMBOL_CRC(ieee80211_wx_set_encode, 0x3eaba0a8, "");
SYMBOL_CRC(ieee80211_wx_get_encode, 0xa09025b1, "");
SYMBOL_CRC(ieee80211_wx_set_encode_ext, 0x63431b55, "");
SYMBOL_CRC(ieee80211_wx_get_encode_ext, 0x82a98b50, "");
SYMBOL_CRC(ieee80211_wx_set_mlme, 0x0d06df01, "");
SYMBOL_CRC(ieee80211_wx_set_auth, 0x68ce8bee, "");
SYMBOL_CRC(ieee80211_wx_set_gen_ie, 0x9643f6a3, "");
SYMBOL_CRC(ieee80211_wlan_frequencies, 0x232e7944, "");
SYMBOL_CRC(ieee80211_wx_set_freq, 0x32292423, "");
SYMBOL_CRC(ieee80211_wx_get_freq, 0x271b2b1a, "");
SYMBOL_CRC(ieee80211_wx_get_wap, 0xf36478bd, "");
SYMBOL_CRC(ieee80211_wx_set_wap, 0x1b4608e0, "");
SYMBOL_CRC(ieee80211_wx_get_essid, 0xcc6d0006, "");
SYMBOL_CRC(ieee80211_wx_set_rate, 0x237fba58, "");
SYMBOL_CRC(ieee80211_wx_get_rate, 0x364db561, "");
SYMBOL_CRC(ieee80211_wx_set_rts, 0x5b1623db, "");
SYMBOL_CRC(ieee80211_wx_get_rts, 0xb3345386, "");
SYMBOL_CRC(ieee80211_wx_set_mode, 0xcebc9e5f, "");
SYMBOL_CRC(ieee80211_wx_set_scan, 0x27ddc5d7, "");
SYMBOL_CRC(ieee80211_wx_set_essid, 0x937dba01, "");
SYMBOL_CRC(ieee80211_wx_get_mode, 0xdb8e9166, "");
SYMBOL_CRC(ieee80211_wx_set_rawtx, 0xd26263cd, "");
SYMBOL_CRC(ieee80211_wx_get_name, 0xd3a5c569, "");
SYMBOL_CRC(ieee80211_wx_set_power, 0xad87da59, "");
SYMBOL_CRC(ieee80211_wx_get_power, 0xf297605e, "");
SYMBOL_CRC(HTUpdateSelfAndPeerSetting, 0x9b11a12f, "");
SYMBOL_CRC(rtl8192u_dot11d_init, 0x4399c451, "");
SYMBOL_CRC(dot11d_reset, 0x0980f43b, "");
SYMBOL_CRC(dot11d_update_country_ie, 0xb33e2595, "");
SYMBOL_CRC(dot11d_get_max_tx_pwr_in_dbm, 0xefa8b83b, "");
SYMBOL_CRC(dot11d_scan_complete, 0xdad346a8, "");
SYMBOL_CRC(is_legal_channel, 0x381753a6, "");
SYMBOL_CRC(to_legal_channel, 0xfd20e9ff, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x308734fa, "usb_control_msg" },
	{ 0xafc8f0ea, "wireless_send_event" },
	{ 0xf2766c7c, "seq_putc" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0xaee5396, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x681f1d7c, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3e6509b0, "skb_unlink" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfeaf8285, "netdev_alert" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3db0470f, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x821afea1, "crypto_shash_final" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf426d754, "skb_copy" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0x77aba229, "seq_puts" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xe0b3d283, "single_open" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0x610b0c07, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1cd7839, "proc_create" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x5b74a175, "dev_trans_start" },
	{ 0x59e6e5f8, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x58968cb, "seq_lseek" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x16d10432, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xde276760, "netdev_warn" },
	{ 0xa031b3f5, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x484e9d03, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1060da90, "debugfs_lookup" },
	{ 0x70f0b35f, "crypto_aead_setkey" },
	{ 0x8231185e, "init_net" },
	{ 0x1f408ce2, "crypto_shash_setkey" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd2d01436, "crypto_aead_encrypt" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libarc4,usbcore");

MODULE_ALIAS("usb:v0BDAp8709d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp805Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p9201d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0290d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep7A01d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "04A6528B679AA26A1C56360");

MODULE_INFO(suserelease, "ALP-0.1");
