#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d511c54, "regcache_cache_bypass" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x268fe58b, "gpiochip_add_data_with_key" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xedf94e3b, "spi_setup" },
	{ 0xbb5870c3, "device_get_match_data" },
	{ 0x93d168ba, "__devm_regmap_init_spi" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0xb67c1221, "spi_get_device_id" },
	{ 0xf6f34029, "i2c_client_get_device_id" },
	{ 0xc46dce23, "__devm_regmap_init_i2c" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x6d6f41e4, "nbcon_device_try_acquire" },
	{ 0x41d839f3, "nbcon_device_release" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb192e312, "__wake_up" },
	{ 0x6b1f9ba, "uart_handle_cts_change" },
	{ 0x39502daa, "uart_handle_dcd_change" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc1b02069, "uart_get_baud_rate" },
	{ 0xfbffbba9, "uart_update_timeout" },
	{ 0xe74f2c73, "regmap_noinc_write" },
	{ 0xc3ab9e99, "uart_write_wakeup" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x913f96f2, "regmap_noinc_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3148a540, "uart_insert_char" },
	{ 0x974f3e8e, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0xa6c12164, "uart_try_toggle_sysrq" },
	{ 0x7647726c, "handle_sysrq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6f6a60a3, "do_SAK" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0105892, "uart_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x35c515f9, "i2c_register_driver" },
	{ 0xfc4ef393, "__spi_register_driver" },
	{ 0x6d3c959, "i2c_del_driver" },
	{ 0x385e0dc7, "uart_unregister_driver" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb04bfd90, "kthread_queue_work" },
	{ 0x99c5e33f, "kthread_queue_delayed_work" },
	{ 0xc2c46908, "gpiochip_get_data" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x54ab2ad8, "regmap_update_bits_base" },
	{ 0x70648199, "kthread_cancel_delayed_work_sync" },
	{ 0xbf41f88a, "uart_remove_one_port" },
	{ 0xb76f33d1, "kthread_flush_worker" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x9d86b0d7, "gpiochip_remove" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x335396f1, "device_property_read_u32_array" },
	{ 0xb3a9db22, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x6acbae6b, "__kthread_init_worker" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x8af809a9, "sched_set_fifo" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbe05d206, "uart_add_one_port" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "regmap-spi,regmap-i2c");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "774B26E84AA48DD4E64A45D");

MODULE_INFO(suserelease, "ALP-0.1");
