#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ufshcd_dump_regs, 0xd320dc4f, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x480c73fc, "");
SYMBOL_CRC(ufshcd_hold, 0x8360ceda, "_gpl");
SYMBOL_CRC(ufshcd_release, 0xe62263ee, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x9d20af55, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xed69bc01, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xbc9b3e09, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xcd765f09, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x311b648b, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x180a62ea, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x9ee25778, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xe8459225, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0xc51cd5b2, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x8b55366f, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x5540b542, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0xceda3e82, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x35457ed2, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x257bb03e, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x4e8ee057, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xbc12a9b6, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x5757a0f9, "");
SYMBOL_CRC(ufshcd_system_resume, 0x1019ab9d, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x49fa8ad5, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xbcc1ef0f, "");
SYMBOL_CRC(ufshcd_shutdown, 0xa89bd180, "");
SYMBOL_CRC(ufshcd_remove, 0xda82be78, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0xaf2fb0b4, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x7bb7f0ac, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x612bc65a, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x1dd70fde, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x989738f7, "");
SYMBOL_CRC(ufshcd_init, 0xa9f6b5d3, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x1b3a2360, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0xda069cc9, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x4a7c67d9, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0xdae8c0d7, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_nolock, 0x77425675, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x3c540383, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x3916f2fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x4f5d6927, "scsi_dma_map" },
	{ 0x92eb9841, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0xcc6600d0, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xba14b308, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xd3ec5426, "bsg_setup_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x8eb5238f, "scsi_autopm_put_device" },
	{ 0x5313d0b, "scsi_device_get" },
	{ 0x93525190, "bio_add_pc_page" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3effdf83, "bsg_remove_queue" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x38184261, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5bf5222a, "dmam_alloc_attrs" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xa1d2bd2b, "scsi_remove_host" },
	{ 0xc129c842, "blk_rq_append_bio" },
	{ 0x8cf6d9f9, "param_get_bool" },
	{ 0xa86dfc15, "bpf_trace_run6" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xe8385365, "blk_pm_runtime_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x7e072079, "scsi_report_bus_reset" },
	{ 0x8a42d520, "sysfs_remove_groups" },
	{ 0x1fad9890, "hwmon_notify_event" },
	{ 0xbfc97bdc, "up" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x37cb72b2, "sysfs_create_groups" },
	{ 0x1094becf, "dev_pm_opp_add" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa415a475, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0xb27e3db5, "__scsi_iterate_devices" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x56d191c5, "mempool_free" },
	{ 0x7825c551, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x56530d28, "blk_mq_alloc_tag_set" },
	{ 0xab9672ec, "devfreq_add_device" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x5e8bb8c5, "mempool_create" },
	{ 0x4fae901d, "scsi_register_driver" },
	{ 0x72e10b8, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x80c1365c, "param_get_uint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0x16741bd4, "mempool_alloc" },
	{ 0x15d642f9, "blk_mq_free_request" },
	{ 0x335396f1, "device_property_read_u32_array" },
	{ 0xebe04dc9, "devm_regulator_get" },
	{ 0xddaba837, "__free_pages" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf6417945, "scsi_device_put" },
	{ 0x25dc3dc9, "device_create_file" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0x30f5bb30, "bio_put" },
	{ 0x9ea072bf, "regulator_set_load" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xe915fae4, "down_write" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xb5f83e46, "blk_queue_update_dma_alignment" },
	{ 0xde1c2653, "devfreq_remove_device" },
	{ 0xcb94fdeb, "scsi_host_put" },
	{ 0x4a85cca8, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x33f548eb, "mempool_resize" },
	{ 0x97e846ac, "device_add" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb70a256f, "blk_execute_rq_nowait" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0x1a50a6b5, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x32a460e8, "down" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcdf786c2, "dev_pm_opp_remove" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xe278f7b9, "sdev_prefix_printk" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x15f66389, "scsi_scan_host" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x5a835160, "device_link_remove" },
	{ 0x75466d0, "param_set_bool" },
	{ 0x990bbe34, "blk_mq_alloc_request" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x57ab10c3, "blk_queue_update_dma_pad" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x125bb5e3, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x26009956, "blk_put_queue" },
	{ 0x686cbe9f, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd6a50f9c, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x36b375a, "regulator_count_voltages" },
	{ 0x9f1ab6bd, "scsi_is_host_device" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5222aa39, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21c2ba23, "blk_mq_init_queue" },
	{ 0xa9f16f3e, "blk_mq_unique_tag" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x7a7876c5, "bpf_trace_run10" },
	{ 0x5f389eda, "scsi_device_quiesce" },
	{ 0xe86db549, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xb80e0d19, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x14f658c8, "scsi_print_command" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x77009fad, "_dev_notice" },
	{ 0x4bbeac6, "pm_runtime_forbid" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x9b6fb779, "param_set_uint_minmax" },
	{ 0xc2c84900, "pm_runtime_allow" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0x9d188d73, "devfreq_suspend_device" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x81bb0c16, "blk_mq_destroy_queue" },
	{ 0x7edb2fd2, "scsi_execute_cmd" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x58aaba77, "mempool_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x6dbfa23a, "devm_blk_crypto_profile_init" },
	{ 0xfe58531e, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x5abddd84, "blk_mq_tagset_busy_iter" },
	{ 0xb25807d7, "scsi_done" },
	{ 0x3d60d0b7, "single_release" },
	{ 0xcdd49cf0, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x5af8a8ea, "regulator_disable" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc2319552, "scsi_remove_device" },
	{ 0x83cd7401, "scsi_block_requests" },
	{ 0x59a55a24, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe0b3d283, "single_open" },
	{ 0x9745a1a6, "scsi_host_alloc" },
	{ 0xcc4ba881, "__scsi_add_device" },
	{ 0xe2a30198, "devfreq_resume_device" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xf549f52e, "device_link_add" },
	{ 0xf0bed80c, "bio_alloc_bioset" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb777c91, "scsi_change_queue_depth" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x6aa8c5cf, "device_remove_file" },
	{ 0x4b53f284, "fs_bio_set" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x38dc4914, "dma_map_sg_attrs" },
	{ 0x41431619, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "5EF7FF452E418A229ED132F");

MODULE_INFO(suserelease, "ALP-0.1");
