#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xcdaeb160, "usb_set_interface" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x777d668b, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xb192e312, "__wake_up" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x681f1d7c, "param_ops_charp" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbe8993b, "usbatm_usb_disconnect" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x308734fa, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x826b6198, "usb_ifnum_to_if" },
	{ 0xa7ac9abc, "usb_driver_claim_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9e744506, "usb_bulk_msg" },
	{ 0x4df02057, "crc32_be" },
	{ 0x38277b1, "kernel_param_lock" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xa0e92035, "kernel_param_unlock" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5a921311, "strncmp" },
	{ 0x95de297e, "usb_reset_device" },
	{ 0xef176305, "request_firmware_nowait" },
	{ 0x1554d36e, "usbatm_usb_probe" },
	{ 0x51140429, "atm_dev_signal_change" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0x5a6b3a47, "usb_string" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbatm,atm");

MODULE_ALIAS("usb:v1110p9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p900Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1110p9041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1039p2120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3351d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3350d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3352d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3353d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3362d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3363d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00FAd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BAFp00F7d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B9C478C2711C8FC21F161A7");

MODULE_INFO(suserelease, "ALP-0.1");
