#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_gadget_get_string, 0x4beb505d, "_gpl");
SYMBOL_CRC(usb_validate_langid, 0x0c589aba, "_gpl");
SYMBOL_CRC(usb_descriptor_fillbuf, 0xd2ea2134, "_gpl");
SYMBOL_CRC(usb_gadget_config_buf, 0xf474a207, "_gpl");
SYMBOL_CRC(usb_copy_descriptors, 0x2e09263f, "_gpl");
SYMBOL_CRC(usb_assign_descriptors, 0xb2b99d27, "_gpl");
SYMBOL_CRC(usb_free_all_descriptors, 0xece5fd72, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_alloc, 0x8172c521, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_init, 0xa29085ef, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_ss, 0xcc0c269f, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig, 0x9a750006, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_release, 0x1150a4d5, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_reset, 0x6e91ac9b, "_gpl");
SYMBOL_CRC(config_ep_by_speed_and_alt, 0xe2f9a1cc, "_gpl");
SYMBOL_CRC(config_ep_by_speed, 0xd41bee15, "_gpl");
SYMBOL_CRC(usb_add_function, 0x6add19ef, "_gpl");
SYMBOL_CRC(usb_remove_function, 0xd82332b0, "_gpl");
SYMBOL_CRC(usb_function_deactivate, 0x0fe8764e, "_gpl");
SYMBOL_CRC(usb_function_activate, 0x470c914d, "_gpl");
SYMBOL_CRC(usb_interface_id, 0x13240dd5, "_gpl");
SYMBOL_CRC(usb_func_wakeup, 0x6d8207f1, "_gpl");
SYMBOL_CRC(usb_add_config_only, 0x538dbd9b, "_gpl");
SYMBOL_CRC(usb_add_config, 0x9ac791ad, "_gpl");
SYMBOL_CRC(usb_string_id, 0xbc334194, "_gpl");
SYMBOL_CRC(usb_string_ids_tab, 0x3b9f5600, "_gpl");
SYMBOL_CRC(usb_gstrings_attach, 0x33094a61, "_gpl");
SYMBOL_CRC(usb_string_ids_n, 0x258df288, "_gpl");
SYMBOL_CRC(usb_composite_probe, 0x2c539feb, "_gpl");
SYMBOL_CRC(usb_composite_unregister, 0x1e707348, "_gpl");
SYMBOL_CRC(usb_composite_setup_continue, 0xa4681f21, "_gpl");
SYMBOL_CRC(usb_composite_overwrite_options, 0xab17f775, "_gpl");
SYMBOL_CRC(usb_get_function_instance, 0x71a8f1e7, "_gpl");
SYMBOL_CRC(usb_get_function, 0xe15e8bba, "_gpl");
SYMBOL_CRC(usb_put_function_instance, 0x6595efe9, "_gpl");
SYMBOL_CRC(usb_put_function, 0x99db7b5f, "_gpl");
SYMBOL_CRC(usb_function_register, 0x0c9dc81b, "_gpl");
SYMBOL_CRC(usb_function_unregister, 0x9453604b, "_gpl");
SYMBOL_CRC(usb_os_desc_prepare_interf_dir, 0x9e8aab2a, "");
SYMBOL_CRC(unregister_gadget_item, 0xe90a38fb, "_gpl");
SYMBOL_CRC(alloc_ep_req, 0x15ab8f10, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xcec15a84, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x1fcd8c1e, "usb_gadget_register_driver_owner" },
	{ 0x4eabdb7, "usb_ep_queue" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x2ba481cd, "usb_gadget_deactivate" },
	{ 0x349cba85, "strchr" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x6aa8c5cf, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xa7281b84, "config_group_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x37c2bf0a, "usb_gadget_check_config" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xeeb939de, "usb_gadget_ep_match_desc" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe1caf771, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b5f8974, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2e5b5dd6, "usb_gadget_set_selfpowered" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xd5f14194, "usb_gadget_set_remote_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8ce9cce, "usb_gadget_vbus_draw" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x74a0ac23, "config_item_set_name" },
	{ 0x91a2f9da, "module_put" },
	{ 0x4dd55e27, "usb_ep_dequeue" },
	{ 0x25dc3dc9, "device_create_file" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x703b5464, "configfs_register_subsystem" },
	{ 0x372cdee1, "init_uts_ns" },
	{ 0x685421e8, "config_group_init_type_name" },
	{ 0xbaf54198, "usb_gadget_activate" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x2630ad45, "usb_gadget_clear_selfpowered" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xa9ebb99a, "usb_gadget_set_state" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeaf307f9, "usb_ep_alloc_request" },
	{ 0xdd64e639, "strscpy" },
	{ 0x8a5a7665, "usb_gadget_unregister_driver" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x80a5f0d7, "config_item_init_type_name" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "7AD26EA9F90404A736ECAA1");

MODULE_INFO(suserelease, "ALP-0.1");
