#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ehci_handshake, 0xd5b15bfb, "_gpl");
SYMBOL_CRC(ehci_reset, 0xcc7ab277, "_gpl");
SYMBOL_CRC(ehci_adjust_port_wakeup_flags, 0x41db9af5, "_gpl");
SYMBOL_CRC(ehci_hub_control, 0x4c9d2fc2, "_gpl");
SYMBOL_CRC(ehci_setup, 0xe270e9b2, "_gpl");
SYMBOL_CRC(ehci_suspend, 0x929382d8, "_gpl");
SYMBOL_CRC(ehci_resume, 0xaf32b43c, "_gpl");
SYMBOL_CRC(ehci_init_driver, 0x846fed23, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56470118, "__warn_printk" },
	{ 0x1656c414, "usb_hcd_check_unlink_urb" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x6a5d2344, "usb_hc_died" },
	{ 0x68054809, "usb_hcd_poll_rh_status" },
	{ 0xab956cf, "default_llseek" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x96848186, "scnprintf" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9728daa0, "usb_hub_clear_tt_buffer" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xb53df8ff, "usb_hcd_unlink_urb_from_ep" },
	{ 0x541f03fd, "usb_hcd_giveback_urb" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x999e8297, "vfree" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc17515d7, "usb_hcds_loaded" },
	{ 0x92997ed8, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2973fca2, "usb_debug_root" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xee5c93b5, "__platform_register_drivers" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0xdb97ed65, "platform_unregister_drivers" },
	{ 0x59790d58, "usb_hcd_resume_root_hub" },
	{ 0x17c84a16, "pci_bus_type" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbe6b8d25, "hrtimer_start_range_ns" },
	{ 0x754d539c, "strlen" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x7e64181d, "usb_calc_bus_time" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x853d7e86, "hrtimer_cancel" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xdf1882af, "dbgp_reset_prep" },
	{ 0x6527a231, "dbgp_external_startup" },
	{ 0xe9e66f37, "hrtimer_init" },
	{ 0xe14d67e8, "dma_pool_create" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x183b64af, "ehci_cf_port_reset_rwsem" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x25dc3dc9, "device_create_file" },
	{ 0x50953b0b, "usb_root_hub_lost_power" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6aa8c5cf, "device_remove_file" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xc9a93268, "usb_hcd_start_port_resume" },
	{ 0x442d915b, "usb_hcd_end_port_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf4dbaa6, "usb_for_each_dev" },
	{ 0x36b8ae1f, "usb_hcd_link_urb_to_ep" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "1121C33D8F872F51DD10120");

MODULE_INFO(suserelease, "ALP-0.1");
