#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(xhci_run, 0x4721ddde, "_gpl");
SYMBOL_CRC(xhci_stop, 0x751b84c4, "_gpl");
SYMBOL_CRC(xhci_shutdown, 0x3144e7d5, "_gpl");
SYMBOL_CRC(xhci_suspend, 0xbeca56cd, "_gpl");
SYMBOL_CRC(xhci_resume, 0x2a22c619, "_gpl");
SYMBOL_CRC(xhci_get_endpoint_index, 0x57d4050a, "_gpl");
SYMBOL_CRC(xhci_drop_endpoint, 0x44ce2e83, "_gpl");
SYMBOL_CRC(xhci_add_endpoint, 0x9ccf3c0e, "_gpl");
SYMBOL_CRC(xhci_check_bandwidth, 0x8c1e48a4, "_gpl");
SYMBOL_CRC(xhci_reset_bandwidth, 0xc9b0bf4e, "_gpl");
SYMBOL_CRC(xhci_update_hub_device, 0x3ff4f15a, "_gpl");
SYMBOL_CRC(xhci_gen_setup, 0x25a9b9e9, "_gpl");
SYMBOL_CRC(xhci_init_driver, 0x74be8004, "_gpl");
SYMBOL_CRC(xhci_get_ep_ctx, 0xc41a035b, "_gpl");
SYMBOL_CRC(xhci_ext_cap_init, 0x4f6659e6, "_gpl");
SYMBOL_CRC(xhci_msi_irq, 0x88fac4e8, "_gpl");
SYMBOL_CRC(xhci_port_state_to_neutral, 0x1cdd0605, "_gpl");
SYMBOL_CRC(xhci_find_slot_id_by_port, 0xea3c6cfe, "_gpl");
SYMBOL_CRC(xhci_hub_control, 0x3e8094f1, "_gpl");
SYMBOL_CRC(xhci_dbg_trace, 0x758c1f05, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_quirks, 0xda1cafff, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_quirks, 0x4c549b36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_quirks, 0x3938cab9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_quirks, 0xabf03fc3, "_gpl");
SYMBOL_CRC(__tracepoint_xhci_dbg_init, 0xceffad91, "_gpl");
SYMBOL_CRC(__traceiter_xhci_dbg_init, 0xa2402218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_xhci_dbg_init, 0x12645a7f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_xhci_dbg_init, 0x8a5c1029, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe8fa5216, "platform_device_add_resources" },
	{ 0x1656c414, "usb_hcd_check_unlink_urb" },
	{ 0xcb62ab6b, "iommu_get_domain_for_dev" },
	{ 0x9a1b1641, "radix_tree_delete" },
	{ 0x97422d33, "device_create_managed_software_node" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x442d915b, "usb_hcd_end_port_resume" },
	{ 0x24d273d1, "add_timer" },
	{ 0x6fedbcd9, "radix_tree_preloads" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe48087a1, "platform_device_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x63e3c0f7, "platform_device_add" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x4f085f70, "platform_device_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdc825d6c, "usb_amd_quirk_pll_disable" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x36b8ae1f, "usb_hcd_link_urb_to_ep" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x40a9a737, "usb_hcd_is_primary_hcd" },
	{ 0xb22e16d5, "radix_tree_maybe_preload" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10ecc52c, "usb_amd_quirk_pll_enable" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xc2bdc822, "usb_acpi_power_manageable" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9728daa0, "usb_hub_clear_tt_buffer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0xc7975de0, "trace_seq_acquire" },
	{ 0xb9b9df41, "usb_amd_dev_put" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x4bbeac6, "pm_runtime_forbid" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xc2c84900, "pm_runtime_allow" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x541f03fd, "usb_hcd_giveback_urb" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x68054809, "usb_hcd_poll_rh_status" },
	{ 0x53b5930e, "usb_acpi_set_power_state" },
	{ 0xbc66a144, "usb_disable_xhci_ports" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x2973fca2, "usb_debug_root" },
	{ 0x7e934208, "__devm_add_action" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xe0b3d283, "single_open" },
	{ 0x656bc856, "usb_hcd_unmap_urb_for_dma" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x50953b0b, "usb_root_hub_lost_power" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xdc4b1ae6, "param_ops_ullong" },
	{ 0x1908a9cc, "platform_device_put" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x94edfb7f, "usb_asmedia_modifyflowcontrol" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe14d67e8, "dma_pool_create" },
	{ 0x9bb67cad, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x59790d58, "usb_hcd_resume_root_hub" },
	{ 0xb53df8ff, "usb_hcd_unlink_urb_from_ep" },
	{ 0xc9a93268, "usb_hcd_start_port_resume" },
	{ 0x3dfc3ffe, "usb_amd_pt_check_port" },
	{ 0x6a5d2344, "usb_hc_died" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0x28a59278, "radix_tree_lookup" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xdb7f0710, "usb_wakeup_notification" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x148653, "vsnprintf" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x474edef, "kstrtou16_from_user" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x9de5a74c, "usb_hcd_map_urb_for_dma" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x69edd4d1, "kmalloc_node_trace" },
	{ 0xda10f3eb, "debugfs_create_regset32" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "7F205717047B9F67094CD17");

MODULE_INFO(suserelease, "ALP-0.1");
