#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(musb_get_mode, 0x079b8f55, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0x85e3c4d8, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0x901cc159, "_gpl");
SYMBOL_CRC(musb_interrupt, 0xb650f9e4, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0x4ddb6dd4, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0x15737297, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1656c414, "usb_hcd_check_unlink_urb" },
	{ 0x6c17818d, "device_wakeup_disable" },
	{ 0xb0a59159, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xb1e1a194, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x5b49f874, "sg_miter_stop" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x92723766, "sg_miter_start" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x36b8ae1f, "usb_hcd_link_urb_to_ep" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x2f3c3a4a, "usb_put_hcd" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c93d754, "__platform_driver_register" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x64920e4a, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x541f03fd, "usb_hcd_giveback_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb7480a6d, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x68054809, "usb_hcd_poll_rh_status" },
	{ 0x4f42d46d, "usb_create_hcd" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0x2973fca2, "usb_debug_root" },
	{ 0x754d539c, "strlen" },
	{ 0xe87d5fee, "__pm_runtime_use_autosuspend" },
	{ 0x1fedf675, "usb_remove_hcd" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0xe0b3d283, "single_open" },
	{ 0x656bc856, "usb_hcd_unmap_urb_for_dma" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xa8f520d2, "usb_add_hcd" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdcecbca3, "devm_platform_ioremap_resource" },
	{ 0x2e5f309d, "device_set_wakeup_capable" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x59790d58, "usb_hcd_resume_root_hub" },
	{ 0xb53df8ff, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf1c52c17, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xaf9817ee, "param_ops_ushort" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x148653, "vsnprintf" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x236f460f, "usb_get_dr_mode" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x64f524b1, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xa946318a, "platform_get_irq_byname" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "25D8F808F4E9C2137A905CE");

MODULE_INFO(suserelease, "ALP-0.1");
