#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x3aad5313, "tty_encode_baud_rate" },
	{ 0xf5cfda03, "tty_port_tty_get" },
	{ 0x5517638c, "tty_kref_put" },
	{ 0x6966cdfa, "usb_serial_generic_tiocmiwait" },
	{ 0xc45061ef, "usb_serial_generic_get_icount" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64d71d4c, "usb_serial_register_drivers" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xb192e312, "__wake_up" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0x334f0757, "tty_port_tty_wakeup" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0x3b968f75, "usb_serial_deregister_drivers" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x308734fa, "usb_control_msg" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xf551217d, "tty_insert_flip_string_fixed_flag" },
	{ 0x974f3e8e, "tty_flip_buffer_push" },
	{ 0x5a6b3a47, "usb_string" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbserial");

MODULE_ALIAS("usb:v1608p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p1403d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p000Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1608p0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0203d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0310d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0311d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0404p0312d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05D9pA758d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05D9pA794d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05D9pA225d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "76EEC45C8721C25C7EFDA4C");

MODULE_INFO(suserelease, "ALP-0.1");
