#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0xb655342c, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x7cbd9661, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d9dd33c, "typec_unregister_partner" },
	{ 0xf2485224, "kthread_destroy_worker" },
	{ 0xb07e6e9a, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xad032c56, "typec_port_set_usb_power_delivery" },
	{ 0x850516b7, "typec_match_altmode" },
	{ 0x69bf3df, "typec_altmode_vdm" },
	{ 0xc205a219, "usb_power_delivery_register_capabilities" },
	{ 0x328ca7ed, "typec_partner_set_identity" },
	{ 0x6b78235d, "usb_power_delivery_register" },
	{ 0xc3bdbc82, "typec_altmode_attention" },
	{ 0x8745bb86, "typec_altmode_notify" },
	{ 0xe7acc019, "typec_partner_register_altmode" },
	{ 0xbeb026e7, "typec_partner_set_svdm_version" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x327efef, "kthread_create_worker" },
	{ 0x8af809a9, "sched_set_fifo" },
	{ 0xe9e66f37, "hrtimer_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x98ef087a, "fw_devlink_purge_absent_suppliers" },
	{ 0x54e7cca2, "typec_get_fw_cap" },
	{ 0x86799b6d, "fwnode_property_present" },
	{ 0xfb4c51e0, "fwnode_get_named_child_node" },
	{ 0x8bd533db, "fwnode_get_next_child_node" },
	{ 0x19d5f935, "fwnode_property_read_u32_array" },
	{ 0x345716ed, "fwnode_handle_put" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xa67002fa, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x1870c9fa, "usb_role_switch_get" },
	{ 0x754d539c, "strlen" },
	{ 0x4053333a, "__dev_fwnode" },
	{ 0x1213f079, "devm_power_supply_register" },
	{ 0x7cd67322, "fwnode_usb_role_switch_get" },
	{ 0x953a44f2, "typec_register_port" },
	{ 0x3a5efae6, "typec_port_register_altmodes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5d9898a4, "typec_set_pwr_opmode" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x58968cb, "seq_lseek" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3d60d0b7, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xb04bfd90, "kthread_queue_work" },
	{ 0x1b162d41, "typec_unregister_altmode" },
	{ 0x8480875c, "typec_get_drvdata" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xa5f6917, "typec_register_partner" },
	{ 0x5442c357, "typec_partner_set_usb_power_delivery" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2973fca2, "usb_debug_root" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe0b3d283, "single_open" },
	{ 0x30f711c, "seq_printf" },
	{ 0x9916179d, "usb_power_delivery_unregister_capabilities" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0x5b3c7264, "usb_power_delivery_unregister" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x3ef4b2fd, "power_supply_get_drvdata" },
	{ 0x69acdf38, "memcpy" },
	{ 0x853d7e86, "hrtimer_cancel" },
	{ 0xbe6b8d25, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0x68280c07, "typec_get_negotiated_svdm_version" },
	{ 0x65b45cb, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd5981515, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x39b22fa7, "typec_set_mode" },
	{ 0xb48b74e9, "typec_set_data_role" },
	{ 0x39c84d65, "typec_set_pwr_role" },
	{ 0x5b5200a, "typec_set_vconn_role" },
	{ 0x76351a97, "power_supply_changed" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "2F27A66A7D63ABD5666B48C");

MODULE_INFO(suserelease, "ALP-0.1");
