#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vfio_pci_core_enable, 0x922794d5, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x17433958, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x33808b58, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x7d1f0004, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xab9b83e7, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xd9851199, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x986be488, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x85e5aa43, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x4c560a62, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x47cd324e, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x1268143f, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x337cb933, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x52450c68, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x95a3b79f, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x3973a773, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x368b3637, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x540a20aa, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x88119748, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x3875956c, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89485687, "iommu_group_put" },
	{ 0x3143cc18, "__tracepoint_mmap_lock_released" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x3894b7c0, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0xc18ae790, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8801e37f, "pci_user_write_config_word" },
	{ 0x2a3fb955, "bus_register_notifier" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x318824a9, "vfio_file_is_group" },
	{ 0xae044824, "pci_msix_can_alloc_dyn" },
	{ 0x50103bb2, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf43ac02b, "pci_clear_master" },
	{ 0x7d247f8a, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x92c520a8, "fput" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb912e93b, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xe9404bb1, "pci_write_vpd" },
	{ 0xc444722c, "vfio_virqfd_enable" },
	{ 0x1b4ba1e9, "vga_client_register" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xa1a4991, "aperture_remove_conflicting_pci_devices" },
	{ 0x95bb3324, "vfio_unregister_group_dev" },
	{ 0xbb81530, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x4ab86a6e, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0x2de3dc67, "pci_iounmap" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x31870a1f, "pcie_get_mps" },
	{ 0xfc2f7fb1, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x8d86a229, "down_write_trylock" },
	{ 0xe86db549, "down_read" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3bb2b188, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x19186769, "pci_dev_driver" },
	{ 0xd25737f3, "__xa_insert" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0xc54b241a, "__mmap_lock_do_trace_start_locking" },
	{ 0xca32db6e, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x77009fad, "_dev_notice" },
	{ 0x4bbeac6, "pm_runtime_forbid" },
	{ 0xc2c84900, "pm_runtime_allow" },
	{ 0xe3770fee, "pci_reset_bus" },
	{ 0xdd407e0c, "mmput" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0x800857ac, "vfio_register_group_dev" },
	{ 0xae248b57, "vfio_assign_device_set" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x76b96edb, "pci_user_read_config_byte" },
	{ 0x641135e4, "pci_try_reset_function" },
	{ 0xb35f81b8, "xa_find" },
	{ 0x39c5c91b, "__tracepoint_mmap_lock_start_locking" },
	{ 0x378f2113, "pci_get_class" },
	{ 0x1160af80, "pci_user_write_config_dword" },
	{ 0xce27f787, "pcie_capability_read_dword" },
	{ 0xaf77412f, "__mmap_lock_do_trace_released" },
	{ 0x74dd68cb, "pci_load_and_free_saved_state" },
	{ 0xffaafe79, "pci_disable_sriov" },
	{ 0xffbdf9dc, "vfio_device_set_open_count" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x1c02df6e, "pci_match_id" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xfe344364, "pci_check_and_unmask_intx" },
	{ 0x82021775, "pcie_set_readrq" },
	{ 0x408f45ab, "pci_walk_bus" },
	{ 0xecd871b2, "pci_msix_alloc_irq_at" },
	{ 0xf3836497, "xa_find_after" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xbd6a4702, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x9b57b170, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x750a15b1, "vga_set_legacy_decoding" },
	{ 0x5519275, "pci_dev_unlock" },
	{ 0xfc02f0f0, "pci_write_config_word" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0xd7b10234, "pci_enable_sriov" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0xc45ef8eb, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x17c84a16, "pci_bus_type" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x5cd82712, "pci_read_vpd" },
	{ 0xee8e0b61, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd3ceb354, "pci_request_selected_regions" },
	{ 0xf1d69955, "pci_release_selected_regions" },
	{ 0x61a6ce28, "pci_user_write_config_byte" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x510a02f7, "pci_bus_max_busnr" },
	{ 0xb7f31c19, "pci_check_and_mask_intx" },
	{ 0x6a5a421d, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xb965f497, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2b599ded, "pci_dev_put" },
	{ 0xd0c0503b, "iommu_group_get" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xd1606efb, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd27d2be6, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4f37220a, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xed7662bc, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa6497c71, "pci_user_read_config_dword" },
	{ 0x9e44b870, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x38fe105c, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x52b58fcc, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xbd1ee12a, "pci_probe_reset_slot" },
	{ 0x7f693a42, "zap_vma_ptes" },
	{ 0x67a8f7b6, "pci_set_power_state" },
	{ 0xe7126e59, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "05C55AD130A379900DE5064");

MODULE_INFO(suserelease, "ALP-0.1");
