#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x2ddf0435, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xc4207923, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x3239bac7, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0x13bae7c6, "_gpl");
SYMBOL_CRC(vhost_vq_flush, 0x11cbd6cc, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x911dee12, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0x39fc7ee7, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x1d36ca81, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xec22342e, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x6a255c48, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0xa81b3823, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0xa0880ff1, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xb2dad09f, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0xc12ddcfd, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x406b91af, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xe44f9fb2, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0xec4c26fa, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x07b175a4, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xbb1b77e2, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xb34f0eea, "");
SYMBOL_CRC(vhost_chr_poll, 0x36b589ad, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x10a44a56, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xa0306414, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x2f13de16, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0xda34c450, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x657eca41, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xbf4dfc5a, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x2f0e21ba, "_gpl");
SYMBOL_CRC(vhost_log_write, 0xca57fcb9, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x129fbade, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x67496ebb, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x6d7e071f, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x7b453398, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x4e1c5382, "_gpl");
SYMBOL_CRC(vhost_signal, 0xcb255e0e, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x93bfb27c, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x8f3c124d, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x1ed75604, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x000a6f94, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0xe4241ddd, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x2f527d05, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x1f4bc68f, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x9f9836a3, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xfa0d6cff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65b45cb, "complete" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd407e0c, "mmput" },
	{ 0xb3d23b6f, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xb192e312, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb35f81b8, "xa_find" },
	{ 0xf3836497, "xa_find_after" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdbe3dbe0, "vhost_task_create" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0x5bc2476a, "__xa_alloc" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xcda4026b, "unpin_user_pages_dirty_lock" },
	{ 0x49f721a7, "pin_user_pages_fast" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x92c520a8, "fput" },
	{ 0x13e4c67a, "xa_destroy" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x11d4b9bc, "get_task_mm" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0xf678fcbb, "iov_iter_init" },
	{ 0x27a6eb8d, "_copy_to_iter" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1000e51, "schedule" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x70dee27, "finish_wait" },
	{ 0x9e251ca9, "eventfd_fget" },
	{ 0x838faba8, "iov_iter_advance" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xaf9817ee, "param_ops_ushort" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A6CD037682135ACEC716EDC");

MODULE_INFO(suserelease, "ALP-0.1");
