#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vbg_get_gdev, 0x1abb5e50, "");
SYMBOL_CRC(vbg_put_gdev, 0x379041a1, "");
SYMBOL_CRC(vbg_info, 0x569b312f, "");
SYMBOL_CRC(vbg_warn, 0x70cdcbfd, "");
SYMBOL_CRC(vbg_err, 0x260590c0, "");
SYMBOL_CRC(vbg_err_ratelimited, 0x68f1cf1a, "");
SYMBOL_CRC(vbg_hgcm_connect, 0x142d0651, "");
SYMBOL_CRC(vbg_hgcm_disconnect, 0x7563bd5d, "");
SYMBOL_CRC(vbg_hgcm_call, 0x10a7d243, "");
SYMBOL_CRC(vbg_status_code_to_errno, 0x9c072aa8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x82670309, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x24204c2, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xddaba837, "__free_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x5ca4d725, "input_set_capability" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa54dfeb6, "vmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x7e1c322f, "from_kuid" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0x50d81800, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x5adf24c2, "input_event" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe71164cd, "input_set_abs_params" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7a9edae6, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4241a137, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x769e1d76, "devm_ioremap" },
	{ 0xead61759, "devm_input_allocate_device" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "F85D9E31BD39C3AEE94166D");

MODULE_INFO(suserelease, "ALP-0.1");
