#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0xded0cbbe, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0x61a30723, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0xc5568eb1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc069e309, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x80a5f0d7, "config_item_init_type_name" },
	{ 0x97e17209, "sock_create_kern" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xcec15a84, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x84d2dd5e, "__srcu_read_unlock" },
	{ 0xff20df4, "kobject_uevent" },
	{ 0x19dd031b, "sock_release" },
	{ 0x5adf31c4, "downgrade_write" },
	{ 0x77aba229, "seq_puts" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x84035a86, "tcp_sock_set_nodelay" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc26a63ff, "seq_open" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7029e887, "refcount_dec_and_lock" },
	{ 0xe0b3d283, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x7822a21d, "sock_bind_add" },
	{ 0x24f8154b, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x1b86680a, "kset_create_and_add" },
	{ 0x7dafd263, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x7a9edae6, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xa7281b84, "config_group_init" },
	{ 0x7e6c27af, "idr_find" },
	{ 0xb724dfed, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6fe4e653, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x9ddb4448, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xa86dfc15, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xa76da8e2, "config_item_get" },
	{ 0xac4efb63, "kernel_bind" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xcacf54f1, "posix_lock_file" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb3f863e9, "kset_unregister" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x85364378, "kernel_kobj" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbf7a2079, "__tracepoint_sk_data_ready" },
	{ 0xf247a055, "call_srcu" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb192e312, "__wake_up" },
	{ 0xb7c60e25, "synchronize_srcu" },
	{ 0x4b27f31f, "kernel_accept" },
	{ 0x7c640f6e, "kernel_recvmsg" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xf3de63ec, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3894b7c0, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b5f8974, "configfs_unregister_subsystem" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe32706cc, "locks_lock_inode_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x2dc2f533, "sock_set_sndtimeo" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xdb928849, "locks_init_lock" },
	{ 0x6e2f408a, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xddaba837, "__free_pages" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91a2f9da, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xe915fae4, "down_write" },
	{ 0x8231185e, "init_net" },
	{ 0x4a85cca8, "up_write" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0x703b5464, "configfs_register_subsystem" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x445a6a7, "configfs_remove_default_groups" },
	{ 0xeb213917, "__srcu_read_lock" },
	{ 0x6fedbcd9, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0x6f16a279, "__SCK__tp_func_sk_data_ready" },
	{ 0x685421e8, "config_group_init_type_name" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0x443efe6f, "kernel_sock_shutdown" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf2766c7c, "seq_putc" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0x8f244fcf, "kobject_init_and_add" },
	{ 0x92f12bb6, "sock_sendmsg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3a25f586, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xab956cf, "default_llseek" },
	{ 0xa8db12d5, "sock_set_reuseaddr" },
	{ 0x84ecc2bf, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x3760cf8e, "iov_iter_bvec" },
	{ 0x50d81800, "misc_register" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "C6A156C87DD1A5F081884B2");

MODULE_INFO(suserelease, "ALP-0.1");
