#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7216f779, "security_inode_init_security" },
	{ 0xf2766c7c, "seq_putc" },
	{ 0xb21ac677, "fscrypt_decrypt_bio" },
	{ 0x18cf7bae, "jbd2_journal_revoke" },
	{ 0xbd6841d4, "crc16" },
	{ 0x2e119b90, "from_kgid" },
	{ 0x967ba8b5, "iomap_swapfile_activate" },
	{ 0xd5263820, "mb_cache_destroy" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8bdfc47c, "__mb_cache_entry_free" },
	{ 0x14a52f9b, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9846ecdd, "__fscrypt_encrypt_symlink" },
	{ 0x6908cddc, "folio_wait_writeback" },
	{ 0x65c9c1cf, "jbd2_journal_start_commit" },
	{ 0x6d73eaf3, "blkdev_issue_zeroout" },
	{ 0xd65f0515, "__fscrypt_prepare_link" },
	{ 0xf1e046cc, "panic" },
	{ 0x8f244fcf, "kobject_init_and_add" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0xa2f0c600, "from_vfsgid" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xc1c2176f, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x61347034, "mb_cache_entry_delete_or_get" },
	{ 0xc00e61c1, "iov_iter_alignment" },
	{ 0x128e65e0, "dax_writeback_mapping_range" },
	{ 0xe6166ecf, "jbd2_trans_will_send_data_barrier" },
	{ 0xe36f7d07, "folio_wait_stable" },
	{ 0xc81f87bc, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x51e62e11, "d_obtain_alias" },
	{ 0x5a84504d, "file_modified" },
	{ 0x4aa504c3, "posix_acl_chmod" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0x13ffd269, "__bread_gfp" },
	{ 0xbd34e0e9, "from_kprojid" },
	{ 0x585a5e99, "fscrypt_put_encryption_info" },
	{ 0x777d668b, "freezing_slow_path" },
	{ 0x10c83bbf, "block_dirty_folio" },
	{ 0xf112b53e, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xcfecc480, "dax_layout_busy_page" },
	{ 0x7f48f98c, "iomap_bmap" },
	{ 0xc452212c, "utf8_strncasecmp" },
	{ 0x93af0427, "__folio_start_writeback" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0xf6e29ee4, "set_task_ioprio" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x467d9d8f, "folio_end_writeback" },
	{ 0x6fbc34b5, "jbd2_journal_dirty_metadata" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xaee5396, "proc_mkdir" },
	{ 0x7e1c322f, "from_kuid" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x447211e1, "jbd2_journal_try_to_free_buffers" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x91e8a384, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7027d406, "jbd2_transaction_committed" },
	{ 0xadb724b6, "iomap_fiemap" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x88d953b4, "inode_owner_or_capable" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x50b80992, "mb_cache_entry_find_first" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x61b3cded, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xccf9d91c, "filemap_get_folios" },
	{ 0x5b7e6acc, "make_kgid" },
	{ 0xc98c0bf5, "invalidate_bdev" },
	{ 0x85af6b64, "fscrypt_zeroout_range" },
	{ 0x183f4702, "jbd2_journal_wipe" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x206251ed, "fscrypt_drop_inode" },
	{ 0x2adf8339, "wbc_account_cgroup_owner" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xec05f4ce, "from_kgid_munged" },
	{ 0xfb6361bd, "jbd2_journal_start" },
	{ 0x8d86a229, "down_write_trylock" },
	{ 0x6f234f2e, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe86db549, "down_read" },
	{ 0xbfae9e07, "utf8_validate" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x809cc4f3, "dax_finish_sync_fault" },
	{ 0xe8c7be49, "dquot_get_dqblk" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xacd81eb3, "jbd2_inode_cache" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x54983576, "block_read_full_folio" },
	{ 0xef46ecf6, "jbd2_fc_end_commit" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x7a4f375, "fscrypt_free_bounce_page" },
	{ 0xa60a7c91, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x89f3671d, "__dquot_alloc_space" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0x53575e97, "fsverity_verify_bio" },
	{ 0x7dff1549, "noop_direct_IO" },
	{ 0xeae172b0, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1b170cc0, "__fscrypt_inode_uses_inline_crypto" },
	{ 0xa88541a8, "__fscrypt_prepare_readdir" },
	{ 0x3986793e, "igrab" },
	{ 0x2b878aab, "__getblk_gfp" },
	{ 0x314d8031, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd902db, "mb_cache_entry_create" },
	{ 0x5a4b184e, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7defe69c, "kobject_del" },
	{ 0x2c14f558, "d_instantiate_new" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x136ce522, "__dquot_free_space" },
	{ 0x81a1eb59, "utf8_unload" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9bea132b, "fs_param_is_blockdev" },
	{ 0xe4110454, "jbd2_fc_wait_bufs" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xabf4c4b7, "__percpu_counter_sum" },
	{ 0xd75821d5, "generic_buffers_fsync_noflush" },
	{ 0x703bec8e, "init_user_ns" },
	{ 0xbfb0c145, "file_path" },
	{ 0xb957ce51, "fscrypt_ioctl_add_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x1817265c, "fscrypt_fname_disk_to_usr" },
	{ 0xd5a3cda7, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x92e8e9ab, "fsverity_enqueue_verify_work" },
	{ 0x58aaba77, "mempool_destroy" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x4829cf6b, "fscrypt_enqueue_decrypt_work" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x8bf1a492, "get_tree_bdev" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x2a4a10d1, "fscrypt_ioctl_get_policy" },
	{ 0x6ef1d82d, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xe25418ae, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd797a78e, "find_inode_by_ino_rcu" },
	{ 0xf9c8df59, "touch_atime" },
	{ 0x5ea248c4, "__percpu_down_read" },
	{ 0x2c2a7057, "jbd2_journal_force_commit" },
	{ 0x4a6c24b5, "__lock_buffer" },
	{ 0xb3c71092, "tag_pages_for_writeback" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x26897b52, "mb_cache_entry_get" },
	{ 0x6396a747, "jbd2_log_wait_commit" },
	{ 0x9db59fb5, "posix_acl_update_mode" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0xde431453, "__folio_lock" },
	{ 0x536e6f8c, "dquot_quota_on_mount" },
	{ 0x49b4d906, "filemap_dirty_folio" },
	{ 0xda481a10, "pagecache_get_page" },
	{ 0x7b408975, "blkdev_issue_flush" },
	{ 0x6b8b48b7, "is_bad_inode" },
	{ 0x77aba229, "seq_puts" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xbc408373, "fscrypt_set_bio_crypt_ctx" },
	{ 0xb806f33a, "rcuwait_wake_up" },
	{ 0xff2ace45, "dquot_mark_dquot_dirty" },
	{ 0xbd405960, "fscrypt_prepare_symlink" },
	{ 0xd0bca46c, "block_is_partially_uptodate" },
	{ 0xb52ba562, "dquot_get_next_id" },
	{ 0xc9837c2e, "dquot_file_open" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xc42782e7, "generic_fh_to_parent" },
	{ 0xea67764b, "__fs_parse" },
	{ 0x644e20c1, "filemap_splice_read" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x4d578d6b, "end_buffer_write_sync" },
	{ 0xf04e1e47, "dget_parent" },
	{ 0x744f0ee3, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x5ac181d5, "proc_create_single_data" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xc7319c61, "inode_io_list_del" },
	{ 0x17331055, "jbd2_journal_lock_updates" },
	{ 0x226d2561, "filemap_write_and_wait_range" },
	{ 0xab628a95, "jbd2_journal_free_reserved" },
	{ 0x8a3e139, "dquot_acquire" },
	{ 0x27b23261, "dax_zero_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbc79c2f7, "generic_file_llseek_size" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x1333d10e, "jbd2_journal_errno" },
	{ 0x8ff91c28, "fscrypt_prepare_new_inode" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0xdc8cce29, "fsverity_ioctl_measure" },
	{ 0xf61c35e2, "fscrypt_limit_io_blocks" },
	{ 0xb74f92cd, "generic_write_checks" },
	{ 0xeb55802f, "dqget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe3036f11, "proc_create_seq_private" },
	{ 0xca8eb31b, "fscrypt_encrypt_pagecache_blocks" },
	{ 0xf6c10f24, "fscrypt_get_symlink" },
	{ 0xf5969f04, "dqput" },
	{ 0xc9ab445a, "dquot_quotactl_sysfile_ops" },
	{ 0x349cba85, "strchr" },
	{ 0xd169e119, "kmem_cache_alloc_lru" },
	{ 0xaec04343, "filemap_fault" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0xbe44a589, "dquot_writeback_dquots" },
	{ 0xbe36269c, "d_invalidate" },
	{ 0x33055851, "__mark_inode_dirty" },
	{ 0x5cee7dce, "dquot_get_next_dqblk" },
	{ 0xb4012c4d, "make_bad_inode" },
	{ 0xf0bed80c, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x5572a2a8, "jbd2_wait_inode_data" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfbb3395f, "jbd2_journal_begin_ordered_truncate" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x3a4b6b8d, "dquot_load_quota_inode" },
	{ 0x96aff92d, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xb1f06c5d, "sb_min_blocksize" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x298ee571, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8b42b753, "iomap_seek_data" },
	{ 0x7b12af87, "jbd2_journal_flush" },
	{ 0x388dc6c3, "fscrypt_free_inode" },
	{ 0xcac4bbb2, "jbd2_fc_end_commit_fallback" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0xb56a1b0e, "fscrypt_has_permitted_context" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x89f243ef, "dquot_destroy" },
	{ 0x96f3c61, "iget_failed" },
	{ 0x5806b651, "fscrypt_symlink_getattr" },
	{ 0xa6eacb6a, "dquot_alloc" },
	{ 0x4b53f284, "fs_bio_set" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1b2ac68, "d_path" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x69ea1734, "blkdev_issue_discard" },
	{ 0x7dafd263, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x481814c4, "mb_cache_entry_find_next" },
	{ 0xdf929370, "fs_overflowgid" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x56c9321a, "dquot_commit" },
	{ 0x2b27e2e, "truncate_inode_pages" },
	{ 0x59ee2442, "percpu_free_rwsem" },
	{ 0xd6ea98b6, "bh_uptodate_or_lock" },
	{ 0x8020a0b5, "folio_test_hugetlb" },
	{ 0xbe57efd3, "inode_init_owner" },
	{ 0x3694affc, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x152a9111, "setattr_prepare" },
	{ 0xde861669, "vfs_fsync_range" },
	{ 0xd66bb382, "iget_locked" },
	{ 0xa291f849, "fscrypt_dio_supported" },
	{ 0x672915c5, "clear_nlink" },
	{ 0x2aa2675f, "jbd2_complete_transaction" },
	{ 0xd0022161, "file_check_and_advance_wb_err" },
	{ 0x2debefb0, "filemap_flush" },
	{ 0x3522c1b7, "filemap_get_folios_tag" },
	{ 0xab041b88, "__dquot_transfer" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x50cf9efa, "d_instantiate" },
	{ 0xe445a4ad, "fsverity_ioctl_enable" },
	{ 0xce880395, "pagecache_isize_extended" },
	{ 0xff4bb4e0, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x74af5041, "blk_start_plug" },
	{ 0xdd2c169b, "mb_cache_create" },
	{ 0x1ab7c9d7, "clear_inode" },
	{ 0xf5ed7388, "inode_to_bdi" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0x47bfc658, "iocb_bio_iopoll" },
	{ 0xa0b6fe25, "rt_write_trylock" },
	{ 0x1a739811, "dquot_set_dqinfo" },
	{ 0x1867317f, "dquot_commit_info" },
	{ 0xe9ce78c, "generic_set_encrypted_ci_d_ops" },
	{ 0x28d2207d, "jbd2_journal_invalidate_folio" },
	{ 0x9fda5b81, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6441fade, "generic_fh_to_dentry" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xd628c880, "jbd2_submit_inode_data" },
	{ 0x4360b385, "dquot_disable" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa1f1287f, "__fsverity_cleanup_inode" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x995e9171, "dquot_release" },
	{ 0xf826fb68, "fs_param_is_string" },
	{ 0x1fee95fa, "dquot_free_inode" },
	{ 0xc7b1acd1, "folio_unlock" },
	{ 0x1156ae4, "utf8_strncasecmp_folded" },
	{ 0x84b6f0c1, "set_blocksize" },
	{ 0x29a3ec04, "fscrypt_ioctl_remove_key_all_users" },
	{ 0x3fe6d154, "fscrypt_parse_test_dummy_encryption" },
	{ 0xb0e602eb, "memmove" },
	{ 0x82acc1c, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xda9e5260, "filemap_map_pages" },
	{ 0x4c4a35ec, "jbd2_journal_forget" },
	{ 0x8e35ffb5, "jbd2__journal_restart" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf4b4a866, "try_to_writeback_inodes_sb" },
	{ 0xb408cf0e, "jbd2_journal_stop" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xbe19b58, "dquot_get_state" },
	{ 0x25d5a1b0, "init_special_inode" },
	{ 0x10df32bf, "fscrypt_fname_siphash" },
	{ 0xeca6e313, "fs_dax_get_by_bdev" },
	{ 0x6a003309, "unregister_filesystem" },
	{ 0x64a96b1a, "__fscrypt_prepare_setattr" },
	{ 0xbb9f0ce4, "jbd2_journal_inode_ranged_write" },
	{ 0xa86dfc15, "bpf_trace_run6" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5e0a5cb2, "__fscrypt_prepare_lookup" },
	{ 0xda3e3f35, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc2d753a1, "__find_get_block" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xb028fbf1, "__block_write_begin" },
	{ 0x81c64771, "jbd2_journal_set_triggers" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xf0dd02ec, "inode_needs_sync" },
	{ 0x7512a6ad, "inode_set_flags" },
	{ 0x70dee27, "finish_wait" },
	{ 0x57523876, "inode_query_iversion" },
	{ 0x5c171caf, "fscrypt_ioctl_get_key_status" },
	{ 0x3d22c13b, "nop_posix_acl_access" },
	{ 0xe3fa8617, "jbd2_journal_load" },
	{ 0x3ae12b4c, "nop_posix_acl_default" },
	{ 0xd996db56, "d_make_root" },
	{ 0x88dcaa53, "page_cache_ra_unbounded" },
	{ 0xba140f81, "jbd2_journal_check_available_features" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x679e9abb, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x4931d657, "__fsverity_file_open" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb84ea1d6, "jbd2_journal_set_features" },
	{ 0xe165b723, "sb_set_blocksize" },
	{ 0xf4a84140, "read_cache_folio" },
	{ 0x66a18cc8, "invalidate_mapping_pages" },
	{ 0x7f655c5d, "sync_filesystem" },
	{ 0x2d16f5d5, "noop_dirty_folio" },
	{ 0xad53ba63, "end_buffer_read_sync" },
	{ 0x8b685416, "block_page_mkwrite" },
	{ 0x9346cb1b, "folio_redirty_for_writepage" },
	{ 0xd7987177, "utf8_load" },
	{ 0xbae4c7a3, "register_shrinker" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xdc651f85, "fsnotify" },
	{ 0x9b3d6814, "d_splice_alias" },
	{ 0xd97a7ef7, "jbd2__journal_start" },
	{ 0xe664a906, "jbd2_journal_unlock_updates" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x3c6f80f7, "generic_error_remove_page" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x6a30d8ea, "current_time" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x2934488e, "fiemap_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x6f72963e, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcc87e651, "from_vfsuid" },
	{ 0x3b2929a4, "ihold" },
	{ 0xb06277d2, "fs_lookup_param" },
	{ 0x2865dc6e, "fsverity_verify_blocks" },
	{ 0x2af70cc5, "d_find_any_alias" },
	{ 0x2645d6d4, "inode_dio_wait" },
	{ 0x7e076e49, "jbd2_journal_get_create_access" },
	{ 0xe87a0266, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x28286db6, "fscrypt_mergeable_bio" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x6dd0f8a7, "finish_open" },
	{ 0xa3b9cd3e, "dax_iomap_rw" },
	{ 0x3ff63ae8, "jbd2_journal_init_dev" },
	{ 0x9d833506, "iput" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x148c86ab, "fs_param_is_enum" },
	{ 0x24f3c555, "fs_param_is_s32" },
	{ 0x5551dc0, "jbd2_journal_clear_features" },
	{ 0x4a4c965c, "freeze_bdev" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x7f0152ef, "fscrypt_show_test_dummy_encryption" },
	{ 0xe799217, "iter_file_splice_write" },
	{ 0x83370cee, "jbd2_journal_inode_ranged_wait" },
	{ 0x6024950e, "filemap_release_folio" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xf3932313, "mb_cache_entry_wait_unused" },
	{ 0xfbd954b1, "remove_proc_subtree" },
	{ 0x63b9b6c2, "__pagevec_release" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb94fa43c, "dax_iomap_fault" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2ebdd9de, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf104c629, "register_filesystem" },
	{ 0x70c9eb74, "dquot_transfer" },
	{ 0x56fda028, "d_tmpfile" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xc45d7939, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe491aa56, "jbd2_fc_release_bufs" },
	{ 0x5d3a6e9f, "sync_inode_metadata" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7e72415c, "fscrypt_ioctl_get_policy_ex" },
	{ 0xce98a1c3, "dquot_drop" },
	{ 0x56d191c5, "mempool_free" },
	{ 0x60c3fa90, "path_put" },
	{ 0x3894b7c0, "down_read_trylock" },
	{ 0xf05c2bd3, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5e2e94ab, "vfs_setpos" },
	{ 0xe5bed1d9, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeaa35f6f, "fscrypt_decrypt_pagecache_blocks" },
	{ 0xfd38d7, "make_vfsuid" },
	{ 0xe6550092, "utf8_casefold" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0xebf13310, "fscrypt_setup_filename" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x64f524b1, "sysfs_notify" },
	{ 0x780dd286, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7d99342c, "iomap_dio_rw" },
	{ 0x8d96db48, "jbd2_fc_get_buf" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0x1989a89, "fs_param_is_u32" },
	{ 0xe2c6b3a4, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xd3577031, "lock_two_nondirectories" },
	{ 0xcb7364e5, "d_drop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x62d75048, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x40040e3d, "mnt_want_write_file" },
	{ 0x2fb1cdd6, "unlock_new_inode" },
	{ 0xc88903fc, "fsverity_ioctl_read_metadata" },
	{ 0x92997ed8, "_printk" },
	{ 0x5e8bb8c5, "mempool_create" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xb4681fa4, "block_invalidate_folio" },
	{ 0xa012f73, "mb_cache_entry_touch" },
	{ 0x244e8e67, "buffer_migrate_folio_norefs" },
	{ 0xa5f04fb3, "dquot_quota_sync" },
	{ 0x6135464e, "make_kprojid" },
	{ 0xf5c0167, "iomap_seek_hole" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x5600f502, "jbd2_journal_init_jbd_inode" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x5cc30474, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xc041ae4, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xcf7f29d6, "fscrypt_set_context" },
	{ 0x70357a43, "try_to_free_buffers" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0x1044f1b4, "create_empty_buffers" },
	{ 0x86c56cfc, "truncate_inode_pages_final" },
	{ 0x84cd0cf1, "block_write_end" },
	{ 0x422b3f1a, "d_alloc" },
	{ 0x3033b366, "sync_blockdev" },
	{ 0xb9f4d46b, "fs_kobj" },
	{ 0xed59eb3d, "bio_add_folio" },
	{ 0x8bbdec6f, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0x35a1c9af, "sync_mapping_buffers" },
	{ 0x5b7989d7, "fscrypt_file_open" },
	{ 0x24f6d6b3, "generic_perform_write" },
	{ 0xecff9665, "dquot_initialize" },
	{ 0x4164f312, "__filemap_get_folio" },
	{ 0x357b42fc, "fscrypt_set_bio_crypt_ctx_bh" },
	{ 0x16741bd4, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4b9cc0f8, "dquot_quota_on" },
	{ 0x1a07b575, "unregister_shrinker" },
	{ 0xca38d6b7, "blkdev_put" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x44d3ca77, "dquot_initialize_needed" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x491c430e, "dquot_reclaim_space_nodirty" },
	{ 0xaf4470d5, "__fsverity_prepare_setattr" },
	{ 0x2e518db6, "get_inode_acl" },
	{ 0x526dc71c, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xe5da89af, "fscrypt_mergeable_bio_bh" },
	{ 0x9797f399, "invalidate_inode_buffers" },
	{ 0x3dcda1e, "block_commit_write" },
	{ 0x8556fbfb, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8df7212b, "submit_bio" },
	{ 0xc9ae942f, "mnt_drop_write_file" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa6a088b7, "fscrypt_match_name" },
	{ 0x231dadb6, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbaea3c56, "jbd2_journal_force_commit_nested" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x67513817, "inode_init_once" },
	{ 0x360103c7, "file_write_and_wait_range" },
	{ 0xa53ecafc, "jbd2_journal_update_sb_errno" },
	{ 0x861a7a70, "fscrypt_dummy_policies_equal" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xab689dfa, "dquot_claim_space_nodirty" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe40b7c26, "bit_waitqueue" },
	{ 0x6e23e59a, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x822628de, "__task_pid_nr_ns" },
	{ 0x4fc372b2, "dquot_set_dqblk" },
	{ 0x30f5bb30, "bio_put" },
	{ 0x3eb82a13, "jbd2_journal_start_reserved" },
	{ 0xdc791d93, "percpu_up_write" },
	{ 0x1651fb67, "jbd2_journal_clear_err" },
	{ 0x324b1850, "__brelse" },
	{ 0x9ed8e293, "posix_acl_create" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x31150e5d, "jbd2_journal_init_inode" },
	{ 0x92c520a8, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0xe915fae4, "down_write" },
	{ 0xadc77d0e, "fscrypt_ioctl_get_nonce" },
	{ 0x4a85cca8, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x1a718929, "jbd2_journal_abort" },
	{ 0xcbf27bfb, "generic_file_read_iter" },
	{ 0xa7e81bc2, "jbd2_journal_blocks_per_page" },
	{ 0x21d23b99, "inode_maybe_inc_iversion" },
	{ 0xffb8a654, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x3802a8f7, "set_cached_acl" },
	{ 0xc80095cd, "blkdev_get_by_dev" },
	{ 0x90091065, "kmem_cache_create_usercopy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xa2fbc757, "truncate_pagecache" },
	{ 0xf0a4d8df, "sync_dirty_buffer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x372cdee1, "init_uts_ns" },
	{ 0x388340c4, "insert_inode_locked" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x65bac911, "unlock_two_nondirectories" },
	{ 0x90f19141, "thaw_bdev" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb912e93b, "xa_load" },
	{ 0xa6b9798e, "__fscrypt_prepare_rename" },
	{ 0x425a953b, "dquot_resume" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0x91481ac1, "setattr_copy" },
	{ 0xf1086f96, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4f017f36, "jbd2_fc_begin_commit" },
	{ 0xd9dc4b43, "write_cache_pages" },
	{ 0xff115966, "file_update_time" },
	{ 0xc8e411f, "__wait_on_buffer" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xc9277141, "fscrypt_ioctl_set_policy" },
	{ 0x2c6a44d5, "set_nlink" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "jbd2,crc16,mbcache");


MODULE_INFO(srcversion, "73B4208AAA524429354CFD4");

MODULE_INFO(suserelease, "ALP-0.1");
