#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fat_search_long, 0x8edcde67, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x2d88b81a, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xcaf9fba8, "_gpl");
SYMBOL_CRC(fat_scan, 0x0951a877, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xc74b22a5, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x09ca65e2, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xd0b09494, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x8fbf1ccc, "_gpl");
SYMBOL_CRC(fat_getattr, 0xe2a692c0, "_gpl");
SYMBOL_CRC(fat_setattr, 0x1e61ce8d, "_gpl");
SYMBOL_CRC(fat_attach, 0xca06c24a, "_gpl");
SYMBOL_CRC(fat_detach, 0xf439c683, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x64e93822, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x2174a2e9, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xf0fe55d9, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x85af32e2, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x4b74d8e8, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x8c956ad7, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x420da810, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x2b273308, "_gpl");
SYMBOL_CRC(fat_update_time, 0x26ff17d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3780e59b, "__breadahead" },
	{ 0xb625b720, "generic_write_end" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfa09feef, "load_nls" },
	{ 0xb9098379, "generic_cont_expand_simple" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0x86c56cfc, "truncate_inode_pages_final" },
	{ 0x82387eda, "generic_file_mmap" },
	{ 0x35a1c9af, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6cbdac99, "ilookup" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x9797f399, "invalidate_inode_buffers" },
	{ 0x8556fbfb, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc9ae942f, "mnt_drop_write_file" },
	{ 0x67513817, "inode_init_once" },
	{ 0x7f71c733, "compat_ptr_ioctl" },
	{ 0x525bc646, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x324b1850, "__brelse" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0xcbf27bfb, "generic_file_read_iter" },
	{ 0x21d23b99, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xa2fbc757, "truncate_pagecache" },
	{ 0xf0a4d8df, "sync_dirty_buffer" },
	{ 0x91481ac1, "setattr_copy" },
	{ 0xc8e411f, "__wait_on_buffer" },
	{ 0x2c6a44d5, "set_nlink" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1b62c7e9, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xa2f0c600, "from_vfsgid" },
	{ 0xde7a6d22, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x51e62e11, "d_obtain_alias" },
	{ 0x13ffd269, "__bread_gfp" },
	{ 0x10c83bbf, "block_dirty_folio" },
	{ 0xbc7c00e6, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xdf3c7586, "__insert_inode_hash" },
	{ 0x61b3cded, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b7e6acc, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xec05f4ce, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xdc7c96c9, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeae172b0, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3986793e, "igrab" },
	{ 0x2b878aab, "__getblk_gfp" },
	{ 0x5a4b184e, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x985b137f, "mpage_readahead" },
	{ 0x38b22652, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x703bec8e, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x30f711c, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x4a6c24b5, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x7b408975, "blkdev_issue_flush" },
	{ 0x77aba229, "seq_puts" },
	{ 0xc42782e7, "generic_fh_to_parent" },
	{ 0x644e20c1, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x744f0ee3, "from_kuid_munged" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xf9723c70, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd169e119, "kmem_cache_alloc_lru" },
	{ 0x33055851, "__mark_inode_dirty" },
	{ 0xf9827e8f, "generic_file_llseek" },
	{ 0x99f30ff8, "unload_nls" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x96aff92d, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xb1f06c5d, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x69ea1734, "blkdev_issue_discard" },
	{ 0xd075833a, "filemap_fdatawrite" },
	{ 0x3694affc, "generic_fillattr" },
	{ 0x152a9111, "setattr_prepare" },
	{ 0x303def7f, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0xbf15b372, "sync_blockdev_nowait" },
	{ 0xff4bb4e0, "make_vfsgid" },
	{ 0x74af5041, "blk_start_plug" },
	{ 0x1ab7c9d7, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6441fade, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x82acc1c, "new_inode" },
	{ 0xda3e3f35, "mark_buffer_dirty" },
	{ 0x8e445cef, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xc2d753a1, "__find_get_block" },
	{ 0x53e1113f, "filemap_fdatawrite_range" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xf0dd02ec, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xa220bcf7, "__blockdev_direct_IO" },
	{ 0xd996db56, "d_make_root" },
	{ 0x679e9abb, "__bforget" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe165b723, "sb_set_blocksize" },
	{ 0x1f348f21, "block_truncate_page" },
	{ 0xae16be32, "write_dirty_buffer" },
	{ 0x7f655c5d, "sync_filesystem" },
	{ 0xdc651f85, "fsnotify" },
	{ 0x6a30d8ea, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcc87e651, "from_vfsuid" },
	{ 0x2645d6d4, "inode_dio_wait" },
	{ 0x9c070d80, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x61b94256, "cont_write_begin" },
	{ 0x9d833506, "iput" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xe799217, "iter_file_splice_write" },
	{ 0x93c4dbb2, "generic_file_write_iter" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0x5d3a6e9f, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfd38d7, "make_vfsuid" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x40040e3d, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xb4681fa4, "block_invalidate_folio" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E02AF8387D093A97BCA8842");

MODULE_INFO(suserelease, "ALP-0.1");
