#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(v9fs_register_trans, 0x2917ec39, "");
SYMBOL_CRC(v9fs_unregister_trans, 0xf2f3f618, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x1ec99ddd, "");
SYMBOL_CRC(v9fs_get_default_trans, 0xf67e321a, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x580884f2, "");
SYMBOL_CRC(p9_is_proto_dotu, 0xdf27a384, "");
SYMBOL_CRC(p9_show_client_options, 0xb1924a76, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x349a2f40, "");
SYMBOL_CRC(p9_req_put, 0x18a85148, "");
SYMBOL_CRC(p9_client_cb, 0x4dca31ba, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x0fed0584, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x4a2f8f8b, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xf7a251f5, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x3bc68229, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x6578e6c9, "");
SYMBOL_CRC(p9_client_create, 0xa42808bc, "");
SYMBOL_CRC(p9_client_destroy, 0x6eb18ab5, "");
SYMBOL_CRC(p9_client_disconnect, 0x82d7aec9, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x174006ca, "");
SYMBOL_CRC(p9_client_attach, 0x2b541c06, "");
SYMBOL_CRC(p9_client_walk, 0x8739dc4a, "");
SYMBOL_CRC(p9_client_open, 0x7bb71ebc, "");
SYMBOL_CRC(p9_client_create_dotl, 0xe22cd8b0, "");
SYMBOL_CRC(p9_client_fcreate, 0x43ea9e8c, "");
SYMBOL_CRC(p9_client_symlink, 0xc7250c03, "");
SYMBOL_CRC(p9_client_link, 0x6b7da363, "");
SYMBOL_CRC(p9_client_fsync, 0xee0c1387, "");
SYMBOL_CRC(p9_client_clunk, 0x935e8e03, "");
SYMBOL_CRC(p9_client_remove, 0xb3cd8ad2, "");
SYMBOL_CRC(p9_client_unlinkat, 0xa54cfbf7, "");
SYMBOL_CRC(p9_client_read, 0x49306d50, "");
SYMBOL_CRC(p9_client_read_once, 0x0c2d64d1, "");
SYMBOL_CRC(p9_client_write, 0x19902a87, "");
SYMBOL_CRC(p9_client_stat, 0x4e535951, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0xe5e283d0, "");
SYMBOL_CRC(p9_client_wstat, 0x010ee929, "");
SYMBOL_CRC(p9_client_setattr, 0x4daca5e2, "");
SYMBOL_CRC(p9_client_statfs, 0x5ed04028, "");
SYMBOL_CRC(p9_client_rename, 0x3e580045, "");
SYMBOL_CRC(p9_client_renameat, 0x40baf59d, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x7ecf59ab, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x4122453c, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x4505702f, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0xb29e688a, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x667da472, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x69028a54, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0x6fcfb296, "");
SYMBOL_CRC(p9_client_readlink, 0x41d43360, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x18a18543, "");
SYMBOL_CRC(p9dirent_read, 0x913af281, "");
SYMBOL_CRC(p9_release_pages, 0xebcd7065, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x6e2f408a, "idr_get_next" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x91a2f9da, "module_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x90091065, "kmem_cache_create_usercopy" },
	{ 0x6fedbcd9, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x2e119b90, "from_kgid" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x48a118b6, "iov_iter_kvec" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7e1c322f, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x5b7e6acc, "make_kgid" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x703bec8e, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x30f711c, "seq_printf" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x77aba229, "seq_puts" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x27a6eb8d, "_copy_to_iter" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0x7e6c27af, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5b0e31b4, "idr_alloc_u32" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "13F3642F798ED36213F3C0E");

MODULE_INFO(suserelease, "ALP-0.1");
