#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x25b9e3f2, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0xef727891, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0xaf55b945, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x66d65178, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x5e41cd82, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x686dfd76, "_gpl");
SYMBOL_CRC(dccp_check_req, 0xe6f7e214, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x02a4631f, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x741d4cf7, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xc822d59c, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xd38286b8, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x0d243ea7, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x42fc5849, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x639cdc40, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x844dd55c, "_gpl");
SYMBOL_CRC(dccp_connect, 0x232a49a3, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x1b5a16aa, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x034ed18a, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xbfd3d054, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x39569661, "_gpl");
SYMBOL_CRC(dccp_done, 0xebac2a55, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x84245e5a, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0xa05cf542, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0xe08c8822, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xc788c3ff, "_gpl");
SYMBOL_CRC(dccp_poll, 0x054f8118, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x61b36d97, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x59d5425a, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x2da7f3f0, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x201ed2f4, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x77d28168, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xcda5d3cf, "_gpl");
SYMBOL_CRC(dccp_close, 0x72bf2ccc, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x5980418b, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x3571fb80, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0xa3496b09, "sk_reset_timer" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0xa3c5260d, "sk_stream_wait_close" },
	{ 0xaf3741e0, "inet_twsk_hashdance" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x8231185e, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51cad47c, "ip6_mtu" },
	{ 0x24c20235, "sk_free" },
	{ 0xb48ba4ff, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x68839ba, "proc_doulongvec_minmax" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0xc9fdb58c, "tcp_stream_memory_free" },
	{ 0x43628b2c, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x81ce1aa6, "sk_wait_data" },
	{ 0x804c801, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3e6509b0, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf096ecb5, "inet_csk_listen_start" },
	{ 0x9fbe2419, "sk_free_unlock_clone" },
	{ 0x151de0ba, "sock_rfree" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x8feb2400, "ipv4_mtu" },
	{ 0x5657e91c, "skb_set_owner_w" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe058c5bc, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x619dc912, "skb_clone" },
	{ 0x7d5f2a6d, "inet_sk_set_state" },
	{ 0xcb71f293, "dst_release" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x7d7248fe, "sk_stream_wait_connect" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0xceff02d0, "inet_csk_destroy_sock" },
	{ 0x1d28d264, "sk_stop_timer" },
	{ 0xeaa0f617, "unregister_net_sysctl_table" },
	{ 0x5af35b8d, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1b345599, "inet_csk_listen_stop" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf7a697ae, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xb19b85db, "inet_csk_complete_hashdance" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x84b70461, "inet_csk_reqsk_queue_drop" },
	{ 0x6dc4b3d3, "__inet_twsk_schedule" },
	{ 0x28b9794f, "proc_dointvec_minmax" },
	{ 0xcf53c885, "inet_hashinfo2_init_mod" },
	{ 0x249b45a, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6e51f3d2, "inet_ehash_locks_alloc" },
	{ 0x610b0c07, "skb_put" },
	{ 0xcae4b1b, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xe8f183d8, "sock_wmalloc" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xc733e1a0, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfc3f0822, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0x7ac2ea31, "inet_twsk_alloc" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xed52bf1, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0xf1583e24, "inet_sock_destruct" },
	{ 0xc20968e7, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8F19CA672DFA0CD3C953E04");

MODULE_INFO(suserelease, "ALP-0.1");
