#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dccp_v4_connect, 0x0e250c15, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xb715c217, "");
SYMBOL_CRC(dccp_v4_send_check, 0x18321ba5, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0xd853c1ef, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xecaed032, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xde37f0a0, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x535aefd0, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0xdd7b5b7f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66d65178, "dccp_rcv_state_process" },
	{ 0x741d4cf7, "dccp_reqsk_send_ack" },
	{ 0x15441137, "inet_lookup_reuseport" },
	{ 0x38a68ed9, "__inet_lookup_listener" },
	{ 0x615da925, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x57c41a25, "sock_common_getsockopt" },
	{ 0xab5e3459, "inet_bind" },
	{ 0x68fcb465, "__inet_inherit_port" },
	{ 0xcda5d3cf, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x4de5638c, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xeb32502e, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x939cc7a6, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb9169168, "inet_csk_reqsk_queue_hash_add" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xed52bf1, "sk_error_report" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x1ac1a8db, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xce791c7b, "inet_getname" },
	{ 0xcbeb29f6, "inet_stream_connect" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0x44a4f95b, "inet_reqsk_alloc" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf65cdd8f, "inet_ehashfn" },
	{ 0xdaad36e6, "inet_twsk_purge" },
	{ 0xebac2a55, "dccp_done" },
	{ 0x62516f09, "inet_release" },
	{ 0xa69e4677, "__sk_dst_check" },
	{ 0xc788c3ff, "dccp_disconnect" },
	{ 0xee592f3e, "ip_route_output_key_hash" },
	{ 0xeb85eadd, "proto_register" },
	{ 0xd004af8c, "inet_hash" },
	{ 0xab51307d, "__sk_receive_skb" },
	{ 0x54f8118, "dccp_poll" },
	{ 0x2c262dc3, "inet_ctl_sock_create" },
	{ 0x5e41cd82, "dccp_death_row" },
	{ 0x3099c3e4, "inet_csk_get_port" },
	{ 0x4176257a, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x256320d6, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x287ee18, "inet_accept" },
	{ 0x42fc5849, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51cad47c, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0x262b61a3, "inet_add_protocol" },
	{ 0xdc5f5ba3, "inet_shutdown" },
	{ 0x24c20235, "sk_free" },
	{ 0x72bf2ccc, "dccp_close" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0xc822d59c, "dccp_reqsk_init" },
	{ 0xa936953f, "inet_hash_connect" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0xc96a0ead, "inet_csk_route_child_sock" },
	{ 0xc5b4a9bd, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x354e16ad, "security_sk_classify_flow" },
	{ 0xf983058a, "inet_csk_update_pmtu" },
	{ 0x2da7f3f0, "dccp_getsockopt" },
	{ 0xd38286b8, "dccp_parse_options" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x43628b2c, "skb_checksum" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x2a4631f, "dccp_child_process" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xf22788e6, "sock_common_recvmsg" },
	{ 0x59d5425a, "dccp_setsockopt" },
	{ 0x61b36d97, "dccp_ioctl" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x773dcea3, "inet_sk_rebuild_header" },
	{ 0x3a2d9a13, "inet_del_protocol" },
	{ 0x8feb2400, "ipv4_mtu" },
	{ 0x77d28168, "dccp_recvmsg" },
	{ 0x46e6b128, "inet_sendmsg" },
	{ 0xe6f7e214, "dccp_check_req" },
	{ 0x686dfd76, "dccp_create_openreq_child" },
	{ 0x952e9953, "inet_csk_prepare_forced_close" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0x1906f6f9, "sock_pfree" },
	{ 0xaf55b945, "dccp_rcv_established" },
	{ 0x34ed18a, "dccp_send_sync" },
	{ 0xcb71f293, "dst_release" },
	{ 0x19dd031b, "sock_release" },
	{ 0x639cdc40, "dccp_make_response" },
	{ 0xe08c8822, "dccp_destroy_sock" },
	{ 0x844dd55c, "dccp_ctl_make_reset" },
	{ 0xccba49ce, "sock_gettstamp" },
	{ 0xbcb12391, "sk_setup_caps" },
	{ 0x7acefe6a, "ip_build_and_send_pkt" },
	{ 0x201ed2f4, "dccp_sendmsg" },
	{ 0xc8fa679b, "ip_setsockopt" },
	{ 0xbfd3d054, "dccp_hashinfo" },
	{ 0x465d9f69, "inet_twsk_put" },
	{ 0x87fc9457, "inet_unhash" },
	{ 0x723b3ee7, "ip_getsockopt" },
	{ 0x39569661, "dccp_set_state" },
	{ 0xa05cf542, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x84b70461, "inet_csk_reqsk_queue_drop" },
	{ 0x3c32f704, "__inet_lookup_established" },
	{ 0x249b45a, "inet_bhash2_reset_saddr" },
	{ 0xf214b9a6, "inet_csk_addr2sockaddr" },
	{ 0x14c840e, "inet_unregister_protosw" },
	{ 0x75ce260c, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5980418b, "dccp_shutdown" },
	{ 0xa0024e7b, "inet_bhash2_update_saddr" },
	{ 0x232a49a3, "dccp_connect" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "444BF8A8A995A530C7D8092");

MODULE_INFO(suserelease, "ALP-0.1");
