#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x8c6c06fa, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xf84f1327, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0xc0b61547, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xba9b24a5, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0xe2717fd2, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x2400c8e3, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0x6f70b430, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0x381fd1fe, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0x5eb1b1ee, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0x915bb068, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0x3dffd54d, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0x7fe6f640, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0xfef57a19, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0xce004bdb, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0xc7dfac3d, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0x4fd0a35b, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x865c3105, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x940894ee, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0x72c2c9f2, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0x93f6d5ae, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0xfa5b801e, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0x313f8dd2, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0xe2a2c489, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x37a256bd, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0xef263ef6, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x43b37787, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0xf4fd285a, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0xd189716f, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xbc159857, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0xedc1b5d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84a674df, "devlink_resource_register" },
	{ 0xe49ed73a, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x71ad338d, "switchdev_bridge_port_offload" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x91a2f9da, "module_put" },
	{ 0x3551bbc0, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xc54dc22f, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xfd9cf6d6, "devlink_region_create" },
	{ 0xf4d57362, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xf8d1c477, "devlink_port_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x8231185e, "init_net" },
	{ 0x7871760f, "noop_qdisc" },
	{ 0xb2ea8ece, "phy_ethtool_get_strings" },
	{ 0x1ca82b2f, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe5ea0450, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xde8cede0, "dev_remove_pack" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe17fb1a3, "gro_cells_receive" },
	{ 0xfecedce0, "switchdev_handle_port_obj_del_foreign" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xd50f677f, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xf5ac205, "dev_mc_del" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x1da713c9, "br_vlan_get_info" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf84a804a, "mdiobus_free" },
	{ 0x6401d5ac, "phylink_generic_validate" },
	{ 0xfbe3c8db, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa085831b, "devlink_resource_occ_get_register" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x360d4cf6, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x927edc0c, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9068a6b0, "switchdev_bridge_port_unoffload" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x7aa2e94a, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0x358fc257, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xbb7f6f39, "dev_mc_add" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x6267d8d4, "flow_block_cb_alloc" },
	{ 0xd478c103, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x54794243, "pv_ops" },
	{ 0xc2cf69fb, "sysfs_remove_group" },
	{ 0x6366cb6d, "net_selftest" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x74769b9a, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xfd3eb75, "devlink_port_init" },
	{ 0x25287446, "__netpoll_setup" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x10fa4997, "vlan_vid_add" },
	{ 0xefff07d4, "devlink_params_register" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x6d0d79bd, "vlan_vid_del" },
	{ 0x992b5420, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x115e02c3, "devlink_resources_unregister" },
	{ 0xbf4d09e2, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf84b29e, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x1b9c7754, "devlink_port_region_create" },
	{ 0x489954d1, "devlink_priv" },
	{ 0xf426d754, "skb_copy" },
	{ 0xc3aa5c06, "__hw_addr_sync_dev" },
	{ 0xd957f9e0, "devlink_port_register_with_ops" },
	{ 0xdcc625fb, "mdiobus_get_phy" },
	{ 0xcb71f293, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x2345295e, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9eeedd3e, "dev_uc_add" },
	{ 0xf6437fc0, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x65ba8110, "br_mst_enabled" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0xe209cb3c, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xf3b8ca, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0xf549f52e, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xdf426d3c, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xfd1ae0e8, "dcb_ieee_setapp" },
	{ 0xc2c17c95, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x58120dc0, "__skb_vlan_pop" },
	{ 0x813f85f, "phylink_connect_phy" },
	{ 0xd0d49ae6, "br_get_ageing_time" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0x25cb3734, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0xd3106468, "netdev_lower_get_next" },
	{ 0x70d6a353, "flow_block_cb_lookup" },
	{ 0xe577e238, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0x4055424, "devlink_resource_occ_get_unregister" },
	{ 0x8e6896bd, "dev_set_mtu" },
	{ 0x622df441, "br_vlan_enabled" },
	{ 0xb2fb0ed2, "__skb_pad" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xeae6ce3b, "devlink_unregister" },
	{ 0xff7d79a3, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0xa8ea3d94, "br_port_flag_is_set" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4036c307, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x497c421e, "br_port_get_stp_state" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6819d9c3, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc37edaf3, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x681e9f58, "__netpoll_free" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xe0d317e2, "br_vlan_get_proto" },
	{ 0x99aff350, "br_mst_get_state" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x2acb7002, "dev_uc_del" },
	{ 0xfdac3b5a, "netpoll_send_skb" },
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xebd69e83, "devlink_params_unregister" },
	{ 0x9e0bb333, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e0e4b06, "devlink_alloc_ns" },
	{ 0xf4b7c6e8, "dev_set_promiscuity" },
	{ 0x62cf1e6c, "devlink_register" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4f2b1749, "devlink_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x1e228faa, "gro_cells_init" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0xde276760, "netdev_warn" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x473f8047, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x7a730f35, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x651486df, "switchdev_handle_fdb_event_to_device" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd7133732, "netdev_upper_dev_link" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0xf68b22c3, "switchdev_handle_port_attr_set" },
	{ 0x5244aa62, "phylink_create" },
	{ 0x6514c1f2, "vlan_for_each" },
	{ 0xe91029b4, "netdev_port_same_parent_id" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbc36f48, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x7d51cbe2, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xda08a10c, "vlan_dev_vlan_proto" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "6B66612925F0401E2F38F3E");

MODULE_INFO(suserelease, "ALP-0.1");
