#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hsr_get_version, 0x781cdbfa, "");
SYMBOL_CRC(is_hsr_master, 0xc37edaf3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0xa1073230, "genlmsg_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xf4b7c6e8, "dev_set_promiscuity" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xde276760, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0x50b95d8f, "netlink_ack" },
	{ 0x78fdf694, "netdev_state_change" },
	{ 0xf2c941b8, "__pskb_copy_fclone" },
	{ 0x7a730f35, "ether_setup" },
	{ 0x4b6b07fb, "netlink_broadcast_filtered" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd7133732, "netdev_upper_dev_link" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe47a1770, "netdev_rx_handler_unregister" },
	{ 0x89abf5, "eth_header_parse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x1d7e311a, "skb_copy_expand" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0x8231185e, "init_net" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1e112548, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf52b1425, "dev_get_by_index_rcu" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x2e2d687e, "netdev_printk" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0xd50f677f, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3db0470f, "debugfs_rename" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc36ec7a8, "call_netdevice_notifiers" },
	{ 0xb30682b3, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x30f711c, "seq_printf" },
	{ 0x619dc912, "skb_clone" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x9802c3e0, "netdev_rx_handler_register" },
	{ 0x77aba229, "seq_puts" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xebccce8c, "genl_unregister_family" },
	{ 0xbd1efdeb, "dev_disable_lro" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xe0b3d283, "single_open" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xf6b0512a, "genl_register_family" },
	{ 0x91ab5d96, "netdev_core_stats_inc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0x8e6896bd, "dev_set_mtu" },
	{ 0xb2fb0ed2, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd6454b95, "eth_header" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x51b3ef4b, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EFBF075D255878868D3DEC3");

MODULE_INFO(suserelease, "ALP-0.1");
