#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wpan_phy_find, 0x66112572, "");
SYMBOL_CRC(wpan_phy_for_each, 0x649894c2, "");
SYMBOL_CRC(wpan_phy_new, 0x5e6c94d5, "");
SYMBOL_CRC(wpan_phy_register, 0x28299391, "");
SYMBOL_CRC(wpan_phy_unregister, 0xebf2ec71, "");
SYMBOL_CRC(wpan_phy_free, 0xa565c0a3, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x41d8bf80, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x0f459fb7, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x64f42be5, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xc4505b2b, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x77a9f2e4, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xafb6629f, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x3fa79cae, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xf42004a9, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x1a101273, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e6b72ff, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1198d446, "unregister_pernet_device" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x686cbe9f, "device_del" },
	{ 0xfb5bb1cc, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x5de25569, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x55f62f70, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xaaf21c56, "device_match_name" },
	{ 0x621666fe, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xebccce8c, "genl_unregister_family" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xf6b0512a, "genl_register_family" },
	{ 0xe235c6ec, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa930f862, "register_pernet_device" },
	{ 0x455bd141, "get_net_ns_by_fd" },
	{ 0xc662d63f, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x99b2a14a, "class_find_device" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0x610b0c07, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xec81e18b, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xb39946c8, "device_initialize" },
	{ 0xa1073230, "genlmsg_put" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4b6b07fb, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9e05aa33, "device_rename" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xeea4613b, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x8231185e, "init_net" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x97e846ac, "device_add" },
	{ 0x1e112548, "netlink_unicast" },
	{ 0x98582421, "dev_get_by_index" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D41528180F6A18D6BBE6299");

MODULE_INFO(suserelease, "ALP-0.1");
