#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xb62957d0, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x0a761d49, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x40b1433a, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x6e9cb001, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x3fa2370e, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x2991b071, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xd483e814, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x5b6445b3, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xa1c47065, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xbbed7cc0, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xced7b6c8, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xeaec099c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xef76bff8, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x8231185e, "init_net" },
	{ 0xfbc36f48, "alloc_netdev_mqs" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1e228faa, "gro_cells_init" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x78fdf694, "netdev_state_change" },
	{ 0xf097f381, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0x714b20a6, "ip6_redirect" },
	{ 0x46b3144e, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3bd14ba3, "ip6_route_output_flags" },
	{ 0xba5882f7, "xfrm_lookup" },
	{ 0xa909bfe2, "dst_cache_get" },
	{ 0x51cad47c, "ip6_mtu" },
	{ 0x6f8849d5, "skb_scrub_packet" },
	{ 0xdb4a58e0, "skb_realloc_headroom" },
	{ 0x5657e91c, "skb_set_owner_w" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x80306352, "ipv6_push_frag_opts" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xcc92f6ed, "ip6_local_out" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x851e4bc9, "dst_cache_set_ip6" },
	{ 0xa158899b, "ipv6_dev_get_saddr" },
	{ 0xd601b619, "ip6_dst_hoplimit" },
	{ 0x5cddbfe1, "neigh_destroy" },
	{ 0x8feb2400, "ipv4_mtu" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xb5b524f4, "iptunnel_handle_offloads" },
	{ 0x7ffb3950, "icmpv6_ndo_send" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x56d399d, "icmp_ndo_send" },
	{ 0x619dc912, "skb_clone" },
	{ 0xa057bad7, "skb_pull" },
	{ 0xb3532860, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe17fb1a3, "gro_cells_receive" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xeb32502e, "__xfrm_policy_check" },
	{ 0x6dc9aaa2, "__iptunnel_pull_header" },
	{ 0x65132ad1, "metadata_dst_alloc" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0x8b63d0cf, "ip_route_input_noref" },
	{ 0xb1291158, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x358fc257, "dev_get_tstats64" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6165a75, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xa88cc5b5, "ipv6_chk_addr_and_flags" },
	{ 0xf52b1425, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xa930f862, "register_pernet_device" },
	{ 0x7009e225, "xfrm6_tunnel_register" },
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0xe7b51418, "xfrm6_tunnel_deregister" },
	{ 0x1198d446, "unregister_pernet_device" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x696aee09, "rt6_lookup" },
	{ 0xcb71f293, "dst_release" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5630649C52513E317EF003F");

MODULE_INFO(suserelease, "ALP-0.1");
