#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ieee802154_alloc_hw, 0x10b4598e, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x53853090, "");
SYMBOL_CRC(ieee802154_free_hw, 0x41e27df5, "");
SYMBOL_CRC(ieee802154_register_hw, 0xd074119b, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x07a11cf3, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xea6f246f, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xe0c2de50, "");
SYMBOL_CRC(ieee802154_xmit_error, 0xf5929e14, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x5f66c0e5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x1d7e311a, "skb_copy_expand" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x70f0b35f, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x28299391, "wpan_phy_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd2d01436, "crypto_aead_encrypt" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x77a9f2e4, "ieee802154_hdr_peek" },
	{ 0xa565c0a3, "wpan_phy_free" },
	{ 0xfe3aa697, "netif_receive_skb" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xbe6b8d25, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64f42be5, "ieee802154_hdr_pull" },
	{ 0xafb6629f, "nl802154_scan_event" },
	{ 0x50ba074d, "crypto_alloc_sync_skcipher" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf459fb7, "ieee802154_beacon_push" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5e6c94d5, "wpan_phy_new" },
	{ 0x619dc912, "skb_clone" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x853d7e86, "hrtimer_cancel" },
	{ 0x41d8bf80, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0x41ce6aec, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0x1a101273, "nl802154_beaconing_done" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xe9e66f37, "hrtimer_init" },
	{ 0x59e6e5f8, "dev_alloc_name" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x16d10432, "crypto_alloc_aead" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xde276760, "netdev_warn" },
	{ 0xa031b3f5, "crypto_aead_setauthsize" },
	{ 0x484e9d03, "crypto_aead_decrypt" },
	{ 0xb192e312, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xf49b8df2, "crypto_skcipher_setkey" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc4505b2b, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xebf2ec71, "wpan_phy_unregister" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbc36f48, "alloc_netdev_mqs" },
	{ 0xf42004a9, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3fa79cae, "nl802154_scan_started" },
	{ 0xe160349b, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "A786718B7456052A0354D56");

MODULE_INFO(suserelease, "ALP-0.1");
