#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x53ac3dcc, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x5815257a, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xe79b028c, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x9b76d237, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xe78189d6, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x9e5c77b2, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x0557421d, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xb0763aec, "");
SYMBOL_CRC(ip_vs_conn_put, 0x8791d344, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x721429ac, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x5e718b6a, "");
SYMBOL_CRC(register_ip_vs_app, 0xab4f8aa6, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x2a6d2992, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x26742830, "");
SYMBOL_CRC(ip_vs_proto_get, 0x17e4931a, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x4ca0314c, "");
SYMBOL_CRC(register_ip_vs_pe, 0x9cb81a26, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x605644cd, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xbe7ceddb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d5caf9, "ip_route_me_harder" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x3b693d96, "set_cpus_allowed_ptr" },
	{ 0xf2766c7c, "seq_putc" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x68839ba, "proc_doulongvec_minmax" },
	{ 0xc7c8d87f, "nf_ct_expect_alloc" },
	{ 0xd4955c69, "skb_ensure_writable" },
	{ 0x48a118b6, "iov_iter_kvec" },
	{ 0xa08c7c64, "ip_mc_join_group" },
	{ 0xb93c7033, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf097f381, "ns_capable" },
	{ 0xbd26d09e, "nf_unregister_net_hooks" },
	{ 0xf38edc5d, "inet_select_addr" },
	{ 0x1198d446, "unregister_pernet_device" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x5b6bb94a, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0x8d586836, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x43628b2c, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xb3f56e1d, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x2a5406d, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0x834af099, "nf_hook_slow" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xbc8e62e4, "nf_ct_deliver_cached_events" },
	{ 0xdb4a58e0, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a4c8735, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb1291158, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8feb2400, "ipv4_mtu" },
	{ 0x5657e91c, "skb_set_owner_w" },
	{ 0xac9e5106, "__skb_checksum" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x97e17209, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x703bec8e, "init_user_ns" },
	{ 0x5a7a822, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x30f711c, "seq_printf" },
	{ 0xbbd42e49, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x253e208e, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa804e799, "ipv4_update_pmtu" },
	{ 0xaf3a09c4, "nf_defrag_ipv6_enable" },
	{ 0xcb71f293, "dst_release" },
	{ 0x19dd031b, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8736529e, "proc_dointvec" },
	{ 0x77aba229, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xeaa0f617, "unregister_net_sysctl_table" },
	{ 0x66ddef6c, "ip_local_out" },
	{ 0xebccce8c, "genl_unregister_family" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x54e8e762, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf6b0512a, "genl_register_family" },
	{ 0xdfa5b911, "kernel_sendmsg" },
	{ 0x5dad01ff, "nf_ct_netns_put" },
	{ 0xa930f862, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x28b9794f, "proc_dointvec_minmax" },
	{ 0x8181ca2a, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x8406f01f, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x8c166e37, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xac606f65, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb3532860, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0xba5882f7, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4e9981e3, "proc_dointvec_jiffies" },
	{ 0xcae4b1b, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xcc92f6ed, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x805c01e2, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x53e766e1, "nf_register_sockopt" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd9e5fa69, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0xbd04876b, "set_user_nice" },
	{ 0xa1073230, "genlmsg_put" },
	{ 0x80c39a2e, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x99cf66fc, "ip6_output" },
	{ 0xe8047b61, "ip6_route_me_harder" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb5b524f4, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xb8f51180, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x3977f7e2, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x2faedd9f, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x84ec7283, "nf_register_net_hooks" },
	{ 0x3bd14ba3, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x1319e834, "ipv6_sock_mc_join" },
	{ 0x91a2f9da, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xa158899b, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9c7249bd, "__skb_get_hash" },
	{ 0x8231185e, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51cad47c, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x1e112548, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x79956a90, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5edfc40b, "nf_conntrack_alter_reply" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "AA98B918764D5FD87409C23");

MODULE_INFO(suserelease, "ALP-0.1");
