#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(flow_offload_alloc, 0x7e516211, "_gpl");
SYMBOL_CRC(flow_offload_route_init_1224415, 0x6a5ad83c, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xa8c3bb31, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x18f1bb2a, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x301e2e6a, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x91676fa4, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xda223633, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x9c72f7ce, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x4875d784, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x3379844e, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x1e28655b, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x07e90541, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x5dbf3917, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0xa26a03c1, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x59bce4e9, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0xea486b16, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x01d140f1, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x66b226bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98582421, "dev_get_by_index" },
	{ 0xf52b1425, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x18cce0d3, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xeb31f337, "flow_indr_dev_setup_offload" },
	{ 0x5e593901, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xc8d339e5, "rhashtable_destroy" },
	{ 0xe86db549, "down_read" },
	{ 0xe767a139, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5cddbfe1, "neigh_destroy" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x59a6137a, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x20352fa9, "nf_ct_acct_add" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcb71f293, "dst_release" },
	{ 0x77aba229, "seq_puts" },
	{ 0x316f68d6, "rhashtable_walk_next" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x8df90dbf, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x5c0caa1d, "rhashtable_walk_exit" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x5cd5b7bc, "flow_rule_alloc" },
	{ 0x5fbab896, "ip6_dst_check" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x54922595, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x805c01e2, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d093ac3, "neigh_xmit" },
	{ 0xcc154404, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x99cf66fc, "ip6_output" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x47a37274, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8822092b, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x3977f7e2, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "461B60297C57CC21116898F");

MODULE_INFO(suserelease, "ALP-0.1");
