#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0xdbb79c72, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x1fcd39a3, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0x84444450, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0x40013dd1, "");
SYMBOL_CRC(nfc_hci_free_device, 0x09cdc880, "");
SYMBOL_CRC(nfc_hci_register_device, 0x64595f1c, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0xdb8cef6c, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0xbfff7529, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0xf2e4e944, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x278a45dc, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0x7150eb7d, "");
SYMBOL_CRC(nfc_hci_send_event, 0x47cb00e9, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x83178a62, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0xe89cac3d, "");
SYMBOL_CRC(nfc_hci_set_param, 0xac6b2ecf, "");
SYMBOL_CRC(nfc_hci_get_param, 0xb9fdd0c0, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0x23aa9ee0, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x0f55e780, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0x3a95b0ea, "");
SYMBOL_CRC(nfc_llc_start, 0x50131add, "");
SYMBOL_CRC(nfc_llc_stop, 0xc66345a4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85eb42d7, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd4f88c37, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x21a2d972, "nfc_targets_found" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xe150a828, "nfc_driver_failure" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x30da8917, "nfc_register_device" },
	{ 0x5f2318ff, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x610b0c07, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xc77ed312, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0x8ba66b43, "nfc_allocate_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x7352e3ca, "nfc_alloc_recv_skb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa057bad7, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "0B1F174CEDB4DFA029BCDBF");

MODULE_INFO(suserelease, "ALP-0.1");
