#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pn_sock_hash, 0x2e446f18, "");
SYMBOL_CRC(pn_sock_unhash, 0x637aef96, "");
SYMBOL_CRC(phonet_stream_ops, 0xc832b72f, "");
SYMBOL_CRC(pn_sock_get_port, 0x6d54cbde, "");
SYMBOL_CRC(phonet_header_ops, 0x3aa4908d, "");
SYMBOL_CRC(pn_skb_send, 0xd9a74dde, "");
SYMBOL_CRC(phonet_proto_register, 0x750746a6, "");
SYMBOL_CRC(phonet_proto_unregister, 0xf4e9aaca, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x14b20ff5, "sock_register" },
	{ 0x8faf00bd, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1cc8cfc, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x9214d3ca, "rtnl_set_sk_err" },
	{ 0xeb85eadd, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91a2f9da, "module_put" },
	{ 0xab51307d, "__sk_receive_skb" },
	{ 0xe604a5b6, "sock_no_shutdown" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0x8231185e, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xde8cede0, "dev_remove_pack" },
	{ 0x98582421, "dev_get_by_index" },
	{ 0x24c20235, "sk_free" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8a77d358, "sock_no_accept" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xd282eca6, "sock_no_listen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0x4d01d6c6, "rtnl_register_module" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xf22788e6, "sock_common_recvmsg" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa9410f6d, "sk_common_release" },
	{ 0x806e4ce3, "seq_pad" },
	{ 0x1712d8e, "sock_i_ino" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x783bc4e5, "prepare_to_wait_exclusive" },
	{ 0x8cd759e3, "skb_recv_datagram" },
	{ 0xe058c5bc, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x835b71f1, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x30f711c, "seq_printf" },
	{ 0x619dc912, "skb_clone" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x77aba229, "seq_puts" },
	{ 0xeaa0f617, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x744f0ee3, "from_kuid_munged" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x28b9794f, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x76bad91a, "skb_free_datagram" },
	{ 0x88593a1, "sock_queue_rcv_skb_reason" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xdea82a14, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xff7d79a3, "__nlmsg_put" },
	{ 0x610b0c07, "skb_put" },
	{ 0xcae4b1b, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x6819d9c3, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x57c41a25, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x38539737, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3aa247ea, "sock_no_connect" },
	{ 0x939cc7a6, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3977f7e2, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DFD86489EA5B2B61125B163");

MODULE_INFO(suserelease, "ALP-0.1");
