#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qrtr_endpoint_post, 0x181836d1, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x3a1bddcb, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xca41ddeb, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed52bf1, "sk_error_report" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x9518f21f, "radix_tree_iter_delete" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0x14b20ff5, "sock_register" },
	{ 0x8faf00bd, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0xeb85eadd, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5bc2476a, "__xa_alloc" },
	{ 0xe604a5b6, "sock_no_shutdown" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x8231185e, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x54c6af3b, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb912e93b, "xa_load" },
	{ 0x6f16a279, "__SCK__tp_func_sk_data_ready" },
	{ 0xc4fafac7, "kernel_getsockname" },
	{ 0xe76466a4, "do_wait_intr_irq" },
	{ 0x24c20235, "sk_free" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8a77d358, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xd282eca6, "sock_no_listen" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xd25737f3, "__xa_insert" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x5657e91c, "skb_set_owner_w" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x97e17209, "sock_create_kern" },
	{ 0xb35f81b8, "xa_find" },
	{ 0x8cd759e3, "skb_recv_datagram" },
	{ 0xe058c5bc, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe04a8b3c, "xa_store" },
	{ 0x619dc912, "skb_clone" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x19dd031b, "sock_release" },
	{ 0xccba49ce, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf3836497, "xa_find_after" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0xdfa5b911, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x76bad91a, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88593a1, "sock_queue_rcv_skb_reason" },
	{ 0xb2fb0ed2, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x9bb67cad, "radix_tree_insert" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0x28a59278, "radix_tree_lookup" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xac4efb63, "kernel_bind" },
	{ 0x2b4c2f94, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbf7a2079, "__tracepoint_sk_data_ready" },
	{ 0xb192e312, "__wake_up" },
	{ 0x7c640f6e, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C026F46A340A1D8F9760DD");

MODULE_INFO(suserelease, "ALP-0.1");
