#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sctp_get_sctp_info, 0x3863a303, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xcd7af4a0, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x34eea75e, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x8f2713bd, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x68b89301, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c262dc3, "inet_ctl_sock_create" },
	{ 0x4176257a, "inet_ioctl" },
	{ 0xe5fe4bd, "reuseport_add_sock" },
	{ 0x48977271, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x7ddb9a0d, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9b9ab8a8, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x92c520a8, "fput" },
	{ 0x287ee18, "inet_accept" },
	{ 0x8231185e, "init_net" },
	{ 0x1f408ce2, "crypto_shash_setkey" },
	{ 0xa057bad7, "skb_pull" },
	{ 0xac8400cd, "inet_add_offload" },
	{ 0x6fedbcd9, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x51cad47c, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6f16a279, "__SCK__tp_func_sk_data_ready" },
	{ 0x262b61a3, "inet_add_protocol" },
	{ 0xdc5f5ba3, "inet_shutdown" },
	{ 0x24c20235, "sk_free" },
	{ 0xb48ba4ff, "sock_wake_async" },
	{ 0xf52b1425, "dev_get_by_index_rcu" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x2b9e3adb, "inet_del_offload" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x30409389, "__ip_queue_xmit" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0xaa22bf7b, "__sk_mem_reclaim" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x68839ba, "proc_doulongvec_minmax" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x18cce0d3, "rhashtable_walk_start_check" },
	{ 0xf097f381, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x14662ec5, "inet6_ioctl" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0x5e593901, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2dd2d70f, "idr_alloc_cyclic" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1790ed6b, "ip6_dst_lookup_flow" },
	{ 0x937ff5aa, "rhashtable_free_and_destroy" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0x761ff712, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x76fdef71, "setup_udp_tunnel_sock" },
	{ 0x8afd7df7, "udp_sock_create6" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa9410f6d, "sk_common_release" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0x3e41a6be, "inet6_getname" },
	{ 0x1712d8e, "sock_i_ino" },
	{ 0xa401fa61, "inet6_sock_destruct" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd576cb1b, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x3a2d9a13, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8feb2400, "ipv4_mtu" },
	{ 0x5657e91c, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xac9e5106, "__skb_checksum" },
	{ 0xbc480fff, "reuseport_alloc" },
	{ 0x2d5bd1b1, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xeeb79a02, "inet6_release" },
	{ 0x783bc4e5, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0x46e6b128, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1929404e, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x24cdea7e, "rhltable_init" },
	{ 0x9dc5669, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0x253e208e, "proc_create_net_single" },
	{ 0xf426d754, "skb_copy" },
	{ 0x619dc912, "skb_clone" },
	{ 0x7d5f2a6d, "inet_sk_set_state" },
	{ 0xcb71f293, "dst_release" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x19dd031b, "sock_release" },
	{ 0x8736529e, "proc_dointvec" },
	{ 0x77aba229, "seq_puts" },
	{ 0xccba49ce, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x316f68d6, "rhashtable_walk_next" },
	{ 0x803491dc, "_proc_mkdir" },
	{ 0xbcb12391, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd0aa6aac, "send_sig" },
	{ 0xeaa0f617, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x44c11747, "inet6_add_protocol" },
	{ 0x744f0ee3, "from_kuid_munged" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc8fa679b, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xee86ba3, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xaa146ba4, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xef533566, "reuseport_detach_sock" },
	{ 0x723b3ee7, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x8df90dbf, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5c0caa1d, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5f2318ff, "skb_queue_head" },
	{ 0x28b9794f, "proc_dointvec_minmax" },
	{ 0x53aa2a01, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xdea82a14, "sock_i_uid" },
	{ 0x5fbab896, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x51caf9e3, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x14c840e, "inet_unregister_protosw" },
	{ 0x7e6c27af, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe69ec43d, "sock_wfree" },
	{ 0x610b0c07, "skb_put" },
	{ 0xcae4b1b, "register_net_sysctl" },
	{ 0xc6a220ad, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd601b619, "ip6_dst_hoplimit" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xf699e445, "inet6_add_offload" },
	{ 0x2e5eea88, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d37607e, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x2ce6d868, "l3mdev_fib_table_by_index" },
	{ 0xb0f402b7, "udp_sock_create4" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf351cc5c, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x264919f9, "skb_segment" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x87ef17ce, "__ip_dev_find" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7d4739ce, "udp_tunnel6_xmit_skb" },
	{ 0x57c41a25, "sock_common_getsockopt" },
	{ 0xab5e3459, "inet_bind" },
	{ 0xe018dffc, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0xddc860b4, "fd_install" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x4de5638c, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeb32502e, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xbf7a2079, "__tracepoint_sk_data_ready" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x939cc7a6, "sock_common_setsockopt" },
	{ 0xfbd954b1, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0x8822092b, "rhashtable_walk_enter" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0x18c22e73, "__sk_mem_schedule" },
	{ 0x36b17435, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x309ffd37, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3977f7e2, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xed52bf1, "sk_error_report" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0xe09a5dd, "put_cmsg" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xf1583e24, "inet_sock_destruct" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0xc8871087, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa4435c9f, "inet_sk_get_local_port_range" },
	{ 0x71646f66, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xce791c7b, "inet_getname" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x947ca131, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x62516f09, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xeb85eadd, "proto_register" },
	{ 0x1d7e311a, "skb_copy_expand" },
	{ 0x2caaa47f, "__wake_up_sync_key" },
	{ 0xbf02c3c0, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "1054E8C729CE2F809953AAB");

MODULE_INFO(suserelease, "ALP-0.1");
