#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x179fec51, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xb6831385, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x34167a64, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x9d5640d7, "");
SYMBOL_CRC(gss_mech_put, 0x5b619eba, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x30596156, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x9144f3e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa8bd2041, "rpc_sleep_on_timeout" },
	{ 0x2473796d, "rpc_create" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x61d9edb5, "rpc_call_sync" },
	{ 0x7e1c322f, "from_kuid" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0xf1fdaaea, "rpc_queue_upcall" },
	{ 0x65fd5f1c, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x62c705d0, "cache_check" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6578fbd0, "svcauth_unix_set_client" },
	{ 0x7edd07c, "xdr_buf_subsegment" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xbb78ebae, "_atomic_dec_and_lock" },
	{ 0x5b7e6acc, "make_kgid" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xc6386287, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x6dd8c1e2, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb92eeae, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x5de25569, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7a8ee948, "rpc_mkpipe_dentry" },
	{ 0x93888b94, "rpc_mkpipe_data" },
	{ 0x534fa31, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x6ec6b13, "cache_register_net" },
	{ 0x703bec8e, "init_user_ns" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3cdad208, "xdr_inline_pages" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x85a8aa78, "rpc_init_wait_queue" },
	{ 0x639269f3, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xbaf77711, "rpc_unlink" },
	{ 0x31c9891b, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x744f0ee3, "from_kuid_munged" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x9e9c8442, "rpcauth_init_cred" },
	{ 0x4987a5a5, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x17137a98, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xd483f25d, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xde97f161, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xd64e9c0b, "sunrpc_cache_update" },
	{ 0x221a248f, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc658fa91, "rpc_destroy_wait_queue" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfb58176b, "auth_domain_put" },
	{ 0xf2fe0061, "rpcauth_unwrap_resp_decode" },
	{ 0xdc9aae07, "rpcauth_register" },
	{ 0x57d77380, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1e2d0145, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x75869b30, "xdr_buf_from_iov" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xcc2a1a15, "xdr_stream_decode_opaque_auth" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8610aa8a, "xdr_write_pages" },
	{ 0xf2eb87a2, "rpc_shutdown_client" },
	{ 0xf19ddeaa, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x33bc21d3, "xdr_inline_decode" },
	{ 0x42dd141f, "cache_create_net" },
	{ 0xd36eb94e, "rpcauth_destroy_credcache" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xa86dfc15, "bpf_trace_run6" },
	{ 0xa95d9bc0, "rpc_net_ns" },
	{ 0x5c9c5c2, "read_bytes_from_xdr_buf" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x41559a55, "rpc_wake_up" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x3c49da72, "sunrpc_cache_lookup_rcu" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x4537749d, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x44eb9cbc, "xdr_truncate_decode" },
	{ 0x4f38c8b8, "rpcauth_unregister" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4512413c, "__xdr_commit_encode" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x85d444e6, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfefe7f64, "__put_cred" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xceff0ecf, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x6358cd3f, "rpc_release_client" },
	{ 0x3ce0adb5, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x461a7687, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3edfb651, "svc_auth_register" },
	{ 0x9d894483, "xdr_stream_encode_opaque_auth" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xb89d5c18, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xddaba837, "__free_pages" },
	{ 0x30bf4789, "rpc_pipe_generic_upcall" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x6e849bac, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1f6d0f0d, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x357407c3, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xce229267, "rpcauth_init_credcache" },
	{ 0xe84d798a, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x54cd24c4, "xdr_init_decode" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x92df24b0, "rpc_call_null" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "442D20FD55D123F4807A85A");

MODULE_INFO(suserelease, "ALP-0.1");
