#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tipc_nl_sk_walk, 0xf5c9a922, "");
SYMBOL_CRC(tipc_dump_start, 0x42616e2f, "");
SYMBOL_CRC(tipc_dump_done, 0x82ccd20a, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x10baa2ba, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14b20ff5, "sock_register" },
	{ 0x285b53bf, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0xa3496b09, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xe8db9f1f, "skb_try_coalesce" },
	{ 0xeb85eadd, "proto_register" },
	{ 0x1d7e311a, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2caaa47f, "__wake_up_sync_key" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x91a2f9da, "module_put" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x70f0b35f, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x8231185e, "init_net" },
	{ 0xbaf695e4, "ipv6_stub" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd2d01436, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x1e112548, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6f16a279, "__SCK__tp_func_sk_data_ready" },
	{ 0xde8cede0, "dev_remove_pack" },
	{ 0x24c20235, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x443efe6f, "kernel_sock_shutdown" },
	{ 0x8a77d358, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xa909bfe2, "dst_cache_get" },
	{ 0xd282eca6, "sock_no_listen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x68839ba, "proc_doulongvec_minmax" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x48a118b6, "iov_iter_kvec" },
	{ 0xa08c7c64, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x18cce0d3, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1198d446, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0x5e593901, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x69ebcedd, "kfree_skb_partial" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x761ff712, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0xc8d339e5, "rhashtable_destroy" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x76fdef71, "setup_udp_tunnel_sock" },
	{ 0x8afd7df7, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x478fce5e, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x151de0ba, "sock_rfree" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1712d8e, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x394fea99, "kernel_listen" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x521606c5, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x97e17209, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x10f9618c, "rt_spin_trylock_bh" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x851e4bc9, "dst_cache_set_ip6" },
	{ 0x1db56464, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9dc5669, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbbd42e49, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf426d754, "skb_copy" },
	{ 0x619dc912, "skb_clone" },
	{ 0x621666fe, "dev_get_by_name" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x19dd031b, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x316f68d6, "rhashtable_walk_next" },
	{ 0xbbfaaaba, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1d28d264, "sk_stop_timer" },
	{ 0xeaa0f617, "unregister_net_sysctl_table" },
	{ 0xebccce8c, "genl_unregister_family" },
	{ 0x744f0ee3, "from_kuid_munged" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0xf6b0512a, "genl_register_family" },
	{ 0xdfa5b911, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5507ce36, "skb_to_sgvec" },
	{ 0x5c0caa1d, "rhashtable_walk_exit" },
	{ 0xa930f862, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x28b9794f, "proc_dointvec_minmax" },
	{ 0xc7d8fcbe, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xdea82a14, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xff7d79a3, "__nlmsg_put" },
	{ 0x7e6c27af, "idr_find" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x610b0c07, "skb_put" },
	{ 0xcae4b1b, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd601b619, "ip6_dst_hoplimit" },
	{ 0xec81e18b, "trace_output_call" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x6819d9c3, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xb0f402b7, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x87ef17ce, "__ip_dev_find" },
	{ 0xfb4b1c2f, "dst_cache_set_ip4" },
	{ 0x7d4739ce, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa1073230, "genlmsg_put" },
	{ 0x38539737, "___pskb_trim" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x47a37274, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x16d10432, "crypto_alloc_aead" },
	{ 0xbf7a2079, "__tracepoint_sk_data_ready" },
	{ 0xde276760, "netdev_warn" },
	{ 0xa031b3f5, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x484e9d03, "crypto_aead_decrypt" },
	{ 0x4b27f31f, "kernel_accept" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0x8822092b, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf2c941b8, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0xe09a5dd, "put_cmsg" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C2476D88ABCE79FE8532866");

MODULE_INFO(suserelease, "ALP-0.1");
