#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x2448dab2, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x2a665430, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x81591420, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x544cb249, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x3bef7a52, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x9f44d8a2, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x25783bf5, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x62eac48a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0xd5c97604, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xa6a2d3e3, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xb7844bb1, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x0b05fb7f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x8ae37e88, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x1c245611, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xe97d9862, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x729a29b3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x2a27d217, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xfa1e9a56, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x0dc96cc7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x5344e3a4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x0edcb127, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xe7559cfa, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xcd85cf02, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xd4a45012, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x8dccc4e3, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xc73ac1da, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xd2dd7fd1, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x6c2e65d1, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xe707b30d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x10ca13e0, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x79faa191, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x0eff0107, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x54d19302, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x420881a0, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x0826fac2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xe08137fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x9e08458d, "vsock_deliver_tap" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xed52bf1, "sk_error_report" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa846bd36, "vsock_find_bound_socket" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x24c20235, "sk_free" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x18545ca8, "__skb_recv_datagram" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5837aebc, "vsock_stream_has_data" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0xf82f664e, "bpf_trace_run9" },
	{ 0x9c786e6, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8a5d6066, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x7a7876c5, "bpf_trace_run10" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x45beb8b2, "vsock_core_get_transport" },
	{ 0x659402cd, "__zerocopy_sg_from_iter" },
	{ 0x2a47f9bf, "vsock_stream_has_space" },
	{ 0x5657e91c, "skb_set_owner_w" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdfa66e4b, "msg_zerocopy_realloc" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xe8be0665, "vsock_create_connected" },
	{ 0xb7979109, "vsock_assign_transport" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x50b0d97a, "iov_iter_npages" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9eaf6761, "vsock_data_ready" },
	{ 0x6b965eef, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7757b3f4, "vsock_insert_connected" },
	{ 0x610b0c07, "skb_put" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xc6aa6fe5, "vsock_remove_sock" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "403DABB7F60250AC06AC582");

MODULE_INFO(suserelease, "ALP-0.1");
