#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xe59dc529, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x7757b3f4, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xb50af626, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xc3c9312c, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xa846bd36, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x09c786e6, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xc6aa6fe5, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xeb02abe1, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x2a511f00, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xfd2a456e, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x6b965eef, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xb7979109, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xe8be0665, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x5837aebc, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x46d82ace, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x2a47f9bf, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x9eaf6761, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xfdcdb482, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x921bc23c, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x45beb8b2, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x51501c1d, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xf0771047, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x629fb1f7, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x30b72da4, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x9e08458d, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30e10a01, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfefe7f64, "__put_cred" },
	{ 0xed52bf1, "sk_error_report" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x14b20ff5, "sock_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0xeb85eadd, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91a2f9da, "module_put" },
	{ 0xf0949a0a, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x24c20235, "sk_free" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8a77d358, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd282eca6, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xb6279ba7, "sock_recv_errqueue" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0x50d81800, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xdb92eeae, "nonseekable_open" },
	{ 0xe1f3c778, "sk_psock_drop" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x703bec8e, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x619dc912, "skb_clone" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x2d0af318, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb85e1701, "sock_setsockopt" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x446c5aa, "sock_map_close" },
	{ 0x88593a1, "sock_queue_rcv_skb_reason" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7a9edae6, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x70dee27, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x5b1801e3, "sock_map_unhash" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0xad42fe7d, "sk_stream_error" },
	{ 0x32da1bf7, "sk_msg_recvmsg" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "39BA75A7626B9DD0340926A");

MODULE_INFO(suserelease, "ALP-0.1");
