#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_use_lock_sync_helper, 0x3061c52d, "");
SYMBOL_CRC(snd_seq_client_ioctl_lock, 0xe50413d7, "_gpl");
SYMBOL_CRC(snd_seq_client_ioctl_unlock, 0xadb51cff, "_gpl");
SYMBOL_CRC(snd_seq_set_queue_tempo, 0xb8e448a0, "");
SYMBOL_CRC(snd_seq_create_kernel_client, 0x1515e96d, "");
SYMBOL_CRC(snd_seq_delete_kernel_client, 0x6bb71038, "");
SYMBOL_CRC(snd_seq_kernel_client_enqueue, 0x5935fa5e, "");
SYMBOL_CRC(snd_seq_kernel_client_dispatch, 0x85cd59a8, "");
SYMBOL_CRC(snd_seq_kernel_client_ctl, 0x1a724fcc, "");
SYMBOL_CRC(snd_seq_kernel_client_write_poll, 0xfc61a0e4, "");
SYMBOL_CRC(snd_seq_kernel_client_get, 0x2560f06b, "_gpl");
SYMBOL_CRC(snd_seq_kernel_client_put, 0x5e59c1d8, "_gpl");
SYMBOL_CRC(snd_seq_dump_var_event, 0x23738926, "");
SYMBOL_CRC(snd_seq_expand_var_event, 0xa6e19f8e, "");
SYMBOL_CRC(snd_seq_expand_var_event_at, 0xf0c8f9fa, "_gpl");
SYMBOL_CRC(snd_seq_system_broadcast, 0xcbf9166f, "_gpl");
SYMBOL_CRC(snd_seq_event_port_attach, 0xb090b4f0, "");
SYMBOL_CRC(snd_seq_event_port_detach, 0x7b8699eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c1799c0, "snd_timer_resolution" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xf7436be5, "snd_timer_pause" },
	{ 0x5a921311, "strncmp" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0xc2b9ea94, "snd_unregister_device" },
	{ 0xb490aad4, "snd_timer_instance_new" },
	{ 0xfb578fc5, "memset" },
	{ 0x91def1c, "snd_seq_autoload_exit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x2b4b5340, "snd_timer_instance_free" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0x6339b6d0, "snd_seq_device_load_drivers" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x325af4a7, "snd_device_initialize" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0xcc5b5b62, "stream_open" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xf00316af, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7a847d72, "snd_register_device" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x8563df9b, "put_pid" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x474bba61, "snd_info_register" },
	{ 0xb567f8d8, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x370a0736, "snd_seq_autoload_init" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4a3ea5c0, "snd_request_card" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x1f5610b, "snd_info_free_entry" },
	{ 0x2af08b25, "snd_seq_root" },
	{ 0x2f6d2c34, "snd_timer_close" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0xb192e312, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6c342ba6, "snd_timer_open" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x2d5db1e7, "snd_timer_start" },
	{ 0x91a2f9da, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-timer,snd,snd-seq-device");


MODULE_INFO(srcversion, "4ADF7D9F7BB49B6EDDC4976");

MODULE_INFO(suserelease, "ALP-0.1");
