#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_timer_instance_new, 0xb490aad4, "");
SYMBOL_CRC(snd_timer_instance_free, 0x2b4b5340, "");
SYMBOL_CRC(snd_timer_open, 0x6c342ba6, "");
SYMBOL_CRC(snd_timer_close, 0x2f6d2c34, "");
SYMBOL_CRC(snd_timer_resolution, 0x6c1799c0, "");
SYMBOL_CRC(snd_timer_start, 0x2d5db1e7, "");
SYMBOL_CRC(snd_timer_stop, 0x96e88299, "");
SYMBOL_CRC(snd_timer_continue, 0x8c7bf1b2, "");
SYMBOL_CRC(snd_timer_pause, 0xf7436be5, "");
SYMBOL_CRC(snd_timer_interrupt, 0xc83b94c9, "");
SYMBOL_CRC(snd_timer_new, 0x1efc8c98, "");
SYMBOL_CRC(snd_timer_notify, 0x47503700, "");
SYMBOL_CRC(snd_timer_global_new, 0xc7421938, "");
SYMBOL_CRC(snd_timer_global_free, 0x04fabcf6, "");
SYMBOL_CRC(snd_timer_global_register, 0x6c4b03a6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0xc2b9ea94, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x657d4ff1, "snd_device_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0x325af4a7, "snd_device_initialize" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0xcc5b5b62, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x7a847d72, "snd_register_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x474bba61, "snd_info_register" },
	{ 0xb567f8d8, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x1f5610b, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfc3b1ee1, "snd_fasync_helper" },
	{ 0xb192e312, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x91a2f9da, "module_put" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "65D956B1B7736AA8075F991");

MODULE_INFO(suserelease, "ALP-0.1");
