#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0x94b7fda4, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x7a847d72, "");
SYMBOL_CRC(snd_unregister_device, 0xc2b9ea94, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0xf0e736eb, "");
SYMBOL_CRC(snd_device_initialize, 0x325af4a7, "_gpl");
SYMBOL_CRC(snd_card_new, 0xd76a1213, "");
SYMBOL_CRC(snd_devm_card_new, 0xafd71691, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x44d72404, "_gpl");
SYMBOL_CRC(snd_card_ref, 0x78b38b37, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0xa81cf820, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x52744c3e, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x360a27d2, "");
SYMBOL_CRC(snd_card_free, 0x19a278f0, "");
SYMBOL_CRC(snd_card_set_id, 0xb148c5ab, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x624aa35d, "_gpl");
SYMBOL_CRC(snd_card_register, 0xbd67f3de, "");
SYMBOL_CRC(snd_component_add, 0xe5e07bbf, "");
SYMBOL_CRC(snd_card_file_add, 0xf0cdd661, "");
SYMBOL_CRC(snd_card_file_remove, 0xebf62c92, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x0cf125d8, "_gpl");
SYMBOL_CRC(snd_power_wait, 0xe753d096, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(snd_ctl_notify, 0xd8eb1676, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xbcb2104f, "");
SYMBOL_CRC(snd_ctl_new1, 0xf6736b53, "");
SYMBOL_CRC(snd_ctl_free_one, 0xe1bba922, "");
SYMBOL_CRC(snd_ctl_add, 0xc48d5c57, "");
SYMBOL_CRC(snd_ctl_replace, 0xf8080764, "");
SYMBOL_CRC(snd_ctl_remove, 0xb31efc32, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x7bff3ecb, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x67b2cb5e, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x181316e9, "");
SYMBOL_CRC(snd_ctl_rename, 0x782d5b13, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x370b934c, "");
SYMBOL_CRC(snd_ctl_find_id, 0x4a612015, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x9c787f82, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0xaaab6844, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0xa2dce054, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0x1bdb4c69, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0xb5ce0201, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x0c2311fc, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xb2c49185, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x3ef359ea, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0x3df8f8ca, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(__snd_printk, 0x614c7976, "_gpl");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x39b1faba, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x811646ea, "");
SYMBOL_CRC(snd_fasync_helper, 0xfc3b1ee1, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x657d4ff1, "");
SYMBOL_CRC(snd_device_disconnect, 0xb9eba31b, "_gpl");
SYMBOL_CRC(snd_device_free, 0xb1c12f8b, "");
SYMBOL_CRC(snd_device_register, 0x679e4125, "");
SYMBOL_CRC(snd_device_get_state, 0x8eaeceff, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x2af08b25, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0xb567f8d8, "");
SYMBOL_CRC(snd_info_create_card_entry, 0xcb54b5c5, "");
SYMBOL_CRC(snd_info_free_entry, 0x01f5610b, "");
SYMBOL_CRC(snd_info_register, 0x474bba61, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x87a49487, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0xdbbcd324, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0xc412e9ab, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x7c508b74, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0x3cf43ec0, "");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0xc08a3b5e, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0xe7dc54c0, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0xe186499f, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x325d2e1f, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0xd87a8342, "");
SYMBOL_CRC(snd_jack_new, 0x851b1fd5, "");
SYMBOL_CRC(snd_jack_set_parent, 0x3bbfc628, "");
SYMBOL_CRC(snd_jack_set_key, 0x8412131e, "");
SYMBOL_CRC(snd_jack_report, 0xbe7088bf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe915fae4, "down_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4a85cca8, "up_write" },
	{ 0x97e846ac, "device_add" },
	{ 0x372cdee1, "init_uts_ns" },
	{ 0xb912e93b, "xa_load" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x5ca4d725, "input_set_capability" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x77e713eb, "__devres_alloc_node" },
	{ 0x74c1c37e, "dma_spin_lock" },
	{ 0xdab39dd0, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x11089ac7, "_ctype" },
	{ 0x686cbe9f, "device_del" },
	{ 0xaee5396, "proc_mkdir" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x681f1d7c, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x5adf24c2, "input_event" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xbb3e7d4a, "proc_remove" },
	{ 0xe86db549, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xd25737f3, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7054a3e4, "request_dma" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x13e4c67a, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd4f4f7f6, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6db05fa7, "__register_chrdev" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2bde017, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x5adf31c4, "downgrade_write" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0xcc5b5b62, "stream_open" },
	{ 0x3d60d0b7, "single_release" },
	{ 0xf00316af, "pid_vnr" },
	{ 0x57ce6ebb, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x7e934208, "__devm_add_action" },
	{ 0x1042d93c, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x8ee17c69, "proc_symlink" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe0b3d283, "single_open" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x8563df9b, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x5fd4299f, "input_allocate_device" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xaacc87d7, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x56c7b309, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xdf3931d0, "input_unregister_device" },
	{ 0xff86e070, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x4537749d, "proc_create_data" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0xa8477a07, "devm_remove_action" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xd2df1afb, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2e057471, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa7d2a2e3, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x24204c2, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x2aaae114, "register_sound_special_device" },
	{ 0x9f984513, "strrchr" },
	{ 0x91a2f9da, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "7E2E4F9E5831FE03023DE0B");

MODULE_INFO(suserelease, "ALP-0.1");
