#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_hdac_ext_bus_init, 0xd97de440, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x5a4457be, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0x9648a18e, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x780e9bc2, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x822b9bd5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0xe000056b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x8a8a413f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0xd17bc217, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0x90c3e695, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0xbc7a6a4a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0xf3c8bdad, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x3ab34129, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0xeecae785, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0x50a79378, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x4b47037b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0xf390ee93, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0xf2737644, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x304d4c72, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x28e96d35, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x70f0f07e, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0xe721d7ba, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x3d690fe4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0xf7a080be, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0xfa9d41f4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x375c42ea, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x75c1d5d5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0x7c97ddf1, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0x086b17a3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x65296537, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xb2516ac5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0xcb890b69, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce50cfbd, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcd4b1db7, "snd_hdac_bus_exit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0x6812ca27, "snd_hdac_bus_init" },
	{ 0xebf2134, "snd_hdac_stream_init" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xf710f975, "snd_hdac_device_unregister" },
	{ 0x9a66a38d, "snd_hdac_stream_assign" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9bda74b0, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x144f5af7, "snd_hdac_bus_init_cmd_io" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xbfbd7779, "snd_hda_bus_type" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x47f67f15, "driver_register" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x3f932675, "snd_hdac_stream_release" },
	{ 0xcc34890f, "snd_hdac_stream_release_locked" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");

MODULE_INFO(suserelease, "ALP-0.1");
