#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_ac97_write, 0x6b8ca320, "");
SYMBOL_CRC(snd_ac97_read, 0xeef9692a, "");
SYMBOL_CRC(snd_ac97_write_cache, 0x88a31148, "");
SYMBOL_CRC(snd_ac97_update, 0x221fa42d, "");
SYMBOL_CRC(snd_ac97_update_bits, 0xbac8cc68, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0xfc71bc8d, "");
SYMBOL_CRC(snd_ac97_bus, 0x4d9f9138, "");
SYMBOL_CRC(snd_ac97_mixer, 0xf455f23d, "");
SYMBOL_CRC(snd_ac97_update_power, 0x0f5c2e05, "");
SYMBOL_CRC(snd_ac97_suspend, 0x5e1da9c6, "");
SYMBOL_CRC(snd_ac97_resume, 0x48e118dd, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0x42bbf2ba, "");
SYMBOL_CRC(snd_ac97_set_rate, 0xf3808e05, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0xe6a9ac7d, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0xed4ea7dc, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0xee587db0, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0xf05e7d2c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5e07bbf, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc08a3b5e, "snd_ctl_make_virtual_master" },
	{ 0xba1997a7, "snd_pcm_hw_rule_add" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x3ef359ea, "snd_ctl_boolean_mono_info" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0x2ab1d52, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x782d5b13, "snd_ctl_rename" },
	{ 0x3cf43ec0, "_snd_ctl_add_follower" },
	{ 0x28c1b486, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x657d4ff1, "snd_device_new" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xcb54b5c5, "snd_info_create_card_entry" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xc48d5c57, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x1f5610b, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x4a612015, "snd_ctl_find_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf6736b53, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0x7bff3ecb, "snd_ctl_remove_id" },
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,ac97_bus");


MODULE_INFO(srcversion, "3341E6616FB645067F6A4B5");

MODULE_INFO(suserelease, "ALP-0.1");
