#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77ae199e, "snd_hda_pick_fixup" },
	{ 0x91d93f46, "snd_hda_apply_fixup" },
	{ 0xa26a8bd6, "snd_hda_add_verbs" },
	{ 0x1ac22a8, "snd_hda_gen_parse_auto_config" },
	{ 0x7f06a64b, "snd_hda_enum_helper_info" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x32ad9484, "snd_hdac_codec_read" },
	{ 0xaa46b674, "snd_hda_mixer_amp_volume_put" },
	{ 0x89838ef1, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0x11d7ff13, "snd_hdac_regmap_sync" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9203f013, "snd_hda_shutup_pins" },
	{ 0xbc6f051a, "snd_hda_get_connections" },
	{ 0x97f8f7ca, "snd_hda_gen_build_controls" },
	{ 0xeec3768f, "snd_hda_mixer_amp_volume_info" },
	{ 0xd74d3215, "snd_hdac_regmap_read_raw" },
	{ 0x9b3df448, "snd_hda_gen_spec_init" },
	{ 0x29d56269, "snd_hda_mixer_amp_switch_info" },
	{ 0x5f6c492, "hda_codec_driver_unregister" },
	{ 0x9e237f6, "snd_hda_codec_get_pincfg" },
	{ 0x7eaeea86, "snd_hdac_codec_write" },
	{ 0xab302a5f, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xcfb17af0, "snd_hda_gen_add_kctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37c33ada, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x457d5717, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb120e099, "snd_hda_get_bool_hint" },
	{ 0x3ef359ea, "snd_ctl_boolean_mono_info" },
	{ 0x2823d5af, "snd_hda_override_amp_caps" },
	{ 0x2ffa206a, "__hda_codec_driver_register" },
	{ 0xab97f220, "snd_hda_parse_pin_defcfg" },
	{ 0x88d0a77, "snd_hda_gen_init" },
	{ 0x95dfa3d8, "snd_hda_mixer_amp_switch_get" },
	{ 0x48e91b31, "snd_hda_codec_set_name" },
	{ 0x52c9b73e, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6d50a292, "snd_hda_mixer_amp_switch_put" },
	{ 0x31b75b94, "snd_hda_codec_set_pincfg" },
	{ 0xa51c4a22, "snd_hda_jack_unsol_event" },
	{ 0x720e61f6, "snd_hda_override_conn_list" },
	{ 0x7b675e16, "snd_hda_check_amp_list_power" },
	{ 0x5e9f831c, "snd_hda_gen_build_pcms" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa200344f, "snd_hda_mixer_amp_tlv" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "8ECDA1585F8D890B5948542");

MODULE_INFO(suserelease, "ALP-0.1");
