#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l41_probe, 0xba17e9d2, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0x3c661a28, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x4836b90e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0xd2887a, "cs35l41_init_boost" },
	{ 0x9e9be4e1, "cs35l41_enter_hibernate" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x9964a4aa, "devm_snd_soc_register_component" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0x8179adbf, "regulator_bulk_disable" },
	{ 0x335396f1, "device_property_read_u32_array" },
	{ 0x7a4e7073, "snd_soc_get_enum_double" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x33e7db46, "snd_soc_info_volsw" },
	{ 0xf143c848, "regmap_multi_reg_write_bypassed" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x45605508, "wm_adsp_event" },
	{ 0x2fb4b0f9, "snd_soc_dapm_put_volsw" },
	{ 0x76f96987, "cs35l41_test_key_unlock" },
	{ 0xbde24a10, "cs35l41_test_key_lock" },
	{ 0xd9a04c0c, "snd_pcm_hw_constraint_list" },
	{ 0x6ca08be8, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x4d8bbe95, "wm_adsp2_component_probe" },
	{ 0xb4cf56f8, "wm_adsp2_preloader_put" },
	{ 0x8d67b0aa, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f051d6f, "wm_adsp2_preloader_get" },
	{ 0xe0171758, "snd_soc_info_enum_double" },
	{ 0x46c3ac62, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0x57b9de6f, "devm_regulator_bulk_get" },
	{ 0x7eef1cb1, "snd_soc_info_volsw_sx" },
	{ 0xc9fed371, "cs35l41_otp_unpack" },
	{ 0x2fc205c, "wm_adsp2_component_remove" },
	{ 0x7de1d722, "snd_soc_get_volsw" },
	{ 0x9953a3aa, "cs35l41_exit_hibernate" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0xc97c52f4, "snd_soc_put_volsw" },
	{ 0x41e9db88, "wm_adsp_fw_get" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0x87b222b0, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x4effb8b, "cs35l41_write_fs_errata" },
	{ 0xd1273513, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8c54a63c, "cs35l41_configure_cs_dsp" },
	{ 0x59e808bd, "_dev_crit" },
	{ 0x54ab2ad8, "regmap_update_bits_base" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x4e7dcdf7, "snd_soc_dapm_get_volsw" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0x21d270b1, "snd_soc_dapm_get_enum_double" },
	{ 0xe87d5fee, "__pm_runtime_use_autosuspend" },
	{ 0xfbf5cbb0, "wm_halo_init" },
	{ 0x9f29b1ae, "wm_adsp_early_event" },
	{ 0x6add2868, "cs35l41_set_channels" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0xdf217ad7, "snd_soc_get_volsw_sx" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x58ca3524, "snd_soc_dapm_put_enum_double" },
	{ 0x8a23901f, "wm_adsp_fw_put" },
	{ 0x155c0846, "device_property_present" },
	{ 0xe46a5563, "cs35l41_global_enable" },
	{ 0xc7866340, "regcache_cache_only" },
	{ 0xb11cf891, "is_acpi_device_node" },
	{ 0xec377c18, "regcache_sync" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0x9e6fb016, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0x2d88ecfb, "cs35l41_register_errata_patch" },
	{ 0xfe8f3ceb, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0xeeebf3d0, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4a52df16, "snd_soc_put_enum_double" },
	{ 0x184102c6, "regcache_mark_dirty" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "0552721DAE4793E60EA4ACC");

MODULE_INFO(suserelease, "ALP-0.1");
