#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l56_system_suspend, 0x4920ea0d, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xe43ac811, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x3ccfeba2, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xe2cbc6e8, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x2f9634aa, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x5a5a2853, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x95227327, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x989c6d40, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x78f3583b, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0xf96e4bbf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcec0987, "enable_irq" },
	{ 0x184102c6, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x9964a4aa, "devm_snd_soc_register_component" },
	{ 0xe64b7926, "devm_kstrdup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x1383426f, "sdw_write_no_pm" },
	{ 0x1af98032, "devm_free_irq" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0x8179adbf, "regulator_bulk_disable" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x33e7db46, "snd_soc_info_volsw" },
	{ 0x3f40e19b, "cs35l56_init_cs_dsp" },
	{ 0x78d0b023, "wm_adsp_power_down" },
	{ 0x415b5cae, "regcache_drop_region" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x6b7e3bad, "debugfs_create_bool" },
	{ 0x45605508, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xc2db0e79, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x3a5585c1, "cs35l56_runtime_suspend_common" },
	{ 0x9d975f03, "sdw_read_no_pm" },
	{ 0x31595d9e, "cs35l56_mbox_send" },
	{ 0xf762f6ed, "cs35l56_hw_init" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x4d8bbe95, "wm_adsp2_component_probe" },
	{ 0xd9a7ca61, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6507ed3, "snd_soc_dapm_kcontrol_dapm" },
	{ 0xb3025807, "cs35l56_system_reset" },
	{ 0xe0171758, "snd_soc_info_enum_double" },
	{ 0x46c3ac62, "regulator_bulk_enable" },
	{ 0x57b9de6f, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2fc205c, "wm_adsp2_component_remove" },
	{ 0xf0387cb8, "cs35l56_wait_for_firmware_boot" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0x7de1d722, "snd_soc_get_volsw" },
	{ 0xed32b690, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x4903085f, "cs35l56_is_fw_reload_needed" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0xc97c52f4, "snd_soc_put_volsw" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x45899d73, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6d4f211f, "regmap_bulk_read" },
	{ 0x98c0c8d5, "sdw_stream_remove_slave" },
	{ 0x5ffed2ee, "cs35l56_runtime_resume_common" },
	{ 0xe3a22f30, "dapm_regulator_event" },
	{ 0x7f4e8347, "cs35l56_get_speaker_id" },
	{ 0x54ab2ad8, "regmap_update_bits_base" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0x21d270b1, "snd_soc_dapm_get_enum_double" },
	{ 0xe87d5fee, "__pm_runtime_use_autosuspend" },
	{ 0xfbf5cbb0, "wm_halo_init" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x5edf11b8, "cs35l56_firmware_shutdown" },
	{ 0xd3309428, "sdw_stream_add_slave" },
	{ 0x8d1c92c, "pm_runtime_force_suspend" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc7113388, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x58ca3524, "snd_soc_dapm_put_enum_double" },
	{ 0xc7866340, "regcache_cache_only" },
	{ 0xec377c18, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf9a0d7b2, "snd_soc_card_get_kcontrol" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0xb9861c3f, "snd_soc_dapm_mux_update_power" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xff3fee8a, "cs35l56_init_asp1_regs_for_driver_control" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xfe8f3ceb, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1825ed7b, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd-soc-cs35l56-shared,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "0014A8F1CE20353DF3C89C2");

MODULE_INFO(suserelease, "ALP-0.1");
