#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rt5670_jack_suspend, 0x3d33051a, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0x6dedbed9, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0xa434b714, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0x02096cf3, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31ee504, "_dev_err" },
	{ 0x2fb4b0f9, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x8d67b0aa, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6507ed3, "snd_soc_dapm_kcontrol_dapm" },
	{ 0xe0171758, "snd_soc_info_enum_double" },
	{ 0x7de1d722, "snd_soc_get_volsw" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0xc97c52f4, "snd_soc_put_volsw" },
	{ 0xdcda9487, "snd_soc_component_update_bits" },
	{ 0xd1273513, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x54ab2ad8, "regmap_update_bits_base" },
	{ 0x4e7dcdf7, "snd_soc_dapm_get_volsw" },
	{ 0x6d3c959, "i2c_del_driver" },
	{ 0x7d9ff068, "regmap_register_patch" },
	{ 0x21d270b1, "snd_soc_dapm_get_enum_double" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x58ca3524, "snd_soc_dapm_put_enum_double" },
	{ 0xc7866340, "regcache_cache_only" },
	{ 0xec377c18, "regcache_sync" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x5f6cdb10, "snd_soc_jack_free_gpios" },
	{ 0x4dce79be, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xec30bf4d, "snd_soc_jack_add_gpios" },
	{ 0xa7edfceb, "snd_soc_dapm_disable_pin" },
	{ 0x642ffb47, "snd_soc_dapm_force_enable_pin" },
	{ 0x4a52df16, "snd_soc_put_enum_double" },
	{ 0x184102c6, "regcache_mark_dirty" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3b5a4a8b, "snd_soc_component_write" },
	{ 0x41ebadda, "snd_soc_dapm_sync" },
	{ 0x9964a4aa, "devm_snd_soc_register_component" },
	{ 0xc46dce23, "__devm_regmap_init_i2c" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0x7a4e7073, "snd_soc_get_enum_double" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x35c515f9, "i2c_register_driver" },
	{ 0x33e7db46, "snd_soc_info_volsw" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm,regmap-i2c");

MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");
MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("acpi*:10EC5640:*");

MODULE_INFO(srcversion, "89BB0CC3F640FEC914D3BB0");

MODULE_INFO(suserelease, "ALP-0.1");
