#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wm_adsp_fw_get, 0x41e9db88, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x8a23901f, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x6ca08be8, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0xb47da175, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0xff046f01, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x069a89c8, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x8c1fbb6e, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xb8742823, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0x7f051d6f, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0xb4cf56f8, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0xc7113388, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x78d0b023, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x9f29b1ae, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x45605508, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x4d8bbe95, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x02fc205c, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0xc591f695, "_gpl");
SYMBOL_CRC(wm_halo_init, 0xfbf5cbb0, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0xeeebf3d0, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x887abff1, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0x5a7ed5a7, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0x673f325b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x3940e2ef, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0x179bd218, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0x8b525ffc, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x03b8ac0a, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x69d7860f, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x9aabab57, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf8c5fbcf, "cs_dsp_init_debugfs" },
	{ 0xb192e312, "__wake_up" },
	{ 0x45f15d7c, "cs_dsp_halo_bus_error" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x41ebadda, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4fbf8519, "cs_dsp_find_alg_region" },
	{ 0x8cadd1c9, "cs_dsp_coeff_write_acked_control" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x6f259035, "cs_dsp_get_ctl" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb5962a8, "cs_dsp_halo_init" },
	{ 0xb58945c7, "cs_dsp_power_down" },
	{ 0x15088e25, "cs_dsp_adsp2_init" },
	{ 0xe763c67d, "snd_soc_add_component_controls" },
	{ 0x52d3d242, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xd773c16d, "cs_dsp_set_dspclk" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd7dfb8f2, "cs_dsp_power_up" },
	{ 0x3f49e2d4, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x4cd95789, "cs_dsp_run" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3e0bd3c3, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2b1e948f, "cs_dsp_halo_wdt_expire" },
	{ 0xe4461811, "snd_soc_component_disable_pin" },
	{ 0x115aff91, "snd_soc_bytes_tlv_callback" },
	{ 0x392b5683, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x84720adb, "cs_dsp_read_raw_data_block" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xb683f21d, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd03445c9, "snd_soc_component_force_enable_pin" },
	{ 0x8f2fc198, "firmware_request_nowarn" },
	{ 0x4dc4003a, "cs_dsp_cleanup_debugfs" },
	{ 0xc846167a, "cs_dsp_coeff_read_ctrl" },
	{ 0xce02d540, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf4dcd588, "cs_dsp_stop" },
	{ 0x8bdfd8a2, "cs_dsp_adsp1_power_up" },
	{ 0x767c2cda, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0x25dac995, "cs_dsp_adsp1_init" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "F5B433CF054EB473A43CE7A");

MODULE_INFO(suserelease, "ALP-0.1");
