#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0xdacb2f9f, "");
SYMBOL_CRC(amd_sof_acp_resume, 0xe7cd980f, "");
SYMBOL_CRC(amd_sof_acp_probe, 0x2c14a149, "");
SYMBOL_CRC(amd_sof_acp_remove, 0xab439b35, "");
SYMBOL_CRC(acp_dsp_block_read, 0x096a0d1a, "");
SYMBOL_CRC(acp_dsp_block_write, 0xf16e26ac, "");
SYMBOL_CRC(acp_get_bar_index, 0xfef9257b, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0x654bf002, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x29d2a6bc, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0xf6561c8d, "");
SYMBOL_CRC(acp_mailbox_write, 0xf131034e, "");
SYMBOL_CRC(acp_mailbox_read, 0xb4fe2833, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0xd491d6f3, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0x3af840cc, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x44bf07ef, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0xc89c01ba, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x2eaa7660, "");
SYMBOL_CRC(acp_pcm_hw_params, 0xe38c39b5, "");
SYMBOL_CRC(acp_pcm_open, 0x724d6c01, "");
SYMBOL_CRC(acp_pcm_close, 0xb0c8eeea, "");
SYMBOL_CRC(acp_pcm_pointer, 0x9a1cac91, "");
SYMBOL_CRC(acp_dsp_stream_get, 0x474948fe, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x556305c9, "");
SYMBOL_CRC(acp_dsp_stream_init, 0xefc11a3e, "");
SYMBOL_CRC(acp_sof_trace_release, 0xeaf28bcd, "");
SYMBOL_CRC(acp_sof_trace_init, 0xc57f8b71, "");
SYMBOL_CRC(sof_acp_common_ops, 0x7dfe0eb8, "");
SYMBOL_CRC(acp_probes_register, 0x29eb1e7f, "");
SYMBOL_CRC(acp_probes_unregister, 0xa7b1c78b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb752b87, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb192e312, "__wake_up" },
	{ 0x754b7f7b, "snd_sgbuf_get_addr" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe48087a1, "platform_device_unregister" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xa4fcfac8, "sof_client_dev_register" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xabb706fd, "sof_print_oops_and_stack" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xa3990ce, "snd_sof_dsp_update_bits" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xabe6afd, "sof_io_read" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0x3b48b74c, "snd_sof_ipc_reply" },
	{ 0x3e30f11d, "platform_device_register_full" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xf8028be6, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x1175b9ed, "snd_sof_dsp_panic" },
	{ 0x71dcff94, "sof_client_dev_unregister" },
	{ 0x1718a07a, "snd_sof_load_firmware_memcpy" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xebfc4cae, "pci_write_config_dword" },
	{ 0x6e39152, "sof_io_write" },
	{ 0xe11b8a3c, "sof_machine_register" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x44b94d1, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x2b599ded, "pci_dev_put" },
	{ 0xeef1f8b4, "pci_get_device" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x769e1d76, "devm_ioremap" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "26C36707EEE5F4742AD2B0C");

MODULE_INFO(suserelease, "ALP-0.1");
