#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(af_alg_register_type, 0x40cf53dd, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0xf94cab7d, "_gpl");
SYMBOL_CRC(af_alg_release, 0x54aee474, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xddc72b7f, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x0f27026a, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x21048185, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x0e34cd5d, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x7a28bb68, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0x7a345b9d, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xca675667, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x2f2d64fa, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0xaa1f3ab6, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x026fcacd, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xd68ee051, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe915fae4, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x4a85cca8, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0xc8871087, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf33e4231, "extract_iter_to_sg" },
	{ 0xeb85eadd, "proto_register" },
	{ 0x14b20ff5, "sock_register" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0xe86db549, "down_read" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x91a2f9da, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf9030427, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x24c20235, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2caaa47f, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb48ba4ff, "sock_wake_async" },
	{ 0x26b8b20, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0xddaba837, "__free_pages" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x3144c6ee, "key_put" },
	{ 0xe226239e, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3aa247ea, "sock_no_connect" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0xf3b4cdee, "sock_no_getname" },
	{ 0x2d0af318, "sock_no_ioctl" },
	{ 0xd282eca6, "sock_no_listen" },
	{ 0xe604a5b6, "sock_no_shutdown" },
	{ 0x43e60b19, "sock_no_sendmsg" },
	{ 0x23348886, "sock_no_recvmsg" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F8A928225DC9354E89634B");

MODULE_INFO(suserelease, "ALP-0.1");
