#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cryptd_alloc_skcipher, 0x532f668e, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0xaf94c4f3, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x2cedfaf3, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0xff4b56b7, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x62767b76, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x1c92e54a, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x1ac825d4, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x30ab14bb, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xb5bf8f58, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x3cc47c18, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x0c5ad398, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0xae340916, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x4a38c3bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8864c9c8, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x44311d0b, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x18133a7a, "crypto_grab_aead" },
	{ 0x7d674c88, "crypto_grab_shash" },
	{ 0xea443cb8, "shash_no_setkey" },
	{ 0x8915ce03, "ahash_register_instance" },
	{ 0xacfe27f5, "crypto_grab_skcipher" },
	{ 0xb3c55d06, "skcipher_register_instance" },
	{ 0x5568714d, "aead_register_instance" },
	{ 0xe160349b, "crypto_skcipher_decrypt" },
	{ 0x41ce6aec, "crypto_skcipher_encrypt" },
	{ 0xe53a26a9, "shash_ahash_digest" },
	{ 0x7327cc70, "shash_ahash_finup" },
	{ 0x821afea1, "crypto_shash_final" },
	{ 0xddd4675, "shash_ahash_update" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x80c06867, "crypto_alloc_skcipher" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcff60184, "crypto_alloc_ahash" },
	{ 0x16d10432, "crypto_alloc_aead" },
	{ 0xf49b8df2, "crypto_skcipher_setkey" },
	{ 0x2ff48962, "crypto_spawn_tfm2" },
	{ 0xf3edfd2, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f408ce2, "crypto_shash_setkey" },
	{ 0xc876b714, "crypto_clone_shash" },
	{ 0xa031b3f5, "crypto_aead_setauthsize" },
	{ 0x70f0b35f, "crypto_aead_setkey" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xca7a0548, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd020eac7, "crypto_enqueue_request" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AFA5D8720A30656DD436895");

MODULE_INFO(suserelease, "ALP-0.1");
