#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x2e64e457, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x24b733d5, "_gpl");
SYMBOL_CRC(ahci_ops, 0x5e84e235, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xfd62cc15, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xe0006479, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xf87038c6, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xb24c770d, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x3e10542a, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xac65781a, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x567568e5, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xe8fd58f8, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xb41f5639, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x2352a8e7, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x2e93d148, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xa540c48b, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x21759933, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xbe82caa1, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x064ac3ce, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x264ab39c, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xffabc03e, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x2dbdc17f, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xa1c48955, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x98add237, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x8d5e3950, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d66751b, "ata_std_postreset" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x9fa41702, "ata_std_qc_defer" },
	{ 0x87f1f619, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xdd35ff74, "ata_port_classify" },
	{ 0xcd7fed7f, "ata_qc_complete_multiple" },
	{ 0xedab037c, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x54ffd1e, "sata_pmp_error_handler" },
	{ 0x563176ef, "ata_host_start" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0xbc22a88c, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xbacd0b72, "ata_host_register" },
	{ 0x4543ef25, "ata_host_activate" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56ea6013, "ata_dummy_port_ops" },
	{ 0x7a4f6ca6, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x5bf5222a, "dmam_alloc_attrs" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0x4fdc945d, "sata_deb_timing_normal" },
	{ 0xcccfb2fa, "sata_deb_timing_hotplug" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x1765abbb, "sata_link_hardreset" },
	{ 0x259308f4, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa5bf33a8, "sata_lpm_ignore_phy_events" },
	{ 0xf7de6981, "ata_ehi_clear_desc" },
	{ 0xa0e962a5, "ata_ehi_push_desc" },
	{ 0xf6df8557, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6c67abc7, "sata_async_notification" },
	{ 0xb4aa0d75, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xd47d7e73, "sata_pmp_port_ops" },
	{ 0x82bbdc66, "dev_attr_sw_activity" },
	{ 0xcce6108c, "dev_attr_unload_heads" },
	{ 0x24d5f936, "dev_attr_ncq_prio_supported" },
	{ 0xfc13591d, "dev_attr_ncq_prio_enable" },
	{ 0xedb45afb, "dev_attr_link_power_management_policy" },
	{ 0x24309ece, "dev_attr_em_message_type" },
	{ 0x4f99df7b, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9ba84a62, "ata_link_next" },
	{ 0xe840f2ce, "ata_wait_register" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x9fc9868f, "ata_dev_set_feature" },
	{ 0x13187718, "ata_msleep" },
	{ 0x7836f749, "sata_link_scr_lpm" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "1BB31CEEEF6F31273A17B7D");

MODULE_INFO(suserelease, "ALP-0.1");
