#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_platform_ops, 0x502c6461, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x0986faaf, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x1b148687, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x0fbbf275, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x90ea5ac4, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x827826ec, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xb6c44fb9, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x8733978f, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x202d4ed6, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0xff1b9a72, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x0630da74, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x500bbdd8, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0xd01f75fa, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x8a608d69, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0xd585614a, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x1b36fd54, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x999584a9, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x35836f36, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x183b0c9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64920e4a, "phy_set_mode_ext" },
	{ 0x44651845, "phy_power_on" },
	{ 0x8635ed4c, "phy_init" },
	{ 0x161d3932, "phy_power_off" },
	{ 0x5a3c0277, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5af8a8ea, "regulator_disable" },
	{ 0xa2c570af, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x355cdac2, "ata_host_resume" },
	{ 0xac65781a, "ahci_reset_controller" },
	{ 0xe8fd58f8, "ahci_init_controller" },
	{ 0xcc6600d0, "regulator_enable" },
	{ 0x64940b3e, "platform_get_irq" },
	{ 0xe0006479, "ahci_save_initial_config" },
	{ 0x98add237, "ahci_set_em_messages" },
	{ 0xb731a6b3, "ata_host_alloc_pinfo" },
	{ 0x371d1953, "platform_get_resource" },
	{ 0xbc22a88c, "ata_port_desc" },
	{ 0x56ea6013, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xa1c48955, "ahci_print_info" },
	{ 0x8d5e3950, "ahci_host_activate" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x567568e5, "ahci_reset_em" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x4c22eecf, "devres_open_group" },
	{ 0x77e713eb, "__devres_alloc_node" },
	{ 0xd2df1afb, "devres_add" },
	{ 0x9c7ab1dc, "platform_get_resource_byname" },
	{ 0x31f2c8c0, "devm_platform_ioremap_resource_byname" },
	{ 0x7a5a4c0e, "devm_clk_bulk_get_all" },
	{ 0xebe04dc9, "devm_regulator_get" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8b3cbc4b, "devm_of_phy_get" },
	{ 0xedfc3fbd, "regulator_get" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0x7f282911, "devres_remove_group" },
	{ 0xdcecbca3, "devm_platform_ioremap_resource" },
	{ 0x2fa2e2e3, "devres_release_group" },
	{ 0xdac69195, "devm_reset_control_array_get" },
	{ 0xb3a9db22, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7cb2c841, "ata_host_suspend" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x5e84e235, "ahci_ops" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "5BF15F90DA51A7755BC60C0");

MODULE_INFO(suserelease, "ALP-0.1");
