#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bcma_find_core_unit, 0x13f5742a, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xc094ed9c, "");
SYMBOL_CRC(__bcma_driver_register, 0x25637e32, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x28fed10c, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xa9df708a, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x88312012, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x191e7fda, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x62d92a8b, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x8c90cf37, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x7fd09b76, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x9d1e2547, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x0ce29990, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x0765a115, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xf347cc5a, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xe3842d71, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xc00b418d, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xe30e9195, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x807e3da2, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x8c7a8069, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xd47e58e1, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xb239dcb9, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x0d98af7e, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x4f32cb56, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x8d58283f, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x5c44152f, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xe3ef800c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xc2c46908, "gpiochip_get_data" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x97e846ac, "device_add" },
	{ 0xe48087a1, "platform_device_unregister" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x2de3dc67, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x268fe58b, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d86b0d7, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x3e30f11d, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x82021775, "pcie_set_readrq" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4053333a, "__dev_fwnode" },
	{ 0xebfc4cae, "pci_write_config_dword" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x6a5a421d, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "09D4811241F40B0A5B45025");

MODULE_INFO(suserelease, "ALP-0.1");
