#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0xa698f998, "ceph_free_lockers" },
	{ 0xa96aa46, "osd_req_op_raw_data_in_pages" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0x65b45cb, "complete" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x2305c6b3, "blk_mq_end_request" },
	{ 0xaa2793f3, "blk_mq_start_request" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0xfd5937e9, "osd_req_op_extent_osd_data_pages" },
	{ 0x82fbd1aa, "ceph_osdc_wait_request" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x40bd5e62, "ceph_pg_pool_name_by_id" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1057a279, "bsearch" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xc29bf967, "strspn" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x251aef7a, "ceph_parse_mon_ips" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xce733356, "ceph_compare_options" },
	{ 0x22edfb2d, "ceph_wait_for_latest_osdmap" },
	{ 0xb3f884c0, "ceph_pg_poolid_by_name" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x56530d28, "blk_mq_alloc_tag_set" },
	{ 0x19f3e6c8, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xacc760fa, "blk_queue_flag_set" },
	{ 0xe4c71c0f, "blk_queue_max_hw_sectors" },
	{ 0x3faaa0f6, "blk_queue_max_segments" },
	{ 0x4c46285f, "blk_queue_max_segment_size" },
	{ 0xd03c16f, "blk_queue_io_min" },
	{ 0x6c6404f0, "blk_queue_io_opt" },
	{ 0xbfdcec1e, "set_capacity" },
	{ 0x3f38be70, "set_disk_ro" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x97e846ac, "device_add" },
	{ 0x1a9051fc, "ceph_create_client" },
	{ 0x517c41cf, "ceph_open_session" },
	{ 0x349cba85, "strchr" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xd912903c, "ceph_parse_param" },
	{ 0xb336c246, "device_add_disk" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0x7231cfb3, "blk_queue_max_discard_sectors" },
	{ 0xb73c0e2d, "blk_queue_max_write_zeroes_sectors" },
	{ 0xea67764b, "__fs_parse" },
	{ 0x4e66092c, "logfc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x99719cb1, "set_capacity_and_notify" },
	{ 0x774afe98, "ceph_cls_lock" },
	{ 0x30d5b3d5, "ceph_osdc_list_watchers" },
	{ 0xae1b2385, "ceph_monc_blocklist_add" },
	{ 0x55b1b5fd, "ceph_cls_break_lock" },
	{ 0x5adf31c4, "downgrade_write" },
	{ 0x7be2dee9, "ceph_cls_set_cookie" },
	{ 0x1989a89, "fs_param_is_u32" },
	{ 0x148c86ab, "fs_param_is_enum" },
	{ 0xf826fb68, "fs_param_is_string" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x37a0cba, "kfree" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x154a456f, "ceph_client_gid" },
	{ 0x20880c2f, "ceph_client_addr" },
	{ 0x2814def6, "ceph_osdc_alloc_request" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x5aeeee62, "ceph_oid_aprintf" },
	{ 0x876c21ce, "osd_req_op_extent_osd_data_bvec_pos" },
	{ 0xd1d6d6db, "osd_req_op_extent_osd_data_bio" },
	{ 0xca80437b, "ceph_extent_to_file" },
	{ 0x296a36bb, "osd_req_op_alloc_hint_init" },
	{ 0x9f535085, "osd_req_op_extent_init" },
	{ 0xd0170df3, "osd_req_op_init" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x28c1b486, "device_register" },
	{ 0xc33ff55c, "put_device" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xd3b2192c, "bus_register" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1d690b08, "ceph_osdc_call" },
	{ 0xddaba837, "__free_pages" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x754d539c, "strlen" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb39946c8, "device_initialize" },
	{ 0xbc209a42, "put_disk" },
	{ 0x125bb5e3, "blk_mq_free_tag_set" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x579bb793, "ceph_cls_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x6928d7ea, "osd_req_op_cls_init" },
	{ 0xbed2ec9a, "ceph_alloc_page_vector" },
	{ 0x97d7cf16, "osd_req_op_cls_request_data_pages" },
	{ 0xba4e6b7a, "ceph_osdc_alloc_messages" },
	{ 0xb7c3107f, "ceph_osdc_start_request" },
	{ 0xefe7f776, "ceph_cls_assert_locked" },
	{ 0xbc02b166, "ceph_osdc_notify_ack" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xd15be5a1, "ceph_destroy_client" },
	{ 0x2101cbc9, "ceph_oid_destroy" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x91a2f9da, "module_put" },
	{ 0x35826969, "ceph_osdc_watch" },
	{ 0x8e8ab841, "ceph_osdc_unwatch" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd9da2ac4, "ceph_osdc_flush_notifies" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x503884b, "blk_mq_freeze_queue" },
	{ 0x620cf7b3, "blk_mark_disk_dead" },
	{ 0xbbe87a25, "del_gendisk" },
	{ 0x686cbe9f, "device_del" },
	{ 0xbf1b3303, "ceph_osdc_notify" },
	{ 0x98c178d2, "completion_done" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1c2b2552, "osd_req_op_cls_request_data_bvecs" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x3c8d7111, "ceph_get_num_objects" },
	{ 0x7abfef8c, "ceph_release_page_vector" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdd15bf58, "ceph_copy_from_page_vector" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xee543937, "ceph_osdc_put_request" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x38f2d94e, "ceph_file_to_extents" },
	{ 0xeef6cfa3, "ceph_iterate_extents" },
	{ 0xe86db549, "down_read" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc38110b7, "ceph_cls_lock_info" },
	{ 0xf254297e, "ceph_addr_is_blank" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libceph");


MODULE_INFO(srcversion, "94E1042E700E51FE6D290A5");

MODULE_INFO(suserelease, "ALP-0.1");
