#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x8f2fc198, "firmware_request_nowarn" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5bf5222a, "dmam_alloc_attrs" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x2cd18c5c, "crypto_ahash_setkey" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6d2f5ee7, "crypto_register_aead" },
	{ 0x1b1bddcb, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x16d10432, "crypto_alloc_aead" },
	{ 0xa031b3f5, "crypto_aead_setauthsize" },
	{ 0x484e9d03, "crypto_aead_decrypt" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0xae0457f7, "crypto_unregister_ahash" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xd020eac7, "crypto_enqueue_request" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6aae9503, "pcim_iomap_regions" },
	{ 0x70f0b35f, "crypto_aead_setkey" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xe3eab053, "crypto_register_skcipher" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xd2d01436, "crypto_aead_encrypt" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x362689ee, "crypto_register_ahash" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x43b4ad20, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x15c2b02b, "crypto_unregister_skcipher" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x970b0b1c, "crypto_ahash_finup" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc5533e11, "crypto_ahash_digest" },
	{ 0xb21fa779, "crypto_ahash_final" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xa8fb743d, "des_expand_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x76eeeb0f, "sha384_zero_message_hash" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x67da9f7c, "sha512_zero_message_hash" },
	{ 0xca7a0548, "crypto_dequeue_request" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0xdd269f96, "pcim_iomap_table" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x2e48e8a6, "pcim_enable_device" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0xf749debc, "md5_zero_message_hash" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x38dc4914, "dma_map_sg_attrs" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xcff60184, "crypto_alloc_ahash" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x179899f9, "dmam_pool_create" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "authenc,libdes");

MODULE_ALIAS("pci:v000010EEd00009038sv000016AEsd0000C522bc*sc*i*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97ies");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97iesC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197b");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197bC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197d");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197dC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197c-mxl");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197c-mxlC*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip97C*");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197");
MODULE_ALIAS("of:N*T*Cinside-secure,safexcel-eip197C*");

MODULE_INFO(srcversion, "DA6C106F518DBA5FBB27AF4");

MODULE_INFO(suserelease, "ALP-0.1");
