#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(adf_cfg_dev_add, 0x4e9e140b, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0x79fa1d4c, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x4f0a30f6, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0xa720343f, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x0daca544, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x619461a7, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0xbac0f8a7, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0x74f79f74, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x64893d41, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0xe967298d, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0xd5c9dbae, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x1d731cd8, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x24486ce3, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xf4adf412, "_gpl");
SYMBOL_CRC(adf_dev_put, 0xf6e5a1c0, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x8868e28e, "_gpl");
SYMBOL_CRC(adf_dev_started, 0xe7bdb8ec, "_gpl");
SYMBOL_CRC(adf_dev_down, 0x0944cab1, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x88e80af5, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0xebda3e81, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x4323bdf6, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x84c166d7, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x1f9d94b7, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x64047e5b, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x8a4355c7, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x0a633fa8, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0x1e5ae63d, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x0c5616f1, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x38c84a55, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0xd73ba31c, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xe775a1e0, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x2d9c4d29, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x6fadcadc, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x82dcdadc, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0x0757e1b5, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0xd6dfbbc8, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xd64519f1, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x7cebdf77, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x790db0cc, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x783986f0, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0xc501ac82, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x2ad7e5fb, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0xf06b78fc, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0xa243e57e, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0xeb012896, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x52a7bdde, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0xe7165ee7, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x258070ee, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x306ec7ae, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x5415f8ca, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x3f570204, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x56e897d5, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0xc113fb27, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xb48db93f, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0x8f47cf7a, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0xecb5b16b, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0x893ea19d, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0xfcf4ed91, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x7a741e09, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x3564b547, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x3f32e776, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x94600222, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x444c4209, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x24c323f7, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0xc85f8a5b, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x46a88d99, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x54fff32d, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x245660be, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x0725a61a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0xe1b2eda9, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xa328719b, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xe86db549, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x77009fad, "_dev_notice" },
	{ 0x602272a, "crypto_cipher_encrypt_one" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1aa5ba16, "crypto_register_kpp" },
	{ 0x14f17223, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xffaafe79, "pci_disable_sriov" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x77aba229, "seq_puts" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x895ae823, "device_add_groups" },
	{ 0xc26a63ff, "seq_open" },
	{ 0x6c895e5b, "crypto_unregister_skciphers" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x52a8c916, "crypto_register_akcipher" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xfc02f0f0, "pci_write_config_word" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd7b10234, "pci_enable_sriov" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbda36c7, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xce5588b6, "cdev_del" },
	{ 0x80c06867, "crypto_alloc_skcipher" },
	{ 0x41ce6aec, "crypto_skcipher_encrypt" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9cad6b8f, "crypto_alloc_base" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0xf3336f10, "crypto_unregister_kpp" },
	{ 0x6fe4e653, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x5818319f, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xed7662bc, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa0adedf3, "crypto_register_aeads" },
	{ 0x49925a88, "pci_sriov_get_totalvfs" },
	{ 0x74067295, "seq_hex_dump" },
	{ 0xb65a0fa5, "device_remove_groups" },
	{ 0x58968cb, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x1d63b7e0, "devm_device_add_group" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0xf49b8df2, "crypto_skcipher_setkey" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb9f094e, "crypto_cipher_setkey" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x2a61396b, "crypto_unregister_aeads" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe160349b, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x69edd4d1, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7f71c733, "compat_ptr_ioctl" },
	{ 0xf6a011d3, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xd57fabaa, "crypto_unregister_acomps" },
	{ 0xe915fae4, "down_write" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4a85cca8, "up_write" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3d51d879, "crypto_unregister_akcipher" },
	{ 0x57de8c7a, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xcbd7b244, "class_create" },
	{ 0xb594d55, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0xfc852522, "pcie_flr" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xf2766c7c, "seq_putc" },
	{ 0x43b4ad20, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "D780BCAFDAB26CD39D20FC0");

MODULE_INFO(suserelease, "ALP-0.1");
