#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(idxd_wq_alloc_resources, 0xc977276d, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0xe24b089d, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0x6c566e99, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0xb0cb616f, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0x7fff9847, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0x5391bc3e, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0x0c7d2a81, "_gpl");
SYMBOL_CRC(idxd_drv, 0x18ff47d7, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0xe4f5bc1b, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0xd44ac108, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0xf7fc269d, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x7a673451, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0xfee7fdf1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd6a13ecc, "sbitmap_queue_clear" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x1f7796cc, "iommu_alloc_global_pasid" },
	{ 0xdb32182c, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2de3dc67, "pci_iounmap" },
	{ 0x686cbe9f, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9ec14b0a, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x77923bd2, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x45517d70, "dma_async_device_register" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xf55e26f3, "iommu_attach_device_pasid" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xab4e6a45, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0xd25737f3, "__xa_insert" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x25ae1f35, "sbitmap_finish_wait" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x26106821, "dma_async_device_channel_register" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x13e4c67a, "xa_destroy" },
	{ 0x39939cb8, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x30f711c, "seq_printf" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x77aba229, "seq_puts" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0xfc2e4fd8, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xd24f7408, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe0b3d283, "single_open" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xedd069a4, "__sbitmap_queue_get" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0x4a0bb029, "idxd_driver_unregister" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0xbda36c7, "cdev_init" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcf1d0175, "pci_msix_vec_count" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x6a5a421d, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1fb40c67, "dma_async_device_unregister" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xfb708fe5, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xddc2140b, "cdev_device_del" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x769e1d76, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb39946c8, "device_initialize" },
	{ 0xa6e53f61, "dsa_bus_type" },
	{ 0x919a4ceb, "iommu_dev_disable_feature" },
	{ 0x9e44b870, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x85769f5f, "iommu_sva_bind_device" },
	{ 0xd129a2fe, "iommu_detach_device_pasid" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb8515d69, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x82d07eca, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0xa45d315b, "sbitmap_prepare_to_wait" },
	{ 0xb3b6a546, "cdev_device_add" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x69edd4d1, "kmalloc_node_trace" },
	{ 0x10d5fb8, "iommu_dev_enable_feature" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd26764d9, "__idxd_driver_register" },
	{ 0xcb62ab6b, "iommu_get_domain_for_dev" },
	{ 0xe6751b1b, "perf_pmu_migrate_context" },
	{ 0x4c56e13d, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xe915fae4, "down_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4a85cca8, "up_write" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x97e846ac, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x90091065, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb912e93b, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6b92ec7d, "dma_async_device_channel_unregister" },
	{ 0x9d42a88b, "iommu_sva_unbind_device" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B0020366A2689A00CE4962C");

MODULE_INFO(suserelease, "ALP-0.1");
