#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xf8c5fbcf, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x4dc4003a, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x8cadd1c9, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x9aabab57, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xc846167a, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x6f259035, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x4fbf8519, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x25dac995, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x8bdfd8a2, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x767c2cda, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0xd773c16d, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xd7dfb8f2, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0xb58945c7, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x4cd95789, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xf4dcd588, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x15088e25, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x0b5962a8, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x52d3d242, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x84720adb, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0xb683f21d, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x3e0bd3c3, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x392b5683, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x45f15d7c, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x2b1e948f, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5549bda, "regmap_raw_write" },
	{ 0xf22ffcf9, "regmap_raw_read" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x54ab2ad8, "regmap_update_bits_base" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0x98a8221c, "regmap_multi_reg_write" },
	{ 0x6d4f211f, "regmap_bulk_read" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd628097c, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0xf4b90eb0, "regmap_raw_write_async" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x58968cb, "seq_lseek" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x6b7e3bad, "debugfs_create_bool" },
	{ 0x6818bf0e, "debugfs_create_x32" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0xe0b3d283, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x30f711c, "seq_printf" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6CA5CFE49DEE46606C8B93A");

MODULE_INFO(suserelease, "ALP-0.1");
