#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x6c4b5bc3, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x650de983, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x410b0702, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0x2c9f99cf, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x6874c682, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x16d01a5c, "");
SYMBOL_CRC(dfl_driver_unregister, 0x86b0e20d, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xabce7251, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0xc8ece7ce, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0xd917e3af, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x31037b60, "_gpl");
SYMBOL_CRC(dfh_find_param, 0xcc1d263e, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x25a47bc5, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x5831e504, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x8b5dbc69, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x072633d4, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x6880d179, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x5d109dee, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x614e4c25, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x59601a0b, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x26faab7a, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xb4146e4b, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xf6818793, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x9bcad679, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x2e63b7cb, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x62205007, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x91a2f9da, "module_put" },
	{ 0x47f67f15, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xbda36c7, "cdev_init" },
	{ 0xf6a011d3, "cdev_add" },
	{ 0xce5588b6, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xc33ff55c, "put_device" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xce32995d, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x82670309, "__devm_request_region" },
	{ 0x769e1d76, "devm_ioremap" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd3b2192c, "bus_register" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xdcecbca3, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x97e846ac, "device_add" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x63e3c0f7, "platform_device_add" },
	{ 0x317edb6b, "platform_device_del" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x1908a9cc, "platform_device_put" },
	{ 0xf7f03130, "device_for_each_child" },
	{ 0x7303aa2, "fpga_region_unregister" },
	{ 0xe48087a1, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x9511c187, "devm_ioremap_resource" },
	{ 0x70f8b0b, "__fpga_region_register" },
	{ 0xfb708fe5, "devm_iounmap" },
	{ 0xbdc5fe99, "__devm_release_region" },
	{ 0x4f085f70, "platform_device_alloc" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "0B43E7A1474D7B7525842F8");

MODULE_INFO(suserelease, "ALP-0.1");
