#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_dp_dual_mode_read, 0x6abacc3c, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x543b230f, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xd77fbef7, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0xbabbea91, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xfc04a910, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x91589e9e, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x8fe79fbe, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xd1765a4f, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xdaa4e9c1, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xef678988, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x9834b89d, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xa455cf4b, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x8cc13b54, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xb0e618d8, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x9b0c785b, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xe3b7d677, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x93bbf09c, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xecfff627, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x567318a6, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xb8183229, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x9d6aef58, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0xf8aa9a80, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x3f193c1c, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x3e2fdab3, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xdc00b3c0, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x7a6bc14b, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0xa8e3c597, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x1e078f38, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xa9777708, "");
SYMBOL_CRC(drm_dp_aux_init, 0x2082b7b2, "");
SYMBOL_CRC(drm_dp_aux_register, 0x0cb3157f, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x773a7d63, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xd726c37a, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x3105294a, "");
SYMBOL_CRC(drm_dp_read_desc, 0xfe827d2d, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xa7c0f462, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0xfd0740cc, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xc8f5744d, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xb277a675, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xcf6a15a8, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x104b7b5b, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x0a3e94b7, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x97756108, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x99fc2800, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x83fa8d89, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x10537fac, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x669becad, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xdaf3a3a7, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0xdcee7e66, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x162d2781, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x9a48ddf4, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xfc55f2aa, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xf65b7725, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x52b1f78d, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x72eb6687, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0xfb58f550, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x3d6e8c0e, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xaa7ec191, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x70eefd53, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xe58d33ee, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x5d78996c, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0xdaccfed4, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xeab60a07, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x02b6e7a4, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x3dc78c52, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x7cdb2adc, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x3a8ecd0a, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x21c84fe3, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x7d940c7f, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xd51e9c6a, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0xac436c54, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xfb8d5c3c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xd9365801, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x45de7783, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x7717ae4a, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0x8048a0ab, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x75a27df1, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x6101e70f, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xdfd97182, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xf37e5895, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x1e66ca56, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x7b588752, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x73970e1a, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0xeabefea4, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xd3d7d9d4, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x2778be21, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xf19c7eee, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x8d912f9c, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x2b10c8fd, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x64fdd46b, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0xf2a64f63, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x62accdf5, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x269a246e, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xdabefd37, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x960f981f, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0x2eca5c8e, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x59c60501, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x1a26742a, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x797387ff, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0xff895b70, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x658596b4, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0xd057096b, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x9b6d5691, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0xd5d8b03d, "");
SYMBOL_CRC(drm_scdc_read, 0xee43efbb, "");
SYMBOL_CRC(drm_scdc_write, 0xe033a2b2, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0xee9dda8a, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x22f63f56, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x337c796a, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xfe943e27, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x36dbdb06, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0xbed471e8, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x29f507e0, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x0c184640, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x866bfd94, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd46127a, "drm_mode_object_put" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0xb8e2d65c, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x63db3e70, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x798500a8, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x6e2f408a, "idr_get_next" },
	{ 0x446daeaf, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xdf1c5ea, "drm_dev_printk" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x231dadb6, "__var_waitqueue" },
	{ 0xf86d68a1, "drm_atomic_get_crtc_state" },
	{ 0x43ada8fb, "drm_crtc_wait_one_vblank" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xf299c7a0, "drm_modeset_lock" },
	{ 0xc4bc9ae5, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x57de8c7a, "device_create" },
	{ 0xcbd7b244, "class_create" },
	{ 0x787859b9, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x66360e70, "fixed_size_llseek" },
	{ 0x4e63facb, "drm_crtc_commit_wait" },
	{ 0x7e029745, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xa3b7d9fa, "cec_unregister_adapter" },
	{ 0xce6b525c, "drm_object_attach_property" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xff73d552, "drm_atomic_get_old_private_obj_state" },
	{ 0x92891b50, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0x9db96cff, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb416dae6, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5ed00934, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1c7d220b, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6db05fa7, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x14f17223, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0xa378ff4a, "i2c_transfer" },
	{ 0xfb2a9786, "drm_display_mode_from_cea_vic" },
	{ 0x77aba229, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x39a747a7, "cec_fill_conn_info_from_drm" },
	{ 0x1342f247, "drm_sysfs_connector_property_event" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x24b7b832, "cec_received_msg_ts" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x82ab0259, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x3e78c251, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0x495cdbcd, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3a81eef5, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x635c5aaa, "drm_crtc_add_crc_entry" },
	{ 0x7b676f4b, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x27a6eb8d, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7e6c27af, "idr_find" },
	{ 0xe11a901b, "drm_connector_register" },
	{ 0x724d676c, "cec_transmit_attempt_done_ts" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0xb40458bd, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x5c977984, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5818319f, "class_destroy" },
	{ 0x4280ce57, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xd66e2325, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xf00449fe, "drm_connector_unregister" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "E6795F79B3CC6E2A9C23AD2");

MODULE_INFO(suserelease, "ALP-0.1");
