#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(drm_sched_fault, 0xd50a14b0, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0x855c33ad, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x0272bac7, "");
SYMBOL_CRC(drm_sched_stop, 0xcdfa762e, "");
SYMBOL_CRC(drm_sched_start, 0x6ef9c083, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x8a4e89c0, "");
SYMBOL_CRC(drm_sched_job_init, 0xcf44fbe8, "");
SYMBOL_CRC(drm_sched_job_arm, 0xf5633392, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x0c89dfab, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0x397e66dc, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0xd8b6f04f, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x13da0af7, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0xe4c3a62a, "");
SYMBOL_CRC(drm_sched_pick_best, 0xe6ab0c22, "");
SYMBOL_CRC(drm_sched_init, 0x08cfcf3e, "");
SYMBOL_CRC(drm_sched_fini, 0xfc925c5d, "");
SYMBOL_CRC(drm_sched_increase_karma, 0xfcbb570f, "");
SYMBOL_CRC(to_drm_sched_fence, 0x4f1fd538, "");
SYMBOL_CRC(drm_sched_entity_init, 0x88ac79bf, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0xc99b45da, "");
SYMBOL_CRC(drm_sched_entity_error, 0x92e53c3b, "");
SYMBOL_CRC(drm_sched_entity_flush, 0xc45a438e, "");
SYMBOL_CRC(drm_sched_entity_fini, 0xad65f158, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x304cb886, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0x4441b25d, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0x0c8a6cf7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb192e312, "__wake_up" },
	{ 0x79e396d6, "dma_fence_add_callback" },
	{ 0x40cf9079, "dma_fence_set_deadline" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9d563ef8, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa1060e6e, "sched_set_fifo_low" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbbda5e68, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3cfcfe16, "dma_resv_iter_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa4180e6c, "dma_fence_remove_callback" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xdf1c5ea, "drm_dev_printk" },
	{ 0x9b93418, "kthread_unpark" },
	{ 0x5bc2476a, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb912e93b, "xa_load" },
	{ 0x2dca530c, "dma_fence_signal" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0x9dfaf105, "dma_fence_init" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x13e4c67a, "xa_destroy" },
	{ 0xb35f81b8, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe04a8b3c, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9de3ee9e, "dma_resv_iter_first" },
	{ 0xf3836497, "xa_find_after" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x12690816, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E43EAD38CCC094B55262152");

MODULE_INFO(suserelease, "ALP-0.1");
