#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssd130x_variants, 0x423ba637, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x88eda59c, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xc2331008, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x73e0f8a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb776f7d, "drm_dev_register" },
	{ 0xe954c8b6, "drm_fbdev_generic_setup" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x91327d01, "drm_mode_duplicate" },
	{ 0x7a022e73, "drm_mode_probed_add" },
	{ 0x6fa39879, "drm_set_preferred_mode" },
	{ 0x1b6303b9, "pwm_put" },
	{ 0x5af8a8ea, "regulator_disable" },
	{ 0x30321ca9, "pwm_apply_state" },
	{ 0x31436585, "drm_crtc_helper_atomic_check" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x2c4c2add, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf3958caf, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x81d78968, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0xb79581b9, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xed92cf52, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x2f8cd013, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x52fba713, "drm_dev_unplug" },
	{ 0x56d26ed1, "drm_atomic_helper_shutdown" },
	{ 0x33f6c579, "drm_atomic_helper_check_plane_state" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xd4ded3b1, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xf867f4fa, "drm_gem_fb_begin_cpu_access" },
	{ 0xc346f595, "drm_fb_xrgb8888_to_gray8" },
	{ 0x9b6fd5c0, "drm_gem_fb_end_cpu_access" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdf8b2387, "drm_fb_xrgb8888_to_mono" },
	{ 0xfe8f3ceb, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcc6600d0, "regulator_enable" },
	{ 0x2a9c5b06, "pwm_get" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x65017a64, "__drm_atomic_helper_crtc_reset" },
	{ 0x9523f985, "__drm_gem_reset_shadow_plane" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x48436d64, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x63228f9e, "drm_gem_shmem_dumb_create" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0xa1f26a9d, "drm_read" },
	{ 0x809a81cc, "drm_poll" },
	{ 0xf7bd75d4, "drm_ioctl" },
	{ 0x9b18baaa, "drm_compat_ioctl" },
	{ 0x98cd203a, "drm_gem_mmap" },
	{ 0x91d2d9f3, "drm_open" },
	{ 0xc8214922, "drm_release" },
	{ 0x90f65209, "drm_gem_fb_create_with_dirty" },
	{ 0x443bdf45, "drm_atomic_helper_check" },
	{ 0xeac8af7f, "drm_atomic_helper_commit" },
	{ 0xecedaad0, "drm_atomic_helper_connector_reset" },
	{ 0x4a5514f2, "drm_helper_probe_single_connector_modes" },
	{ 0x6ea80d5e, "drm_connector_cleanup" },
	{ 0x87089a55, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x9d797f2e, "drm_atomic_helper_connector_destroy_state" },
	{ 0xfc26122d, "drm_encoder_cleanup" },
	{ 0x973cc5ce, "drm_crtc_cleanup" },
	{ 0x615bd73, "drm_atomic_helper_set_config" },
	{ 0x2ace50ef, "drm_atomic_helper_page_flip" },
	{ 0x8eb81dc8, "drm_atomic_helper_update_plane" },
	{ 0x6f90e24b, "drm_atomic_helper_disable_plane" },
	{ 0x5cc81cbe, "drm_plane_cleanup" },
	{ 0x8686d5b2, "drm_gem_begin_shadow_fb_access" },
	{ 0x72d237c5, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x59eb3ba6, "__devm_drm_dev_alloc" },
	{ 0xbb5870c3, "device_get_match_data" },
	{ 0x335396f1, "device_property_read_u32_array" },
	{ 0xe0b41d5, "device_property_read_u8_array" },
	{ 0x155c0846, "device_property_present" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0xebe04dc9, "devm_regulator_get" },
	{ 0x82ab0259, "devm_backlight_device_register" },
	{ 0x4018a5c6, "drmm_mode_config_init" },
	{ 0x15a23bf1, "drm_universal_plane_init" },
	{ 0x8a3116b5, "drm_plane_enable_fb_damage_clips" },
	{ 0xd3938fa6, "drm_crtc_init_with_planes" },
	{ 0x3faea6f9, "drm_encoder_init" },
	{ 0x1535d8cb, "drm_connector_init" },
	{ 0x6746d569, "drm_connector_attach_encoder" },
	{ 0x81fddcbe, "drm_mode_config_reset" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C867496FD521210C39DECB");

MODULE_INFO(suserelease, "ALP-0.1");
