#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76351a97, "power_supply_changed" },
	{ 0x2fb764bd, "hid_report_raw_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0xa5ae56dd, "hid_field_extract" },
	{ 0x8b13a8b8, "hid_snto32" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x3e62a7cc, "hid_open_report" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xfbe3c8db, "sysfs_create_group" },
	{ 0x607e148e, "hid_hw_start" },
	{ 0xbfc97bdc, "up" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x50b79e93, "hid_connect" },
	{ 0xfba49b1f, "input_ff_create" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0x25dc3dc9, "device_create_file" },
	{ 0xce32995d, "devm_kmemdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1213f079, "devm_power_supply_register" },
	{ 0xbf0611b5, "power_supply_powers" },
	{ 0xead61759, "devm_input_allocate_device" },
	{ 0x24204c2, "input_register_device" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0xa7d2a2e3, "input_free_device" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbe599a41, "__hid_register_driver" },
	{ 0x5adf24c2, "input_event" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xe4263258, "hid_is_usb" },
	{ 0x91678b76, "usb_set_wireless_status" },
	{ 0x49879dfa, "input_mt_get_slot_by_key" },
	{ 0xca5d05b2, "input_mt_report_slot_state" },
	{ 0xdf67bd29, "input_mt_sync_frame" },
	{ 0xc2cf69fb, "sysfs_remove_group" },
	{ 0xa310bdd6, "hid_hw_stop" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3bd90681, "hid_hw_open" },
	{ 0x44cfa162, "hid_hw_close" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x112a428d, "hid_hw_output_report" },
	{ 0x998c6806, "hid_hw_raw_request" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x70dee27, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3ef4b2fd, "power_supply_get_drvdata" },
	{ 0x5a921311, "strncmp" },
	{ 0x96848186, "scnprintf" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x6aa8c5cf, "device_remove_file" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bcbdf16, "hid_unregister_driver" },
	{ 0xc310b981, "strnstr" },
	{ 0xe71164cd, "input_set_abs_params" },
	{ 0x72ccdbe4, "input_alloc_absinfo" },
	{ 0x5ca4d725, "input_set_capability" },
	{ 0xfaccf4cd, "input_mt_init_slots" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbhid,usbcore");

MODULE_ALIAS("hid:b0003g0102v0000046Dp00004011");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004101");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B00C");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00001017");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000402D");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000101A");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004024");
MODULE_ALIAS("hid:b0003g0102v0000046Dp00004002");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B305");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B309");
MODULE_ALIAS("hid:b0003g0102v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0003g0102v0000046Dp*");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000049");
MODULE_ALIAS("hid:b0003g0104v0000046Dp00000057");
MODULE_ALIAS("hid:b0003g0104v0000046Dp0000005C");
MODULE_ALIAS("hid:b0003g0104v0000046Dp000000FE");
MODULE_ALIAS("hid:b0003g0104v0000046Dp*");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C082");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C087");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C090");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C081");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C086");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C091");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C343");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C262");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C26E");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C088");
MODULE_ALIAS("hid:b0003g*v0000046Dp00000A87");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B305");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B309");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B30B");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B35F");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B008");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B012");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B015");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01D");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B01E");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B02A");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B023");
MODULE_ALIAS("hid:b0005g*v0000046Dp0000B034");

MODULE_INFO(srcversion, "22D31EA78E1FE5F246DADD0");

MODULE_INFO(suserelease, "ALP-0.1");
