#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pmbus_clear_cache, 0x8fa8c2b8, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xc6284713, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x92e0e453, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x9eab29f4, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x1156f0d7, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0xa0ee117d, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xee41a0b8, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x47f3be9c, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x9dc6cad0, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x1c681918, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x2e1770ad, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xf25c58ad, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xa5498513, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x3d3143e1, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x7626c54f, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x9d02f9b8, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x5c13ccf1, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x4a571d18, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xab4ef48c, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x4ffecc73, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0xae1cce08, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x586d19c3, "rdev_get_id" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x64f524b1, "sysfs_notify" },
	{ 0xff20df4, "kobject_uevent" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x5a06f645, "regulator_notifier_call_chain" },
	{ 0x9166fada, "strncpy" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4376216d, "i2c_smbus_xfer" },
	{ 0x25dc3dc9, "device_create_file" },
	{ 0x7e934208, "__devm_add_action" },
	{ 0xe64b7926, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3bb66c, "devm_hwmon_device_register_with_groups" },
	{ 0xa9837a85, "devm_regulator_register" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95d436a9, "i2c_smbus_write_byte_data" },
	{ 0x35497e91, "i2c_smbus_read_byte_data" },
	{ 0xbb936ed6, "i2c_smbus_write_byte" },
	{ 0xb88e88d5, "i2c_smbus_write_word_data" },
	{ 0x8150aa07, "i2c_smbus_read_word_data" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x6aa8c5cf, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65d7e686, "devm_krealloc" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86523632, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x20405f5e, "rdev_get_dev" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "00231A37BF424C2EA95145D");

MODULE_INFO(suserelease, "ALP-0.1");
