#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x783f965a, "i2c_dw_acpi_configure" },
	{ 0xc619fb18, "i2c_dw_prepare_clk" },
	{ 0xf83566ca, "rt_mutex_unlock" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x5efe4188, "rt_mutex_trylock" },
	{ 0xdae31b80, "pci_get_domain_bus_and_slot" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x62606918, "i2c_parse_fw_timings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbb5870c3, "device_get_match_data" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c93d754, "__platform_driver_register" },
	{ 0x80829e01, "__devm_reset_control_get" },
	{ 0xb3a9db22, "devm_clk_get_optional" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x9ee875fd, "i2c_dw_validate_speed" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x28e09af1, "iosf_mbi_available" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4a946312, "i2c_dw_configure_master" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x5acef8b2, "set_primary_fwnode" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xe87d5fee, "__pm_runtime_use_autosuspend" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x378f4792, "rt_mutex_lock" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0x6ea40704, "psp_ring_platform_doorbell" },
	{ 0x8f7cd6c9, "i2c_dw_probe_master" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x4a937398, "psp_check_platform_access_status" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdcecbca3, "devm_platform_ioremap_resource" },
	{ 0xb11cf891, "is_acpi_device_node" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xf1c52c17, "platform_driver_unregister" },
	{ 0x64940b3e, "platform_get_irq" },
	{ 0x170c3117, "i2c_dw_adjust_bus_speed" },
	{ 0x2b599ded, "pci_dev_put" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x44414ff2, "iosf_mbi_unblock_punit_i2c_access" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x86f27420, "iosf_mbi_block_punit_i2c_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x98a356de, "psp_send_platform_access_msg" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "i2c-designware-core,ccp");

MODULE_ALIAS("acpi*:INT33C2:*");
MODULE_ALIAS("acpi*:INT33C3:*");
MODULE_ALIAS("acpi*:INT3432:*");
MODULE_ALIAS("acpi*:INT3433:*");
MODULE_ALIAS("acpi*:80860F41:*");
MODULE_ALIAS("acpi*:808622C1:*");
MODULE_ALIAS("acpi*:AMD0010:*");
MODULE_ALIAS("acpi*:AMDI0010:*");
MODULE_ALIAS("acpi*:AMDI0019:*");
MODULE_ALIAS("acpi*:AMDI0510:*");
MODULE_ALIAS("acpi*:APMC0D0F:*");
MODULE_ALIAS("acpi*:HISI02A1:*");
MODULE_ALIAS("acpi*:HISI02A2:*");
MODULE_ALIAS("acpi*:HISI02A3:*");
MODULE_ALIAS("acpi*:HYGO0010:*");

MODULE_INFO(srcversion, "A3692482BB2DD4522A1BE75");

MODULE_INFO(suserelease, "ALP-0.1");
