#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x58028ceb, "_gpl");
SYMBOL_CRC(i3c_device_do_setdasa, 0xeb9b4a33, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x1c80fefe, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x86a59b07, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x20d26e36, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x389724a4, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xf8bd169c, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x19dc3fcb, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x75b601d8, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0xa0c0b309, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x84bdf3b7, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x91d1a0e3, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x7f879dad, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x14ca051f, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0xf2a709c1, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0xb671e244, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x2e0a7435, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0xf20eb431, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x7ab74d6f, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x122e48cb, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0xbb224587, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x9f824f82, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0xa85b184d, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x962d839c, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x0ac7aaca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xe915fae4, "down_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4a85cca8, "up_write" },
	{ 0x97e846ac, "device_add" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0xce407f2f, "i2c_new_client_device" },
	{ 0xa25ffc4f, "i2c_bus_type" },
	{ 0x28c1b486, "device_register" },
	{ 0x686cbe9f, "device_del" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9db96cff, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xee8e0b61, "bus_unregister_notifier" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x544d9f84, "i2c_client_type" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0x2a3fb955, "bus_register_notifier" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C276AA3ECC00C5ED7E2101");

MODULE_INFO(suserelease, "ALP-0.1");
