#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x03e8082e, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xcbeafb6f, "");
SYMBOL_CRC(ib_cm_listen, 0xc8926344, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xb84f783b, "");
SYMBOL_CRC(ib_send_cm_req, 0x1b0334e4, "");
SYMBOL_CRC(ib_send_cm_rep, 0x29e83152, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x13322fd5, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xb3953ee6, "");
SYMBOL_CRC(ib_send_cm_drep, 0xda1012f1, "");
SYMBOL_CRC(ib_send_cm_rej, 0x2d21d287, "");
SYMBOL_CRC(ib_send_cm_mra, 0x4d5e28e9, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xaa4310f4, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xfda96b87, "");
SYMBOL_CRC(ib_cm_notify, 0x38fde00a, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xc9391af5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x372ddf81, "ib_register_client" },
	{ 0xf2a4daf1, "ib_unregister_mad_agent" },
	{ 0xf2a1bd1, "ib_post_send_mad" },
	{ 0xea477ee7, "ib_create_send_mad" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x4b0c1b88, "rdma_destroy_ah_attr" },
	{ 0xb9f20af3, "ib_set_client_data" },
	{ 0x87ff012a, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb912e93b, "xa_load" },
	{ 0x434f4856, "rdma_put_gid_attr" },
	{ 0x43423822, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd5d1a7, "rdma_destroy_ah_user" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x49a744d, "ib_free_send_mad" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xdb078c34, "ib_port_unregister_client_groups" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x42b616cc, "rdma_move_ah_attr" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xbb0894ab, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe04a8b3c, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x547356c0, "ib_free_recv_mad" },
	{ 0xad1dad15, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x8566ad04, "ib_modify_mad" },
	{ 0x42f44d1f, "ib_create_ah_from_wc" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xc81ab0f3, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe9efaebd, "ib_init_ah_attr_from_path" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b64fa84, "rdma_query_gid" },
	{ 0xf5775a5, "ib_port_register_client_groups" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf391baa4, "ib_modify_port" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x98f4f00f, "rdma_create_ah" },
	{ 0xc2031795, "ib_init_ah_attr_from_wc" },
	{ 0x8bc61e6, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "69CE627D45041345621FB15");

MODULE_INFO(suserelease, "ALP-0.1");
