#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x4bad7859, "");
SYMBOL_CRC(__ib_alloc_pd, 0x655b440d, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0xbf85295c, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x4545718f, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x2d7da30d, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x42b616cc, "");
SYMBOL_CRC(rdma_create_ah, 0x98f4f00f, "");
SYMBOL_CRC(rdma_create_user_ah, 0xa7179490, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xc2031795, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x36004711, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x4b0c1b88, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x42f44d1f, "");
SYMBOL_CRC(rdma_modify_ah, 0xe06dfefe, "");
SYMBOL_CRC(rdma_query_ah, 0x895ac7e2, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x00d5d1a7, "");
SYMBOL_CRC(ib_create_srq_user, 0xef6d7837, "");
SYMBOL_CRC(ib_modify_srq, 0x32f25bc9, "");
SYMBOL_CRC(ib_query_srq, 0x99b898f9, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xd4b4e033, "");
SYMBOL_CRC(ib_open_qp, 0x86bf92c5, "");
SYMBOL_CRC(ib_create_qp_user, 0x54e75c98, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xb7ae0c9b, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x34a982a7, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x86138277, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0x73baf9a2, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x0d8ace12, "");
SYMBOL_CRC(ib_get_eth_speed, 0x4b050b35, "");
SYMBOL_CRC(ib_modify_qp, 0xa5fdaf57, "");
SYMBOL_CRC(ib_query_qp, 0xafc122f6, "");
SYMBOL_CRC(ib_close_qp, 0xd86e529c, "");
SYMBOL_CRC(ib_destroy_qp_user, 0xdfa8e03c, "");
SYMBOL_CRC(__ib_create_cq, 0x67e2679c, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0xdf54cc38, "");
SYMBOL_CRC(ib_destroy_cq_user, 0xb86e1305, "");
SYMBOL_CRC(ib_resize_cq, 0x14817dfe, "");
SYMBOL_CRC(ib_reg_user_mr, 0xcc5c3416, "");
SYMBOL_CRC(ib_advise_mr, 0x18b583d8, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x09aab28c, "");
SYMBOL_CRC(ib_alloc_mr, 0xa67164c4, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x55fb8fe4, "");
SYMBOL_CRC(ib_attach_mcast, 0x1c45e870, "");
SYMBOL_CRC(ib_detach_mcast, 0x75108d78, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0xfe6fcfb9, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x6272e054, "");
SYMBOL_CRC(ib_create_wq, 0x24128378, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x5a1ce082, "");
SYMBOL_CRC(ib_check_mr_status, 0xe9c3d64a, "");
SYMBOL_CRC(ib_set_vf_link_state, 0xbae43ce8, "");
SYMBOL_CRC(ib_get_vf_config, 0x03174bd4, "");
SYMBOL_CRC(ib_get_vf_stats, 0x68b41858, "");
SYMBOL_CRC(ib_set_vf_guid, 0xd023d567, "");
SYMBOL_CRC(ib_get_vf_guid, 0xffcf670e, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xe92cbee8, "");
SYMBOL_CRC(ib_map_mr_sg, 0xc42ab194, "");
SYMBOL_CRC(ib_sg_to_pages, 0x1dd45457, "");
SYMBOL_CRC(ib_drain_sq, 0xfb4ccc42, "");
SYMBOL_CRC(ib_drain_rq, 0x37280d44, "");
SYMBOL_CRC(ib_drain_qp, 0xd042dbbb, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x1aaff142, "");
SYMBOL_CRC(rdma_init_netdev, 0x89b40427, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0xb56d7175, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0x774f22da, "");
SYMBOL_CRC(ib_process_cq_direct, 0xf50a2a31, "");
SYMBOL_CRC(__ib_alloc_cq, 0x22e3bf84, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x667906e5, "");
SYMBOL_CRC(ib_free_cq, 0x54946a1a, "");
SYMBOL_CRC(ib_cq_pool_get, 0x39be7ba3, "");
SYMBOL_CRC(ib_cq_pool_put, 0x806557a6, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xa030b6a1, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x9e0b8001, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x4880453b, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x882964f9, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0x6a2b1d4a, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x09303e43, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0xbb809d6f, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x4d5ca725, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x0f5775a5, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xdb078c34, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x108c1d0b, "");
SYMBOL_CRC(ibdev_printk, 0x85d08671, "");
SYMBOL_CRC(ibdev_emerg, 0x529bc729, "");
SYMBOL_CRC(ibdev_alert, 0x8da90e79, "");
SYMBOL_CRC(ibdev_crit, 0x4f667a2d, "");
SYMBOL_CRC(ibdev_err, 0x12d9108c, "");
SYMBOL_CRC(ibdev_warn, 0x37b8358c, "");
SYMBOL_CRC(ibdev_notice, 0x7fa8299c, "");
SYMBOL_CRC(ibdev_info, 0x5aff87a6, "");
SYMBOL_CRC(ib_device_put, 0x464c4010, "");
SYMBOL_CRC(ib_device_get_by_name, 0x42e4e586, "");
SYMBOL_CRC(_ib_alloc_device, 0xa4615ae1, "");
SYMBOL_CRC(ib_dealloc_device, 0xb0300ed9, "");
SYMBOL_CRC(ib_port_immutable_read, 0x5a7d07ad, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xf3717afd, "");
SYMBOL_CRC(ib_register_device, 0x594da0ad, "");
SYMBOL_CRC(ib_unregister_device, 0x6d9e2775, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x335d67fc, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x8e79d62c, "");
SYMBOL_CRC(ib_register_client, 0x372ddf81, "");
SYMBOL_CRC(ib_unregister_client, 0xc81ab0f3, "");
SYMBOL_CRC(ib_set_client_data, 0xb9f20af3, "");
SYMBOL_CRC(ib_register_event_handler, 0xecb87ee3, "");
SYMBOL_CRC(ib_unregister_event_handler, 0xd3a38038, "");
SYMBOL_CRC(ib_query_port, 0xa5d75718, "");
SYMBOL_CRC(ib_device_set_netdev, 0x5608fd55, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0xd34e0cad, "");
SYMBOL_CRC(ib_query_pkey, 0x39b331d8, "");
SYMBOL_CRC(ib_modify_device, 0xff251847, "");
SYMBOL_CRC(ib_modify_port, 0xf391baa4, "");
SYMBOL_CRC(ib_find_gid, 0xaa2ca28c, "");
SYMBOL_CRC(ib_find_pkey, 0xc15550a8, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xd6e4c626, "");
SYMBOL_CRC(ib_set_device_ops, 0x970bcc94, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x0d14cb1b, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xef216a2c, "");
SYMBOL_CRC(rdma_query_gid, 0x6b64fa84, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x3ff9aada, "");
SYMBOL_CRC(rdma_find_gid, 0xbb0894ab, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x87ff012a, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x8d2d5d17, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x08bc61e6, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0x50fae8ca, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x31027f74, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x8cb8d3ba, "");
SYMBOL_CRC(rdma_get_gid_attr, 0xdc8783a9, "");
SYMBOL_CRC(rdma_query_gid_table, 0x1a7dcafe, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x434f4856, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x03435f3a, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x3f56833f, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x85b8b268, "");
SYMBOL_CRC(ib_dispatch_event, 0x110e37d4, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0xb1d7f0a0, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x30ad6fc0, "");
SYMBOL_CRC(ibnl_put_attr, 0x42b0295c, "");
SYMBOL_CRC(rdma_nl_unicast, 0xc6effb7c, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x8dd0e3cb, "");
SYMBOL_CRC(rdma_nl_multicast, 0xcd983281, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xe4d5412a, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x8aecbf7a, "");
SYMBOL_CRC(ib_mr_pool_get, 0xd788e9dc, "");
SYMBOL_CRC(ib_mr_pool_put, 0x1f40c1b0, "");
SYMBOL_CRC(ib_mr_pool_init, 0x41ce62bd, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x814a2e91, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x7789a885, "");
SYMBOL_CRC(rdma_translate_ip, 0x00e85f63, "");
SYMBOL_CRC(rdma_resolve_ip, 0xf561ab36, "");
SYMBOL_CRC(rdma_addr_cancel, 0xba25e300, "");
SYMBOL_CRC(ib_sa_register_client, 0x7c8b7816, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x43eb62e4, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xe9efaebd, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x59ed1b88, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x7919914c, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x59e189e4, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x2be6ef8d, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xcf9cbebc, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xad1dad15, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xf2a4daf1, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x22fe165e, "");
SYMBOL_CRC(ib_create_send_mad, 0xea477ee7, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x8416f939, "");
SYMBOL_CRC(ib_free_send_mad, 0x049a744d, "");
SYMBOL_CRC(ib_post_send_mad, 0x0f2a1bd1, "");
SYMBOL_CRC(ib_free_recv_mad, 0x547356c0, "");
SYMBOL_CRC(ib_modify_mad, 0x8566ad04, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x583f7404, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0xae4d2d26, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0xac995169, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x82c68966, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x62204def, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xd0cb3a3b, "");
SYMBOL_CRC(rdma_link_register, 0xf133e179, "");
SYMBOL_CRC(rdma_link_unregister, 0xf0b6233b, "");
SYMBOL_CRC(rdma_restrack_count, 0xde174d9e, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x5ed153db, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xa65a7ae6, "");
SYMBOL_CRC(rdma_restrack_new, 0xadcccfe0, "");
SYMBOL_CRC(rdma_restrack_add, 0x0f8480e8, "");
SYMBOL_CRC(rdma_restrack_get, 0x87735246, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x79b1365a, "");
SYMBOL_CRC(rdma_restrack_put, 0xca4ad370, "");
SYMBOL_CRC(rdma_restrack_del, 0x9f20f580, "");
SYMBOL_CRC(rdma_umap_priv_init, 0xe3b8178e, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x98779d49, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x41eb034f, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xdf701126, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xedf37bcf, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0xb755b430, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xc771f2ec, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x31e98929, "");
SYMBOL_CRC(ib_create_qp_security, 0x5d9a5a73, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xbc064ab4, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xd5a41e6e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa55a43fb, "nla_put" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x336459b8, "netlink_kernel_release" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1198d446, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x846a4211, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8398d28, "xa_clear_mark" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x686cbe9f, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x28f975e2, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xece784c2, "rb_first" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfe8dd747, "__neigh_event_send" },
	{ 0x3b018677, "dev_printk_emit" },
	{ 0x6f234f2e, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe86db549, "down_read" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x22869a6d, "netdev_has_upper_dev_all_rcu" },
	{ 0xab4e6a45, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xd25737f3, "__xa_insert" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0x9d491a51, "netdev_walk_all_upper_dev_rcu" },
	{ 0x54794243, "pv_ops" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x5de25569, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x77009fad, "_dev_notice" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5cddbfe1, "neigh_destroy" },
	{ 0x7defe69c, "kobject_del" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x9b67c801, "dma_map_sgtable" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x13e4c67a, "xa_destroy" },
	{ 0xb35f81b8, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x13a24664, "netdev_master_upper_dev_get_rcu" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe04a8b3c, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x621666fe, "dev_get_by_name" },
	{ 0xc629c9e0, "netlink_ns_capable" },
	{ 0xcb71f293, "dst_release" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0xff20df4, "kobject_uevent" },
	{ 0x2aaf9ca5, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x5adf31c4, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf6437fc0, "vlan_dev_vlan_id" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xf3836497, "xa_find_after" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xee86ba3, "ipv6_chk_addr" },
	{ 0xbdca4d93, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0x816b5805, "netlink_has_listeners" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xa930f862, "register_pernet_device" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x455bd141, "get_net_ns_by_fd" },
	{ 0xc662d63f, "class_register" },
	{ 0x48e85076, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7dafd263, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x832a748a, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0xd2a8f8dc, "rdmacg_try_charge" },
	{ 0x219cc7e6, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0xff7d79a3, "__nlmsg_put" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x610b0c07, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xd601b619, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x48865049, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xa8c743db, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x87ef17ce, "__ip_dev_find" },
	{ 0x8a42d520, "sysfs_remove_groups" },
	{ 0x2041fed2, "__xa_erase" },
	{ 0x53d72988, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0xfb45f7a, "xas_find" },
	{ 0x646e9f5b, "kobject_init" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x3c5bf348, "__dynamic_ibdev_dbg" },
	{ 0x37cb72b2, "sysfs_create_groups" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9e44b870, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xb0028906, "in6_dev_finish_destroy" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x12f453f, "__netlink_kernel_create" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0x50b95d8f, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4b6b07fb, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9e05aa33, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0xfbc36f48, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0x2e6126c4, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x1cc8cfc, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x822628de, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5bc2476a, "__xa_alloc" },
	{ 0xf4d57362, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xe915fae4, "down_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x8231185e, "init_net" },
	{ 0xc9e0b247, "kobject_add" },
	{ 0x4a85cca8, "up_write" },
	{ 0xbaf695e4, "ipv6_stub" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x97e846ac, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1e112548, "netlink_unicast" },
	{ 0xb912e93b, "xa_load" },
	{ 0x98582421, "dev_get_by_index" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x43423822, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4BB7C1A582FBFD527B5812B");

MODULE_INFO(suserelease, "ALP-0.1");
