#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x2b0fd953, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x3fea4b90, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x6a7ae0e7, "");
SYMBOL_CRC(rdma_res_to_id, 0x2489e6a7, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x9475799a, "");
SYMBOL_CRC(rdma_create_user_id, 0x0a9024fe, "");
SYMBOL_CRC(rdma_create_qp, 0x70109f6e, "");
SYMBOL_CRC(rdma_destroy_qp, 0xff3b14f8, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xcae31576, "");
SYMBOL_CRC(rdma_destroy_id, 0xdd8ded24, "");
SYMBOL_CRC(rdma_get_service_id, 0x894b1811, "");
SYMBOL_CRC(rdma_read_gids, 0x464ec479, "");
SYMBOL_CRC(rdma_set_service_type, 0x94e60c93, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x6c254468, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x54336952, "");
SYMBOL_CRC(rdma_set_ib_path, 0xa110b9fc, "");
SYMBOL_CRC(rdma_resolve_route, 0x372db30a, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x49737d5c, "");
SYMBOL_CRC(rdma_set_afonly, 0x0dc70288, "");
SYMBOL_CRC(rdma_listen, 0xcf6fe65e, "");
SYMBOL_CRC(rdma_resolve_addr, 0x07895ab8, "");
SYMBOL_CRC(rdma_bind_addr, 0x5d844038, "");
SYMBOL_CRC(rdma_connect_locked, 0x75b35899, "");
SYMBOL_CRC(rdma_connect, 0xb9bb096b, "");
SYMBOL_CRC(rdma_connect_ece, 0x2af6c446, "");
SYMBOL_CRC(rdma_accept, 0x0f071cd6, "");
SYMBOL_CRC(rdma_accept_ece, 0xa0abae6d, "");
SYMBOL_CRC(rdma_lock_handler, 0x45888a46, "");
SYMBOL_CRC(rdma_unlock_handler, 0xf38e3ac8, "");
SYMBOL_CRC(rdma_notify, 0x34db64e2, "");
SYMBOL_CRC(rdma_reject, 0xc2f819c1, "");
SYMBOL_CRC(rdma_disconnect, 0xeee0af78, "");
SYMBOL_CRC(rdma_join_multicast, 0x7e8b1fb1, "");
SYMBOL_CRC(rdma_leave_multicast, 0x9bebaee0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba25e300, "rdma_addr_cancel" },
	{ 0x38fde00a, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x2be6ef8d, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x372ddf81, "ib_register_client" },
	{ 0x59ed1b88, "ib_sa_path_rec_get" },
	{ 0x3e8082e, "ib_create_cm_id" },
	{ 0xfec297d7, "__ip_mc_dec_group" },
	{ 0xf4d57362, "vlan_dev_real_dev" },
	{ 0x43eb62e4, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xcf9cbebc, "ib_init_ah_from_mcmember" },
	{ 0x4b0c1b88, "rdma_destroy_ah_attr" },
	{ 0xb9f20af3, "ib_set_client_data" },
	{ 0x8231185e, "init_net" },
	{ 0x87ff012a, "ib_get_cached_pkey" },
	{ 0x703b5464, "configfs_register_subsystem" },
	{ 0x445a6a7, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb912e93b, "xa_load" },
	{ 0x434f4856, "rdma_put_gid_attr" },
	{ 0x685421e8, "config_group_init_type_name" },
	{ 0x98582421, "dev_get_by_index" },
	{ 0x16179ff7, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x29e83152, "ib_send_cm_rep" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x118a8457, "iw_cm_disconnect" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0xdfa8e03c, "ib_destroy_qp_user" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0xc9391af5, "ib_cm_init_qp_attr" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xda1012f1, "ib_send_cm_drep" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5ed153db, "rdma_restrack_set_name" },
	{ 0xd6e4c626, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x8cb8d3ba, "ib_get_cached_port_state" },
	{ 0x4d5e28e9, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9f20f580, "rdma_restrack_del" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xa5fdaf57, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd25737f3, "__xa_insert" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x5de25569, "__put_net" },
	{ 0xa65a7ae6, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb8a68a8c, "iw_cm_accept" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xcec15a84, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeeea7e86, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x52bbacda, "iw_cm_init_qp_attr" },
	{ 0xcb71f293, "dst_release" },
	{ 0x13322fd5, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb3953ee6, "ib_send_cm_dreq" },
	{ 0x1b0334e4, "ib_send_cm_req" },
	{ 0x86138277, "ib_create_qp_kernel" },
	{ 0x59e189e4, "ib_sa_join_multicast" },
	{ 0xe4d5412a, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdc8783a9, "rdma_get_gid_attr" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xadcccfe0, "rdma_restrack_new" },
	{ 0xe4463d9c, "__fib_lookup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xa28f6bc4, "iw_cm_listen" },
	{ 0x2d21d287, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7789a885, "rdma_copy_src_l2_addr" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xf561ab36, "rdma_resolve_ip" },
	{ 0xaa4310f4, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd36b1761, "iw_create_cm_id" },
	{ 0xac606f65, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc81ab0f3, "ib_unregister_client" },
	{ 0x219cc7e6, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfda96b87, "ib_send_cm_sidr_rep" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xa7281b84, "config_group_init" },
	{ 0xe9efaebd, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xef216a2c, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xb84f783b, "ib_cm_insert_listen" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x7c8b7816, "ib_sa_register_client" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b64fa84, "rdma_query_gid" },
	{ 0x696aee09, "rt6_lookup" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xe85f63, "rdma_translate_ip" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x108c1d0b, "rdma_dev_access_netns" },
	{ 0xa1be7fa1, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbeafb6f, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b5f8974, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0xaaa3b282, "ip_mc_inc_group" },
	{ 0x3f56833f, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x8bc61e6, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xb8f89eee, "iw_cm_connect" },
	{ 0xf8480e8, "rdma_restrack_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_cm,configfs,iw_cm");


MODULE_INFO(srcversion, "51AACFDFD611210FB53129E");

MODULE_INFO(suserelease, "ALP-0.1");
