#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtrs_clt_get_permit, 0xd3e84b86, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0x5285da45, "");
SYMBOL_CRC(rtrs_clt_open, 0xdc6af809, "");
SYMBOL_CRC(rtrs_clt_close, 0xc775a788, "");
SYMBOL_CRC(rtrs_clt_request, 0xee00d575, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0xb8709ce1, "");
SYMBOL_CRC(rtrs_clt_query, 0xa7086397, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37c9d477, "rtrs_rdma_dev_pd_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x405c3823, "rtrs_ib_dev_find_or_add" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9475799a, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0xbb47236a, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0x372db30a, "rdma_resolve_route" },
	{ 0x679a2e63, "rtrs_iu_free" },
	{ 0xc42ab194, "ib_map_mr_sg" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x8231185e, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x97e846ac, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x279b0ea3, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe43f1d20, "kobj_sysfs_ops" },
	{ 0x6f7bec8b, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x48a118b6, "iov_iter_kvec" },
	{ 0x95543d55, "rtrs_iu_post_recv" },
	{ 0x8f244fcf, "kobject_init_and_add" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfbe3c8db, "sysfs_create_group" },
	{ 0x286c81e9, "sysfs_remove_file_self" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x686cbe9f, "device_del" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa67164c4, "ib_alloc_mr" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x75b35899, "rdma_connect_locked" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x49737d5c, "rdma_set_reuseaddr" },
	{ 0x6f234f2e, "kobject_create_and_add" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc2cf69fb, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd14cb1b, "ib_dma_virt_map_sg" },
	{ 0x7defe69c, "kobject_del" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdd8ded24, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbf82d38e, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xff20df4, "kobject_uevent" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0xd042dbbb, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x338c0f1f, "rtrs_cq_qp_create" },
	{ 0x632e3c3c, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0x8081afd4, "rtrs_init_hb" },
	{ 0x3fea4b90, "rdma_consumer_reject_data" },
	{ 0x9f35d75f, "rtrs_stop_hb" },
	{ 0x349cba85, "strchr" },
	{ 0xf91cca76, "rtrs_send_hb_ack" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf5faaa18, "rtrs_iu_alloc" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc662d63f, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x38dc4914, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7dafd263, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2b0fd953, "rdma_reject_msg" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7895ab8, "rdma_resolve_addr" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5ded9d00, "rtrs_post_recv_empty" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9aab28c, "ib_dereg_mr_user" },
	{ 0xf50a2a31, "ib_process_cq_direct" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x27898d5, "rtrs_iu_post_rdma_write_imm" },
	{ 0xb18942b3, "rtrs_iu_post_send" },
	{ 0xb192e312, "__wake_up" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeee0af78, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "62026CC17925DB963E80A4B");

MODULE_INFO(suserelease, "ALP-0.1");
