#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d4f211f, "regmap_bulk_read" },
	{ 0x5adf24c2, "input_event" },
	{ 0xca5d05b2, "input_mt_report_slot_state" },
	{ 0x3226b755, "touchscreen_report_pos" },
	{ 0xd0456a29, "input_mt_report_pointer_emulation" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa378ff4a, "i2c_transfer" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0x6d3c959, "i2c_del_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xcc6600d0, "regulator_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf6f34029, "i2c_client_get_device_id" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x7de4199c, "__regmap_init_i2c" },
	{ 0xbb5870c3, "device_get_match_data" },
	{ 0xebe04dc9, "devm_regulator_get" },
	{ 0x7e934208, "__devm_add_action" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0xead61759, "devm_input_allocate_device" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x349cba85, "strchr" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x335396f1, "device_property_read_u32_array" },
	{ 0xe71164cd, "input_set_abs_params" },
	{ 0x5dfe8b41, "touchscreen_parse_properties" },
	{ 0xfaccf4cd, "input_mt_init_slots" },
	{ 0xded017e3, "irq_get_irq_data" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0x1d63b7e0, "devm_device_add_group" },
	{ 0x24204c2, "input_register_device" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xd4d57ab8, "debugfs_create_u16" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x5af4bc53, "desc_to_gpio" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0xf9827e8f, "generic_file_llseek" },
	{ 0x11668db1, "simple_attr_read" },
	{ 0x2c6289e6, "simple_attr_write" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x35c515f9, "i2c_register_driver" },
	{ 0x5af8a8ea, "regulator_disable" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfe8f3ceb, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x83fc8d75, "regmap_exit" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0x96848186, "scnprintf" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c");

MODULE_ALIAS("of:N*T*Cedt,edt-ft5206");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5206C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5306C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5406C*");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506");
MODULE_ALIAS("of:N*T*Cedt,edt-ft5506C*");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726");
MODULE_ALIAS("of:N*T*Cevervision,ev-ft5726C*");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236");
MODULE_ALIAS("of:N*T*Cfocaltech,ft6236C*");
MODULE_ALIAS("i2c:edt-ft5x06");
MODULE_ALIAS("i2c:edt-ft5506");
MODULE_ALIAS("i2c:ev-ft5726");
MODULE_ALIAS("i2c:ft6236");

MODULE_INFO(srcversion, "6B90EB0B126DCD924730BA8");

MODULE_INFO(suserelease, "ALP-0.1");
