#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_send_uevents, 0x5c93a36d, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0xd6889e39, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xa297f169, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xf1e88426, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x062572d8, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x9f62cd63, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xa8a37b50, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xf3201876, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(_dm_prepare_ioctl, 0x62a8af2b, "_gpl");
SYMBOL_CRC(dm_unprepare_ioctl, 0x3860945d, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x44113a9e, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x8e0c64b7, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x09ebfed9, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x78254a6e, "_gpl");
SYMBOL_CRC(dm_get_md, 0x7f5ad252, "_gpl");
SYMBOL_CRC(dm_hold, 0x829d4fb7, "_gpl");
SYMBOL_CRC(dm_device_name, 0x28b6b243, "_gpl");
SYMBOL_CRC(dm_put, 0x9387bd7f, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0xb200b5c9, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x344fb358, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xfe5184db, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x5c78a0a1, "_gpl");
SYMBOL_CRC(dm_disk, 0x179434d7, "_gpl");
SYMBOL_CRC(dm_suspended, 0xc3fe7da7, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x41abcf44, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x47c0e688, "_gpl");
SYMBOL_CRC(dm_get_device, 0x63beb276, "");
SYMBOL_CRC(dm_put_device, 0x4e8908e6, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xb46ffbcc, "_gpl");
SYMBOL_CRC(dm_table_event, 0x8dfba80f, "");
SYMBOL_CRC(dm_table_get_size, 0xd83e8366, "");
SYMBOL_CRC(dm_table_get_mode, 0xe8092226, "");
SYMBOL_CRC(dm_table_get_md, 0x1657b868, "");
SYMBOL_CRC(dm_table_device_name, 0x4cf45a76, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x526594b6, "");
SYMBOL_CRC(dm_register_target, 0xd4d6b882, "");
SYMBOL_CRC(dm_unregister_target, 0xc9b7e5db, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xee257e5a, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x79ec5fc3, "");
SYMBOL_CRC(dm_kcopyd_copy, 0xdd8016fd, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x3c580779, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xca6a8a32, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xd5cecc6, "ima_measure_critical_data" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x978481eb, "kobject_uevent_env" },
	{ 0x30f5bb30, "bio_put" },
	{ 0x6454806f, "blk_crypto_intersect_capabilities" },
	{ 0x23a44af3, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x92018896, "init_srcu_struct" },
	{ 0xabfe91da, "__SCK__tp_func_block_bio_remap" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0xd44af95f, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0xc80095cd, "blkdev_get_by_dev" },
	{ 0xeb213917, "__srcu_read_lock" },
	{ 0x6fedbcd9, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x90f19141, "thaw_bdev" },
	{ 0xbfdcec1e, "set_capacity" },
	{ 0xd7d96bb3, "submit_bio_noacct" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0x64b2a769, "blk_integrity_compare" },
	{ 0x32a460e8, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x9dab37d9, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x77255745, "dax_remove_host" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x2655e568, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xec3e66ba, "dax_recovery_write" },
	{ 0xd6ce7dfd, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8f244fcf, "kobject_init_and_add" },
	{ 0x79503522, "zero_fill_bio_iter" },
	{ 0xad98daa, "bio_add_page" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x125bb5e3, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbbe87a25, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc1f391bb, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xbf97f69, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf1cf030a, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x11174b4b, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d81800, "misc_register" },
	{ 0xf2567859, "blk_crypto_evict_key" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x89d2e536, "blk_insert_cloned_request" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe86db549, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x205a0926, "audit_log_start" },
	{ 0xdb92eeae, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x43ac48b2, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x28ab235b, "bio_uninit" },
	{ 0x821afea1, "crypto_shash_final" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x587da80a, "bioset_init" },
	{ 0x9070925b, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x84d2dd5e, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x59e90930, "__tracepoint_block_bio_remap" },
	{ 0x634d64d2, "__tracepoint_block_rq_remap" },
	{ 0x61b094b7, "bd_link_disk_holder" },
	{ 0xaa2793f3, "blk_mq_start_request" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x7242d92, "put_dax" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x16d5c081, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x620cf7b3, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xc1d0cc03, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xf0bed80c, "bio_alloc_bioset" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x8eb8f4a6, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xcf6a922a, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfcd4ce64, "bdev_end_io_acct" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x68102b1d, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xb55e59d7, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7dafd263, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb9c7b45c, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x3f38be70, "set_disk_ro" },
	{ 0x842c1fa9, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3eab95b1, "blk_integrity_register" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x7a9edae6, "misc_deregister" },
	{ 0x74af5041, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7e6c27af, "idr_find" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xb870f38b, "param_ops_ulong" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x553ad551, "bio_split_to_limits" },
	{ 0x4241a137, "vmalloc_to_page" },
	{ 0x2c14d29f, "disk_update_readahead" },
	{ 0xb336c246, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0xeca6e313, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xfb53fea3, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x35e1f774, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa8202835, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6b8397d9, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x6ce00f13, "dm_kobject_release" },
	{ 0xbfc97bdc, "up" },
	{ 0x71ddbdad, "mempool_init" },
	{ 0xb97fc111, "blk_rq_prep_clone" },
	{ 0x595f0149, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x8db36f58, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x43201dae, "blk_crypto_profile_init" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4a4c965c, "freeze_bdev" },
	{ 0x5100e069, "blk_queue_write_cache" },
	{ 0xe93b4a58, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x2ff87f23, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb192e312, "__wake_up" },
	{ 0xb7c60e25, "synchronize_srcu" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0x2305c6b3, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x56d191c5, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xccddc296, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc8f48401, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xca4a5199, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x56530d28, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xf6d90830, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0xbc209a42, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x72e10b8, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x9878a897, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf5e13883, "bdev_nr_zones" },
	{ 0x6ad54b22, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0xacc760fa, "blk_queue_flag_set" },
	{ 0x69edd4d1, "kmalloc_node_trace" },
	{ 0x1580de7a, "__SCK__tp_func_block_split" },
	{ 0x16741bd4, "mempool_alloc" },
	{ 0xca38d6b7, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xddaba837, "__free_pages" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8556fbfb, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8df7212b, "submit_bio" },
	{ 0x94d92594, "blk_crypto_has_capabilities" },
	{ 0xcb8e99c9, "dax_add_host" },
	{ 0xc8e7b649, "blk_queue_flag_clear" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3ff745f7, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x13b61d6a, "bioset_exit" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "72CA691D98ED070344935BD");

MODULE_INFO(suserelease, "ALP-0.1");
