#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_snap_origin, 0x6d669d30, "");
SYMBOL_CRC(dm_snap_cow, 0x90298dec, "");
SYMBOL_CRC(dm_exception_store_type_register, 0xe2b8e150, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0x3379974b, "");
SYMBOL_CRC(dm_exception_store_create, 0x196d198e, "");
SYMBOL_CRC(dm_exception_store_destroy, 0xf40e312b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xc9b7e5db, "dm_unregister_target" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x8e0c64b7, "dm_set_target_max_io_len" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3c580779, "dm_kcopyd_zero" },
	{ 0xfb578fc5, "memset" },
	{ 0x8dfba80f, "dm_table_event" },
	{ 0xfe5184db, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x9387bd7f, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdd8016fd, "dm_kcopyd_copy" },
	{ 0xd4d6b882, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0xe8092226, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0x7b408975, "blkdev_issue_flush" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x1657b868, "dm_table_get_md" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x79ec5fc3, "dm_io" },
	{ 0x63beb276, "dm_get_device" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0xf3201876, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x68102b1d, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xb9c7b45c, "bio_associate_blkg" },
	{ 0x5c78a0a1, "dm_internal_resume_fast" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9f62cd63, "dm_per_bio_data" },
	{ 0x4e8908e6, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd83e8366, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x71ddbdad, "mempool_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x829d4fb7, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb192e312, "__wake_up" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x56d191c5, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0x9ebfed9, "dm_accept_partial_bio" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x16741bd4, "mempool_alloc" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x91a2f9da, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x23a44af3, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x279b0ea3, "__wake_up_locked" },
	{ 0xc3fe7da7, "dm_suspended" },
	{ 0xd7d96bb3, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0xc8a435f5, "dm_bufio_client_create" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "dm-bufio,dm-mod");


MODULE_INFO(srcversion, "2FFB68F0156BAEDB229A76F");

MODULE_INFO(suserelease, "ALP-0.1");
