#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(md_cluster_ops, 0x545f72ec, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(_md_handle_reqeust, 0x8e580307, "");
SYMBOL_CRC(md_handle_request, 0xca9c9a6c, "");
SYMBOL_CRC(mddev_suspend, 0x08e0e45a, "_gpl");
SYMBOL_CRC(mddev_resume, 0xe5a02572, "_gpl");
SYMBOL_CRC(md_flush_request, 0x3906fae8, "");
SYMBOL_CRC(mddev_init, 0x22f1c735, "_gpl");
SYMBOL_CRC(mddev_destroy, 0x9290909d, "_gpl");
SYMBOL_CRC(mddev_unlock, 0xa4d1718d, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x0b8f97fb, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x8fa9ed14, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x3f523da2, "_gpl");
SYMBOL_CRC(sync_page_io, 0xdca81964, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0xeca7570b, "");
SYMBOL_CRC(md_integrity_register, 0x36bb43cb, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x066b7b52, "");
SYMBOL_CRC(md_update_sb, 0x80df2ec5, "");
SYMBOL_CRC(md_rdev_init, 0x6ec74837, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0x54adc560, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0x2fbf5ad9, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0x3b76a150, "_gpl");
SYMBOL_CRC(md_run, 0x70e99634, "_gpl");
SYMBOL_CRC(md_start, 0x6ca9de04, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x65a83d2e, "_gpl");
SYMBOL_CRC(md_stop, 0x8656a962, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x08bb1a76, "");
SYMBOL_CRC(md_wakeup_thread, 0x92b3ec0a, "");
SYMBOL_CRC(md_register_thread, 0x24a78a14, "");
SYMBOL_CRC(md_unregister_thread, 0xc5f7e07a, "");
SYMBOL_CRC(md_error, 0xcbd9f1e5, "");
SYMBOL_CRC(register_md_personality, 0x9b0c1c68, "");
SYMBOL_CRC(unregister_md_personality, 0x3c3c4014, "");
SYMBOL_CRC(register_md_cluster_operations, 0xc296de3a, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0x7afa0705, "");
SYMBOL_CRC(md_write_start, 0xb82b4f9e, "");
SYMBOL_CRC(md_write_inc, 0x8f1e344a, "");
SYMBOL_CRC(md_write_end, 0xa788bbfe, "");
SYMBOL_CRC(md_submit_discard_bio, 0x5721d5de, "_gpl");
SYMBOL_CRC(md_account_bio, 0x2b905876, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0x3e87dab4, "_gpl");
SYMBOL_CRC(md_allow_write, 0x505a37e8, "_gpl");
SYMBOL_CRC(md_do_sync, 0xb85d908a, "_gpl");
SYMBOL_CRC(md_check_recovery, 0xbc9da9c8, "");
SYMBOL_CRC(md_reap_sync_thread, 0x7fb11549, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x1781144e, "");
SYMBOL_CRC(md_finish_reshape, 0x6e3fca6d, "");
SYMBOL_CRC(rdev_set_badblocks, 0x6134a6fe, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0xdf05874c, "_gpl");
SYMBOL_CRC(md_reload_sb, 0xe17d2539, "");
SYMBOL_CRC(md_bitmap_update_sb, 0xf174faed, "");
SYMBOL_CRC(md_bitmap_unplug, 0xc6cfe368, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0x422fd497, "");
SYMBOL_CRC(md_bitmap_startwrite, 0x21d3abfa, "");
SYMBOL_CRC(md_bitmap_endwrite, 0xa5ebe115, "");
SYMBOL_CRC(md_bitmap_start_sync, 0xe41e2506, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x46dbbbed, "");
SYMBOL_CRC(md_bitmap_close_sync, 0x27cbdeb3, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0xddf2b1c5, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0xe767e3e2, "");
SYMBOL_CRC(md_bitmap_free, 0x3a3ad6ed, "");
SYMBOL_CRC(md_bitmap_load, 0x8ed12dd6, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0xd0e51fe8, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0x3f3fb352, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0xa85c285a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1cf030a, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x11174b4b, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xbb78ebae, "_atomic_dec_and_lock" },
	{ 0xc98c0bf5, "invalidate_bdev" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xc2cf69fb, "sysfs_remove_group" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7defe69c, "kobject_del" },
	{ 0x9c046227, "vfs_fsync" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x587da80a, "bioset_init" },
	{ 0xbfb0c145, "file_path" },
	{ 0x48cc9b89, "kernfs_put" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x69289c52, "sysfs_break_active_protection" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x58aaba77, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x4ff8aea3, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xff20df4, "kobject_uevent" },
	{ 0x59e90930, "__tracepoint_block_bio_remap" },
	{ 0x61b094b7, "bd_link_disk_holder" },
	{ 0x8736529e, "proc_dointvec" },
	{ 0x77aba229, "seq_puts" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc26a63ff, "seq_open" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xfb7c7c03, "badblocks_clear" },
	{ 0xfdcf7cbd, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xadee276, "badblocks_store" },
	{ 0xf0bed80c, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xa3edcc5c, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x7003197b, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7dafd263, "kobject_put" },
	{ 0x99719cb1, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x3f38be70, "set_disk_ro" },
	{ 0x842c1fa9, "__blk_alloc_disk" },
	{ 0x3eab95b1, "blk_integrity_register" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x5f29f956, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x8432412a, "__bio_add_page" },
	{ 0x74af5041, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdaa51fcc, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1cd7839, "proc_create" },
	{ 0x553ad551, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6fe4e653, "seq_release" },
	{ 0xb336c246, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x6fe4abd9, "badblocks_set" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x4f37220a, "fget" },
	{ 0x70639920, "sysfs_unbreak_active_protection" },
	{ 0x66a18cc8, "invalidate_mapping_pages" },
	{ 0x646e9f5b, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x85934beb, "badblocks_exit" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x5100e069, "blk_queue_write_cache" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x29828fbe, "ack_all_badblocks" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x122529a1, "kernfs_notify" },
	{ 0xf05c2bd3, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xca66c4ec, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xd09e4b85, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf6d90830, "bioset_integrity_create" },
	{ 0x5e8bb8c5, "mempool_create" },
	{ 0xbc209a42, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x14a6266, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x283a8651, "unregister_sysctl_table" },
	{ 0x496f0ab, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x3033b366, "sync_blockdev" },
	{ 0x11a0b7be, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0xacc760fa, "blk_queue_flag_set" },
	{ 0xca38d6b7, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8556fbfb, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8df7212b, "submit_bio" },
	{ 0xc8e7b649, "blk_queue_flag_clear" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7a4209d3, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7a5e10f6, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x13b61d6a, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x6d2048e6, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x30f5bb30, "bio_put" },
	{ 0x23a44af3, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xabfe91da, "__SCK__tp_func_block_bio_remap" },
	{ 0x49608959, "migrate_disable" },
	{ 0x92c520a8, "fput" },
	{ 0xc9e0b247, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3999391e, "sysfs_remove_link" },
	{ 0xc80095cd, "blkdev_get_by_dev" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd7d96bb3, "submit_bio_noacct" },
	{ 0x64b2a769, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xbcc91d35, "blk_sync_queue" },
	{ 0x6d98b57f, "seq_file_path" },
	{ 0x8711de27, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x2655e568, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc55b2acf, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbbe87a25, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfbe3c8db, "sysfs_create_group" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xbf97f69, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5DE87FA3426599C7E7CD6D");

MODULE_INFO(suserelease, "ALP-0.1");
