#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(raid5_set_cache_size, 0x96bc3a4c, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x1b6a7766, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc55b2acf, "__blk_trace_note_message" },
	{ 0x6d73eaf3, "blkdev_issue_zeroout" },
	{ 0xc04d507, "disk_stack_limits" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x8943d79, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x5880b4d8, "async_raid6_2data_recov" },
	{ 0xad98daa, "bio_add_page" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2f91b82c, "__SCK__tp_func_block_unplug" },
	{ 0x46dbbbed, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x80df2ec5, "md_update_sb" },
	{ 0x7231cfb3, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xfbe3c8db, "sysfs_create_group" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x337fb970, "_atomic_dec_and_lock_irqsave" },
	{ 0x3906fae8, "md_flush_request" },
	{ 0xf1cf030a, "bio_init" },
	{ 0x24a78a14, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0x11174b4b, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x3faaa0f6, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2b905876, "md_account_bio" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8f1e344a, "md_write_inc" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3c3c4014, "unregister_md_personality" },
	{ 0xb73c0e2d, "blk_queue_max_write_zeroes_sectors" },
	{ 0xc6cfe368, "md_bitmap_unplug" },
	{ 0x28ab235b, "bio_uninit" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x587da80a, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x4bd9ae36, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xa788bbfe, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd03c16f, "blk_queue_io_min" },
	{ 0xbc9da9c8, "md_check_recovery" },
	{ 0xa5ebe115, "md_bitmap_endwrite" },
	{ 0x59e90930, "__tracepoint_block_bio_remap" },
	{ 0x7b408975, "blkdev_issue_flush" },
	{ 0x8e0e45a, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xea142ce, "badblocks_check" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xe4c71c0f, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6134a6fe, "rdev_set_badblocks" },
	{ 0xf0bed80c, "bio_alloc_bioset" },
	{ 0x6c6404f0, "blk_queue_io_opt" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x79f9f934, "async_raid6_datap_recov" },
	{ 0xa3edcc5c, "submit_bio_wait" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x68102b1d, "mempool_exit" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x30192373, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x69ea1734, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x3f38be70, "set_disk_ro" },
	{ 0x9b0c1c68, "register_md_personality" },
	{ 0x8432412a, "__bio_add_page" },
	{ 0x74af5041, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa85c285a, "md_bitmap_resize" },
	{ 0x9bb67cad, "radix_tree_insert" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8fa9ed14, "md_find_rdev_rcu" },
	{ 0xe5a02572, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe41e2506, "md_bitmap_start_sync" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x28a59278, "radix_tree_lookup" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xddf2b1c5, "md_bitmap_cond_end_sync" },
	{ 0xcbd9f1e5, "md_error" },
	{ 0xefe18ffb, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x71ddbdad, "mempool_init" },
	{ 0xbae4c7a3, "register_shrinker" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x21d3abfa, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e3fca6d, "md_finish_reshape" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x742063a8, "async_gen_syndrome" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0xc5f7e07a, "md_unregister_thread" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0xdca81964, "sync_page_io" },
	{ 0x27cbdeb3, "md_bitmap_close_sync" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x3e87dab4, "md_free_cloned_bio" },
	{ 0xb192e312, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0x9d563ef8, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x56d191c5, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x122529a1, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92b3ec0a, "md_wakeup_thread" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8bb1a76, "md_set_array_sectors" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x505a37e8, "md_allow_write" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xdf05874c, "rdev_clear_badblocks" },
	{ 0x9ab0e8b6, "radix_tree_lookup_slot" },
	{ 0xf234ed, "async_tx_quiesce" },
	{ 0xb82b4f9e, "md_write_start" },
	{ 0xacc760fa, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x16741bd4, "mempool_alloc" },
	{ 0x1a07b575, "unregister_shrinker" },
	{ 0xf79de811, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0x25db94d5, "async_xor" },
	{ 0xddaba837, "__free_pages" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x66847138, "async_xor_offs" },
	{ 0x8556fbfb, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x8df7212b, "submit_bio" },
	{ 0xc8e7b649, "blk_queue_flag_clear" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7a5e10f6, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9b93418, "kthread_unpark" },
	{ 0x13b61d6a, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7afa0705, "md_done_sync" },
	{ 0x30f5bb30, "bio_put" },
	{ 0x9a1b1641, "radix_tree_delete" },
	{ 0x23a44af3, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x1781144e, "md_wait_for_blocked_rdev" },
	{ 0xabfe91da, "__SCK__tp_func_block_bio_remap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65df4761, "async_memcpy" },
	{ 0xd7d96bb3, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0xa4d1718d, "mddev_unlock" },
	{ 0x4a5e347f, "__tracepoint_block_unplug" },
	{ 0x2655e568, "bio_chain" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "async_tx,async_raid6_recov,md-mod,raid6_pq,libcrc32c,async_pq,async_xor,async_memcpy");


MODULE_INFO(srcversion, "2D162698463D7A6DFA330C1");

MODULE_INFO(suserelease, "ALP-0.1");
