#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dvb_generic_open, 0x546a2c88, "");
SYMBOL_CRC(dvb_generic_release, 0x6605ab81, "");
SYMBOL_CRC(dvb_generic_ioctl, 0x3e8d4738, "");
SYMBOL_CRC(dvb_register_device, 0x6749cade, "");
SYMBOL_CRC(dvb_remove_device, 0xf169f32c, "");
SYMBOL_CRC(dvb_device_get, 0x14e8f10d, "");
SYMBOL_CRC(dvb_unregister_device, 0x235298e1, "");
SYMBOL_CRC(dvb_create_media_graph, 0xbb25deb7, "_gpl");
SYMBOL_CRC(dvb_register_adapter, 0x44db519c, "");
SYMBOL_CRC(dvb_unregister_adapter, 0x726c79ce, "");
SYMBOL_CRC(dvb_module_probe, 0xbed1f706, "_gpl");
SYMBOL_CRC(dvb_module_release, 0xe77338c2, "_gpl");
SYMBOL_CRC(dvb_dmxdev_init, 0x11c0fae8, "");
SYMBOL_CRC(dvb_dmxdev_release, 0x24252068, "");
SYMBOL_CRC(dvb_dmx_swfilter_packets, 0xca023fe1, "");
SYMBOL_CRC(dvb_dmx_swfilter, 0x428cd474, "");
SYMBOL_CRC(dvb_dmx_swfilter_204, 0x5e68413f, "");
SYMBOL_CRC(dvb_dmx_swfilter_raw, 0x96f31b25, "");
SYMBOL_CRC(dvb_dmx_init, 0xfb638531, "");
SYMBOL_CRC(dvb_dmx_release, 0xaab98a87, "");
SYMBOL_CRC(dvb_ca_en50221_camchange_irq, 0x2b9028c0, "");
SYMBOL_CRC(dvb_ca_en50221_camready_irq, 0x09bc6811, "");
SYMBOL_CRC(dvb_ca_en50221_frda_irq, 0x1157e148, "");
SYMBOL_CRC(dvb_ca_en50221_init, 0x73cb6524, "");
SYMBOL_CRC(dvb_ca_en50221_release, 0x61121278, "");
SYMBOL_CRC(dvb_frontend_reinitialise, 0x85a453e2, "");
SYMBOL_CRC(dvb_frontend_sleep_until, 0x3b93d71a, "");
SYMBOL_CRC(dvb_frontend_suspend, 0x05bf8d9b, "");
SYMBOL_CRC(dvb_frontend_resume, 0x5360f38a, "");
SYMBOL_CRC(dvb_register_frontend, 0x029113f2, "");
SYMBOL_CRC(dvb_unregister_frontend, 0x1fee4a48, "");
SYMBOL_CRC(dvb_frontend_detach, 0x08239c11, "");
SYMBOL_CRC(dvb_net_release, 0x9d1a0c51, "");
SYMBOL_CRC(dvb_net_init, 0xf360b148, "");
SYMBOL_CRC(dvb_ringbuffer_flush, 0xa6093061, "");
SYMBOL_CRC(dvb_ringbuffer_init, 0x113dab51, "");
SYMBOL_CRC(dvb_ringbuffer_empty, 0xa72c4254, "");
SYMBOL_CRC(dvb_ringbuffer_free, 0x4a1a888d, "");
SYMBOL_CRC(dvb_ringbuffer_avail, 0xc59c5117, "");
SYMBOL_CRC(dvb_ringbuffer_flush_spinlock_wakeup, 0xda302aad, "");
SYMBOL_CRC(dvb_ringbuffer_read_user, 0x12e64510, "");
SYMBOL_CRC(dvb_ringbuffer_read, 0xc9070711, "");
SYMBOL_CRC(dvb_ringbuffer_write, 0xa35de0d0, "");
SYMBOL_CRC(dvb_ringbuffer_write_user, 0xff0886b5, "");
SYMBOL_CRC(intlog2, 0x5f2b1d95, "");
SYMBOL_CRC(intlog10, 0x08733236, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb384d37, "kasprintf" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xf52cd664, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x14f17223, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa91aaf52, "media_devnode_create" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xeb3c3faf, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbda36c7, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xce5588b6, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x85af4da7, "media_devnode_remove" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd6454b95, "eth_header" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x610b0c07, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x5818319f, "class_destroy" },
	{ 0xbfc97bdc, "up" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4df02057, "crc32_be" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb192e312, "__wake_up" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x7a730f35, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc9b045c1, "media_create_intf_link" },
	{ 0xe0ee2c36, "media_create_pad_links" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x59e06f85, "media_create_pad_link" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbc36f48, "alloc_netdev_mqs" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x89abf5, "eth_header_parse" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91a2f9da, "module_put" },
	{ 0x34cc6af3, "media_device_register_entity" },
	{ 0xf6a011d3, "cdev_add" },
	{ 0x66d87d38, "symbol_put_addr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe915fae4, "down_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4a85cca8, "up_write" },
	{ 0xa3e7d1b7, "i2c_unregister_device" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x57de8c7a, "device_create" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0x32a460e8, "down" },
	{ 0xcbd7b244, "class_create" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x5a921311, "strncmp" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xe6c7635c, "media_entity_pads_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0xce407f2f, "i2c_new_client_device" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x777d668b, "freezing_slow_path" },
	{ 0xab956cf, "default_llseek" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "0FDF2646DF62CE25E367614");

MODULE_INFO(suserelease, "ALP-0.1");
