#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb192e312, "__wake_up" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x44db519c, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85cd9d09, "fw_core_add_address_handler" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa7d2a2e3, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x546a2c88, "dvb_generic_open" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x24204c2, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xca023fe1, "dvb_dmx_swfilter_packets" },
	{ 0x3e8d4738, "dvb_generic_ioctl" },
	{ 0xa916b694, "strnlen" },
	{ 0x8da801e1, "fw_iso_context_queue" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaab98a87, "dvb_dmx_release" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x235298e1, "dvb_unregister_device" },
	{ 0x90876813, "fw_iso_buffer_destroy" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x6605ab81, "dvb_generic_release" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0xf360b148, "dvb_net_init" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x24252068, "dvb_dmxdev_release" },
	{ 0xef7aadd0, "param_ops_short" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x5adf24c2, "input_event" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x55449ddd, "fw_iso_context_queue_flush" },
	{ 0x2ad9ddf5, "fw_iso_context_start" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d1a0c51, "dvb_net_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x1fee4a48, "dvb_unregister_frontend" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xab0ffffd, "fw_bus_type" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6749cade, "dvb_register_device" },
	{ 0x29113f2, "dvb_register_frontend" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x726c79ce, "dvb_unregister_adapter" },
	{ 0xfb638531, "dvb_dmx_init" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5fd4299f, "input_allocate_device" },
	{ 0x11c0fae8, "dvb_dmxdev_init" },
	{ 0x7cc786c4, "fw_iso_context_destroy" },
	{ 0xeee7583b, "fw_run_transaction" },
	{ 0xa75ae634, "fw_iso_buffer_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x4df02057, "crc32_be" },
	{ 0xdf3931d0, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x27e78600, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xc455cc63, "fw_core_remove_address_handler" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xebcea5dc, "fw_iso_context_stop" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,firewire-core");

MODULE_ALIAS("ieee1394:ven00001287mo00000024sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000025sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000026sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000034sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000035sp0000A02Dver00010001*");
MODULE_ALIAS("ieee1394:ven00001287mo00000036sp0000A02Dver00010001*");

MODULE_INFO(srcversion, "09616CD1A885A0D1F6AF18D");

MODULE_INFO(suserelease, "ALP-0.1");
