#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx18_ext_init, 0x8464509e, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xde677117, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0x6a21cfcc, "");
SYMBOL_CRC(cx18_claim_stream, 0xe6b661a2, "");
SYMBOL_CRC(cx18_release_stream, 0x66b94890, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcba7930e, "video_devdata" },
	{ 0x39d9e1f3, "i2c_new_scanned_device" },
	{ 0x36018fda, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xef1286e9, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd4a363ba, "vb2_ioctl_dqbuf" },
	{ 0xaab98a87, "dvb_dmx_release" },
	{ 0xe0257f86, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x6fbdd101, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf0e15fe5, "vb2_ioctl_prepare_buf" },
	{ 0xe254eaeb, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0x626e20ed, "vb2_buffer_done" },
	{ 0xa7f3dad, "vb2_plane_vaddr" },
	{ 0x195c0583, "v4l2_ctrl_subscribe_event" },
	{ 0x96eb0182, "v4l2_fh_init" },
	{ 0x4e8e43fd, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf360b148, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x428cd474, "dvb_dmx_swfilter" },
	{ 0x3587f96e, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x24252068, "dvb_dmxdev_release" },
	{ 0xa884f8e3, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa9bf84bb, "vb2_fop_mmap" },
	{ 0xef7aadd0, "param_ops_short" },
	{ 0x5a8cd4a5, "vb2_vmalloc_memops" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x732363ba, "vb2_fop_read" },
	{ 0x8a6a2ce6, "v4l2_device_register" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x8239c11, "dvb_frontend_detach" },
	{ 0xaaa5d915, "param_ops_string" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d1a0c51, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x73abb9fa, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fee4a48, "dvb_unregister_frontend" },
	{ 0x71e4a52a, "pci_write_config_byte" },
	{ 0xfe5a9c35, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa336c948, "vb2_ioctl_streamon" },
	{ 0xdd47c968, "vb2_fop_poll" },
	{ 0xa9ade776, "v4l2_ctrl_new_std" },
	{ 0x6959c043, "v4l2_ctrl_g_ctrl" },
	{ 0xe39ccd0, "cx2341x_handler_init" },
	{ 0xa063ad02, "cx2341x_handler_set_50hz" },
	{ 0xf2c100f0, "v4l2_ctrl_handler_free" },
	{ 0xcec559be, "v4l2_device_unregister" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x29113f2, "dvb_register_frontend" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd89ed020, "v4l2_subdev_call_wrappers" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x8d65047b, "v4l2_i2c_new_subdev" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x726c79ce, "dvb_unregister_adapter" },
	{ 0xfb638531, "dvb_dmx_init" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xfc02f0f0, "pci_write_config_word" },
	{ 0xa9959115, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2ab5a1de, "v4l2_event_unsubscribe" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa5f988ba, "vb2_ioctl_reqbufs" },
	{ 0x55312d4b, "vb2_queue_init" },
	{ 0x74aedcde, "v4l2_fh_exit" },
	{ 0x11c0fae8, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcc0c4f03, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8784dba8, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1b9abb21, "vb2_queue_release" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x9915dcfb, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x14988a8f, "i2c_bit_add_bus" },
	{ 0xd5b1ae1, "v4l2_fh_del" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x9e945e89, "v4l2_fh_add" },
	{ 0x70dee27, "finish_wait" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0xd95ff598, "vb2_ops_wait_finish" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x7dbb8699, "v4l2_ctrl_handler_init_class" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x4d36b4fd, "vb2_ioctl_querybuf" },
	{ 0xbbbb5fbb, "v4l2_subdev_init" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0x33e2ed3b, "vb2_video_unregister_device" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x44db519c, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0xd4f4c9db, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe11b107f, "v4l2_ctrl_handler_log_status" },
	{ 0xe335fbe5, "v4l2_ctrl_handler_setup" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F56DCCFAC3CD63982A3DD2B");

MODULE_INFO(suserelease, "ALP-0.1");
