#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx88_video_mux, 0xc4b9633e, "");
SYMBOL_CRC(cx88_querycap, 0xcdd9dcdd, "");
SYMBOL_CRC(cx88_enum_input, 0x4aa9ec8e, "");
SYMBOL_CRC(cx88_set_freq, 0xe2bb489d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xb3dad0fc, "cx88_ir_stop" },
	{ 0xe335fbe5, "v4l2_ctrl_handler_setup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcba7930e, "video_devdata" },
	{ 0x97776218, "cx88_set_tvnorm" },
	{ 0xecdedd98, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x2e9a4f7a, "v4l2_ctrl_find" },
	{ 0x84fd7f47, "cx88_ir_start" },
	{ 0xef1286e9, "__v4l2_ctrl_s_ctrl" },
	{ 0xfcd55e0f, "vb2_plane_cookie" },
	{ 0xd4a363ba, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1a97dff0, "cx88_risc_buffer" },
	{ 0xe0f52cf6, "v4l2_fh_release" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x8751b985, "cx88_set_stereo" },
	{ 0x626e20ed, "vb2_buffer_done" },
	{ 0x195c0583, "v4l2_ctrl_subscribe_event" },
	{ 0x3587f96e, "video_unregister_device" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0xce407f2f, "i2c_new_client_device" },
	{ 0xa884f8e3, "vb2_ioctl_qbuf" },
	{ 0xa9bf84bb, "vb2_fop_mmap" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x9f565da8, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x732363ba, "vb2_fop_read" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9b7aa606, "cx88_sram_channel_dump" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xdd64e639, "strscpy" },
	{ 0xbc72ba5d, "cx88_sram_channel_setup" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x73abb9fa, "__video_register_device" },
	{ 0xfe5a9c35, "vb2_ops_wait_prepare" },
	{ 0xa336c948, "vb2_ioctl_streamon" },
	{ 0xdd47c968, "vb2_fop_poll" },
	{ 0xa9ade776, "v4l2_ctrl_new_std" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x8d65047b, "v4l2_i2c_new_subdev" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xa45ba1c3, "cx88_newstation" },
	{ 0x2ab5a1de, "v4l2_event_unsubscribe" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa5f988ba, "vb2_ioctl_reqbufs" },
	{ 0x55312d4b, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88c927f7, "vb2_dma_sg_memops" },
	{ 0x332fbbd3, "cx88_reset" },
	{ 0x443da61e, "v4l2_ctrl_poll" },
	{ 0x8784dba8, "video_ioctl2" },
	{ 0xfbec49c1, "cx88_wakeup" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x9915dcfb, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xe41a7716, "v4l2_ctrl_add_handler" },
	{ 0xc75d4ae1, "v4l2_i2c_new_subdev_board" },
	{ 0xb252451a, "cx88_set_scale" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd95ff598, "vb2_ops_wait_finish" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x88ff9f03, "cx88_shutdown" },
	{ 0x1646abab, "cx88_vdev_init" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d36b4fd, "vb2_ioctl_querybuf" },
	{ 0xac1ab7a4, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xba4e767d, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x43470ed, "cx88_core_irq" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x4584dd17, "cx88_core_get" },
	{ 0xa4a904d9, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F82C2C71A3FB5A6ED5D72C8");

MODULE_INFO(suserelease, "ALP-0.1");
