#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ivtv_ext_init, 0x589b24ff, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x7e5990d1, "");
SYMBOL_CRC(ivtv_api, 0x6af86827, "");
SYMBOL_CRC(ivtv_vapi, 0x43d469e5, "");
SYMBOL_CRC(ivtv_vapi_result, 0x546d7be8, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x42b466ba, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x21252b6d, "");
SYMBOL_CRC(ivtv_udma_setup, 0x1351692c, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x0a006d28, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x5acf9674, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x9dc41e44, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xf3065c5a, "");
SYMBOL_CRC(ivtv_firmware_check, 0x37a6dbcd, "");
SYMBOL_CRC(ivtv_claim_stream, 0x878091a0, "");
SYMBOL_CRC(ivtv_release_stream, 0x7b24dc9e, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xba5e0132, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x5549751a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x6fbdd101, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x12491d95, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe254eaeb, "v4l2_fh_is_singular" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0x195c0583, "v4l2_ctrl_subscribe_event" },
	{ 0x96eb0182, "v4l2_fh_init" },
	{ 0x4e8e43fd, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6acbae6b, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0x3587f96e, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0xcac5e378, "v4l2_event_subscribe" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x74a0444b, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x8a6a2ce6, "v4l2_device_register" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xaaa5d915, "param_ops_string" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9db96cff, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x73abb9fa, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x71e4a52a, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2c480c15, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa9ade776, "v4l2_ctrl_new_std" },
	{ 0x6959c043, "v4l2_ctrl_g_ctrl" },
	{ 0xe39ccd0, "cx2341x_handler_init" },
	{ 0xa063ad02, "cx2341x_handler_set_50hz" },
	{ 0xf2c100f0, "v4l2_ctrl_handler_free" },
	{ 0xcec559be, "v4l2_device_unregister" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x8af809a9, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd89ed020, "v4l2_subdev_call_wrappers" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x1a947be6, "v4l2_event_queue" },
	{ 0x8d65047b, "v4l2_i2c_new_subdev" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xa9959115, "video_device_release_empty" },
	{ 0xbd665e57, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xebfc4cae, "pci_write_config_dword" },
	{ 0x2ab5a1de, "v4l2_event_unsubscribe" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x38dc4914, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x74aedcde, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcc0c4f03, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8784dba8, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x14988a8f, "i2c_bit_add_bus" },
	{ 0xd5b1ae1, "v4l2_fh_del" },
	{ 0xc75d4ae1, "v4l2_i2c_new_subdev_board" },
	{ 0xb76f33d1, "kthread_flush_worker" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x9e945e89, "v4l2_fh_add" },
	{ 0x70dee27, "finish_wait" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x7dbb8699, "v4l2_ctrl_handler_init_class" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x92ce86bc, "unpin_user_pages" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x5914557e, "i2c_transfer_buffer_flags" },
	{ 0xbbbb5fbb, "v4l2_subdev_init" },
	{ 0xb192e312, "__wake_up" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0xd4f4c9db, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe11b107f, "v4l2_ctrl_handler_log_status" },
	{ 0xe335fbe5, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcba7930e, "video_devdata" },
	{ 0x39d9e1f3, "i2c_new_scanned_device" },
	{ 0x36018fda, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xb04bfd90, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xddaba837, "__free_pages" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xef1286e9, "__v4l2_ctrl_s_ctrl" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "29C7E0DF5E9B4163F46F88D");

MODULE_INFO(suserelease, "ALP-0.1");
