#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mantis_get_mac, 0x6a7dc37e, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0xdba47a44, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x6fb0cd00, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xb9daba94, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x61b852d0, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x06bca78c, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x46c32c15, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x665de23b, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0xe96108e0, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x4448c4e9, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x04374f70, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0x03132357, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x35ec41b9, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0xa0f40926, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0xe08b82bf, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0xc5892100, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x7c0271af, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x1e6afe7f, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x86ee797b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb192e312, "__wake_up" },
	{ 0x44db519c, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x5e68413f, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaab98a87, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x61121278, "dvb_ca_en50221_release" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xd8b4c43b, "rc_register_device" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x4b425066, "rc_keydown" },
	{ 0xf360b148, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x428cd474, "dvb_dmx_swfilter" },
	{ 0x24252068, "dvb_dmxdev_release" },
	{ 0xef7aadd0, "param_ops_short" },
	{ 0xaa10fa2b, "rc_free_device" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x8239c11, "dvb_frontend_detach" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9db96cff, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x9d1a0c51, "dvb_net_release" },
	{ 0x9bc6811, "dvb_ca_en50221_camready_irq" },
	{ 0x2882e0e9, "rc_allocate_device" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fee4a48, "dvb_unregister_frontend" },
	{ 0x2b9028c0, "dvb_ca_en50221_camchange_irq" },
	{ 0xa378ff4a, "i2c_transfer" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x29113f2, "dvb_register_frontend" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x726c79ce, "dvb_unregister_adapter" },
	{ 0xfb638531, "dvb_dmx_init" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6178a2f, "rc_unregister_device" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x11c0fae8, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x73cb6524, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "59E19B7E1F9F26E6B5CED32");

MODULE_INFO(suserelease, "ALP-0.1");
