#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x681886a4, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x671a3f69, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0xafb16a1f, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xd8194e96, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0xa9a931d5, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x0c1a2240, "_gpl");
SYMBOL_CRC(is_fw_load, 0x32d41e1f, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x75db66c3, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x00001dda, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x35212e06, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xb721b528, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xe3b2ada4, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x10aecf42, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0xaa07183a, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0xce5286cd, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x13772481, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x15088f1c, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xa02fc106, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0xed7a1515, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x6d2b3d12, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0xb816a9ad, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x9cc47225, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x4eac8ab9, "usb_clear_halt" },
	{ 0xb5599cfe, "usb_put_dev" },
	{ 0x9e744506, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcba7930e, "video_devdata" },
	{ 0xecdedd98, "vb2_fop_release" },
	{ 0x36018fda, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xebdc2a31, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0x34cc6af3, "media_device_register_entity" },
	{ 0x3c27b5ba, "media_device_cleanup" },
	{ 0xd4a363ba, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa3e7d1b7, "i2c_unregister_device" },
	{ 0xb55b9562, "usb_free_coherent" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x308734fa, "usb_control_msg" },
	{ 0x626e20ed, "vb2_buffer_done" },
	{ 0xa7f3dad, "vb2_plane_vaddr" },
	{ 0x195c0583, "v4l2_ctrl_subscribe_event" },
	{ 0xcdaeb160, "usb_set_interface" },
	{ 0xe6c7635c, "media_entity_pads_init" },
	{ 0x3587f96e, "video_unregister_device" },
	{ 0xce407f2f, "i2c_new_client_device" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0xa884f8e3, "vb2_ioctl_qbuf" },
	{ 0xa9bf84bb, "vb2_fop_mmap" },
	{ 0x494c5eb3, "v4l2_s_ctrl" },
	{ 0xba59d947, "i2c_mux_alloc" },
	{ 0x5a8cd4a5, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x732363ba, "vb2_fop_read" },
	{ 0x8a6a2ce6, "v4l2_device_register" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9db96cff, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2882e0e9, "rc_allocate_device" },
	{ 0x54794243, "pv_ops" },
	{ 0xf28efaf6, "usb_unlink_urb" },
	{ 0x36989e98, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x73abb9fa, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe5a9c35, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa336c948, "vb2_ioctl_streamon" },
	{ 0xd43f4a76, "v4l2_mc_create_media_graph" },
	{ 0xdd47c968, "vb2_fop_poll" },
	{ 0xe39ccd0, "cx2341x_handler_init" },
	{ 0xa063ad02, "cx2341x_handler_set_50hz" },
	{ 0xef688b40, "__media_device_usb_init" },
	{ 0xf2c100f0, "v4l2_ctrl_handler_free" },
	{ 0xa378ff4a, "i2c_transfer" },
	{ 0xcec559be, "v4l2_device_unregister" },
	{ 0x12d31221, "usb_reset_endpoint" },
	{ 0x8ce3c157, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xd89ed020, "v4l2_subdev_call_wrappers" },
	{ 0xb66a7df7, "v4l2_ctrl_log_status" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x8d65047b, "v4l2_i2c_new_subdev" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa9959115, "video_device_release_empty" },
	{ 0x8291dc12, "i2c_mux_add_adapter" },
	{ 0x6d42fbf5, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2ab5a1de, "v4l2_event_unsubscribe" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa5f988ba, "vb2_ioctl_reqbufs" },
	{ 0x55312d4b, "vb2_queue_init" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0x443da61e, "v4l2_ctrl_poll" },
	{ 0x8784dba8, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc6fd2b05, "media_device_unregister" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x9915dcfb, "vb2_ioctl_streamoff" },
	{ 0x8f64ff82, "v4l2_ctrl_radio_filter" },
	{ 0xbf6f275e, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe41a7716, "v4l2_ctrl_add_handler" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0xd95ff598, "vb2_ops_wait_finish" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0x7dbb8699, "v4l2_ctrl_handler_init_class" },
	{ 0x15ec6e2d, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ee31011, "__media_device_register" },
	{ 0x4d36b4fd, "vb2_ioctl_querybuf" },
	{ 0x5914557e, "i2c_transfer_buffer_flags" },
	{ 0xb192e312, "__wake_up" },
	{ 0xba4e767d, "v4l2_fh_open" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0830658BA95E1A247C60F4D");

MODULE_INFO(suserelease, "ALP-0.1");
