#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dvb_usbv2_probe, 0x6e6deb04, "");
SYMBOL_CRC(dvb_usbv2_disconnect, 0xcc88dc3f, "");
SYMBOL_CRC(dvb_usbv2_suspend, 0xeb660d34, "");
SYMBOL_CRC(dvb_usbv2_resume, 0x8ad53fc0, "");
SYMBOL_CRC(dvb_usbv2_reset_resume, 0xd205a505, "");
SYMBOL_CRC(dvb_usbv2_generic_rw, 0xf1a09f76, "");
SYMBOL_CRC(dvb_usbv2_generic_write, 0x74afb037, "");
SYMBOL_CRC(dvb_usbv2_generic_rw_locked, 0x79017609, "");
SYMBOL_CRC(dvb_usbv2_generic_write_locked, 0xdb5717f6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x44db519c, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x9e744506, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0x3c27b5ba, "media_device_cleanup" },
	{ 0x5e68413f, "dvb_dmx_swfilter_204" },
	{ 0xaab98a87, "dvb_dmx_release" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xd8b4c43b, "rc_register_device" },
	{ 0xf360b148, "dvb_net_init" },
	{ 0x428cd474, "dvb_dmx_swfilter" },
	{ 0x24252068, "dvb_dmxdev_release" },
	{ 0xaa10fa2b, "rc_free_device" },
	{ 0x96f31b25, "dvb_dmx_swfilter_raw" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8239c11, "dvb_frontend_detach" },
	{ 0x9db96cff, "i2c_add_adapter" },
	{ 0x9d1a0c51, "dvb_net_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2882e0e9, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1fee4a48, "dvb_unregister_frontend" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xef688b40, "__media_device_usb_init" },
	{ 0x5360f38a, "dvb_frontend_resume" },
	{ 0x29113f2, "dvb_register_frontend" },
	{ 0x5bf8d9b, "dvb_frontend_suspend" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xbb25deb7, "dvb_create_media_graph" },
	{ 0x726c79ce, "dvb_unregister_adapter" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xfb638531, "dvb_dmx_init" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x6178a2f, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x11c0fae8, "dvb_dmxdev_init" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc6fd2b05, "media_device_unregister" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ee31011, "__media_device_register" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,usbcore,mc,rc-core");


MODULE_INFO(srcversion, "9926F3EE0FC2A72E4FE49C0");

MODULE_INFO(suserelease, "ALP-0.1");
