#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_cypress_load_firmware, 0x7d1274d0, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0xbd2730db, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x073cc8d6, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0xeba23d94, "");
SYMBOL_CRC(dvb_usb_generic_write, 0xd63e661b, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0xc6ee40eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf3931d0, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ee31011, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x44db519c, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa7d2a2e3, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x4eac8ab9, "usb_clear_halt" },
	{ 0x9e744506, "usb_bulk_msg" },
	{ 0x24204c2, "input_register_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0x3c27b5ba, "media_device_cleanup" },
	{ 0x5e68413f, "dvb_dmx_swfilter_204" },
	{ 0xaab98a87, "dvb_dmx_release" },
	{ 0xb55b9562, "usb_free_coherent" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xd8b4c43b, "rc_register_device" },
	{ 0x308734fa, "usb_control_msg" },
	{ 0xf360b148, "dvb_net_init" },
	{ 0x428cd474, "dvb_dmx_swfilter" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x24252068, "dvb_dmxdev_release" },
	{ 0xaa10fa2b, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x96f31b25, "dvb_dmx_swfilter_raw" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5adf24c2, "input_event" },
	{ 0x8239c11, "dvb_frontend_detach" },
	{ 0x9db96cff, "i2c_add_adapter" },
	{ 0x9d1a0c51, "dvb_net_release" },
	{ 0x2882e0e9, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1fee4a48, "dvb_unregister_frontend" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xef688b40, "__media_device_usb_init" },
	{ 0x29113f2, "dvb_register_frontend" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xbb25deb7, "dvb_create_media_graph" },
	{ 0x726c79ce, "dvb_unregister_adapter" },
	{ 0xfb638531, "dvb_dmx_init" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6178a2f, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5fd4299f, "input_allocate_device" },
	{ 0x11c0fae8, "dvb_dmxdev_init" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc6fd2b05, "media_device_unregister" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbf6f275e, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "ALP-0.1");
