#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0xc6f3f2ae, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0xa70a4c3c, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x3b11e787, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xa2985d0b, "");
SYMBOL_CRC(mpt_halt_firmware, 0x9428fd65, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xc3b75cf0, "");
SYMBOL_CRC(mpt_attach, 0x270ce2dc, "");
SYMBOL_CRC(mpt_detach, 0x63aef463, "");
SYMBOL_CRC(mpt_resume, 0x790a1c66, "");
SYMBOL_CRC(mpt_suspend, 0xa8d2a290, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0xe7ad3fa9, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x611199a0, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x67de05af, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x7a9fb346, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xaeeae9e3, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xd85c91f8, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x62307995, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x800c7e02, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x73d3cc23, "");
SYMBOL_CRC(mpt_verify_adapter, 0x53363016, "");
SYMBOL_CRC(mpt_GetIocState, 0xc3f0c10c, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0xdebfe9f6, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x9e9cc20c, "");
SYMBOL_CRC(mpt_config, 0xbc99041a, "");
SYMBOL_CRC(mpt_findImVolumes, 0x8ae18e11, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x921c785b, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x20158859, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xbbbea417, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x9f4eab41, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x754d539c, "strlen" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0x262c9f86, "pci_stop_and_remove_bus_device_locked" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfa31095d, "pci_select_bars" },
	{ 0x307ead6c, "pci_enable_device_mem" },
	{ 0xd3ceb354, "pci_request_selected_regions" },
	{ 0xf74ef68d, "dma_get_required_mask" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xf1d69955, "pci_release_selected_regions" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0xa50c20a5, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xf2766c7c, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x54fe8d0d, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9a70d708, "pci_disable_msi" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0x67a8f7b6, "pci_set_power_state" },
	{ 0xaee5396, "proc_mkdir" },
	{ 0x5ac181d5, "proc_create_single_data" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0xfc02f0f0, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0xab01938b, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0x71e4a52a, "pci_write_config_byte" },
	{ 0xd00cffc8, "pci_get_slot" },
	{ 0x2b599ded, "pci_dev_put" },
	{ 0xaf520331, "pci_enable_wake" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x2c69f35e, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "49188D2294F61ABCE9750C6");

MODULE_INFO(suserelease, "ALP-0.1");
