#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb1e2920, "request_partial_firmware_into_buf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9e44b870, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x7589e618, "__tty_alloc_driver" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0x9628b40f, "tty_unregister_driver" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x1446db0, "pci_ioremap_bar" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0xae29d8b2, "panic_notifier_list" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x59e9dd35, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1af98032, "devm_free_irq" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0xddaba837, "__free_pages" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc409752e, "tty_port_unregister_device" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x6915a6e9, "kill_pid" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x8260a2dd, "tty_port_destroy" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xcfabb9f6, "tty_port_init" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2de3dc67, "pci_iounmap" },
	{ 0x36ca56a9, "__tty_insert_flip_char" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x50d81800, "misc_register" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x716f5083, "atomic_notifier_chain_unregister" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xdb1b7aea, "tty_register_driver" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0x545fdb70, "tty_port_register_device_attr" },
	{ 0xb6f35a4d, "pci_dev_get" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xabc1e259, "pci_disable_msix" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x11d7aab4, "find_vpid" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x59e808bd, "_dev_crit" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x599666ed, "tty_driver_kref_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x8bc61e8e, "pcie_capability_read_word" },
	{ 0x466536, "get_user_pages_fast" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7a9edae6, "misc_deregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2b599ded, "pci_dev_put" },
	{ 0x974f3e8e, "tty_flip_buffer_push" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x9a70d708, "pci_disable_msi" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00005E87sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8A10BC76CF863ABAC968D28");

MODULE_INFO(suserelease, "ALP-0.1");
