#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mei_me_irq_quick_handler, 0x922c6ae5, "_gpl");
SYMBOL_CRC(mei_me_irq_thread_handler, 0xd0eef98f, "_gpl");
SYMBOL_CRC(mei_me_polling_thread, 0x051f202c, "_gpl");
SYMBOL_CRC(mei_me_get_cfg, 0x6124acbd, "_gpl");
SYMBOL_CRC(mei_me_dev_init, 0xdddd7e50, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f9fb35e, "pci_bus_read_config_dword" },
	{ 0x4dbd69cc, "mei_deregister" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xec19fce5, "mei_cancel_work" },
	{ 0x5a9d9b29, "mei_irq_read_handler" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6aae9503, "pcim_iomap_regions" },
	{ 0xb387ed0d, "mei_stop" },
	{ 0x38d76672, "mei_register" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xab01938b, "pci_enable_msi" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xf09eefcc, "__tracepoint_mei_reg_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbb25295, "__SCT__tp_func_mei_reg_write" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x2a8ccea8, "__SCK__tp_func_mei_pci_cfg_read" },
	{ 0xc2c84900, "pm_runtime_allow" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6e530b3e, "mei_irq_compl_handler" },
	{ 0xfa0626a, "mei_hbm_pg_resume" },
	{ 0xaddf35cf, "__tracepoint_mei_reg_write" },
	{ 0x4ea28a58, "mei_restart" },
	{ 0x7ac43e, "__SCK__tp_func_mei_reg_write" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x35915079, "__tracepoint_mei_pci_cfg_read" },
	{ 0xdd269f96, "pcim_iomap_table" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0xe87d5fee, "__pm_runtime_use_autosuspend" },
	{ 0x51e41e54, "mei_device_init" },
	{ 0xf6df2f50, "mei_write_is_idle" },
	{ 0x2e48e8a6, "pcim_enable_device" },
	{ 0xadac5e69, "mei_irq_write_handler" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x14dc7949, "__SCT__tp_func_mei_pci_cfg_read" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1785c752, "dev_pm_domain_set" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3b0a488d, "__SCT__tp_func_mei_reg_read" },
	{ 0x32e758a6, "__SCK__tp_func_mei_reg_read" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0x70dee27, "finish_wait" },
	{ 0x90a24af4, "mei_fw_status2str" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x9a70d708, "pci_disable_msi" },
	{ 0x1ed91b86, "mei_start" },
	{ 0x5f64bfcb, "mei_cl_all_disconnect" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb192e312, "__wake_up" },
	{ 0x25773cd1, "mei_hbm_pg" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mei");

MODULE_ALIAS("pci:v00008086d00002974sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002984sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002994sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A04sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A14sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000029F4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000028F4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A54sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A64sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002A74sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E04sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E14sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E24sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002E34sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B64sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003B65sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001C3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001D3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001E3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001CBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001DBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008C3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008D3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008CBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009CBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009CBBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D3Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D3Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D3Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A13Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A13Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A1BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001A9Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A9Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000019E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000319Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A2BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A2BBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A2BEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DE0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DE4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A364sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000038E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A0E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000043E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DE0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B75sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000018D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001BE0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007AE8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A60sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054E0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A68sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007E70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F68sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007770sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A870sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C485BE00D91DC4918D1EF0C");

MODULE_INFO(suserelease, "ALP-0.1");
