#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0xec19fce5, "_gpl");
SYMBOL_CRC(mei_reset, 0x30060b0d, "_gpl");
SYMBOL_CRC(mei_start, 0x1ed91b86, "_gpl");
SYMBOL_CRC(mei_restart, 0x4ea28a58, "_gpl");
SYMBOL_CRC(mei_stop, 0xb387ed0d, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0xf6df2f50, "_gpl");
SYMBOL_CRC(mei_device_init, 0x51e41e54, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0x25773cd1, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0x0fa0626a, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x6e530b3e, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0x5a9d9b29, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0xadac5e69, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0x5f64bfcb, "_gpl");
SYMBOL_CRC(mei_register, 0x38d76672, "_gpl");
SYMBOL_CRC(mei_deregister, 0x4dbd69cc, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0xed25bfd8, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag_timeout, 0x4432811c, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0xc5356042, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0x7285de25, "_gpl");
SYMBOL_CRC(mei_cldev_recv_timeout, 0xa6a81259, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag_timeout, 0xad3461ab, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0x35790ff1, "_gpl");
SYMBOL_CRC(mei_cldev_send_timeout, 0x98c9b6c3, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x48d56cdf, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0xb4218a54, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0x125a43ed, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0x5c9fab42, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x49f21f23, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0x9879052e, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x521f38a7, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0x84bb6a86, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0x2561cf30, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0xc83ec48c, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0xdd92c004, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0xd2ab430c, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0xa3f2b8ab, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0x7f7ec2be, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0xf50bed8b, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0x1453d8cd, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0xf09eefcc, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0xcf4e8225, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x32e758a6, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0xaddf35cf, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0x0829f671, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0x007ac43e, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0x35915079, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x83801473, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0x2a8ccea8, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x79bab3b3, "debugfs_write_file_bool" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7f71c733, "compat_ptr_ioctl" },
	{ 0xf6a011d3, "cdev_add" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xe915fae4, "down_write" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x4a85cca8, "up_write" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0x97e846ac, "device_add" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xdab39dd0, "fasync_helper" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x686cbe9f, "device_del" },
	{ 0xd6a50f9c, "dmam_free_coherent" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b9fd28a, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe86db549, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xdb92eeae, "nonseekable_open" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7530ca5e, "device_create_with_groups" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14f17223, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x77aba229, "seq_puts" },
	{ 0x3d60d0b7, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0xd24f7408, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xe0b3d283, "single_open" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xf9827e8f, "generic_file_llseek" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc662d63f, "class_register" },
	{ 0xbda36c7, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xce5588b6, "cdev_del" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x99b2a14a, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5bf5222a, "dmam_alloc_attrs" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xaacc87d7, "kill_fasync" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc38d945e, "debugfs_read_file_bool" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x64f524b1, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3D6EADB593C3059338FD324");

MODULE_INFO(suserelease, "ALP-0.1");
