#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mmc_command_done, 0x445a9b4b, "");
SYMBOL_CRC(mmc_request_done, 0xab003540, "");
SYMBOL_CRC(mmc_start_request, 0x9f79b964, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x8b91be83, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x0514a2b1, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x6f398c33, "");
SYMBOL_CRC(mmc_cqe_post_req, 0xc9a599c6, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x16e28386, "");
SYMBOL_CRC(mmc_is_req_done, 0xc98ea396, "");
SYMBOL_CRC(mmc_wait_for_req, 0x3217aedb, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x3dfe31b2, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x541f3898, "");
SYMBOL_CRC(__mmc_claim_host, 0xf23298bf, "");
SYMBOL_CRC(mmc_release_host, 0x912161c8, "");
SYMBOL_CRC(mmc_get_card, 0x77824eff, "");
SYMBOL_CRC(mmc_put_card, 0x63204ec8, "");
SYMBOL_CRC(mmc_detect_change, 0x75e77606, "");
SYMBOL_CRC(mmc_erase, 0x5ba23778, "");
SYMBOL_CRC(mmc_can_erase, 0xe1a66f50, "");
SYMBOL_CRC(mmc_can_trim, 0x51396f72, "");
SYMBOL_CRC(mmc_can_discard, 0xe833f83c, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x2368f1fe, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x82d1ccce, "");
SYMBOL_CRC(mmc_calc_max_discard, 0xf5b44861, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x10721961, "");
SYMBOL_CRC(mmc_set_blocklen, 0x28eb5fac, "");
SYMBOL_CRC(mmc_hw_reset, 0x00371ac6, "");
SYMBOL_CRC(mmc_sw_reset, 0xdb440caf, "");
SYMBOL_CRC(mmc_detect_card_removed, 0xaf1cfbfe, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0xb6ec34b0, "");
SYMBOL_CRC(mmc_register_driver, 0xffc0b904, "");
SYMBOL_CRC(mmc_unregister_driver, 0xa7f17e62, "");
SYMBOL_CRC(mmc_retune_pause, 0x0aa36ff2, "");
SYMBOL_CRC(mmc_retune_unpause, 0x28cf2ddf, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x434e5a39, "");
SYMBOL_CRC(mmc_retune_release, 0xd7698c5a, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0xc9c71d8c, "");
SYMBOL_CRC(mmc_of_parse, 0x35e00d27, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x87369c15, "");
SYMBOL_CRC(mmc_alloc_host, 0x3ffb13ea, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x7f92e548, "");
SYMBOL_CRC(mmc_add_host, 0xa8d2a71d, "");
SYMBOL_CRC(mmc_remove_host, 0x0788d40e, "");
SYMBOL_CRC(mmc_free_host, 0xee9f510f, "");
SYMBOL_CRC(__mmc_send_status, 0x5a3251c9, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xe3882171, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x0a416854, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x454d9de3, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x93356001, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0xa16d53d7, "_gpl");
SYMBOL_CRC(mmc_switch, 0xa49e091a, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x36b520cd, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x45096c19, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0xc9f7ccb3, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xc8ff969a, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x63de1077, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x41800adb, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xfdcd9bd8, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x1e2d4463, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0xd1b58564, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0xa517aef9, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x33189245, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x41c3b39c, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0x4da962ea, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x03d923e6, "_gpl");
SYMBOL_CRC(sdio_align_size, 0xe73e7574, "_gpl");
SYMBOL_CRC(sdio_readb, 0x62fc34f0, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x9577ceeb, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x730c1697, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0xc6b505c7, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x705c6625, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x26e3035f, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x578e9705, "_gpl");
SYMBOL_CRC(sdio_readw, 0x6e89fb92, "_gpl");
SYMBOL_CRC(sdio_writew, 0x0cbeb11d, "_gpl");
SYMBOL_CRC(sdio_readl, 0x0ba57d23, "_gpl");
SYMBOL_CRC(sdio_writel, 0xe0e2d7da, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x31aef729, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0xc5a6eaf8, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x588b7c8d, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x91790dc4, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0x752f0b4f, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0xcb97399f, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0xe72160d2, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0xba240e3d, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x344ef87b, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0x30aebf4d, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x6894d79f, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x71bf00aa, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x53ef04dc, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x0d617726, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xe2ea31ce, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0xfc012529, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x94c7fc3f, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x747d8b1e, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0x65fdb695, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x87e7ee30, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0xcbe78cdc, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x0fa5d23a, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x87ad705c, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x7007b1c7, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x2ed1267f, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0xf84ec4eb, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x70b03a09, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0xe262beb8, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0x240d0423, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97e846ac, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0x3f266db1, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x77e713eb, "__devres_alloc_node" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf48c133e, "devm_gpiod_get_index" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x686cbe9f, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x36b375a, "regulator_count_voltages" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xd5638636, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x57b9dae6, "regulator_is_supported_voltage" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4ac9dcd7, "gpiod_cansleep" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0xcdf06bdb, "gpiod_is_active_low" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0x6818bf0e, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x30f711c, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x5af8a8ea, "regulator_disable" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0x5acef8b2, "set_primary_fwnode" },
	{ 0xe2e6de11, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0xe0b3d283, "single_open" },
	{ 0x2ea9416e, "gpiod_set_consumer_name" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x738bfea8, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x47f67f15, "driver_register" },
	{ 0xc662d63f, "class_register" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4053333a, "__dev_fwnode" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6875eed4, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0xcc6600d0, "regulator_enable" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x98c178d2, "completion_done" },
	{ 0x155c0846, "device_property_present" },
	{ 0xba14b308, "blk_crypto_reprogram_all_keys" },
	{ 0xa036ca2, "wakeup_source_register" },
	{ 0xb11cf891, "is_acpi_device_node" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x7982a839, "led_trigger_register_simple" },
	{ 0xb39946c8, "device_initialize" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xbeb5e1b9, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x394928e9, "gpiod_toggle_active_low" },
	{ 0x2b8548c2, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x91375553, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x38e650cd, "led_trigger_unregister_simple" },
	{ 0xb192e312, "__wake_up" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xa1060e6e, "sched_set_fifo_low" },
	{ 0xd2df1afb, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x157c2e36, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x58835cde, "pm_generic_runtime_resume" },
	{ 0x41976a9e, "pm_generic_resume" },
	{ 0x10b6c498, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x2c0319c2, "pm_wakeup_ws_event" },
	{ 0x45733bfa, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0x72e10b8, "blk_crypto_register" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x7f410367, "acpi_find_child_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x335396f1, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x28b356a3, "gpiod_set_debounce" },
	{ 0x185d345f, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3ac52e68, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x4c007bce, "pm_generic_suspend" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x3e1121e6, "debugfs_create_file_unsafe" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C51A8F9ACB067ABAE03817B");

MODULE_INFO(suserelease, "ALP-0.1");
