#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mtd_table_mutex, 0xa5ce4c65, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xe3878ac6, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x3e59cd99, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x08a613b7, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x97b57c7a, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x02725362, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x475fbe17, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xf3e4a11d, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x3e6b9b6a, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x40f24c73, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x9567bef8, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x9eae340f, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x5f56c47e, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xd875f102, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x6ea7005a, "_gpl");
SYMBOL_CRC(mtd_erase, 0xdbd7d2a8, "_gpl");
SYMBOL_CRC(mtd_point, 0x62106c10, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xd55ea09f, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x747990e1, "_gpl");
SYMBOL_CRC(mtd_read, 0xd7011bc0, "_gpl");
SYMBOL_CRC(mtd_write, 0x409b8b7e, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xa0ab1090, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x6aef65e5, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x1cbe1906, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xe26a69bb, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x2e741a48, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0xb21b85d3, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xf7d35506, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0xfb3befda, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0xf4ed5b16, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x5d1d42d5, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x646dc04c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xda297172, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0xc74df85e, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0xf0937582, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x0146f91d, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0xf74b84b8, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x855a81c9, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xa395b482, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xf6ef74da, "_gpl");
SYMBOL_CRC(mtd_lock, 0xac4d97dd, "_gpl");
SYMBOL_CRC(mtd_unlock, 0xe42d012d, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x3d9903b7, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x6a70937c, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xef54be0d, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x2b9dd10a, "_gpl");
SYMBOL_CRC(mtd_writev, 0xd461cf6d, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x15b20ee6, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x8c6924c3, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x8dc2b2d8, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x1cbf6255, "");
SYMBOL_CRC(mtd_concat_destroy, 0x073938c9, "");
SYMBOL_CRC(mtd_add_partition, 0xbd72d9f3, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x8c446fe3, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xe5820e2b, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x543e0136, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x912edc17, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57de8c7a, "device_create" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x66360e70, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0x124996aa, "bdi_alloc" },
	{ 0x28c1b486, "device_register" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6db05fa7, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x14f17223, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x71928e91, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xca26ccb1, "lockref_get" },
	{ 0x50ebb437, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x77aba229, "seq_puts" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x5ac181d5, "proc_create_single_data" },
	{ 0x5b69fc29, "nvmem_register" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc662d63f, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8166c779, "generic_shutdown_super" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7e6c27af, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x51b5e0ec, "bdi_unregister" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4e36f8d9, "bdi_register" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0xf7ac08ea, "sget_fc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e66092c, "logfc" },
	{ 0x7776cd4, "sysfs_remove_files" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb8211c1f, "bdi_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6e2f408a, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91a2f9da, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x6b7e3bad, "debugfs_create_bool" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2550CE93E4152FBFAA60C44");

MODULE_INFO(suserelease, "ALP-0.1");
