#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0xc3241c49, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0xc086bb69, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x32b1822d, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x4c884acf, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0xe3b512c1, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x38df5581, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x31015695, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x677450f8, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x3f48e298, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x0cdd7033, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0xa1659159, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x30f38e69, "_gpl");
SYMBOL_CRC(nand_status_op, 0xccc81c30, "_gpl");
SYMBOL_CRC(nand_erase_op, 0xd81f054a, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x689d85c6, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xb944c64c, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x214c5313, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0xbaeb8da6, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x34b4ad22, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x9cc180ad, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x5c8ba04d, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0x04a4f567, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x38e340a9, "");
SYMBOL_CRC(nand_write_oob_std, 0x6475428a, "");
SYMBOL_CRC(nand_write_page_raw, 0x683f7a12, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x083d77dd, "");
SYMBOL_CRC(nand_decode_ext_id, 0xd259f155, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0xe13fa2a9, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0xbfba77d1, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0xace620d8, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x1b8b9f33, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x1ef9b959, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0xe5d70da7, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x95c41bca, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x358d3679, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x792ed7c4, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x0d160d70, "");
SYMBOL_CRC(nand_cleanup, 0x3b2dc397, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x7d6cc598, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x736759ea, "");
SYMBOL_CRC(nand_create_bbt, 0xb59e97b6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb21b85d3, "mtd_ooblayout_find_eccregion" },
	{ 0xf4ed5b16, "mtd_ooblayout_get_databytes" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xf7d35506, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa8aac22d, "nanddev_mtd_max_bad_blocks" },
	{ 0xb8ee2dc1, "nand_ecc_sw_bch_calculate" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x6875eed4, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6aef65e5, "mtd_read_oob" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x1d7333db, "gpiod_count" },
	{ 0x2ad82db, "nanddev_cleanup" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3183faf, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9d0e5c2e, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x45a24ed7, "gpiod_get_index_optional" },
	{ 0xa1327422, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xc07b69c8, "nanddev_init" },
	{ 0x798dbf88, "nand_ecc_sw_bch_correct" },
	{ 0xed85cb5c, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0xfb3befda, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3151bc33, "nand_ecc_sw_hamming_calculate" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1d0c855, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x8dcce7f4, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x163b57f7, "nand_ecc_is_strong_enough" },
	{ 0x1cbe1906, "mtd_write_oob" },
	{ 0x43a7d6f3, "nand_get_small_page_ooblayout" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xa282de7b, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd7011bc0, "mtd_read" },
	{ 0x646dc04c, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5d1d42d5, "mtd_ooblayout_set_databytes" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "33E639D922FC8A24AAC026F");

MODULE_INFO(suserelease, "ALP-0.1");
