#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e228faa, "gro_cells_init" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8e6896bd, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x354e16ad, "security_sk_classify_flow" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x610b0c07, "skb_put" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x43628b2c, "skb_checksum" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x66ddef6c, "ip_local_out" },
	{ 0x8c166e37, "__ip_select_ident" },
	{ 0xcb71f293, "dst_release" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x7babfe78, "ipv6_mc_check_mld" },
	{ 0x9fc0bb84, "ip_mc_check_igmp" },
	{ 0x9dc5669, "udp_tunnel_xmit_skb" },
	{ 0x1d7e311a, "skb_copy_expand" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x6dc9aaa2, "__iptunnel_pull_header" },
	{ 0xe17fb1a3, "gro_cells_receive" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x56d399d, "icmp_ndo_send" },
	{ 0xa158899b, "ipv6_dev_get_saddr" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x409955c6, "__netif_rx" },
	{ 0x358fc257, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0xd50f677f, "netdev_upper_dev_unlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x98582421, "dev_get_by_index" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0xd7133732, "netdev_upper_dev_link" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x761ff712, "udp_tunnel_sock_release" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92997ed8, "_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb0f402b7, "udp_sock_create4" },
	{ 0x76fdef71, "setup_udp_tunnel_sock" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x7a730f35, "ether_setup" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel");


MODULE_INFO(srcversion, "6731D473FBA41ECA0A2DFF9");

MODULE_INFO(suserelease, "ALP-0.1");
