#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(b53_imp_vlan_setup, 0x822411f0, "");
SYMBOL_CRC(b53_enable_port, 0xdbeeb01d, "");
SYMBOL_CRC(b53_disable_port, 0x68e3fb38, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x5da23e15, "");
SYMBOL_CRC(b53_configure_vlan, 0x30503b58, "");
SYMBOL_CRC(b53_get_strings, 0x3d908383, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0xb489a918, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0xbe86030c, "");
SYMBOL_CRC(b53_get_sset_count, 0x88624c7e, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x6ecf2898, "");
SYMBOL_CRC(b53_port_event, 0xeca9eba1, "");
SYMBOL_CRC(b53_phylink_mac_config, 0xab8b502f, "");
SYMBOL_CRC(b53_phylink_mac_link_down, 0x2612c029, "");
SYMBOL_CRC(b53_phylink_mac_link_up, 0xbf0953db, "");
SYMBOL_CRC(b53_vlan_filtering, 0xa4ad3d2d, "");
SYMBOL_CRC(b53_vlan_add, 0x30cd0a23, "");
SYMBOL_CRC(b53_vlan_del, 0x07921e2a, "");
SYMBOL_CRC(b53_fdb_add, 0xcbe37326, "");
SYMBOL_CRC(b53_fdb_del, 0xcefb4350, "");
SYMBOL_CRC(b53_fdb_dump, 0xcde05628, "");
SYMBOL_CRC(b53_mdb_add, 0x6d85bbcd, "");
SYMBOL_CRC(b53_mdb_del, 0x45858bf9, "");
SYMBOL_CRC(b53_br_join, 0x1cfba46c, "");
SYMBOL_CRC(b53_br_leave, 0xe9687ff9, "");
SYMBOL_CRC(b53_br_set_stp_state, 0x11f2d9d5, "");
SYMBOL_CRC(b53_br_fast_age, 0x8a07a878, "");
SYMBOL_CRC(b53_br_flags_pre, 0x66582f20, "");
SYMBOL_CRC(b53_br_flags, 0xe78da4f3, "");
SYMBOL_CRC(b53_get_tag_protocol, 0x8b808798, "");
SYMBOL_CRC(b53_mirror_add, 0x7837f93b, "");
SYMBOL_CRC(b53_mirror_del, 0x20bae54c, "");
SYMBOL_CRC(b53_eee_enable_set, 0x4c734c65, "");
SYMBOL_CRC(b53_eee_init, 0xe1fd0c19, "");
SYMBOL_CRC(b53_get_mac_eee, 0x13505bed, "");
SYMBOL_CRC(b53_set_mac_eee, 0x4f72b937, "");
SYMBOL_CRC(b53_switch_alloc, 0x808551f1, "");
SYMBOL_CRC(b53_switch_detect, 0x406697c6, "");
SYMBOL_CRC(b53_switch_register, 0x47691e23, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xba9b24a5, "dsa_devlink_resources_unregister" },
	{ 0xc0b61547, "dsa_devlink_resource_register" },
	{ 0xe2717fd2, "dsa_devlink_resource_occ_get_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xdcc625fb, "mdiobus_get_phy" },
	{ 0x7aa2e94a, "phy_ethtool_get_stats" },
	{ 0xc2c17c95, "phy_ethtool_get_sset_count" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb2ea8ece, "phy_ethtool_get_strings" },
	{ 0x72c2c9f2, "dsa_port_phylink_mac_change" },
	{ 0x7306cbdd, "phy_init_eee" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x915bb068, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x2cb244f5, "gpio_to_desc" },
	{ 0x8d7d3a08, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "D27254F7E47886E2FBD1823");

MODULE_INFO(suserelease, "ALP-0.1");
