#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ksz_switch_chips, 0x25f072dc, "_gpl");
SYMBOL_CRC(ksz_switch_alloc, 0xbe2039c3, "");
SYMBOL_CRC(ksz_switch_register, 0x9e570031, "");
SYMBOL_CRC(ksz_switch_remove, 0x295319f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x517908f7, "skb_complete_tx_timestamp" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3dffd54d, "dsa_unregister_switch" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbbd31cad, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x3189b3c8, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x618a2c06, "ptp_clock_unregister" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0xb79581b9, "regmap_bulk_write" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6d4f211f, "regmap_bulk_read" },
	{ 0x2c23d900, "irq_create_mapping_affinity" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x40466fb0, "irq_domain_create_simple" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x54ab2ad8, "regmap_update_bits_base" },
	{ 0xa54f38f5, "ptp_schedule_worker" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x12ece020, "irq_domain_xlate_twocell" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0xffd0016c, "handle_level_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xab0aacd8, "skb_clone_sk" },
	{ 0x940894ee, "dsa_enqueue_skb" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x660e15cb, "irq_domain_remove" },
	{ 0xfe8f3ceb, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xcc25611c, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x915bb068, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf2b3f5cd, "ptp_find_pin" },
	{ 0xe9d0805e, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc2a5543a, "irq_set_chip_and_handler_name" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x3551bbc0, "ptp_classify_raw" },
	{ 0x7a550369, "ptp_cancel_worker_sync" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x20bf11a6, "ptp_clock_register" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "dsa_core");


MODULE_INFO(srcversion, "A872E35C2E03F8810EB9FC9");

MODULE_INFO(suserelease, "ALP-0.1");
