#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(pdsc_get_pf_struct, 0x795d9106, "_gpl");
SYMBOL_CRC(pds_client_register, 0x17cefe8c, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0x9f5677ab, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x7f22b2da, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x61fdbd61, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xb7809365, "devl_lock" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd4d57ab8, "debugfs_create_u16" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xebd69e83, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e0e4b06, "devlink_alloc_ns" },
	{ 0x49925a88, "pci_sriov_get_totalvfs" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x4f2b1749, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbc6714aa, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6aed0ad, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xee15cc82, "priv_to_devlink" },
	{ 0xf9f1484f, "blocking_notifier_call_chain" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a7e32db, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xda10f3eb, "debugfs_create_regset32" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf670f88d, "devl_health_reporter_create" },
	{ 0x3d2c97c5, "pci_iov_vf_id" },
	{ 0xf43ac02b, "pci_clear_master" },
	{ 0x9a9f14e9, "pci_iomap_range" },
	{ 0x34b02ef4, "devlink_flash_update_timeout_notify" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x8231185e, "init_net" },
	{ 0x6b7e3bad, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x38901e36, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xad619d98, "devl_params_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x65ad72b2, "debugfs_create_ulong" },
	{ 0x2de3dc67, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x686cbe9f, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5222aa39, "debugfs_create_u32" },
	{ 0x41e9ac4a, "devl_params_unregister" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x396dee0c, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x50c9e559, "blocking_notifier_chain_unregister" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x6818bf0e, "debugfs_create_x32" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0xab5f20df, "pcie_print_link_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0x489954d1, "devlink_priv" },
	{ 0xffaafe79, "pci_disable_sriov" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x77aba229, "seq_puts" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xe0b3d283, "single_open" },
	{ 0xda45d902, "devl_register" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0xd7b10234, "pci_enable_sriov" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb836aec0, "pci_iov_get_pf_drvdata" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x602d2f88, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf681f7ef, "auxiliary_device_init" },
	{ 0x6a5a421d, "pci_iomap" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E24848224CC34FC22A3A3CF");

MODULE_INFO(suserelease, "ALP-0.1");
