#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0xe57d9e9c, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x3af712b9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xa5536872, "napi_enable" },
	{ 0xfe3aa697, "netif_receive_skb" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0xb0d67956, "netif_set_xps_queue" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2de3dc67, "pci_iounmap" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x3bb66c, "devm_hwmon_device_register_with_groups" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x3bde3015, "netif_tx_lock" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xaf520331, "pci_enable_wake" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x619dc912, "skb_clone" },
	{ 0xc3aa5c06, "__hw_addr_sync_dev" },
	{ 0xffaafe79, "pci_disable_sriov" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0xabc1e259, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x183c745, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x1c4bb9ab, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0xd7b10234, "pci_enable_sriov" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xebfc4cae, "pci_write_config_dword" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb2fb0ed2, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x92f08eac, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf9817ee, "param_ops_ushort" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x6a5a421d, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xa5fb0b99, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c8033ab, "ndo_dflt_bridge_getlink" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0xb2f0bccc, "napi_get_frags" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xed7662bc, "pci_num_vf" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x38539737, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x49925a88, "pci_sriov_get_totalvfs" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x808f971, "udp_tunnel_nic_ops" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0x172eb0b5, "netif_tx_unlock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0xc94fee39, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0xc2fb66b4, "__hw_addr_unsync_dev" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xb08a7120, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8727726c, "netif_set_real_num_tx_queues" },
	{ 0xbf37a6fe, "netif_set_real_num_rx_queues" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CDBC9FBDC93D00C793B25C6");

MODULE_INFO(suserelease, "ALP-0.1");
