#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(prestera_device_register, 0xd5ecd590, "");
SYMBOL_CRC(prestera_device_unregister, 0x053a7e00, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd341475, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x99dd3bd2, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xee15cc82, "priv_to_devlink" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x71ad338d, "switchdev_bridge_port_offload" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x5c6a6956, "flow_block_cb_incref" },
	{ 0x6151dcec, "flow_rule_match_ports_range" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xef9b7f4c, "free_fib_info" },
	{ 0xb815aef8, "flow_rule_match_basic" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xf4d57362, "vlan_dev_real_dev" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0xf8d1c477, "devlink_port_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x8231185e, "init_net" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x3d2f3037, "flow_block_cb_decref" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xa5536872, "napi_enable" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0x84cf330f, "unregister_fib_notifier" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x18cce0d3, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x5e593901, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2dd2d70f, "idr_alloc_cyclic" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x937ff5aa, "rhashtable_free_and_destroy" },
	{ 0x9068a6b0, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xbf2dad4a, "flow_rule_match_ports" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc8d339e5, "rhashtable_destroy" },
	{ 0x53179ec7, "devlink_trap_report" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfe8dd747, "__neigh_event_send" },
	{ 0x6267d8d4, "flow_block_cb_alloc" },
	{ 0xf4b093ad, "switchdev_handle_port_obj_add" },
	{ 0xf96a91b2, "fib_alias_hw_flags_set" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1b67b5bf, "__neigh_create" },
	{ 0x9d491a51, "netdev_walk_all_upper_dev_rcu" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5cddbfe1, "neigh_destroy" },
	{ 0xcfdea1c8, "br_multicast_enabled" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x261b76d8, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x13a24664, "netdev_master_upper_dev_get_rcu" },
	{ 0xa55eae09, "devlink_traps_register" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x168ff8a7, "radix_tree_tagged" },
	{ 0xbf4d09e2, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x43138985, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x489954d1, "devlink_priv" },
	{ 0xd957f9e0, "devlink_port_register_with_ops" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0x4c5236e1, "netdev_has_any_upper_dev" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xbbeffd07, "devlink_trap_groups_register" },
	{ 0xb2eaafe4, "arp_tbl" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0x1ae349c7, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x42648b0b, "netdev_walk_all_lower_dev" },
	{ 0x316f68d6, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0xe4463d9c, "__fib_lookup" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x91782b90, "devlink_trap_groups_unregister" },
	{ 0xe8986ed5, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x5c0caa1d, "rhashtable_walk_exit" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x2ab6f7f, "init_dummy_netdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xdb49dc67, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0xd3106468, "netdev_lower_get_next" },
	{ 0x70d6a353, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x622df441, "br_vlan_enabled" },
	{ 0xb2fb0ed2, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xeae6ce3b, "devlink_unregister" },
	{ 0xe14d67e8, "dma_pool_create" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x610b0c07, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4036c307, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xe93f0c72, "register_fib_notifier" },
	{ 0x7253c9e9, "l3mdev_fib_table_rcu" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5b0e31b4, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x4a447f0e, "flow_rule_match_eth_addrs" },
	{ 0x9e0bb333, "devlink_port_attrs_set" },
	{ 0xf881585, "flow_block_cb_priv" },
	{ 0xcc154404, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e0e4b06, "devlink_alloc_ns" },
	{ 0x62cf1e6c, "devlink_register" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x4f2b1749, "devlink_free" },
	{ 0x47a37274, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xde276760, "netdev_warn" },
	{ 0x9591a174, "flow_rule_match_ipv4_addrs" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0x8822092b, "rhashtable_walk_enter" },
	{ 0xa1be7fa1, "fib_table_lookup" },
	{ 0x473f8047, "skb_pull_rcsum" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0xf68b22c3, "switchdev_handle_port_attr_set" },
	{ 0xcdb65f6f, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "8ABF5DC680D6AC3C3E75CC1");

MODULE_INFO(suserelease, "ALP-0.1");
