#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ks8851_suspend, 0x0b1ff495, "_gpl");
SYMBOL_CRC(ks8851_resume, 0x6c17b213, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0xf0a52a90, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0x8a86fb7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfe8f3ceb, "gpiod_set_value_cansleep" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x25cb3734, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2345295e, "__mdiobus_register" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0xf84a804a, "mdiobus_free" },
	{ 0x5af8a8ea, "regulator_disable" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xbab55129, "netdev_err" },
	{ 0x1e32af00, "netdev_info" },
	{ 0x74769b9a, "mdiobus_unregister" },
	{ 0xde276760, "netdev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x610b0c07, "skb_put" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xd42374b3, "mii_check_link" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0xe6fbd014, "generic_mii_ioctl" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xfd50df18, "mii_ethtool_set_link_ksettings" },
	{ 0x846ea8e5, "mii_ethtool_get_link_ksettings" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0xcd22848c, "mii_link_ok" },
	{ 0x494cf3b, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0x2ea9416e, "gpiod_set_consumer_name" },
	{ 0xebe04dc9, "devm_regulator_get" },
	{ 0xcc6600d0, "regulator_enable" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libphy,mii,eeprom_93cx6");


MODULE_INFO(srcversion, "44111B8BEBE190F6978715B");

MODULE_INFO(suserelease, "ALP-0.1");
