#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mana_gd_send_request, 0x04d186fe, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0x75354f8a, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0x2d6df8f0, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x6f7c5659, "");
SYMBOL_CRC(mana_gd_register_device, 0x17515909, "");
SYMBOL_CRC(mana_gd_deregister_device, 0xb76e3e1b, "");
SYMBOL_CRC(mana_uncfg_vport, 0x61036534, "");
SYMBOL_CRC(mana_cfg_vport, 0x468e8fb0, "");
SYMBOL_CRC(mana_create_wq_obj, 0xedd07477, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x876914da, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xd635a603, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3d735329, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xf6867780, "napi_gro_receive" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x9c7249bd, "__skb_get_hash" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x20c37fd0, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8727726c, "netif_set_real_num_tx_queues" },
	{ 0x38901e36, "__auxiliary_device_add" },
	{ 0xbf37a6fe, "netif_set_real_num_rx_queues" },
	{ 0x32a460e8, "down" },
	{ 0x2e2d687e, "netdev_printk" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xfc852522, "pcie_flr" },
	{ 0xa5536872, "napi_enable" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x42df352d, "__SCK__tp_func_xdp_exception" },
	{ 0x2de3dc67, "pci_iounmap" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x686cbe9f, "device_del" },
	{ 0x6b4f34bc, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x640911be, "__alloc_pages" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0xd4f88c37, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0x68f4ad24, "bpf_prog_add" },
	{ 0xef00008d, "xdp_rxq_info_unreg" },
	{ 0xef600cfa, "page_pool_alloc_pages" },
	{ 0xaf6bdd92, "napi_build_skb" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x6a2bd183, "__xdp_rxq_info_reg" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x40609e4f, "xdp_master_redirect" },
	{ 0xa5d7b772, "__napi_schedule_irqoff" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x5ee60a93, "napi_consume_skb" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0x9871e6fc, "page_pool_put_unrefed_page" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe655f99a, "__tracepoint_xdp_exception" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf64fa7bd, "bpf_prog_put" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x610b0c07, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf681f7ef, "auxiliary_device_init" },
	{ 0x6a5a421d, "pci_iomap" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x1f1aecf6, "bpf_warn_invalid_xdp_action" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xbfc97bdc, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd1792ffc, "page_pool_destroy" },
	{ 0x89739848, "xdp_do_redirect" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xde276760, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E34C959C13294CF06999CB4");

MODULE_INFO(suserelease, "ALP-0.1");
