#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb31d51d, "phy_init_hw" },
	{ 0x82021775, "pcie_set_readrq" },
	{ 0xb1d18f9b, "__devm_mdiobus_register" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x183c745, "netif_set_tso_max_size" },
	{ 0x11a848d3, "phy_resume" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0xdd269f96, "pcim_iomap_table" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x5ee60a93, "napi_consume_skb" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x5c81f9c3, "phy_stop" },
	{ 0x815c10f6, "phy_do_ioctl_running" },
	{ 0x7f32b5bb, "netif_set_tso_max_segs" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0x2e48e8a6, "pcim_enable_device" },
	{ 0x815588a6, "clk_enable" },
	{ 0xa62a0b2b, "phy_disconnect" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb3df9c6d, "ethtool_op_get_ts_info" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa6bd08d9, "phy_set_max_speed" },
	{ 0x156b54f8, "device_set_wakeup_enable" },
	{ 0xb2fb0ed2, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x5b208aea, "eth_mac_addr" },
	{ 0x414cfbea, "pcim_set_mwi" },
	{ 0xd07006, "pci_wake_from_d3" },
	{ 0x29442ae, "skb_tstamp_tx" },
	{ 0xd69c3d15, "__napi_alloc_skb" },
	{ 0x854e9cbd, "netdev_sw_irq_coalesce_default_on" },
	{ 0x51b3ef4b, "netdev_update_features" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5bf5222a, "dmam_alloc_attrs" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0xf7370f56, "system_state" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x2097f9f8, "phy_ethtool_set_eee" },
	{ 0x98c9cba5, "pci_dev_run_wake" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x9efce590, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebb18642, "phy_ethtool_set_link_ksettings" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xde276760, "netdev_warn" },
	{ 0x67a8f7b6, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0x24ace321, "phy_write_mmd" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x13ac98bb, "phy_read_paged" },
	{ 0xade278b9, "phy_restore_page" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x5ee132b1, "genphy_soft_reset" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x15f2125f, "__mdiobus_write" },
	{ 0x82404938, "__devm_alloc_percpu" },
	{ 0xb638ce8d, "pm_schedule_suspend" },
	{ 0x26826f08, "devm_clk_get_optional_enabled" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x84f6b4b7, "pci_status_get_and_clear_errors" },
	{ 0x49944ff3, "phy_speed_up" },
	{ 0xa0466d8d, "phy_connect_direct" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcb4562a6, "pci_disable_link_state" },
	{ 0xddaba837, "__free_pages" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xf6867780, "napi_gro_receive" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0xfa31095d, "pci_select_bars" },
	{ 0xde90af89, "phy_ethtool_get_link_ksettings" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc7e60312, "devm_alloc_etherdev_mqs" },
	{ 0x6aae9503, "pcim_iomap_regions" },
	{ 0xf43ac02b, "pci_clear_master" },
	{ 0xb7ef8d6d, "__phy_modify" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xb08a7120, "softnet_data" },
	{ 0xf5afe664, "phy_suspend" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2e2d687e, "netdev_printk" },
	{ 0x82243eef, "phy_modify_paged" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4fe2ae1a, "pcie_capability_clear_and_set_word_locked" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x6f114d21, "phy_speed_down" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0xa5536872, "napi_enable" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0xe01b3d29, "mdiobus_read" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0xf97e2fe8, "eth_platform_get_mac_address" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x1e17601b, "phy_start" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x53eb709d, "phy_modify" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xd0f30b9d, "phy_mac_interrupt" },
	{ 0xb5e159d2, "netif_schedule_queue" },
	{ 0x640911be, "__alloc_pages" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1ea0b5f8, "phy_print_status" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xd6f39bff, "phy_start_aneg" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2e850b3, "phy_set_asym_pause" },
	{ 0x1c636013, "phy_ethtool_get_eee" },
	{ 0x6cf05ae5, "devm_mdiobus_alloc_size" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xe3770fee, "pci_reset_bus" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdc606209, "phy_support_asym_pause" },
	{ 0x71e4a52a, "pci_write_config_byte" },
	{ 0xb384c1a8, "phy_get_pause" },
	{ 0x63adfd2f, "mdiobus_write" },
	{ 0x4ef57dc2, "phy_select_page" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb2bb6ee, "phy_write_paged" },
	{ 0xdcc625fb, "mdiobus_get_phy" },
	{ 0x4d9810f, "phy_ethtool_nway_reset" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7e8f8364, "phy_read_mmd" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libphy,mdio_devres");

MODULE_ALIAS("pci:v000010ECd00002502sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00002600sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008129sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008136sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008161sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008162sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008167sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008168sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010FFd00008168sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008169sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004300sv00001186sd00004B10bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001259d0000C107sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016ECd00000116sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001737d00001032sv*sd00000024bc*sc*i*");
MODULE_ALIAS("pci:v00000001d00008168sv*sd00002410bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008125sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008126sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00003000sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "4E42284B53C35BD14F2F30E");

MODULE_INFO(suserelease, "ALP-0.1");
