#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb5e159d2, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x3bde3015, "netif_tx_lock" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe86db549, "down_read" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x18984bde, "rps_may_expire_flow" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x10f9618c, "rt_spin_trylock_bh" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb6f35a4d, "pci_dev_get" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xabc1e259, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95d436a9, "i2c_smbus_write_byte_data" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x4f803e60, "__skb_flow_dissect" },
	{ 0x8db96101, "pci_vpd_alloc" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x62eb612a, "mdio45_ethtool_ksettings_get_npage" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xb79a54ee, "mdio45_nway_restart" },
	{ 0x7f32b5bb, "netif_set_tso_max_segs" },
	{ 0x35497e91, "i2c_smbus_read_byte_data" },
	{ 0x349cba85, "strchr" },
	{ 0xd17a91f6, "pci_release_region" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0x6aa8c5cf, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x92f08eac, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x24d83656, "pci_request_region" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x610b0c07, "skb_put" },
	{ 0x475fbe17, "mtd_device_unregister" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa5fb0b99, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x14988a8f, "i2c_bit_add_bus" },
	{ 0x2b599ded, "pci_dev_put" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0xb2f0bccc, "napi_get_frags" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xeef1f8b4, "pci_get_device" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x9a70d708, "pci_disable_msi" },
	{ 0x59e6e5f8, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xde276760, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x67a8f7b6, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb192e312, "__wake_up" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0x2725362, "mtd_device_parse_register" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x172eb0b5, "netif_tx_unlock" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x3baf90af, "netdev_features_change" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfca3d56b, "i2c_new_dummy_device" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0xc94fee39, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0xddaba837, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0x63e0fee5, "mdio45_links_ok" },
	{ 0x2ed5debb, "i2c_del_adapter" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcb62ab6b, "iommu_get_domain_for_dev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x25dc3dc9, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc54dc22f, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xf43ac02b, "pci_clear_master" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xab01938b, "pci_enable_msi" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0xa3e7d1b7, "i2c_unregister_device" },
	{ 0xb08a7120, "softnet_data" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8727726c, "netif_set_real_num_tx_queues" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbf37a6fe, "netif_set_real_num_rx_queues" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0xfb18bd99, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xa5536872, "napi_enable" },
	{ 0xfe3aa697, "netif_receive_skb" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0xce407f2f, "i2c_new_client_device" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mdio,mtd,i2c-algo-bit");

MODULE_ALIAS("pci:v00001924d00000703sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001924d00000710sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3CE6D6DCF45658403ACD4BA");

MODULE_INFO(suserelease, "ALP-0.1");
