#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe01b3d29, "mdiobus_read" },
	{ 0x63adfd2f, "mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x29442ae, "skb_tstamp_tx" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x610b0c07, "skb_put" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0xfe3aa697, "netif_receive_skb" },
	{ 0xded017e3, "irq_get_irq_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1405c904, "phy_find_first" },
	{ 0xa0466d8d, "phy_connect_direct" },
	{ 0x9efce590, "phy_attached_info" },
	{ 0xa6bd08d9, "phy_set_max_speed" },
	{ 0xdc606209, "phy_support_asym_pause" },
	{ 0xbab55129, "netdev_err" },
	{ 0xde276760, "netdev_warn" },
	{ 0xa5536872, "napi_enable" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x64940b3e, "platform_get_irq" },
	{ 0x85bd1608, "__request_region" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0xde80cd09, "ioremap" },
	{ 0x52605e41, "regulator_bulk_get" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0x60652b4e, "clk_get" },
	{ 0x46c3ac62, "regulator_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x164312b5, "device_get_phy_mode" },
	{ 0xc514b47, "device_get_mac_address" },
	{ 0x335396f1, "device_property_read_u32_array" },
	{ 0x155c0846, "device_property_present" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x25cb3734, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2345295e, "__mdiobus_register" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x92997ed8, "_printk" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x815c10f6, "phy_do_ioctl_running" },
	{ 0x4d9810f, "phy_ethtool_nway_reset" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0xb3df9c6d, "ethtool_op_get_ts_info" },
	{ 0xde90af89, "phy_ethtool_get_link_ksettings" },
	{ 0xebb18642, "phy_ethtool_set_link_ksettings" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c93d754, "__platform_driver_register" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf1c52c17, "platform_driver_unregister" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0x74769b9a, "mdiobus_unregister" },
	{ 0xf84a804a, "mdiobus_free" },
	{ 0x9c7ab1dc, "platform_get_resource_byname" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xedc03953, "iounmap" },
	{ 0x8179adbf, "regulator_bulk_disable" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x5b291303, "regulator_bulk_free" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x371d1953, "platform_get_resource" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0x5c81f9c3, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd2396241, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa62a0b2b, "phy_disconnect" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0x1e17601b, "phy_start" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x1e32af00, "netdev_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("acpi*:ARMH9118:*");

MODULE_INFO(srcversion, "2FDCD6FCC33AE1ABFD89E55");

MODULE_INFO(suserelease, "ALP-0.1");
