#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(stmmac_bus_clks_config, 0x9e11debd, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x22881422, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xda28a1cc, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x370c7bcd, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0xb2544fe2, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x36fed933, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5244aa62, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x1058a185, "pinctrl_pm_select_default_state" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xd635a603, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2ae060ea, "pm_wakeup_dev_event" },
	{ 0x3d735329, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0x5c194336, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0xe704c72c, "xpcs_config_eee" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xf6867780, "napi_gro_receive" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0xf2226c3d, "xdp_features_clear_redirect_target" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x1ea36366, "netdev_pick_tx" },
	{ 0x7306cbdd, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9f1a5170, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69be827d, "xdp_rxq_info_is_reg" },
	{ 0xc7e60312, "devm_alloc_etherdev_mqs" },
	{ 0x72bbd723, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb815aef8, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xc54dc22f, "dev_open" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xdcc997b0, "xpcs_destroy" },
	{ 0x9db92e4d, "pinctrl_pm_select_sleep_state" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6398658a, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x20bf11a6, "ptp_clock_register" },
	{ 0x40f0d8c5, "xp_dma_sync_for_cpu_slow" },
	{ 0x68aed499, "xsk_tx_peek_desc" },
	{ 0x8727726c, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbf37a6fe, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xfb18bd99, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0xa5536872, "napi_enable" },
	{ 0xbb63511e, "xsk_clear_rx_need_wakeup" },
	{ 0xceeb682b, "xpcs_get_interfaces" },
	{ 0x8ced7f61, "mdio_device_create" },
	{ 0x61e11e38, "xsk_uses_need_wakeup" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0xb6b6f231, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf84a804a, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x42df352d, "__SCK__tp_func_xdp_exception" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x3012a86b, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x6b4f34bc, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xbf2dad4a, "flow_rule_match_ports" },
	{ 0xb24499d5, "phylink_fwnode_phy_connect" },
	{ 0xbe6b8d25, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6bccb964, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xb5e159d2, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfb4c51e0, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x618a2c06, "ptp_clock_unregister" },
	{ 0x4c9a633c, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xa5756aef, "xpcs_get_an_mode" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d54fe5c, "xdp_return_frame_rx_napi" },
	{ 0xfeaf8285, "netdev_alert" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x74769b9a, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0x3db0470f, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x8545bcdd, "xsk_set_tx_need_wakeup" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb3f0e9ca, "xp_set_rxq_info" },
	{ 0x261b76d8, "flow_rule_match_vlan" },
	{ 0xef00008d, "xdp_rxq_info_unreg" },
	{ 0xef600cfa, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6a2bd183, "__xdp_rxq_info_reg" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x30f711c, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xdcc625fb, "mdiobus_get_phy" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x2345295e, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x853d7e86, "hrtimer_cancel" },
	{ 0x7689cc6, "xp_free" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x5eaefcdd, "xpcs_create" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x40609e4f, "xdp_master_redirect" },
	{ 0x345716ed, "fwnode_handle_put" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x79797ff5, "eth_header_parse_protocol" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xe0b3d283, "single_open" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xf442a9a0, "mdio_device_free" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb3df9c6d, "ethtool_op_get_ts_info" },
	{ 0xf44f5d2e, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4053333a, "__dev_fwnode" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0x9871e6fc, "page_pool_put_unrefed_page" },
	{ 0x813f85f, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x25cb3734, "mdiobus_alloc_size" },
	{ 0xe655f99a, "__tracepoint_xdp_exception" },
	{ 0x5f78ee75, "xsk_tx_completed" },
	{ 0xdc986b6d, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x17371bc5, "xp_alloc" },
	{ 0x156b54f8, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf64fa7bd, "bpf_prog_put" },
	{ 0x2e5f309d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x492e6b5e, "xp_dma_map" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x5b208aea, "eth_mac_addr" },
	{ 0x610b0c07, "skb_put" },
	{ 0x29442ae, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xd69c3d15, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51b3ef4b, "netdev_update_features" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1f1aecf6, "bpf_warn_invalid_xdp_action" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0x1539252, "xdp_convert_zc_to_xdp_frame" },
	{ 0xeffb6b91, "xdp_features_set_redirect_target" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0xe9e66f37, "hrtimer_init" },
	{ 0x8eb0c998, "skb_add_rx_frag" },
	{ 0x1bb0705e, "get_device_system_crosststamp" },
	{ 0xcc25611c, "ptp_clock_index" },
	{ 0x9efce590, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd1792ffc, "page_pool_destroy" },
	{ 0x89739848, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xde276760, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb192e312, "__wake_up" },
	{ 0x9591a174, "flow_rule_match_ipv4_addrs" },
	{ 0xd1f2521, "xdp_rxq_info_unreg_mem_model" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "phylink,pcs_xpcs,libphy");


MODULE_INFO(srcversion, "C04EEA27F25DEF6D45820BB");

MODULE_INFO(suserelease, "ALP-0.1");
