#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macvlan_common_setup, 0xc1a71aa3, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xdc78337e, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x4024fd4c, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xe9fdd059, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0xd50f677f, "netdev_upper_dev_unlink" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x9eeedd3e, "dev_uc_add" },
	{ 0x8e6896bd, "dev_set_mtu" },
	{ 0x82cce1c8, "netif_inherit_tso_max" },
	{ 0x51b3ef4b, "netdev_update_features" },
	{ 0x729a96c9, "netif_stacked_transfer_operstate" },
	{ 0xc36ec7a8, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x619dc912, "skb_clone" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x11365022, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x54794243, "pv_ops" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x7098f0be, "dev_forward_skb" },
	{ 0xfdac3b5a, "netpoll_send_skb" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0x2f3b0840, "netdev_is_rx_handler_busy" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x9802c3e0, "netdev_rx_handler_register" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0xd7133732, "netdev_upper_dev_link" },
	{ 0x173b9494, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x24e390d8, "dev_uc_sync" },
	{ 0xda83376a, "dev_mc_sync" },
	{ 0x409955c6, "__netif_rx" },
	{ 0xf7b6192d, "ip_check_defrag" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x91ab5d96, "netdev_core_stats_inc" },
	{ 0x36bfded4, "passthru_features_check" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x749f7623, "ndo_dflt_fdb_dump" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0x89abf5, "eth_header_parse" },
	{ 0xb64b066, "eth_header_cache" },
	{ 0xeee9022f, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7a730f35, "ether_setup" },
	{ 0x846a4211, "__ethtool_get_link_ksettings" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x8231185e, "init_net" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5ac205, "dev_mc_del" },
	{ 0x2acb7002, "dev_uc_del" },
	{ 0x2080689c, "dev_mc_add_excl" },
	{ 0x31f930bd, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x681e9f58, "__netpoll_free" },
	{ 0x6d0d79bd, "vlan_vid_del" },
	{ 0x10fa4997, "vlan_vid_add" },
	{ 0x992b5420, "dev_set_allmulti" },
	{ 0xf4b7c6e8, "dev_set_promiscuity" },
	{ 0x3f1c3346, "dev_uc_unsync" },
	{ 0xa15d3757, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe47a1770, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0xfb5bb1cc, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x25287446, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F87CD77CC7F1CA18D28BA10");

MODULE_INFO(suserelease, "ALP-0.1");
