#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(phy_print_status, 0x1ea0b5f8, "");
SYMBOL_CRC(phy_get_rate_matching, 0xbd591ac2, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x0a14a02e, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x24010592, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0xf4d962c9, "");
SYMBOL_CRC(phy_mii_ioctl, 0xdea9ddda, "");
SYMBOL_CRC(phy_do_ioctl, 0x77389118, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x815c10f6, "");
SYMBOL_CRC(phy_queue_state_machine, 0x7c29231e, "");
SYMBOL_CRC(phy_trigger_machine, 0x0110f413, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0xb2ea8ece, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0xc2c17c95, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x7aa2e94a, "");
SYMBOL_CRC(phy_start_cable_test, 0x229c7d8f, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xc1c5224e, "");
SYMBOL_CRC(phy_config_aneg, 0x16eb6839, "");
SYMBOL_CRC(phy_start_aneg, 0xd6f39bff, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0xa0e4a971, "");
SYMBOL_CRC(phy_speed_down, 0x6f114d21, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x49944ff3, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x0a9db749, "_gpl");
SYMBOL_CRC(phy_error, 0x05db3c12, "");
SYMBOL_CRC(phy_request_interrupt, 0x500fc8b0, "");
SYMBOL_CRC(phy_free_interrupt, 0x56a87a9d, "");
SYMBOL_CRC(phy_stop, 0x5c81f9c3, "");
SYMBOL_CRC(phy_start, 0x1e17601b, "");
SYMBOL_CRC(phy_mac_interrupt, 0xd0f30b9d, "");
SYMBOL_CRC(phy_init_eee, 0x7306cbdd, "");
SYMBOL_CRC(phy_get_eee_err, 0x88bad1da, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x1c636013, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x2097f9f8, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0x91a93b70, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0xd3b71200, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0xde90af89, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0xebb18642, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x04d9810f, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x5a603f59, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x0cf0e623, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x105b250b, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0x5163297f, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x4a414700, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x683e547d, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x660a2fca, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x8b2329ee, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x8f1458f7, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x9c8bd7fd, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x49ca57da, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x441daed0, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0xe8abcaab, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0xca51541a, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x68ef0c93, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0xa02159cd, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x2f187712, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x6b38b389, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0xc74583a2, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x844ddced, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0xbc3d7d45, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0xf2c6084d, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0xaecee7c7, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0xae260d30, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x51c83ce0, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x771449f9, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x4848b4d0, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0xe6f226f9, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x0d3fb7d4, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xa6bd08d9, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x2d81ca8e, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x623dacb7, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0xb2a6790c, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xb1ef5a7b, "");
SYMBOL_CRC(phy_read_mmd, 0x7e8f8364, "");
SYMBOL_CRC(__phy_write_mmd, 0x3717cbfc, "");
SYMBOL_CRC(phy_write_mmd, 0x24ace321, "");
SYMBOL_CRC(phy_modify_changed, 0x05344ec2, "_gpl");
SYMBOL_CRC(__phy_modify, 0xb7ef8d6d, "_gpl");
SYMBOL_CRC(phy_modify, 0x53eb709d, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xcae49e86, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x3395d67a, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0xe9b5d421, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0xede5f08b, "_gpl");
SYMBOL_CRC(phy_save_page, 0x8281c719, "_gpl");
SYMBOL_CRC(phy_select_page, 0x4ef57dc2, "_gpl");
SYMBOL_CRC(phy_restore_page, 0xade278b9, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x13ac98bb, "");
SYMBOL_CRC(phy_write_paged, 0x0b2bb6ee, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x3ac0b160, "");
SYMBOL_CRC(phy_modify_paged, 0x82243eef, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0x65498a56, "");
SYMBOL_CRC(phy_register_fixup, 0x0cff534d, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xbdf8c0e9, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x7c9653d0, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x7b208652, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x0eee60f4, "");
SYMBOL_CRC(get_phy_device, 0x6132659b, "");
SYMBOL_CRC(phy_device_register, 0x45e0f1da, "");
SYMBOL_CRC(phy_device_remove, 0x5cb304d8, "");
SYMBOL_CRC(phy_get_c45_ids, 0xe1478091, "");
SYMBOL_CRC(phy_find_first, 0x1405c904, "");
SYMBOL_CRC(phy_connect_direct, 0xa0466d8d, "");
SYMBOL_CRC(phy_connect, 0x34c413c8, "");
SYMBOL_CRC(phy_disconnect, 0xa62a0b2b, "");
SYMBOL_CRC(phy_init_hw, 0xeb31d51d, "");
SYMBOL_CRC(phy_attached_info, 0x9efce590, "");
SYMBOL_CRC(phy_attached_info_irq, 0x43d0ef52, "");
SYMBOL_CRC(phy_attached_print, 0xe4d4f717, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0xb91a3ec9, "");
SYMBOL_CRC(phy_attach_direct, 0x903e7e27, "");
SYMBOL_CRC(phy_attach, 0x8b3012d5, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x3f04c7df, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x32abe364, "_gpl");
SYMBOL_CRC(phy_package_join, 0x569369f2, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x41600b20, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x2f794453, "_gpl");
SYMBOL_CRC(phy_detach, 0x88b516ef, "");
SYMBOL_CRC(phy_suspend, 0xf5afe664, "");
SYMBOL_CRC(__phy_resume, 0x47e8c38f, "");
SYMBOL_CRC(phy_resume, 0x11a848d3, "");
SYMBOL_CRC(phy_loopback, 0xf21d8c20, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x7925a889, "");
SYMBOL_CRC(genphy_config_eee_advert, 0xd20f579b, "");
SYMBOL_CRC(genphy_setup_forced, 0xbead581b, "");
SYMBOL_CRC(genphy_read_master_slave, 0x0e9276bc, "");
SYMBOL_CRC(genphy_restart_aneg, 0x06052f3b, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0xf5dfe9cf, "");
SYMBOL_CRC(__genphy_config_aneg, 0x5de0625b, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x4dbab6d9, "");
SYMBOL_CRC(genphy_aneg_done, 0x55273a49, "");
SYMBOL_CRC(genphy_update_link, 0xd13e05eb, "");
SYMBOL_CRC(genphy_read_lpa, 0xde2897c7, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x52611551, "");
SYMBOL_CRC(genphy_read_status, 0x9dafd42b, "");
SYMBOL_CRC(genphy_c37_read_status, 0x565ea78f, "");
SYMBOL_CRC(genphy_soft_reset, 0x5ee132b1, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0xcc825cc3, "");
SYMBOL_CRC(genphy_read_abilities, 0x59c24485, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x9b7f77b1, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0xca8343b0, "");
SYMBOL_CRC(genphy_suspend, 0x05e6a1b2, "");
SYMBOL_CRC(genphy_resume, 0x577cda43, "");
SYMBOL_CRC(genphy_loopback, 0xd3a0b3b5, "");
SYMBOL_CRC(phy_remove_link_mode, 0x0256da37, "");
SYMBOL_CRC(phy_advertise_supported, 0x34480d9f, "");
SYMBOL_CRC(phy_support_sym_pause, 0x56439f0c, "");
SYMBOL_CRC(phy_support_asym_pause, 0xdc606209, "");
SYMBOL_CRC(phy_set_sym_pause, 0xbf42ad50, "");
SYMBOL_CRC(phy_set_asym_pause, 0x02e850b3, "");
SYMBOL_CRC(phy_validate_pause, 0xbd171cd4, "");
SYMBOL_CRC(phy_get_pause, 0xb384c1a8, "");
SYMBOL_CRC(phy_get_internal_delay, 0x2da27b36, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0xe299c64c, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x4e68d84b, "");
SYMBOL_CRC(device_phy_find_device, 0xefc3b95c, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x3012a86b, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x71bc3f36, "");
SYMBOL_CRC(phy_drivers_register, 0x45b0cdf6, "");
SYMBOL_CRC(phy_driver_unregister, 0xd7b437ef, "");
SYMBOL_CRC(phy_drivers_unregister, 0x8d660db2, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x3d42ac75, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x13b102e0, "");
SYMBOL_CRC(mdiobus_get_phy, 0xdcc625fb, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xf7c230b6, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x25cb3734, "");
SYMBOL_CRC(mdio_find_bus, 0x74376cb4, "");
SYMBOL_CRC(mdiobus_scan_c22, 0xe9871b4a, "");
SYMBOL_CRC(__mdiobus_register, 0x2345295e, "");
SYMBOL_CRC(mdiobus_unregister, 0x74769b9a, "");
SYMBOL_CRC(mdiobus_free, 0xf84a804a, "");
SYMBOL_CRC(__mdiobus_read, 0xd668fea2, "");
SYMBOL_CRC(__mdiobus_write, 0x15f2125f, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0xadbc27b6, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x86306b4a, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x550f9acc, "");
SYMBOL_CRC(mdiobus_read_nested, 0xf936a5ba, "");
SYMBOL_CRC(mdiobus_read, 0xe01b3d29, "");
SYMBOL_CRC(mdiobus_c45_read, 0xf0f3a02a, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x00df72ce, "");
SYMBOL_CRC(mdiobus_write_nested, 0x24810d31, "");
SYMBOL_CRC(mdiobus_write, 0x63adfd2f, "");
SYMBOL_CRC(mdiobus_c45_write, 0x45775515, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xd42775f1, "");
SYMBOL_CRC(mdiobus_modify, 0xd42e798e, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x3642fb37, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x1757ef77, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0x701da926, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0xf9e4e178, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0xf442a9a0, "");
SYMBOL_CRC(mdio_device_create, 0x8ced7f61, "");
SYMBOL_CRC(mdio_device_register, 0xd4465963, "");
SYMBOL_CRC(mdio_device_remove, 0x342f7a77, "");
SYMBOL_CRC(mdio_device_reset, 0x205fc762, "");
SYMBOL_CRC(mdio_driver_register, 0x36a454f9, "");
SYMBOL_CRC(mdio_driver_unregister, 0x8852c04e, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0xc26cddb1, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0xd6d9e28f, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x7622a5d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeaec54ed, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa86dfc15, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xfe8f3ceb, "gpiod_set_value_cansleep" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x2b4c2f94, "refcount_dec_and_mutex_lock" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xd2df1afb, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52a57d29, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2ae060ea, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0x4e99583, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7a5e10f6, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x3632b369, "bus_find_device" },
	{ 0x97e846ac, "device_add" },
	{ 0x3999391e, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x77e713eb, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xa91fb961, "is_acpi_data_node" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5d355b4b, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x20e71568, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x28c1b486, "device_register" },
	{ 0x686cbe9f, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x7de45568, "device_bind_driver" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa37a9034, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfeaf8285, "netdev_alert" },
	{ 0x953c5dc4, "ethnl_cable_test_alloc" },
	{ 0x19a41170, "fwnode_find_reference" },
	{ 0xa67002fa, "fwnode_property_read_string" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x173b9494, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xef39801f, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xaaf21c56, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe8131d4b, "led_trigger_register" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0xb5c923e1, "gpiod_get_optional" },
	{ 0xb8836e54, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x2817cac5, "sysfs_create_link_nowarn" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x56f7d28b, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x345716ed, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0xe2e6de11, "led_trigger_event" },
	{ 0xd24f7408, "device_release_driver" },
	{ 0x74d5b683, "ethnl_cable_test_free" },
	{ 0x2ea9416e, "gpiod_set_consumer_name" },
	{ 0xf549f52e, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc662d63f, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4053333a, "__dev_fwnode" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x1e32af00, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd3b2192c, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x99b2a14a, "class_find_device" },
	{ 0x49d534f3, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb11cf891, "is_acpi_device_node" },
	{ 0xe8c96305, "gpiod_put" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xddfa96bb, "sysfs_create_file_ns" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "312AB63D5D2DBC5F0CD02A6");

MODULE_INFO(suserelease, "ALP-0.1");
