#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed17a992, "ethnl_cable_test_result" },
	{ 0x9b05add5, "ethnl_cable_test_fault_length" },
	{ 0x5ee132b1, "genphy_soft_reset" },
	{ 0x9b7f77b1, "genphy_read_mmd_unsupported" },
	{ 0xca8343b0, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45b0cdf6, "phy_drivers_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e6a1b2, "genphy_suspend" },
	{ 0xe01b3d29, "mdiobus_read" },
	{ 0x577cda43, "genphy_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x24ace321, "phy_write_mmd" },
	{ 0x63adfd2f, "mdiobus_write" },
	{ 0x9dafd42b, "genphy_read_status" },
	{ 0x53eb709d, "phy_modify" },
	{ 0x7e8f8364, "phy_read_mmd" },
	{ 0x6052f3b, "genphy_restart_aneg" },
	{ 0x110f413, "phy_trigger_machine" },
	{ 0x5db3c12, "phy_error" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3551bbc0, "ptp_classify_raw" },
	{ 0xe9d0805e, "ptp_parse_header" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x517908f7, "skb_complete_tx_timestamp" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x15f2125f, "__mdiobus_write" },
	{ 0xd668fea2, "__mdiobus_read" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xdd64e639, "strscpy" },
	{ 0x8d660db2, "phy_drivers_unregister" },
	{ 0x5de0625b, "__genphy_config_aneg" },
	{ 0x59c24485, "genphy_read_abilities" },
	{ 0x30110a29, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xeb31d51d, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xede5f08b, "phy_modify_mmd" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0x92997ed8, "_printk" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x2f794453, "devm_phy_package_join" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0x2ea9416e, "gpiod_set_consumer_name" },
	{ 0xfe8f3ceb, "gpiod_set_value_cansleep" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x20bf11a6, "ptp_clock_register" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7ceda85, "ptp_find_pin_unlocked" },
	{ 0x6bccb964, "ptp_clock_event" },
	{ 0x7825c551, "devm_clk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "0E66A91E1DB28133B52F458");

MODULE_INFO(suserelease, "ALP-0.1");
