#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee607e0b, "usbnet_update_max_qlen" },
	{ 0x780c7162, "usbnet_suspend" },
	{ 0x7934f841, "mii_ethtool_gset" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0x494cf3b, "mii_nway_restart" },
	{ 0xf97e2fe8, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x32135a56, "usbnet_resume" },
	{ 0xb1c4de11, "usbnet_get_endpoints" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x183c745, "netif_set_tso_max_size" },
	{ 0x495b99d3, "usbnet_probe" },
	{ 0xda20ae1e, "usbnet_open" },
	{ 0xaf003fd, "usbnet_stop" },
	{ 0xd0337d63, "usbnet_start_xmit" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x7adf3022, "usbnet_tx_timeout" },
	{ 0x358fc257, "dev_get_tstats64" },
	{ 0xff7e4539, "usbnet_get_msglevel" },
	{ 0xfb5d71a5, "usbnet_set_msglevel" },
	{ 0xbd84ffe4, "usbnet_nway_reset" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0xb3df9c6d, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xd71cd310, "usbnet_read_cmd" },
	{ 0xb9f47391, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xde276760, "netdev_warn" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfd50df18, "mii_ethtool_set_link_ksettings" },
	{ 0x846ea8e5, "mii_ethtool_get_link_ksettings" },
	{ 0xe6fbd014, "generic_mii_ioctl" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0xc04f6516, "usbnet_disconnect" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0x39e3bd11, "usbnet_link_change" },
	{ 0x1e32af00, "netdev_info" },
	{ 0x16e2396c, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x610b0c07, "skb_put" },
	{ 0x9fe406af, "usbnet_skb_return" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x84730e4f, "usbnet_write_cmd" },
	{ 0x3240ce1f, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0xbab55129, "netdev_err" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "27FBDDB0E5DCFD79B7066BD");

MODULE_INFO(suserelease, "ALP-0.1");
