#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cdc_ncm_change_mtu, 0xf8a6d2fa, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x291c8ec1, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0xb9c6dec8, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x3e5d0243, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xc3fa42ef, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x439c0401, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xb4e58ab2, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x44cd8c66, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x2f203ee6, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x8aa1bbc1, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x79c52111, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee607e0b, "usbnet_update_max_qlen" },
	{ 0x1a5d1f85, "usbnet_unlink_rx_urbs" },
	{ 0x3bde3015, "netif_tx_lock" },
	{ 0xd0337d63, "usbnet_start_xmit" },
	{ 0x172eb0b5, "netif_tx_unlock" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x84730e4f, "usbnet_write_cmd" },
	{ 0xdd113531, "hrtimer_active" },
	{ 0xbe6b8d25, "hrtimer_start_range_ns" },
	{ 0xd71cd310, "usbnet_read_cmd" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x610b0c07, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9fe406af, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xe9e66f37, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xbd791be5, "cdc_parse_cdc_header" },
	{ 0x826b6198, "usb_ifnum_to_if" },
	{ 0xa7ac9abc, "usb_driver_claim_interface" },
	{ 0xcdaeb160, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x285c25b1, "usbnet_get_ethernet_addr" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x6254d0a9, "usbnet_manage_power" },
	{ 0x4af8df3e, "usbnet_cdc_update_filter" },
	{ 0xda20ae1e, "usbnet_open" },
	{ 0xaf003fd, "usbnet_stop" },
	{ 0x5695c1e, "usbnet_set_rx_mode" },
	{ 0x5b208aea, "eth_mac_addr" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0x7adf3022, "usbnet_tx_timeout" },
	{ 0x358fc257, "dev_get_tstats64" },
	{ 0xab03462d, "usbnet_get_drvinfo" },
	{ 0xff7e4539, "usbnet_get_msglevel" },
	{ 0xfb5d71a5, "usbnet_set_msglevel" },
	{ 0xbd84ffe4, "usbnet_nway_reset" },
	{ 0x90b75da2, "usbnet_get_link" },
	{ 0xb3df9c6d, "ethtool_op_get_ts_info" },
	{ 0x24ea7045, "usbnet_get_link_ksettings_internal" },
	{ 0x495b99d3, "usbnet_probe" },
	{ 0xc04f6516, "usbnet_disconnect" },
	{ 0x780c7162, "usbnet_suspend" },
	{ 0x32135a56, "usbnet_resume" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x853d7e86, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x36c0d73a, "usb_driver_release_interface" },
	{ 0xa390d039, "usb_altnum_to_altsetting" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0x39e3bd11, "usbnet_link_change" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "ALP-0.1");
