#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c713da5, "chacha20poly1305_encrypt_sg_inplace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa3cefaa0, "blake2s_update" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x147c3f2e, "chacha20poly1305_encrypt" },
	{ 0x3d735329, "skb_checksum_help" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0xf72ead21, "sk_clear_memalloc" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xf6867780, "napi_gro_receive" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x7ffb3950, "icmpv6_ndo_send" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0x9c7249bd, "__skb_get_hash" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0xbaf695e4, "ipv6_stub" },
	{ 0xc3c83135, "inet_confirm_addr" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51cad47c, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x98582421, "dev_get_by_index" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0xa5536872, "napi_enable" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x56d399d, "icmp_ndo_send" },
	{ 0x916491ac, "chacha20poly1305_decrypt_sg_inplace" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf097f381, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1198d446, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xce15a526, "xchacha20poly1305_encrypt" },
	{ 0x354e16ad, "security_sk_classify_flow" },
	{ 0x521c7102, "xchacha20poly1305_decrypt" },
	{ 0x10f6c309, "sk_set_memalloc" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x6eb04f46, "register_random_vmfork_notifier" },
	{ 0x3b395a14, "kfree_skb_list_reason" },
	{ 0x761ff712, "udp_tunnel_sock_release" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x358fc257, "dev_get_tstats64" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x76fdef71, "setup_udp_tunnel_sock" },
	{ 0x8afd7df7, "udp_sock_create6" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe86db549, "down_read" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x478fce5e, "skb_cow_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6f8849d5, "skb_scrub_packet" },
	{ 0xc832c670, "curve25519_arch" },
	{ 0x5de25569, "__put_net" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8feb2400, "ipv4_mtu" },
	{ 0x1dff388, "dst_cache_get_ip6" },
	{ 0x4411145d, "dst_cache_get_ip4" },
	{ 0xc20134e7, "chacha20poly1305_decrypt" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x10f9618c, "rt_spin_trylock_bh" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x851e4bc9, "dst_cache_set_ip6" },
	{ 0x1db56464, "pskb_put" },
	{ 0x3c74a43e, "curve25519_base_arch" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9dc5669, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x621666fe, "dev_get_by_name" },
	{ 0x619dc912, "skb_clone" },
	{ 0xcb71f293, "dst_release" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9e0fa5ae, "hsiphash_3u32" },
	{ 0x4f803e60, "__skb_flow_dissect" },
	{ 0xebccce8c, "genl_unregister_family" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x30acfde9, "hsiphash_2u32" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xee86ba3, "ipv6_chk_addr" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd2396241, "napi_disable" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x88adc39a, "ip_tunnel_parse_protocol" },
	{ 0xf6b0512a, "genl_register_family" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x5507ce36, "skb_to_sgvec" },
	{ 0x3c7ec025, "__skb_gso_segment" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xa930f862, "register_pernet_device" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x3a4f9d28, "rng_is_initialized" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x71b6cf94, "dst_cache_reset_now" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x610b0c07, "skb_put" },
	{ 0xadae6df8, "blake2s_final" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xd601b619, "ip6_dst_hoplimit" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4a5a8811, "curve25519_null_point" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xb0f402b7, "udp_sock_create4" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xfb4b1c2f, "dst_cache_set_ip4" },
	{ 0x7d4739ce, "udp_tunnel6_xmit_skb" },
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x6a14d3af, "unregister_random_vmfork_notifier" },
	{ 0xef76bff8, "ip_tunnel_header_ops" },
	{ 0xa1073230, "genlmsg_put" },
	{ 0x38539737, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libchacha20poly1305,udp_tunnel,ip6_udp_tunnel,curve25519-x86_64,libcurve25519-generic");


MODULE_INFO(srcversion, "BA2CCBFA102B176EC201357");

MODULE_INFO(suserelease, "ALP-0.1");
