#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0xb18bbbf9, "");
SYMBOL_CRC(ath10k_info, 0x073aaf89, "");
SYMBOL_CRC(ath10k_print_driver_info, 0xd8ca718e, "");
SYMBOL_CRC(ath10k_err, 0x51fdbca0, "");
SYMBOL_CRC(ath10k_warn, 0x4185e6d3, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x88e19a1a, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x2827af6e, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x96e9011e, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x4e000dd8, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xa711b80a, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x13b88c58, "");
SYMBOL_CRC(ath10k_core_start, 0xfa48afa4, "");
SYMBOL_CRC(ath10k_core_stop, 0x1913c15b, "");
SYMBOL_CRC(ath10k_core_register, 0xb48ecbf5, "");
SYMBOL_CRC(ath10k_core_unregister, 0xb22ede9b, "");
SYMBOL_CRC(ath10k_core_create, 0x20661828, "");
SYMBOL_CRC(ath10k_core_destroy, 0x51ad5d2a, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xbdc0746a, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0xa693e116, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x5a39f302, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x308437e2, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x716d06eb, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0xe21e8fbd, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xb40a7cc3, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x0ef08672, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x7119ae7b, "");
SYMBOL_CRC(ath10k_bmi_start, 0xc297562e, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0xf022f013, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xba49ade8, "");
SYMBOL_CRC(ath10k_coredump_new, 0x80e0b31e, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xf27fdfa9, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xb66e6c72, "");
SYMBOL_CRC(ath10k_ce_send, 0xd7e7c7fc, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0xa8a55663, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xd88110e9, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xa70a2f1c, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xc2db64a4, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x15304e0f, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x4fd394ed, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x6dbdef94, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0xc7323e81, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xe809c13c, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x6a897cd3, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0xcab371ed, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xb4159261, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x9890b08c, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x9e1af0e7, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x0e7a9f7c, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0xef0896d7, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xfc2d40da, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x9b0f71e2, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x4b4c5bda, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x505f4bdb, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x94b98f84, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x98d93367, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x2bff4505, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x2ab6f7f, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x59d65559, "ieee80211_csa_finish" },
	{ 0x5f2318ff, "skb_queue_head" },
	{ 0x242b160a, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4d144793, "cpu_latency_qos_remove_request" },
	{ 0x9426b882, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x156b54f8, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0xe9b46648, "ieee80211_connection_loss" },
	{ 0x702502c8, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb11cf891, "is_acpi_device_node" },
	{ 0x2e5f309d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfac8ba0, "__ieee80211_schedule_txq" },
	{ 0x87faf1a6, "_ieee80211_beacon_update_cntdwn" },
	{ 0x7e6c27af, "idr_find" },
	{ 0xd5920ebf, "ieee80211_txq_get_depth" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xb870f38b, "param_ops_ulong" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8f2fc198, "firmware_request_nowarn" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x3389a5cd, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc514b47, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x702f845, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x7dca8973, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x92b6f611, "ieee80211_iterate_stations_atomic" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0xc86d4913, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8c267d0d, "ieee80211_beacon_loss" },
	{ 0x6433886d, "cpu_latency_qos_add_request" },
	{ 0xd3d1a494, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x920b7f9a, "thermal_cooling_device_register" },
	{ 0x953a31c2, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6cc44bbf, "ieee80211_restart_hw" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xdb35eed6, "ieee80211_wake_queue" },
	{ 0xbd65ca57, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7127add9, "ieee80211_find_sta" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8cd9f92a, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xc30e882, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0x1b910d86, "cfg80211_put_bss" },
	{ 0x6e2f408a, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x3edfb50d, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7a5e10f6, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xf539f66c, "wiphy_to_ieee80211_hw" },
	{ 0xf5ad5c24, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0x82a6a2af, "ieee80211_proberesp_get" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x3999391e, "sysfs_remove_link" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x372cdee1, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8aef8ced, "ieee80211_find_sta_by_ifaddr" },
	{ 0xc626c758, "ieee80211_next_txq" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec6f516f, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xa5536872, "napi_enable" },
	{ 0x756a2279, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x3bbf5699, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6013cd4f, "ieee80211_report_low_ack" },
	{ 0xbdf406dd, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x993f9ef7, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc79913b9, "dev_coredumpv" },
	{ 0x96fd96e1, "ieee80211_alloc_hw_nm" },
	{ 0x5efe981f, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xab956cf, "default_llseek" },
	{ 0xbc61bed2, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3bb66c, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xd4f88c37, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x6673e330, "devm_nvmem_cell_get" },
	{ 0xdd70cdb5, "ieee80211_stop_queue" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xb3f1cc81, "ieee80211_ready_on_channel" },
	{ 0xfa54ab2, "ieee80211_stop_queues" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb4a58e0, "skb_realloc_headroom" },
	{ 0xa02e2338, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xc069e309, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xa1d9d1eb, "ieee80211_scan_completed" },
	{ 0x884c8a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x8215df98, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf98891ab, "ath_regd_init" },
	{ 0xbf1b54eb, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf426d754, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x4d1f7602, "ieee80211_tdls_oper_request" },
	{ 0xa7822d97, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfbcdc032, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x61b851c8, "ieee80211_tx_rate_update" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x2a8983e4, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "AD4040F0701AB85E1E354F3");

MODULE_INFO(suserelease, "ALP-0.1");
