#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x55807a28, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0xf9499f01, "");
SYMBOL_CRC(ath11k_core_resume_early, 0xa63fdcf1, "");
SYMBOL_CRC(ath11k_core_resume, 0xaa5b7369, "");
SYMBOL_CRC(ath11k_core_pre_init, 0x54beecdd, "");
SYMBOL_CRC(ath11k_core_init, 0x4b2b02e3, "");
SYMBOL_CRC(ath11k_core_deinit, 0x78ddef7f, "");
SYMBOL_CRC(ath11k_core_free, 0x3d0be071, "");
SYMBOL_CRC(ath11k_core_alloc, 0xfeebbb4f, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x296759e9, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x112a9dc6, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0xaa1c6dbd, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x82cab261, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0xadcad0a6, "");
SYMBOL_CRC(ath11k_info, 0x64bf69f6, "");
SYMBOL_CRC(ath11k_err, 0xdf352cf1, "");
SYMBOL_CRC(ath11k_warn, 0xb338f27e, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x4e790d92, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0xf8078b46, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x3ff50cbc, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xc80a1986, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0xebc8590a, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x146dba9e, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x8301ff65, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0xf77c9bc6, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x1356e3fe, "");
SYMBOL_CRC(ath11k_pcic_read32, 0xe3973596, "");
SYMBOL_CRC(ath11k_pcic_read, 0xc12df647, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0x755370a3, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x8a6ae807, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x7d467cc1, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x19deddc6, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0xa1769ac4, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0xd411b198, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xfcaee48b, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x7b14e54a, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x71f9ee39, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x38300332, "");
SYMBOL_CRC(ath11k_pcic_start, 0xceace697, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xe3d90d1d, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x32f7b741, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xaf05de97, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x1c586880, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3bbf5699, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa51c72ff, "qmi_txn_init" },
	{ 0x6013cd4f, "ieee80211_report_low_ack" },
	{ 0xbdf406dd, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x993f9ef7, "ieee80211_free_txskb" },
	{ 0x96fd96e1, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5efe981f, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x84ecc2bf, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x3bb66c, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xfca5f58f, "ieee80211_beacon_free_ema_list" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xc8d339e5, "rhashtable_destroy" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xb3f1cc81, "ieee80211_ready_on_channel" },
	{ 0xfa54ab2, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x7a29cd02, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0xc069e309, "idr_for_each" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xb6cd413d, "ieee80211_vif_to_wdev" },
	{ 0xdd64e639, "strscpy" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0xa1d9d1eb, "ieee80211_scan_completed" },
	{ 0x884c8a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x821afea1, "crypto_shash_final" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x8215df98, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xd817c10c, "ieee80211_color_change_finish" },
	{ 0xa7822d97, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfbcdc032, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x2a8983e4, "ieee80211_queue_work" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xd2396241, "napi_disable" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x46500cd5, "regulatory_set_wiphy_regd" },
	{ 0x706ede08, "cfg80211_chandef_dfs_cac_time" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0xc3362598, "ieee80211_beacon_get_template_ema_list" },
	{ 0xe9f82175, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x2ab6f7f, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x59d65559, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x242b160a, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd5f0249b, "ieee80211_gtk_rekey_notify" },
	{ 0x156b54f8, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0xd5f915ce, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe9b46648, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2e5f309d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x87faf1a6, "_ieee80211_beacon_update_cntdwn" },
	{ 0x7e6c27af, "idr_find" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x610b0c07, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8f2fc198, "firmware_request_nowarn" },
	{ 0x4dcb0f5e, "qmi_handle_init" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd8117ecc, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc514b47, "device_get_mac_address" },
	{ 0x1be8233a, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x702f845, "ieee80211_free_hw" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x92b6f611, "ieee80211_iterate_stations_atomic" },
	{ 0x769e1d76, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xc86d4913, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8c267d0d, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x79f9d49a, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x920b7f9a, "thermal_cooling_device_register" },
	{ 0x953a31c2, "ieee80211_register_hw" },
	{ 0x47a37274, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6cc44bbf, "ieee80211_restart_hw" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5c40ea45, "ieee80211_get_hdrlen_from_skb" },
	{ 0xb192e312, "__wake_up" },
	{ 0x30af07d6, "__netif_napi_del" },
	{ 0xbd65ca57, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7127add9, "ieee80211_find_sta" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0xb27bd90c, "qmi_send_request" },
	{ 0x4299f7ce, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x18fe2dc, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8cd9f92a, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xc30e882, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x1b910d86, "cfg80211_put_bss" },
	{ 0x6e2f408a, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc10f2c13, "qmi_txn_wait" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x3edfb50d, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7a5e10f6, "sysfs_create_link" },
	{ 0x3d9f1a1, "ieee80211_obss_color_collision_notify" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xf539f66c, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0x9c7249bd, "__skb_get_hash" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x1f408ce2, "crypto_shash_setkey" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc84d633f, "qmi_txn_cancel" },
	{ 0x3999391e, "sysfs_remove_link" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8aef8ced, "ieee80211_find_sta_by_ifaddr" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec6f516f, "ieee80211_remain_on_channel_expired" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0xa5536872, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x756a2279, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "5BF2029200F0C118C49C609");

MODULE_INFO(suserelease, "ALP-0.1");
