#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(libipw_networks_age, 0x6adb9b6a, "");
SYMBOL_CRC(alloc_libipw, 0x8c3e957c, "");
SYMBOL_CRC(free_libipw, 0xf73c5727, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x828754ce, "");
SYMBOL_CRC(libipw_txb_free, 0x404a2001, "");
SYMBOL_CRC(libipw_rx_any, 0xcd8ad4ca, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x34817395, "");
SYMBOL_CRC(libipw_rx, 0x956c06aa, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x1108fd56, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x92556ff8, "");
SYMBOL_CRC(libipw_wx_get_scan, 0xbaadfe1a, "");
SYMBOL_CRC(libipw_wx_set_encode, 0xa0db3a9c, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x9a9bf470, "");
SYMBOL_CRC(libipw_get_channel, 0x2bd88c87, "");
SYMBOL_CRC(libipw_get_channel_flags, 0xd56e1728, "");
SYMBOL_CRC(libipw_is_valid_channel, 0xb8b17fcd, "");
SYMBOL_CRC(libipw_freq_to_channel, 0xd6d36adc, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x03486fa2, "");
SYMBOL_CRC(libipw_channel_to_index, 0xab2e5e53, "");
SYMBOL_CRC(libipw_set_geo, 0x8358a706, "");
SYMBOL_CRC(libipw_get_geo, 0x95523654, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x58968cb, "seq_lseek" },
	{ 0xa3d0f3a3, "dev_kfree_skb_irq_reason" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52fca406, "wiphy_new_nm" },
	{ 0xcbe36b06, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xbae96900, "lib80211_get_crypto_ops" },
	{ 0x8231185e, "init_net" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xaee5396, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x1fd8cf6d, "wireless_spy_update" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0xfaa659fa, "lib80211_crypt_info_free" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xc0d6409e, "lib80211_crypt_delayed_deinit" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xe0b3d283, "single_open" },
	{ 0x184b8e4b, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x610b0c07, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1cd7839, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "B04C794549E5CDFD244F82D");

MODULE_INFO(suserelease, "ALP-0.1");
