#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(orinoco_open, 0x2edd00b9, "");
SYMBOL_CRC(orinoco_stop, 0x6146d041, "");
SYMBOL_CRC(orinoco_set_multicast_list, 0x6a03d24d, "");
SYMBOL_CRC(orinoco_change_mtu, 0x5f96fa49, "");
SYMBOL_CRC(orinoco_process_xmit_skb, 0xc4016908, "");
SYMBOL_CRC(orinoco_tx_timeout, 0x9e0dcb20, "");
SYMBOL_CRC(__orinoco_ev_rx, 0xadc02585, "");
SYMBOL_CRC(__orinoco_ev_info, 0x0e428650, "");
SYMBOL_CRC(orinoco_interrupt, 0xffe27bca, "");
SYMBOL_CRC(orinoco_init, 0xb386809f, "");
SYMBOL_CRC(alloc_orinocodev, 0x502f4cff, "");
SYMBOL_CRC(orinoco_if_add, 0x411b58b0, "");
SYMBOL_CRC(orinoco_if_del, 0x9d974900, "");
SYMBOL_CRC(free_orinocodev, 0x0ca88d42, "");
SYMBOL_CRC(orinoco_up, 0xa039c881, "");
SYMBOL_CRC(orinoco_down, 0x2a7d5c2f, "");
SYMBOL_CRC(hermes_struct_init, 0x075aba72, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3edfb50d, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x1f408ce2, "crypto_shash_setkey" },
	{ 0x2b001e6f, "cfg80211_wext_giwfrag" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xafc8f0ea, "wireless_send_event" },
	{ 0xc01e9c4c, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xae577d2b, "iw_handler_get_spy" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0xf7765197, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1fd8cf6d, "wireless_spy_update" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x49f6dba8, "cfg80211_wext_siwmode" },
	{ 0x77009fad, "_dev_notice" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x821afea1, "crypto_shash_final" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0543c5a, "cfg80211_wext_giwretry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xeff27318, "cfg80211_wext_siwscan" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0x781f7611, "cfg80211_inform_bss_data" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0x184b8e4b, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x12c64b78, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb7cdf5b4, "alloc_etherdev_mqs" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5b208aea, "eth_mac_addr" },
	{ 0x610b0c07, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa6064eb4, "cfg80211_scan_done" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xfc9b444b, "cfg80211_wext_siwfrag" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfa9de5a1, "unregister_netdev" },
	{ 0xa1638513, "cfg80211_wext_giwrts" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x2adfc079, "cfg80211_wext_giwscan" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa36d0c9, "cfg80211_wext_giwname" },
	{ 0x37a0cba, "kfree" },
	{ 0xea5345f6, "iw_handler_set_spy" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xfcad9a0f, "eth_validate_addr" },
	{ 0xa3d0f3a3, "dev_kfree_skb_irq_reason" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9e6d818c, "cfg80211_wext_giwmode" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa6f081a8, "cfg80211_wext_giwrange" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52fca406, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0x876595bd, "iw_handler_get_thrspy" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb031cc42, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x1b910d86, "cfg80211_put_bss" },
	{ 0x9e656ff4, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x37eb4ff2, "cfg80211_wext_siwrts" },
	{ 0x89b1a897, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "B1B647A019CEB604DA8EB41");

MODULE_INFO(suserelease, "ALP-0.1");
