#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(p54_parse_eeprom, 0x52c9176d, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x09fc98b5, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x0749871d, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xae14bc5a, "_gpl");
SYMBOL_CRC(p54_rx, 0x9ade27c9, "_gpl");
SYMBOL_CRC(p54_init_common, 0x4801b4de, "_gpl");
SYMBOL_CRC(p54_register_common, 0x697e9b92, "_gpl");
SYMBOL_CRC(p54_free_common, 0x98752ebe, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xfa2b2fc0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xdb35eed6, "ieee80211_wake_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50730787, "__ieee80211_get_tx_led_name" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x18fe2dc, "ieee80211_handle_wake_tx_queue" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0x8cd9f92a, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xd017e229, "__ieee80211_get_rx_led_name" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x993f9ef7, "ieee80211_free_txskb" },
	{ 0x6a12d405, "led_classdev_register_ext" },
	{ 0x96fd96e1, "ieee80211_alloc_hw_nm" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x930587df, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9f9913a1, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xdd70cdb5, "ieee80211_stop_queue" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3e6509b0, "skb_unlink" },
	{ 0xa02e2338, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x74a96602, "__ieee80211_get_assoc_led_name" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x8215df98, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbf1b54eb, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0xb105e872, "ieee80211_emulate_remove_chanctx" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x4a615744, "ieee80211_rx_irqsafe" },
	{ 0x5f2318ff, "skb_queue_head" },
	{ 0x610b0c07, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x702f845, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8c267d0d, "ieee80211_beacon_loss" },
	{ 0xd3d1a494, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe96d1ea7, "led_classdev_unregister" },
	{ 0x953a31c2, "ieee80211_register_hw" },
	{ 0x31bd9da7, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5c40ea45, "ieee80211_get_hdrlen_from_skb" },
	{ 0x20f0b6c3, "__ieee80211_get_radio_led_name" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "A9EBCF5A63A6F619859E364");

MODULE_INFO(suserelease, "ALP-0.1");
