#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76s_read_pcr, 0x44d0fef1, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x514909ce, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x5a343107, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x971029f1, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0x2a965307, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x5ab54f45, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x119195a1, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0x2b9fbd7c, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x12ca82db, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0xd7fdc2e4, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xd0ab3311, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0xb0143d30, "_gpl");
SYMBOL_CRC(mt76s_init, 0x7c2fecdb, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0x7d272027, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x0221247e, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x4b0acb4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8eb0c998, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb192e312, "__wake_up" },
	{ 0xa1060e6e, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x2d30ae2c, "mt76_tx_status_check" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6894d79f, "sdio_release_irq" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x26e3035f, "sdio_readsb" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf7ad39ab, "__SCK__tp_func_dev_irq" },
	{ 0xba57d23, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0x640911be, "__alloc_pages" },
	{ 0xe0e2d7da, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa0451171, "mt76_queue_tx_complete" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xd060ea85, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcb7efd1, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5068b70e, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x30aebf4d, "sdio_claim_irq" },
	{ 0x5fbc99c6, "mt76_skb_adjust_pad" },
	{ 0x41c3b39c, "sdio_enable_func" },
	{ 0x578e9705, "sdio_writesb" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x33189245, "sdio_release_host" },
	{ 0x4da962ea, "sdio_disable_func" },
	{ 0x3d923e6, "sdio_set_block_size" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa517aef9, "sdio_claim_host" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "476C307E3B779048DE28F75");

MODULE_INFO(suserelease, "ALP-0.1");
