#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7615_mac_sta_add, 0x599d17a0, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x1ad5c21b, "_gpl");
SYMBOL_CRC(mt7615_ops, 0xaa8c2ecf, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x20366efd, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x278b0fa2, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x6e346f7d, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0xd27b73c0, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x71542b17, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0x7c25f370, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x60fe58a4, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x6a4d284a, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0xdf77624c, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xebf6fd43, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x6d606010, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x93bdbd92, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x295ba909, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0x170f6d83, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x4caff9cd, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x3fea31a1, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x7addce0e, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0xa8f60503, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0x76841c94, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xff33e361, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x19522f7d, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0xaf9600d3, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x4ae3b19c, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x4df41731, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xa1d96b38, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x30c94988, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x9f213a1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf8b8558, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xbfa05e9f, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xc574a65c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d5c46a8, "mt76_rx" },
	{ 0x4f272553, "mt76_connac_mcu_sched_scan_req" },
	{ 0x8760d83, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x77d93bc9, "mt76_connac_mcu_uni_add_bss" },
	{ 0x74efa527, "mt76_phy_dfs_state" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xf539f66c, "wiphy_to_ieee80211_hw" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0x64948d1d, "mt76_connac_mcu_hw_scan" },
	{ 0xc288e7d2, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0xe1182bfe, "mt76_eeprom_init" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x3e1121e6, "debugfs_create_file_unsafe" },
	{ 0xe9a8739, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0x65fab216, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc543eda3, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0xec6f516f, "ieee80211_remain_on_channel_expired" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x438f72fb, "mt76_set_channel" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x3bbf5699, "ieee80211_wake_queues" },
	{ 0x58d71aed, "mt76_mcu_send_and_get_msg" },
	{ 0xbdf406dd, "ieee80211_beacon_get_template" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xde0720e5, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc79913b9, "dev_coredumpv" },
	{ 0x4d6f0d4c, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xc593924, "mt76_connac_pm_dequeue_skbs" },
	{ 0xf51b0cff, "mt76_connac_mcu_set_pm" },
	{ 0x2b0fe7b0, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x3bb66c, "devm_hwmon_device_register_with_groups" },
	{ 0x930587df, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x6a0a43f2, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5222aa39, "debugfs_create_u32" },
	{ 0x9f9913a1, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x8214086e, "mt76_connac_mcu_start_patch" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xb53677bb, "__SCK__tp_func_mac_txdone" },
	{ 0xbed1fd1d, "mt76_sta_state" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xb3f1cc81, "ieee80211_ready_on_channel" },
	{ 0xfa54ab2, "ieee80211_stop_queues" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaf29699b, "mt76_connac_mcu_init_download" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0x59a0df03, "cfg80211_reg_can_beacon" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x79acb426, "mt76_connac_mcu_add_nested_tlv" },
	{ 0xdd64e639, "strscpy" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x19673570, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x43e24dba, "mt76_get_rate_power_limits" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xf5a29dbc, "ieee80211_sched_scan_results" },
	{ 0xa1d9d1eb, "ieee80211_scan_completed" },
	{ 0x884c8a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5aa4f38e, "mt76_insert_ccmp_hdr" },
	{ 0xfae9f6f5, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa764dd65, "mt76_sw_scan_complete" },
	{ 0xa3cab538, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x54a1212a, "mt76_connac_mcu_start_firmware" },
	{ 0x1b193a03, "____mt76_poll_msec" },
	{ 0x8e73888e, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3ca71db0, "mt76_connac_mcu_rdd_cmd" },
	{ 0x30f711c, "seq_printf" },
	{ 0xe5ff37b, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x40ded16e, "mt76_get_sar_power" },
	{ 0x52a3fc87, "mt76_unregister_phy" },
	{ 0x9ccfac1b, "mt76_register_phy" },
	{ 0x1297b45d, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0x6050460e, "mt76_put_txwi" },
	{ 0x2953636b, "mt76_wcid_cleanup" },
	{ 0x77aba229, "seq_puts" },
	{ 0xa7822d97, "ieee80211_radar_detected" },
	{ 0xa14a267e, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xd354b292, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x3d60d0b7, "single_release" },
	{ 0xfd6beb64, "mt76_sw_scan" },
	{ 0x8367a25f, "mt76_queues_read" },
	{ 0xb42d7479, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x8b330c8a, "mt76_sta_pre_rcu_remove" },
	{ 0x245135db, "mt76_register_debugfs_fops" },
	{ 0xff8f1010, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x16f2f4dc, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xb60430e, "mt76_connac_mcu_sta_ba" },
	{ 0x9d04b4e6, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x2a8983e4, "ieee80211_queue_work" },
	{ 0x534c96ed, "napi_schedule_prep" },
	{ 0x3087d142, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x13ab86c0, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0xe947717c, "__mt76_poll" },
	{ 0x33d420f1, "mt76_rx_aggr_stop" },
	{ 0x460f6edc, "debugfs_create_u8" },
	{ 0xe0b3d283, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xf9827e8f, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb105e872, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x78c54384, "mt76_get_min_avg_rssi" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb5394dd0, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x59d65559, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xdc5f36b1, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xba307140, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x9426b882, "ieee80211_sta_register_airtime" },
	{ 0x95df7679, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x43470c15, "mt76_connac_mcu_sta_tlv" },
	{ 0x156b54f8, "device_set_wakeup_enable" },
	{ 0xfbbb03e6, "mt76_tx_worker_run" },
	{ 0x5bc4fd43, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8cc2388, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0x8dd42c78, "ieee80211_iterate_interfaces" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0x40793f4e, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xb4513857, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8f2fc198, "firmware_request_nowarn" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc2f2e769, "mt76_tx_status_skb_get" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x3957f2fb, "mt76_tx_status_lock" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa4b84628, "mt76_connac_mcu_set_rts_thresh" },
	{ 0xd4d57ab8, "debugfs_create_u16" },
	{ 0x70dee27, "finish_wait" },
	{ 0x702f845, "ieee80211_free_hw" },
	{ 0x1f382971, "mt76_connac_mcu_set_channel_domain" },
	{ 0x8c72592a, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3231ab73, "mt76_release_buffered_frames" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x8cd4213b, "mt76_get_txpower" },
	{ 0xc82534a7, "__tracepoint_mac_txdone" },
	{ 0xf986e66f, "mt76_connac_pm_wake" },
	{ 0x69a49643, "mt76_get_rate" },
	{ 0xa9480924, "mt76_wake_tx_queue" },
	{ 0xc86d4913, "ieee80211_tx_status_ext" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x388c5206, "mt76_connac_mcu_chip_config" },
	{ 0x7f58c23b, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xeca314fc, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x873fc8e1, "__mt76_tx_complete_skb" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x28aa7b7a, "mt76_set_stream_caps" },
	{ 0x31bd9da7, "ieee80211_emulate_change_chanctx" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5c40ea45, "ieee80211_get_hdrlen_from_skb" },
	{ 0xb192e312, "__wake_up" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x241bc195, "mt76_connac_mcu_update_arp_filter" },
	{ 0xec96f337, "mt76_connac_mcu_set_vif_ps" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xda2ef7a0, "mt76_mcu_rx_event" },
	{ 0x40ab7f02, "mt76_alloc_phy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x78496501, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x665783c7, "mt76_wcid_init" },
	{ 0x2d30ae2c, "mt76_tx_status_check" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0xdbc0843f, "mt76_connac_free_pending_tx_skbs" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x6e75ab40, "mt76_connac_power_save_sched" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa68585b8, "ieee80211_send_bar" },
	{ 0x3e9c1e6c, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x63ecc79d, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x41e24c06, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd9d063c3, "mt76_tx" },
	{ 0x27a76f69, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x31ddb77b, "mt76_connac_mcu_set_mac_enable" },
	{ 0x6e2f408a, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "30E3BE61C92942D72E5CEF5");

MODULE_INFO(suserelease, "ALP-0.1");
