#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x541c26b3, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x86aa2dbc, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0xa42a2693, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x8d376eba, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0x7ad25e2b, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xaf9944de, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x47304349, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0xa4e78dd7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61d6a723, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb39b72c3, "mt76_csa_check" },
	{ 0x635a0e40, "mt76_tx_status_skb_add" },
	{ 0xe9e66f37, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebc5d4d0, "mt76u_single_wr" },
	{ 0x873fc8e1, "__mt76_tx_complete_skb" },
	{ 0x98e4359d, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5c40ea45, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9e744506, "usb_bulk_msg" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x2b8ef08b, "mt76_csa_finish" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x39c00e2, "mt76x02_init_beacon_config" },
	{ 0x4d6f0d4c, "__mt76_mcu_msg_alloc" },
	{ 0xbadcc10a, "mt76x02_mac_write_txwi" },
	{ 0xbe6b8d25, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x884c8a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9279ec48, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5fbc99c6, "mt76_skb_adjust_pad" },
	{ 0x853d7e86, "hrtimer_cancel" },
	{ 0x6a8f17a2, "mt76x02_mac_set_beacon" },
	{ 0xdd113531, "hrtimer_active" },
	{ 0xe947717c, "__mt76_poll" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x18d7963b, "mt76x02_update_beacon_iter" },
	{ 0xa3edbb15, "mt76x02_enqueue_buffered_bc" },
	{ 0x16bb9de4, "mt76x02_remove_hdr_pad" },
	{ 0x610b0c07, "skb_put" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd48bc1e1, "mt76x02_resync_beacon_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "59FD432ACB2ABDC31F8F38D");

MODULE_INFO(suserelease, "ALP-0.1");
