#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb01a6673, "rt2x00mac_configure_filter" },
	{ 0xf26f1857, "rt2x00mac_set_key" },
	{ 0x63df4664, "rt2x00mac_sw_scan_start" },
	{ 0xebdb4015, "rt2x00mac_sw_scan_complete" },
	{ 0x53f74240, "rt2x00mac_get_stats" },
	{ 0x43bdbf1, "rt2x00mac_rfkill_poll" },
	{ 0x4cb3f838, "rt2x00mac_flush" },
	{ 0xd53b96d7, "rt2x00mac_set_antenna" },
	{ 0xb239814a, "rt2x00mac_get_antenna" },
	{ 0x3341a6b1, "rt2x00mac_get_ringparam" },
	{ 0x42933edd, "rt2x00mac_tx_frames_pending" },
	{ 0x930587df, "ieee80211_emulate_add_chanctx" },
	{ 0xb105e872, "ieee80211_emulate_remove_chanctx" },
	{ 0x31bd9da7, "ieee80211_emulate_change_chanctx" },
	{ 0x9f9913a1, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x18fe2dc, "ieee80211_handle_wake_tx_queue" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x6f43980, "rt2x00pci_probe" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xcdc12229, "rt2x00mmio_regbusy_read" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xfcaf4890, "rt2x00mac_conf_tx" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x2fe2c953, "rt2x00debug_dump_frame" },
	{ 0xb2fb0ed2, "__skb_pad" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xd819a524, "crc_itu_t_table" },
	{ 0xe97b736d, "rt2x00lib_txdone_noinfo" },
	{ 0x1b747661, "rt2x00queue_get_entry" },
	{ 0x551275e7, "rt2x00lib_txdone" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x440016c3, "rt2x00lib_beacondone" },
	{ 0xb64fc2c4, "rt2x00mmio_rxdone" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xcc8662e7, "rt2x00lib_set_mac_address" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x200a45b4, "rt2x00pci_remove" },
	{ 0xf3d87acb, "rt2x00pci_pm_ops" },
	{ 0xe64274f4, "rt2x00mmio_initialize" },
	{ 0x29351852, "rt2x00mmio_uninitialize" },
	{ 0xbfde5f1, "rt2x00mmio_flush_queue" },
	{ 0x4d463fd2, "rt2x00mac_tx" },
	{ 0x80f089be, "rt2x00mac_start" },
	{ 0xfd3b7dac, "rt2x00mac_stop" },
	{ 0x5daba614, "rt2x00mac_add_interface" },
	{ 0x8982b849, "rt2x00mac_remove_interface" },
	{ 0xdd5432a4, "rt2x00mac_config" },
	{ 0x4e1fe722, "rt2x00mac_bss_info_changed" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211,rt2x00pci,rt2x00mmio,crc-itu-t,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000401sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "956AF6397FE5855E5932E46");

MODULE_INFO(suserelease, "ALP-0.1");
