#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(wlcore_set_key, 0xf494d443, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xb9c466fc, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0xc811a794, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x9ec2a95f, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x36994692, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0xf95e9c2e, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0x51d62f5e, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0xabdd0221, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0xb0ed1d39, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x3ce0a95f, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0xe6b548a4, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x97fa2e1a, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x4967f314, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x57d23dcf, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0xd92beada, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0x1de8d293, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0xa3b75526, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x0b4ea32a, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0x0184e705, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0x5b3d92b7, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x988b7f81, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x7b25fe34, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x289da0c7, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x935bb7b7, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0xcb433058, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x028da27e, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x5fdaef42, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0xdc00929b, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0x24ea8838, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x926dae60, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0x933de556, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0x8024f822, "");
SYMBOL_CRC(wlcore_tx_complete, 0x869d53aa, "");
SYMBOL_CRC(wl1271_tx_flush, 0xf7b149de, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0x3913a4fe, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x3fa05969, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x9aef60ac, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x03b00cf7, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0xfe3e276c, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0x33ef68f6, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0x94be4bf8, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x97a83d25, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x846749d8, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x5c8f770f, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0x8b0c82d5, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0x6721645f, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x0ae176ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6c17818d, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x25dc3dc9, "device_create_file" },
	{ 0xf539f66c, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7cb4ebcd, "ieee80211_queue_delayed_work" },
	{ 0x82a6a2af, "ieee80211_proberesp_get" },
	{ 0xb1e1a194, "device_wakeup_enable" },
	{ 0xef176305, "request_firmware_nowait" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x371d1953, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xec6f516f, "ieee80211_remain_on_channel_expired" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0xfc8916c8, "no_seek_end_llseek" },
	{ 0x3bbf5699, "ieee80211_wake_queues" },
	{ 0x6013cd4f, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x993f9ef7, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x96fd96e1, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xab956cf, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x681f1d7c, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdd70cdb5, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xb3f1cc81, "ieee80211_ready_on_channel" },
	{ 0xfa54ab2, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf01f81dd, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xf5a29dbc, "ieee80211_sched_scan_results" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xa1d9d1eb, "ieee80211_scan_completed" },
	{ 0x884c8a9d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xac854730, "dev_pm_clear_wake_irq" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x167daf0b, "_ieee80211_chswitch_done" },
	{ 0x45899d73, "pm_runtime_force_resume" },
	{ 0x8215df98, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xbf1b54eb, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x7cefbbfe, "ieee80211_cqm_rssi_notify" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x2a8983e4, "ieee80211_queue_work" },
	{ 0xe87d5fee, "__pm_runtime_use_autosuspend" },
	{ 0xa6c70c2a, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xf9827e8f, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8d1c92c, "pm_runtime_force_suspend" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x76041688, "device_remove_bin_file" },
	{ 0x6aa8c5cf, "device_remove_file" },
	{ 0x59d65559, "ieee80211_csa_finish" },
	{ 0x5f2318ff, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x242b160a, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe9b46648, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2e5f309d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8dd42c78, "ieee80211_iterate_interfaces" },
	{ 0x5965cfdf, "ieee80211_sched_scan_stopped" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x702f845, "ieee80211_free_hw" },
	{ 0xbad17c1e, "ieee80211_probereq_get" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x1eb1273b, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x793f9d83, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf7c31460, "ieee80211_pspoll_get" },
	{ 0x953a31c2, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6cc44bbf, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5c40ea45, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf9985e97, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5fd28968, "ieee80211_stop_rx_ba_session" },
	{ 0xdb35eed6, "ieee80211_wake_queue" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70430e38, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x85955736, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7127add9, "ieee80211_find_sta" },
	{ 0x18fe2dc, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x2ae060ea, "pm_wakeup_dev_event" },
	{ 0xc041ae4, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "4F541C24F959ABD0B17FD55");

MODULE_INFO(suserelease, "ALP-0.1");
