#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x80403832, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x7edcf0f7, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xf5efb80c, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x45d8ec6a, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x38ee8b9b, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x490dd70a, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xcacc7b01, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xec1c25b1, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x55a7f510, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xee955e8c, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x4c7a3f9b, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xec1ff681, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xad486b35, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x049a7499, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x47b02e3e, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x794d9b91, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xc213cfea, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xe14977a9, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x93632397, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x40ce28d3, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x36378658, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x72e21826, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xb67682b4, "_gpl");
SYMBOL_CRC(nvme_keep_alive_work_period, 0x58976325, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x898a0243, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x2204ef15, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x8e566bcb, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xa3bd248f, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x293756ec, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x247238d5, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xb0da4c95, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xbdef74b4, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x2729529b, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x0700f951, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x9250da5a, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x398a5cbb, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x00d829fd, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xabd41c96, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xc5b95d2b, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x948c464f, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xdf0bd18e, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xe7a65763, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x7c51377a, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x03163467, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x9b7e3d59, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x4f6eafb3, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x97ec7837, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x03675ff1, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x4be272d6, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x44d6daba, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xdbcc7c2f, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x1d4ff6a3, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x4981dd57, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x89baeab0, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xb529a548, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x0131d0f5, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x466c77a0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x6eee257a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x39c6e017, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x7928b1dc, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x58655bef, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x3879213c, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xb5b9e3ec, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x909482f6, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xb4c63424, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddaba837, "__free_pages" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x2cfeb6f1, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7a5e10f6, "sysfs_create_link" },
	{ 0x6c693e7d, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7f71c733, "compat_ptr_ioctl" },
	{ 0xcfffb597, "t10_pi_type3_crc" },
	{ 0xca3fa9f0, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xacaf2162, "blk_mq_quiesce_tagset" },
	{ 0x978481eb, "kobject_uevent_env" },
	{ 0x23a44af3, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x92018896, "init_srcu_struct" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xabfe91da, "__SCK__tp_func_block_bio_remap" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xbc558f9b, "blk_revalidate_disk_zones" },
	{ 0x6b7e3bad, "debugfs_create_bool" },
	{ 0x1f408ce2, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x97e846ac, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xdb06ec42, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x3999391e, "sysfs_remove_link" },
	{ 0xb70a256f, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xeb213917, "__srcu_read_lock" },
	{ 0x1a50a6b5, "hwmon_device_register_with_info" },
	{ 0xbfdcec1e, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd7d96bb3, "submit_bio_noacct" },
	{ 0xb912e93b, "xa_load" },
	{ 0xcbd7b244, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xbcc91d35, "blk_sync_queue" },
	{ 0x9dab37d9, "bdev_start_io_acct" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xd6373bf1, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x46dc47ca, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x990bbe34, "blk_mq_alloc_request" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x125bb5e3, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbbe87a25, "del_gendisk" },
	{ 0x7231cfb3, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc1f391bb, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xd6c0cb57, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x44c5d0af, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x26009956, "blk_put_queue" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x686cbe9f, "device_del" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xd611570a, "blk_mq_wait_quiesce_done" },
	{ 0x681f1d7c, "param_ops_charp" },
	{ 0x3faaa0f6, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xf28f7ee5, "io_uring_cmd_do_in_task_lazy" },
	{ 0x21c2ba23, "blk_mq_init_queue" },
	{ 0xeeef6f8f, "debugfs_create_x16" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x16778dff, "io_uring_cmd_done" },
	{ 0xc9769ed8, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xb0d2dbec, "xa_erase" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x22739764, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x43ac48b2, "blk_mq_complete_request" },
	{ 0x291d6c99, "blk_queue_chunk_sectors" },
	{ 0xb73c0e2d, "blk_queue_max_write_zeroes_sectors" },
	{ 0x503884b, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x821afea1, "crypto_shash_final" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x81bb0c16, "blk_mq_destroy_queue" },
	{ 0x13e4c67a, "xa_destroy" },
	{ 0xb575ede2, "blk_freeze_queue_start" },
	{ 0xadd89344, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xb35f81b8, "xa_find" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x58aaba77, "mempool_destroy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4809eba0, "__tracepoint_block_bio_complete" },
	{ 0xe04a8b3c, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd03c16f, "blk_queue_io_min" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x84d2dd5e, "__srcu_read_unlock" },
	{ 0xfe58531e, "hwmon_device_unregister" },
	{ 0x59e90930, "__tracepoint_block_bio_remap" },
	{ 0x525d7b28, "blk_mq_unfreeze_queue" },
	{ 0x5abddd84, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x2c9d9b77, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2469d9f, "blk_rq_map_user_iov" },
	{ 0xd5b565f9, "setup_fault_attr" },
	{ 0xf3836497, "xa_find_after" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xe4c71c0f, "blk_queue_max_hw_sectors" },
	{ 0x620cf7b3, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x93ae7e73, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0x6f4bc252, "blk_mq_freeze_queue_wait" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xc0148b74, "nvme_auth_gen_privkey" },
	{ 0xbec987d0, "fault_create_debugfs_attr" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x6c6404f0, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8eb8f4a6, "blk_mq_requeue_request" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbda36c7, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfcd4ce64, "bdev_end_io_acct" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x1564b604, "blk_steal_bios" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x99719cb1, "set_capacity_and_notify" },
	{ 0xb9c7b45c, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3f38be70, "set_disk_ro" },
	{ 0x842c1fa9, "__blk_alloc_disk" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x3eab95b1, "blk_integrity_register" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf8ec348f, "bio_integrity_map_user" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0xa88cd666, "device_remove_file_self" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xb870f38b, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x62fe8738, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xf45d1bc7, "ext_pi_type3_crc64" },
	{ 0x553ad551, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x2c14d29f, "disk_update_readahead" },
	{ 0x357d0b1a, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xb336c246, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xeccdf606, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xddc2140b, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x5818319f, "class_destroy" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xf6026879, "should_fail" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x595f0149, "blk_mq_unquiesce_queue" },
	{ 0x8237149c, "t10_pi_type1_crc" },
	{ 0x5ef4e1a0, "blk_queue_dma_alignment" },
	{ 0x8db36f58, "blk_mq_quiesce_queue" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xb6781cba, "ext_pi_type1_crc64" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6e76b33, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5100e069, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x190c1f31, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0xb7c60e25, "synchronize_srcu" },
	{ 0x6c045967, "param_ops_byte" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x2305c6b3, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x19f3e6c8, "__blk_mq_alloc_disk" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x56d191c5, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc8f48401, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xca4a5199, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x56530d28, "blk_mq_alloc_tag_set" },
	{ 0xbe978bdf, "blk_rq_is_poll" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x5e8bb8c5, "mempool_create" },
	{ 0xbc209a42, "put_disk" },
	{ 0xbe479612, "crypto_alloc_kpp" },
	{ 0xb3b6a546, "cdev_device_add" },
	{ 0xc16d9874, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xafa3cf70, "blk_queue_physical_block_size" },
	{ 0x4aa7061d, "blk_execute_rq" },
	{ 0xc33ff55c, "put_device" },
	{ 0x557c9ac1, "blk_mq_unquiesce_tagset" },
	{ 0xf921b926, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0x69edd4d1, "kmalloc_node_trace" },
	{ 0xacc760fa, "blk_queue_flag_set" },
	{ 0x16741bd4, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x15d642f9, "blk_mq_free_request" },
	{ 0x78fa89cd, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,t10-pi");


MODULE_INFO(srcversion, "69B42744B562F4468CECB21");

MODULE_INFO(suserelease, "ALP-0.1");
