#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvme_fc_register_localport, 0x977295cb, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x39c6e017, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xeb3a0591, "nvmf_unregister_transport" },
	{ 0x32a53106, "blkcg_get_fc_appid" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xee955e8c, "nvme_change_ctrl_state" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xe7a65763, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xd829fd, "nvme_alloc_io_tag_set" },
	{ 0x49a7499, "nvme_fail_nonready_command" },
	{ 0x978481eb, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x57de8c7a, "device_create" },
	{ 0xbcc91d35, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x2c3785c2, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x83d748dd, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xb909bfad, "nvmf_connect_admin_queue" },
	{ 0x247238d5, "nvme_enable_ctrl" },
	{ 0xdbcc7c2f, "nvme_unquiesce_admin_queue" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4be272d6, "nvme_unquiesce_io_queues" },
	{ 0x42694e9b, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc4d3a034, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3b1e83cb, "nvmf_should_reconnect" },
	{ 0x700f951, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x14f17223, "device_destroy" },
	{ 0xa3bd248f, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x87581d59, "nvmf_register_transport" },
	{ 0xaa2793f3, "blk_mq_start_request" },
	{ 0x3675ff1, "nvme_quiesce_io_queues" },
	{ 0x5abddd84, "blk_mq_tagset_busy_iter" },
	{ 0xc5b95d2b, "nvme_stop_ctrl" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xb0da4c95, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x7edcf0f7, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x44d6daba, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc662d63f, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x47b02e3e, "__nvme_check_ready" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x38dc4914, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x398a5cbb, "nvme_remove_admin_tag_set" },
	{ 0x1d4ff6a3, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0xdf0bd18e, "nvme_uninit_ctrl" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0x45d8ec6a, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe7e2772, "nvmf_free_options" },
	{ 0x74ef7de4, "nvmf_subsystem_reset" },
	{ 0xeccdf606, "blk_mq_tagset_wait_completed_request" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x898a0243, "nvme_stop_keep_alive" },
	{ 0xa68b2b6e, "blk_mq_complete_request_remote" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0xc213cfea, "nvme_setup_cmd" },
	{ 0x948c464f, "nvme_start_ctrl" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x9250da5a, "nvme_alloc_admin_tag_set" },
	{ 0x7a902ff0, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x540307d6, "nvmf_reg_read32" },
	{ 0xb192e312, "__wake_up" },
	{ 0xf5efb80c, "nvme_delete_ctrl" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x7928b1dc, "nvme_should_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x446ab09e, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xabd41c96, "nvme_remove_io_tag_set" },
	{ 0x794d9b91, "nvme_cleanup_cmd" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "9F0BFFF064361F14A150E1C");

MODULE_INFO(suserelease, "ALP-0.1");
