#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cxgbi_device_portmap_create, 0x892f2c0c, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x123b1b49, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x644caca2, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xc454372d, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xdb666813, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x28f7db75, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x8c0e8fab, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0xd4d83cfb, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x8eb0d65f, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xe27b090c, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x1cf080da, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x1feb5363, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x603be3c2, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xf9503b57, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x9e563b9c, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x34c89dff, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x397d4bc6, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x5ca727ee, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x5bf006d3, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xc2746d78, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xe5532585, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x20d06b22, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xf1093025, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xb4e66bb3, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x9097b3e4, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x85b3077d, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xdbe3bea6, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x7e1775f1, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xbe23264d, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x6e6c340c, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0xed91bade, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x4223fca9, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xb163968a, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xba9bbc27, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x71fab077, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xdef436a6, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x35bbc061, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x7bf78621, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0xdbf2a382, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x879ed1c0, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0xc5f136e4, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x4ab74444, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x6c5fead3, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x97c0ab37, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xf4d57362, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d91c81f, "iscsi_host_remove" },
	{ 0x2b599ded, "pci_dev_put" },
	{ 0x1dcb2896, "iscsi_host_free" },
	{ 0x32a288be, "iscsi_host_alloc" },
	{ 0xb6f35a4d, "pci_dev_get" },
	{ 0x1653d5da, "iscsi_host_add" },
	{ 0xcb94fdeb, "scsi_host_put" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2da2ead8, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d95456, "iscsi_conn_queue_xmit" },
	{ 0xf7a697ae, "__kfree_skb" },
	{ 0x212c1f84, "iscsi_tcp_cleanup_task" },
	{ 0x139cf703, "cxgbi_ppm_ppod_release" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5b93ef2, "iscsi_tcp_set_max_r2t" },
	{ 0x7887dfaa, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x6b52a538, "iscsi_tcp_conn_setup" },
	{ 0xb57587bd, "iscsi_session_setup" },
	{ 0xbbb6e898, "iscsi_tcp_r2tpool_alloc" },
	{ 0xcfb21b3a, "iscsi_session_teardown" },
	{ 0x1140bf64, "iscsi_tcp_r2tpool_free" },
	{ 0x418fec50, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0x525c3503, "iscsi_unregister_transport" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xbd7f59f8, "iscsi_conn_failure" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xec41c74c, "iscsi_register_transport" },
	{ 0x8231185e, "init_net" },
	{ 0x3bd14ba3, "ip6_route_output_flags" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd7b64ea, "iscsi_host_get_param" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc970d359, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x7ff557aa, "iscsi_tcp_recv_skb" },
	{ 0x67b408bc, "iscsi_lookup_endpoint" },
	{ 0xb20390d5, "iscsi_conn_bind" },
	{ 0x70b4fc9f, "iscsi_put_endpoint" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0xc9bf015f, "iscsi_tcp_hdr_recv_prep" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xcb71f293, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x46be09, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x91a2f9da, "module_put" },
	{ 0xf181f696, "iscsi_destroy_endpoint" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xefbfdf01, "cxgbi_ppm_ppods_reserve" },
	{ 0x38dc4914, "dma_map_sg_attrs" },
	{ 0x5fa2a9e, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xa158899b, "ipv6_dev_get_saddr" },
	{ 0x5cddbfe1, "neigh_destroy" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe7acf9f2, "iscsi_create_endpoint" },
	{ 0x87ef17ce, "__ip_dev_find" },
	{ 0x610b0c07, "skb_put" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3b50a2f9, "iscsi_itt_to_ctask" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");

MODULE_INFO(suserelease, "ALP-0.1");
