#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sas_register_ha, 0xb4f84423, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xf2bcc4fd, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x55ccf0d8, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x7bd9a7ad, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xff36ab31, "");
SYMBOL_CRC(sas_resume_ha, 0x4c06b866, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0xbe6979e7, "");
SYMBOL_CRC(sas_suspend_ha, 0x5564b843, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xe356b77d, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x9ae85292, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xa2fb901b, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x1b16ba99, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xb9970c69, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x7f21f1d0, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xb571cf65, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x9dd76aef, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xfd133e26, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xcde4c64f, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x740faa44, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xca009014, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x5efe9325, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0xfac1ba57, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x1d324647, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xb1cbcf4f, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0xa5583f0f, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xbe59acfc, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x853b0cd8, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x0e867101, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x306a4a52, "_gpl");
SYMBOL_CRC(sas_query_task, 0xdfb4ce4f, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x250166d7, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x3c364ae7, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xcf78acfa, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x70a84474, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xa29f81f6, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xcd744dd0, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x3d9f6cb9, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x68237628, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0xf27926ee, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x978e4ed1, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2b8dab40, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x5964ac6e, "sas_phy_free" },
	{ 0x89f43183, "scsi_eh_finish_cmd" },
	{ 0xc8d325cf, "ata_noop_qc_prep" },
	{ 0x2d44412, "ata_sas_port_alloc" },
	{ 0xa0aaaae3, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0xbfe494ae, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xbeb847eb, "sas_port_mark_backlink" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0xf6df8557, "ata_link_abort" },
	{ 0x9fa41702, "ata_std_qc_defer" },
	{ 0x6cf2027, "ata_scsi_port_error_handler" },
	{ 0xe115376, "ata_change_queue_depth" },
	{ 0x5058d38d, "ata_port_probe" },
	{ 0x278d67a6, "ata_std_error_handler" },
	{ 0x7ac32f3, "ata_port_free" },
	{ 0xcf1db6e4, "sas_end_device_alloc" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x3d841a7e, "sas_read_port_mode_page" },
	{ 0xba881429, "sas_expander_alloc" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xfcc17003, "sas_rphy_delete" },
	{ 0x9f1ab6bd, "scsi_is_host_device" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xc4d6057c, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x5ebf1270, "scsi_host_busy" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xe1db3c6c, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa2c61fe1, "ata_sas_port_suspend" },
	{ 0x1e02d118, "sas_rphy_add" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0x667e1810, "sas_port_delete_phy" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd78fad3, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x31ffaaf8, "sas_port_add_phy" },
	{ 0xda2b30c4, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x6f0259e6, "ata_sas_slave_configure" },
	{ 0x5abddd84, "blk_mq_tagset_busy_iter" },
	{ 0xb25807d7, "scsi_done" },
	{ 0xcdd49cf0, "scsi_unblock_requests" },
	{ 0xe08e08f, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xd2dbd661, "ata_host_put" },
	{ 0xc9f2bd81, "sas_port_free" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xfb7fa58d, "ata_std_sched_eh" },
	{ 0x83cd7401, "scsi_block_requests" },
	{ 0xdd1d24e1, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x65c998b6, "sas_remove_children" },
	{ 0xeb777c91, "scsi_change_queue_depth" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x15445550, "ata_port_wait_eh" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x5ac8f0e3, "ata_qc_complete" },
	{ 0x718c5213, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4eaf603d, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x38184261, "bsg_job_done" },
	{ 0x48fc001, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xfe26a131, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x7001da3a, "ata_sas_tport_add" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x278486ce, "scsi_schedule_eh" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x6ff0e6bb, "ata_host_init" },
	{ 0xa63fde6, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x891ff512, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x51410246, "sas_port_get_phy" },
	{ 0x2d5fdd36, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x259308f4, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x46775f13, "sas_phy_alloc" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas,scsi_mod");


MODULE_INFO(srcversion, "681E9196D460A26A03FCDF2");

MODULE_INFO(suserelease, "ALP-0.1");
