#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qlt_unreg_sess, 0x7ff5eb18, "");
SYMBOL_CRC(qlt_stop_phase1, 0x9ff849c0, "");
SYMBOL_CRC(qlt_stop_phase2, 0x3e0b29dc, "");
SYMBOL_CRC(qlt_free_mcmd, 0x6815f5bf, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0x320a4b37, "");
SYMBOL_CRC(qlt_xmit_response, 0xbed6298b, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0x701afd95, "");
SYMBOL_CRC(qlt_abort_cmd, 0x191810d8, "");
SYMBOL_CRC(qlt_free_cmd, 0xc2a7ef3d, "");
SYMBOL_CRC(qlt_lport_register, 0xfb767663, "");
SYMBOL_CRC(qlt_lport_deregister, 0xc24be2bb, "");
SYMBOL_CRC(qlt_enable_vha, 0x90f47476, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xb5f83e46, "blk_queue_update_dma_alignment" },
	{ 0xdc58eeb, "fc_vport_create" },
	{ 0xcb94fdeb, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x26d2458a, "fc_remote_port_rolechg" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x15f66389, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xf2766c7c, "seq_putc" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xd343bc2c, "fc_vport_terminate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd39a5be6, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x69631f6a, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0xfb578fc5, "memset" },
	{ 0x20ded970, "pci_alloc_irq_vectors_affinity" },
	{ 0x9f1ab6bd, "scsi_is_host_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x681f1d7c, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf74ef68d, "dma_get_required_mask" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xa9f16f3e, "blk_mq_unique_tag" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x54794243, "pv_ops" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0x2ba2e3ca, "trace_array_set_clr_event" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x90bb8e0c, "fc_host_fpin_rcv" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xf32776b0, "btree_destroy" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4e91f6a6, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x7b6eed8f, "btree_update" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x71e4a52a, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6db05fa7, "__register_chrdev" },
	{ 0x58aaba77, "mempool_destroy" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x73606ecf, "fc_eh_should_retry_cmd" },
	{ 0xce27f787, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0x3d74e74d, "scsi_is_fc_rport" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x77aba229, "seq_puts" },
	{ 0xb25807d7, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xdc4ca84f, "btree_get_prev" },
	{ 0x3d60d0b7, "single_release" },
	{ 0xcdd49cf0, "scsi_unblock_requests" },
	{ 0x82021775, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xcbe64743, "pci_disable_rom" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa445720f, "pci_irq_get_affinity" },
	{ 0x83cd7401, "scsi_block_requests" },
	{ 0x59a55a24, "scsi_add_host_with_dma" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0xe0b3d283, "single_open" },
	{ 0x9745a1a6, "scsi_host_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xfc02f0f0, "pci_write_config_word" },
	{ 0xebd629f7, "sysfs_remove_bin_file" },
	{ 0xdd39faa3, "pci_free_irq_vectors" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x977295cb, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb777c91, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6305441, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x38dc4914, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xdc4b1ae6, "param_ops_ullong" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0x6a8d5791, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8bc61e8e, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x27866d6f, "fc_attach_transport" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xe14d67e8, "dma_pool_create" },
	{ 0xd3ceb354, "pci_request_selected_regions" },
	{ 0xf1d69955, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x307ead6c, "pci_enable_device_mem" },
	{ 0x38184261, "bsg_job_done" },
	{ 0x680cb1d5, "btree_insert" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0x766cc606, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xa1d2bd2b, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xfb1259b5, "scsi_build_sense" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x2aabcdc8, "vmalloc_array" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xcf0b82ae, "fc_remove_host" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xbd04876b, "set_user_nice" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xd275fcb7, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa415a475, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x747a546f, "pci_clear_mwi" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1d27109, "fc_eh_timed_out" },
	{ 0xb192e312, "__wake_up" },
	{ 0x1ec65b3a, "btree_remove" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0xf1e8f6ca, "pci_try_set_mwi" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0x56d191c5, "mempool_free" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x3ba2b699, "trace_array_put" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x1592361, "blk_mq_pci_map_queues" },
	{ 0xc7fdb3b2, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x5e8bb8c5, "mempool_create" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x449b665a, "fc_remote_port_delete" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x164c3eb, "scsi_host_get" },
	{ 0x16741bd4, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9fa4564a, "timer_shutdown" },
	{ 0xa8a18171, "fc_host_post_event" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfa31095d, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9e67ac65, "fc_release_transport" },
	{ 0x5992f0d4, "pci_set_mwi" },
	{ 0xc88f3c73, "btree_lookup" },
	{ 0xdf3c1726, "pci_find_capability" },
	{ 0x61651be, "strcat" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0x6b3d9b84, "btree_init" },
	{ 0x978481eb, "kobject_uevent_env" },
	{ 0xf43ac02b, "pci_clear_master" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,scsi_mod,nvme-fc");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9A11463B9ABF310E641E382");

MODULE_INFO(suserelease, "ALP-0.1");
