#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sdw_bus_type, 0xd87d0de3, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xdde09592, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xa0329dd1, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x484282ec, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x49cbaa94, "");
SYMBOL_CRC(sdw_show_ping_status, 0xaa88cc33, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x212ac4f4, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0xdcbaab96, "");
SYMBOL_CRC(sdw_write_no_pm, 0x1383426f, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x0462ee36, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x75e75f49, "");
SYMBOL_CRC(sdw_read_no_pm, 0x9d975f03, "");
SYMBOL_CRC(sdw_update_no_pm, 0xaa20b80a, "");
SYMBOL_CRC(sdw_update, 0x20cdf1ed, "");
SYMBOL_CRC(sdw_nread, 0x21a8fd38, "");
SYMBOL_CRC(sdw_nwrite, 0xa254aeba, "");
SYMBOL_CRC(sdw_read, 0x6b670d88, "");
SYMBOL_CRC(sdw_write, 0x477493a9, "");
SYMBOL_CRC(sdw_compare_devid, 0x2804cf7b, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x4dc3c4f6, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xc958275e, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xd2393ee2, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x9a18e236, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x5ab457d4, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xd0c2e9b1, "");
SYMBOL_CRC(sdw_slave_add, 0xf55b37a2, "");
SYMBOL_CRC(sdw_master_read_prop, 0x6127b667, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x95a0cda4, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x8a156323, "");
SYMBOL_CRC(sdw_enable_stream, 0x250bd32d, "");
SYMBOL_CRC(sdw_disable_stream, 0xdfde2b3a, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x401c7ea1, "");
SYMBOL_CRC(sdw_alloc_stream, 0x84d21766, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x95db52ba, "");
SYMBOL_CRC(sdw_stream_add_master, 0x1fc043d3, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x9d754878, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xd3309428, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x98c0c8d5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c966cf0, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x86799b6d, "fwnode_property_present" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x97b8e7c6, "device_get_named_child_node" },
	{ 0x30f711c, "seq_printf" },
	{ 0x3d60d0b7, "single_release" },
	{ 0xf72734a1, "acpi_dev_for_each_child" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xe87d5fee, "__pm_runtime_use_autosuspend" },
	{ 0xe0b3d283, "single_open" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x155c0846, "device_property_present" },
	{ 0xf154fd9b, "devm_device_add_groups" },
	{ 0xb11cf891, "is_acpi_device_node" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xf210c8da, "device_unregister" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x2b8548c2, "dev_pm_domain_attach" },
	{ 0x1d63b7e0, "devm_device_add_group" },
	{ 0xf7f03130, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58835cde, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0x335396f1, "device_property_read_u32_array" },
	{ 0x19d5f935, "fwnode_property_read_u32_array" },
	{ 0x185d345f, "dev_pm_domain_detach" },
	{ 0x3ac52e68, "pm_generic_runtime_suspend" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x28c1b486, "device_register" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2EDB406E3F163C38E4710D6");

MODULE_INFO(suserelease, "ALP-0.1");
