#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssb_bus_resume, 0xd6674b3b, "");
SYMBOL_CRC(ssb_bus_suspend, 0x868c6aff, "");
SYMBOL_CRC(ssb_bus_unregister, 0xff520308, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0x66a19e5d, "");
SYMBOL_CRC(__ssb_driver_register, 0x39469624, "");
SYMBOL_CRC(ssb_driver_unregister, 0xfd0d3736, "");
SYMBOL_CRC(ssb_set_devtypedata, 0xf24284d2, "");
SYMBOL_CRC(ssb_clockspeed, 0xdce4f055, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x376d64dc, "");
SYMBOL_CRC(ssb_device_enable, 0x91633aa0, "");
SYMBOL_CRC(ssb_device_disable, 0x4c2dd14e, "");
SYMBOL_CRC(ssb_dma_translation, 0x5cf660fe, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x79cb38d1, "");
SYMBOL_CRC(ssb_bus_powerup, 0x294bd9cf, "");
SYMBOL_CRC(ssb_commit_settings, 0x6edad956, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x9a8583a9, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0xca3a4236, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x95ca612f, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x141a632a, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x7f646cbc, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0xd9ea1c78, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x25dc3dc9, "device_create_file" },
	{ 0x26e3035f, "sdio_readsb" },
	{ 0xc2c46908, "gpiochip_get_data" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x2f51ed26, "pci_read_config_word" },
	{ 0xba57d23, "sdio_readl" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x2de3dc67, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x28c1b486, "device_register" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe0e2d7da, "sdio_writel" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x268fe58b, "gpiochip_add_data_with_key" },
	{ 0xe2f95049, "_dev_emerg" },
	{ 0x9d86b0d7, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0x578e9705, "sdio_writesb" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xfc02f0f0, "pci_write_config_word" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xebfc4cae, "pci_write_config_dword" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x6aa8c5cf, "device_remove_file" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x62fc34f0, "sdio_readb" },
	{ 0x9577ceeb, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0x33189245, "sdio_release_host" },
	{ 0x156b54f8, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xa517aef9, "sdio_claim_host" },
	{ 0x6a5a421d, "pci_iomap" },
	{ 0x6e89fb92, "sdio_readw" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x5dce0270, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xd524edc3, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xcbeb11d, "sdio_writew" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "124DC3E21F839122E3D6D80");

MODULE_INFO(suserelease, "ALP-0.1");
