#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18fe2dc, "ieee80211_handle_wake_tx_queue" },
	{ 0x8cd9f92a, "ieee80211_tx_status_irqsafe" },
	{ 0xb5599cfe, "usb_put_dev" },
	{ 0x95de297e, "usb_reset_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7c2e54e2, "usb_kill_anchored_urbs" },
	{ 0xebdc2a31, "usb_get_dev" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x308734fa, "usb_control_msg" },
	{ 0x3bbf5699, "ieee80211_wake_queues" },
	{ 0x993f9ef7, "ieee80211_free_txskb" },
	{ 0x96fd96e1, "ieee80211_alloc_hw_nm" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x930587df, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9f9913a1, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x6563c24b, "usb_unanchor_urb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfa54ab2, "ieee80211_stop_queues" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x77009fad, "_dev_notice" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8215df98, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbf1b54eb, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x619dc912, "skb_clone" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xb105e872, "ieee80211_emulate_remove_chanctx" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x4a615744, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8175fe25, "ieee80211_rts_duration" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0xbd3a3f19, "usb_anchor_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0x610b0c07, "skb_put" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x702f845, "ieee80211_free_hw" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0xbec95c57, "ieee80211_get_tkip_p2k" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x953a31c2, "ieee80211_register_hw" },
	{ 0x31bd9da7, "ieee80211_emulate_change_chanctx" },
	{ 0xbde877ee, "ieee80211_ctstoself_duration" },
	{ 0x5c40ea45, "ieee80211_get_hdrlen_from_skb" },
	{ 0x50bd937b, "ieee80211_generic_frame_duration" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "mac80211,usbcore,cfg80211");

MODULE_ALIAS("usb:v160Ap3184d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "2C3B2F9B51FEB2D24169778");

MODULE_INFO(suserelease, "ALP-0.1");
