#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x04a11d55, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0xdf3b5df9, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x8d792a1e, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x25639b3e, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0xab3e4c74, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x31bc3ee5, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0xeaa5a018, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x187c9a3d, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0xa2599ba4, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x8f0c8956, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x1276f909, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x8e3f97a1, "");
SYMBOL_CRC(iscsit_release_cmd, 0xcb57ddac, "");
SYMBOL_CRC(iscsit_free_cmd, 0xea61c482, "");
SYMBOL_CRC(iscsit_queue_rsp, 0xd5aa3e6d, "");
SYMBOL_CRC(iscsit_aborted_task, 0xe2e444a9, "");
SYMBOL_CRC(iscsit_add_reject, 0x17bb3991, "");
SYMBOL_CRC(iscsit_reject_cmd, 0xe3a8b4ae, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x205a3879, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x665ab714, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0xcde7e2c6, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x6d910d63, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xf69d63fa, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x45b3a0c4, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x3558bac1, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x70bd56e0, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x6ec5427e, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0xb80515b0, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x355cec3d, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x628f2a25, "");
SYMBOL_CRC(iscsit_handle_snack, 0xb3611481, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x307c76ee, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x50f41f0f, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x3d8de03a, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xfdc80bec, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x438796fa, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x7f34a175, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0xca6d995c, "");
SYMBOL_CRC(iscsit_build_reject, 0x2bf79a46, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0xc9491c32, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xe75d5ff5, "");
SYMBOL_CRC(iscsit_response_queue, 0xb16b05ba, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x8b5e3c20, "");
SYMBOL_CRC(iscsit_register_transport, 0xe922352f, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x323a1d7a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69d5d5c9, "target_cmd_parse_cdb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xa8db12d5, "sock_set_reuseaddr" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x970b0b1c, "crypto_ahash_finup" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3760cf8e, "iov_iter_bvec" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xc5533e11, "crypto_ahash_digest" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xb21fa779, "crypto_ahash_final" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xde70429e, "__target_init_cmd" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd72e1771, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x90755c78, "core_tpg_check_initiator_node_acl" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xde456ee3, "target_cmd_init_cdb" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x394fea99, "kernel_listen" },
	{ 0xc7019245, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x49b076ed, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x25ae1f35, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x54e10b84, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb376e511, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0xf607633e, "transport_handle_cdb_direct" },
	{ 0xe0fabedf, "target_get_sess_cmd" },
	{ 0xb3666b3, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbbd42e49, "sock_recvmsg" },
	{ 0x1af2b0d2, "core_tpg_deregister" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xa69d67e7, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xeb1f224e, "target_show_dynamic_sessions" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x19dd031b, "sock_release" },
	{ 0x65b73c4b, "target_register_template" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x84035a86, "tcp_sock_set_nodelay" },
	{ 0xd0aa6aac, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xe965a1bf, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xfc52c23f, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0x4eeb2249, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x215dc3fe, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0xedd069a4, "__sbitmap_queue_get" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xf1ae0146, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcff60184, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xf751cdae, "target_alloc_cmd_counter" },
	{ 0xcbb40f8a, "core_alua_check_nonop_delay" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xe82e665f, "target_wait_for_cmds" },
	{ 0xc399eaca, "transport_generic_new_cmd" },
	{ 0x8821e72e, "target_free_cmd_counter" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x422ecd1a, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xac4efb63, "kernel_bind" },
	{ 0xbfc97bdc, "up" },
	{ 0xe018dffc, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbf7a2079, "__tracepoint_sk_data_ready" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4b27f31f, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0x7888534b, "core_tpg_set_initiator_node_queue_depth" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7dd02f4d, "target_stop_cmd_counter" },
	{ 0xcb5dab2, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x30562842, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5294209f, "transport_alloc_session_tags" },
	{ 0x9c3b532a, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xa45d315b, "sbitmap_prepare_to_wait" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xac6aed91, "target_unregister_template" },
	{ 0x53fa4d92, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9d791e58, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6d2048e6, "flush_signals" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8231185e, "init_net" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6fedbcd9, "radix_tree_preloads" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6f16a279, "__SCK__tp_func_sk_data_ready" },
	{ 0x685421e8, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x3b693d96, "set_cpus_allowed_ptr" },
	{ 0x5792f848, "strlcpy" },
	{ 0xb5723fc7, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xd6a13ecc, "sbitmap_queue_clear" },
	{ 0x48a118b6, "iov_iter_kvec" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xc1bd4f57, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x92f12bb6, "sock_sendmsg" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0xdd2e6f2b, "core_tpg_set_initiator_node_tag" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_mod,configfs");


MODULE_INFO(srcversion, "51DF3E2EC426F82F2E3643B");

MODULE_INFO(suserelease, "ALP-0.1");
