#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(teedev_open, 0x89c21b45, "_gpl");
SYMBOL_CRC(teedev_close_context, 0x0cfca52e, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x002a28d2, "_gpl");
SYMBOL_CRC(tee_device_register, 0x70aa925d, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0x766fb8c5, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x9999c282, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0x07bfaac6, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0xe957dfdd, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x1f162bdf, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x4a766d22, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0x326c52b4, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0x2554f157, "_gpl");
SYMBOL_CRC(tee_bus_type, 0xb4c39d06, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0xd69d7775, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0xa4b1ae92, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0x8fdfd212, "_gpl");
SYMBOL_CRC(tee_shm_free, 0xd039d301, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0x06d57239, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x32b85782, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x4abda243, "_gpl");
SYMBOL_CRC(tee_shm_put, 0xf492a23e, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0x30108434, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92ce86bc, "unpin_user_pages" },
	{ 0x9e44b870, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7004d28, "gen_pool_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xb3b6a546, "cdev_device_add" },
	{ 0x34a951c5, "anon_inode_getfd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7f71c733, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0xcbd7b244, "class_create" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9e717f4a, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b7e6acc, "make_kgid" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x821afea1, "crypto_shash_final" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc45142fa, "gen_pool_free_owner" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x25bcd147, "gen_pool_alloc_algo_owner" },
	{ 0x9109f4ab, "gen_pool_first_fit_align" },
	{ 0x1a8d4172, "gen_pool_virt_to_phys" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xbda36c7, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x99b2a14a, "class_find_device" },
	{ 0x49f721a7, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc8cbf751, "tlbstate_untag_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7e6c27af, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xbaf90067, "gen_pool_create" },
	{ 0xddc2140b, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x5818319f, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x6b8397d9, "idr_replace" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "91C381F7541002282369E7E");

MODULE_INFO(suserelease, "ALP-0.1");
