#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__tb_ring_enqueue, 0x4545d771, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x506d30ff, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x4b48607e, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0xc31c36ac, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x9d428f92, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x60cb14dd, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0xf086cb2c, "_gpl");
SYMBOL_CRC(tb_ring_free, 0xf00c4ab0, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x830c470b, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0xe61dbaef, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0xb9d0e094, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xbf02f5db, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0x7e6285e5, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0xe144f8ef, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x214a7c75, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4a6f3f08, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x4b78cfd4, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x7833e5e9, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0xc7cad78b, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x682e4cc9, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xc4a69547, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x5dd659ac, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0xd6ab662d, "_gpl");
SYMBOL_CRC(tb_service_type, 0x3e30d393, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0xd06f39a6, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x03093192, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x9ae27efe, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x7bb7062e, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0x4e692343, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x43e40972, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x2c8c6d93, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x3fea4c86, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x2288b24b, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x3b7b8aae, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0xb6fa4ccc, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xaa7733d4, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0xbb51750a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29448fc0, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xc2c84900, "pm_runtime_allow" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7216b95d, "acpi_fetch_acpi_dev" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xff20df4, "kobject_uevent" },
	{ 0x7ed4f620, "device_iommu_capable" },
	{ 0x77aba229, "seq_puts" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x408f45ab, "pci_walk_bus" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x5b69fc29, "nvmem_register" },
	{ 0xdd269f96, "pcim_iomap_table" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0xa8a51e65, "component_add" },
	{ 0x345716ed, "fwnode_handle_put" },
	{ 0x754d539c, "strlen" },
	{ 0xe87d5fee, "__pm_runtime_use_autosuspend" },
	{ 0xe0b3d283, "single_open" },
	{ 0x2e48e8a6, "pcim_enable_device" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0xf549f52e, "device_link_add" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4053333a, "__dev_fwnode" },
	{ 0x17c84a16, "pci_bus_type" },
	{ 0xebfc4cae, "pci_write_config_dword" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa5d87eb, "pci_find_ext_capability" },
	{ 0xb11cf891, "is_acpi_device_node" },
	{ 0x2e5f309d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xe14d67e8, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfae8e513, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf210c8da, "device_unregister" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x77bdfb31, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x45ee11e4, "acpi_find_child_by_adr" },
	{ 0xf7f03130, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xed92e1ee, "pci_irq_vector" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x2ae060ea, "pm_wakeup_dev_event" },
	{ 0x86daf3ec, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x7f410367, "acpi_find_child_device" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0x1af98032, "devm_free_irq" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0x906d0992, "device_for_each_child_reverse" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd6de6fd8, "bus_for_each_dev" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x7a5e10f6, "sysfs_create_link" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6aae9503, "pcim_iomap_regions" },
	{ 0x978481eb, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xb1e1a194, "device_wakeup_enable" },
	{ 0x1f408ce2, "crypto_shash_setkey" },
	{ 0x3632b369, "bus_find_device" },
	{ 0x97e846ac, "device_add" },
	{ 0x3999391e, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe0b41d5, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x9c828324, "pci_device_is_present" },
	{ 0xdaa94af1, "dma_alloc_attrs" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x43b4ad20, "crypto_shash_digest" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x360d4cf6, "device_find_child" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x28c1b486, "device_register" },
	{ 0x686cbe9f, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x51b92d1a, "unregister_acpi_bus_type" },
	{ 0x9964f20e, "acpi_get_first_physical_node" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x9432dd1c, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19a41170, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x4bbeac6, "pm_runtime_forbid" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "7DCE4BE66CDA85C4651D86D");

MODULE_INFO(suserelease, "ALP-0.1");
