#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usb_serial_claim_interface, 0x891072b1, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x57c84732, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x2f579a2c, "");
SYMBOL_CRC(usb_serial_resume, 0xe9d29054, "");
SYMBOL_CRC(usb_serial_register_drivers, 0x64d71d4c, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0x3b968f75, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0xd0851bbd, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xac26744a, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x1e23f5c7, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xbd0c7f76, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0xc2247e73, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0xe5bd6aad, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x77a7f518, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xc2a44ab3, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x7136429b, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x8f3d143e, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0x0ba38095, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x36aee7b1, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x6966cdfa, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xc45061ef, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x5a1c4c55, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0x1ad122df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ba7fcb6, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x36c0d73a, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb5599cfe, "usb_put_dev" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0xebdc2a31, "usb_get_dev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xce3d8ac1, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91a2f9da, "module_put" },
	{ 0x334f0757, "tty_port_tty_wakeup" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x9485b2e6, "usb_match_id" },
	{ 0x581569db, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x97e846ac, "device_add" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x6ebb1393, "tty_ldisc_ref" },
	{ 0xb4617622, "tty_vhangup" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x8260a2dd, "tty_port_destroy" },
	{ 0xf551217d, "tty_insert_flip_string_fixed_flag" },
	{ 0xcfabb9f6, "tty_port_init" },
	{ 0xa7ac9abc, "usb_driver_claim_interface" },
	{ 0xf2766c7c, "seq_putc" },
	{ 0xa8f6b738, "usb_poison_urb" },
	{ 0x932e6396, "usb_unpoison_urb" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x9c874796, "tty_port_register_device" },
	{ 0x6a61b439, "tty_ldisc_deref" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x686cbe9f, "device_del" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0xdb93bf0c, "tty_port_close" },
	{ 0x36ca56a9, "__tty_insert_flip_char" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4110c274, "usb_autopm_get_interface" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xdb1b7aea, "tty_register_driver" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa83aff18, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0x90eb461c, "tty_port_open" },
	{ 0x77aba229, "seq_puts" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x599666ed, "tty_driver_kref_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf5cfda03, "tty_port_tty_get" },
	{ 0x1c43e1aa, "usb_put_intf" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0x207145de, "usb_autopm_put_interface" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0x7e6c27af, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xaf9817ee, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x974f3e8e, "tty_flip_buffer_push" },
	{ 0xceefe222, "driver_attach" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x5517638c, "tty_kref_put" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0x9ee840e2, "usb_match_one_id" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x7589e618, "__tty_alloc_driver" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xe87672e1, "tty_standard_install" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4dd734d5, "usb_show_dynids" },
	{ 0xf561de3a, "tty_hangup" },
	{ 0x9628b40f, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "3D72947FA887CDDD1BE7E62");

MODULE_INFO(suserelease, "ALP-0.1");
