#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd3c1312, "usb_kill_urb" },
	{ 0xb5f83e46, "blk_queue_update_dma_alignment" },
	{ 0xe4c71c0f, "blk_queue_max_hw_sectors" },
	{ 0xc670f0e5, "usb_alloc_urb" },
	{ 0xdd083b3f, "usb_alloc_streams" },
	{ 0x7e072079, "scsi_report_bus_reset" },
	{ 0xbd3a3f19, "usb_anchor_urb" },
	{ 0x512cfdb2, "usb_submit_urb" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6563c24b, "usb_unanchor_urb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb25807d7, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7c2e54e2, "usb_kill_anchored_urbs" },
	{ 0xa1d2bd2b, "scsi_remove_host" },
	{ 0xcb94fdeb, "scsi_host_put" },
	{ 0x633074e1, "usb_lock_device_for_reset" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xd4be6501, "usb_stor_adjust_quirks" },
	{ 0x9745a1a6, "scsi_host_alloc" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x59a55a24, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xe278f7b9, "sdev_prefix_printk" },
	{ 0xf28efaf6, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x61457a6, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x114e8356, "usb_free_streams" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0xcdaeb160, "usb_set_interface" },
	{ 0x95de297e, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb8c86d1, "usb_wait_anchor_empty_timeout" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x83cd7401, "scsi_block_requests" },
	{ 0x7998cba6, "_dev_printk" },
	{ 0xcdd49cf0, "scsi_unblock_requests" },
	{ 0x4e91f6a6, "scmd_printk" },
	{ 0x14f658c8, "scsi_print_command" },
	{ 0x15f66389, "scsi_scan_host" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x1182458a, "usb_free_urb" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x9f1ab6bd, "scsi_is_host_device" },
	{ 0xeb777c91, "scsi_change_queue_depth" },
	{ 0x4055e8d9, "usb_deregister" },
	{ 0x58eb47e6, "usb_get_urb" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "usbcore,scsi_mod,usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "F081901AD78F745A238D0CA");

MODULE_INFO(suserelease, "ALP-0.1");
