#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(typec_altmode_update_active, 0xafe24d13, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x0c191b8e, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x1b162d41, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x328ca7ed, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x9a557058, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x5442c357, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0xf1615461, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0xe7acc019, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0xbeb026e7, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0xb422d20e, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x0a5f6917, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x7d9dd33c, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xf0f36490, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0xe8eeb1bf, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x6ed30e5a, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0xec5a9af1, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xd0015ef3, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x3d50d2ae, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0xa69938fa, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x49c2bcc7, "_gpl");
SYMBOL_CRC(typec_register_cable, 0xed5cf245, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0xea3987dd, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0xad032c56, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0xb48b74e9, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x39c84d65, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x05b5200a, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x5d9898a4, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0xd5981515, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x6a2c9679, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x39b22fa7, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x68280c07, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x8480875c, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x54e7cca2, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0xa50a7d9c, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x3a5efae6, "_gpl");
SYMBOL_CRC(typec_register_port, 0x953a44f2, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xb07e6e9a, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0x3d4ed85b, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x7be183dc, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0xc3132f37, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x2f708247, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0xc98ad941, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0xe42bffe3, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x2b40e0cb, "_gpl");
SYMBOL_CRC(typec_mux_register, 0xf281ec4d, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x6b2a00f7, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x61da9fec, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x5ac634d0, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x8745bb86, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0xf7504ed3, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x54ae3659, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0xc3bdbc82, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0x069bf3df, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x0a43eb5f, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0xd2706933, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x0f601e52, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0xc5635d63, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x6342d31f, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x850516b7, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0xc205a219, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x9916179d, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x6b78235d, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x5b3c7264, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0xd2a0a3a1, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0xf26d65af, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0xa6b636c5, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0xd92244a2, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0x9ba589a9, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0xac2dbea7, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x40021ff8, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x6169b8ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x360d4cf6, "device_find_child" },
	{ 0x28c1b486, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa67002fa, "fwnode_property_read_string" },
	{ 0x86799b6d, "fwnode_property_present" },
	{ 0x2ed158cd, "component_master_del" },
	{ 0x93989d54, "component_match_add_release" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x97b8e7c6, "device_get_named_child_node" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb0d9464c, "component_bind_all" },
	{ 0xaaf21c56, "device_match_name" },
	{ 0xff20df4, "kobject_uevent" },
	{ 0x3c2a914e, "fwnode_connection_find_matches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xaa7b2a14, "component_unbind_all" },
	{ 0x47f67f15, "driver_register" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc662d63f, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x4053333a, "__dev_fwnode" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x99b2a14a, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xb11cf891, "is_acpi_device_node" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x38be43b3, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf210c8da, "device_unregister" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x762d422c, "acpi_bus_for_each_dev" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x8eb4c5bc, "fwnode_connection_find_match" },
	{ 0x8bd533db, "fwnode_get_next_child_node" },
	{ 0xf7f03130, "device_for_each_child" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x64f524b1, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52a57d29, "device_match_fwnode" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0x19d5f935, "fwnode_property_read_u32_array" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7a5e10f6, "sysfs_create_link" },
	{ 0x1174cbbe, "fwnode_get_name" },
	{ 0x978481eb, "kobject_uevent_env" },
	{ 0x514cbdc2, "sysfs_update_group" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x97e846ac, "device_add" },
	{ 0x3999391e, "sysfs_remove_link" },
	{ 0x16cb0a18, "fwnode_property_read_u16_array" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xa2f5151b, "ida_free" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DDC1386235D8277DE5A3A92");

MODULE_INFO(suserelease, "ALP-0.1");
