#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ucsi_send_command, 0xfb226973, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x9e7f566e, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x425e0c51, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0xca7d647d, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x3c069d15, "_gpl");
SYMBOL_CRC(ucsi_create, 0x63fe8182, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x92411685, "_gpl");
SYMBOL_CRC(ucsi_register, 0x470d899e, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0xb6564a74, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b78235d, "usb_power_delivery_register" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe7acc019, "typec_partner_register_altmode" },
	{ 0xf1615461, "typec_partner_set_num_altmodes" },
	{ 0x7d9dd33c, "typec_unregister_partner" },
	{ 0x5d9898a4, "typec_set_pwr_opmode" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xafe24d13, "typec_altmode_update_active" },
	{ 0xe0b41d5, "device_property_read_u8_array" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xc205a219, "usb_power_delivery_register_capabilities" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5b3c7264, "usb_power_delivery_unregister" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xb48b74e9, "typec_set_data_role" },
	{ 0x68280c07, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x69bf3df, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb07e6e9a, "typec_unregister_port" },
	{ 0x3ef4b2fd, "power_supply_get_drvdata" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x953a44f2, "typec_register_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5442c357, "typec_partner_set_usb_power_delivery" },
	{ 0x76351a97, "power_supply_changed" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0xbeb026e7, "typec_partner_set_svdm_version" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1b162d41, "typec_unregister_altmode" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9916179d, "usb_power_delivery_unregister_capabilities" },
	{ 0x8480875c, "typec_get_drvdata" },
	{ 0xab452acc, "power_supply_unregister" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x39c84d65, "typec_set_pwr_role" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x2973fca2, "usb_debug_root" },
	{ 0x345716ed, "fwnode_handle_put" },
	{ 0x573a8c35, "device_get_next_child_node" },
	{ 0xe0b3d283, "single_open" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4053333a, "__dev_fwnode" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x98c178d2, "completion_done" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa5f6917, "typec_register_partner" },
	{ 0xad032c56, "typec_port_set_usb_power_delivery" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xa50a7d9c, "typec_port_register_altmode" },
	{ 0x3a56dfad, "power_supply_register" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xa43eb5f, "typec_altmode_get_partner" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x7cd67322, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xc191b8e, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "F753BFC15AF43F6456A548B");

MODULE_INFO(suserelease, "ALP-0.1");
