#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vdpa_set_status, 0xa0d886ea, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x48e95955, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x3b8973b4, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0xabd4097e, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x1a5fc21d, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xae4c64e6, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xc17f2dc9, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x6f960f77, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x85c157b4, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x207c1ae0, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x93623aae, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0xc6661aab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97e846ac, "device_add" },
	{ 0xc33ff55c, "put_device" },
	{ 0xf210c8da, "device_unregister" },
	{ 0x47f67f15, "driver_register" },
	{ 0xa9c85072, "driver_unregister" },
	{ 0xd6de6fd8, "bus_for_each_dev" },
	{ 0xe86db549, "down_read" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xebccce8c, "genl_unregister_family" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0xd3b2192c, "bus_register" },
	{ 0xf6b0512a, "genl_register_family" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0xb39946c8, "device_initialize" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1cc8cfc, "netlink_capable" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xa1073230, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x1e112548, "netlink_unicast" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7710e8d8, "driver_set_override" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x3632b369, "bus_find_device" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");

MODULE_INFO(suserelease, "ALP-0.1");
