#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x3973a773, "vfio_pci_core_register_device" },
	{ 0xc33ff55c, "put_device" },
	{ 0x7d2ed4c3, "iova_bitmap_set" },
	{ 0x368b3637, "vfio_pci_core_unregister_device" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3d2c97c5, "pci_iov_vf_id" },
	{ 0x1268143f, "vfio_pci_core_request" },
	{ 0x92c520a8, "fput" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x95a3b79f, "vfio_pci_core_release_dev" },
	{ 0x795d9106, "pdsc_get_pf_struct" },
	{ 0x6e2aa0f0, "vfio_combine_iova_ranges" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x17cefe8c, "pds_client_register" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x45b87b4f, "pdsc_register_notify" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x85e5aa43, "vfio_pci_core_read" },
	{ 0xcce7e66c, "sg_alloc_table_from_pages_segment" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0xd9851199, "vfio_pci_core_ioctl" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xce714617, "pdsc_unregister_notify" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6a60f940, "vfio_mig_get_next_state" },
	{ 0x999e8297, "vfree" },
	{ 0x9b67c801, "dma_map_sgtable" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x540a20aa, "vfio_pci_core_aer_err_detected" },
	{ 0x61fdbd61, "pdsc_adminq_post" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0x986be488, "vfio_pci_core_ioctl_feature" },
	{ 0xcc5b5b62, "stream_open" },
	{ 0x33808b58, "vfio_pci_core_close_device" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d1f0004, "vfio_pci_core_finish_enable" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x337cb933, "vfio_pci_core_match" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7431e62a, "_vfio_alloc_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf7e1db51, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x922794d5, "vfio_pci_core_enable" },
	{ 0x4c560a62, "vfio_pci_core_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4241a137, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0x47cd324e, "vfio_pci_core_mmap" },
	{ 0x52450c68, "vfio_pci_core_init_dev" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x9f5677ab, "pds_client_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "vfio-pci-core,pds_core,vfio");

MODULE_ALIAS("vfio_pci:v00001DD8d00001003sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "441742630418811D2EE7C7B");

MODULE_INFO(suserelease, "ALP-0.1");
