#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x92c520a8, "fput" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd5c3fdf3, "fscache_withdraw_cache" },
	{ 0x8cfd2071, "noop_llseek" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x451109e6, "lock_rename" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x7f8609e4, "vfs_getxattr" },
	{ 0x1a0d09e7, "fscache_n_write" },
	{ 0x5f8c2335, "fscache_caching_failed" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7bbc83cc, "security_path_mkdir" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xcce11a60, "fscache_n_no_write_space" },
	{ 0xf49fe58a, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe69f10a7, "vfs_iocb_iter_read" },
	{ 0x50d81800, "misc_register" },
	{ 0xffef62be, "fscache_resume_after_invalidation" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xce9083bc, "open_with_fake_path" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xdd5a9db6, "unlock_rename" },
	{ 0x9ffefcb2, "fscache_n_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x660fc2cd, "fscache_acquire_cache" },
	{ 0x736817ed, "security_path_unlink" },
	{ 0xf9128f0, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc41a8a62, "security_inode_create" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x4c792562, "override_creds" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x42a0027d, "fscache_add_cache" },
	{ 0xf0e47f86, "__tracepoint_fscache_access_volume" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbc49f06f, "path_get" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xaaa1b5e2, "lookup_positive_unlocked" },
	{ 0x13e4c67a, "xa_destroy" },
	{ 0xcd81d926, "fscache_withdraw_cookie" },
	{ 0xb35f81b8, "xa_find" },
	{ 0x49027a0, "fscache_clearance_waiters" },
	{ 0xe25418ae, "dput" },
	{ 0x630c586, "iov_iter_zero" },
	{ 0xca26ccb1, "lockref_get" },
	{ 0xf9c8df59, "touch_atime" },
	{ 0x5ea248c4, "__percpu_down_read" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2d09bd33, "__get_task_ioprio" },
	{ 0xe7500825, "__SCK__tp_func_fscache_access_volume" },
	{ 0xc49c749c, "vfs_llseek" },
	{ 0xb806f33a, "rcuwait_wake_up" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x32fff7aa, "vfs_link" },
	{ 0x73d6d160, "prepare_kernel_cred" },
	{ 0xf3836497, "xa_find_after" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x57ad86c8, "security_inode_mkdir" },
	{ 0x513272e4, "security_path_rename" },
	{ 0xece4c21c, "set_security_override_from_ctx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4404d2aa, "fscache_n_no_create_space" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x820fbd5e, "set_create_files_as" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x90d447f3, "fscache_n_culled" },
	{ 0xf3ecdaa0, "fscache_wait_for_operation" },
	{ 0xa823581a, "vfs_removexattr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcd41fa78, "revert_creds" },
	{ 0x7a9edae6, "misc_deregister" },
	{ 0x289d0581, "vfs_setxattr" },
	{ 0x3cf9ee36, "fscache_try_get_volume" },
	{ 0xb293948b, "notify_change" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x7b1b25da, "__SCT__tp_func_fscache_access_volume" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xdc0cabaf, "vfs_rename" },
	{ 0x3b313e11, "lookup_one_len" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x45b461e9, "fscache_get_cookie" },
	{ 0x65b45cb, "complete" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x2041fed2, "__xa_erase" },
	{ 0xc55edb6a, "abort_creds" },
	{ 0xcba8a43c, "fscache_io_error" },
	{ 0x7f655c5d, "sync_filesystem" },
	{ 0xe0512728, "fscache_put_volume" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd04790ce, "fscache_cookie_lookup_negative" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xf3de63ec, "bpf_trace_run8" },
	{ 0x996c5f70, "vfs_unlink" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe6146ae2, "vfs_truncate" },
	{ 0x60c3fa90, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfefe7f64, "__put_cred" },
	{ 0x15b38c8b, "vfs_mkdir" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0xbd820877, "vfs_statfs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x40040e3d, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x1c022e2e, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1fafb8e8, "vfs_iocb_iter_write" },
	{ 0x7ea60557, "fscache_end_cookie_access" },
	{ 0x394f3a6b, "fscache_withdraw_volume" },
	{ 0x7620da69, "mnt_want_write" },
	{ 0xa916b694, "strnlen" },
	{ 0x9166230e, "fscache_relinquish_cache" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc9ae942f, "mnt_drop_write_file" },
	{ 0xdbd824e9, "vfs_tmpfile_open" },
	{ 0x6c1f539f, "mntput" },
	{ 0x98c5e654, "fscache_put_cookie" },
	{ 0x5e97c534, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "fscache");


MODULE_INFO(srcversion, "3E25A6DD3F276442DC45EA9");

MODULE_INFO(suserelease, "ALP-0.1");
