#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fscache_addremove_sem, 0x0521872b, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x049027a0, "");
SYMBOL_CRC(fscache_acquire_cache, 0x660fc2cd, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x9166230e, "");
SYMBOL_CRC(fscache_add_cache, 0x42a0027d, "");
SYMBOL_CRC(fscache_io_error, 0xcba8a43c, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xd5c3fdf3, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x7ea60557, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xd04790ce, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xffef62be, "");
SYMBOL_CRC(fscache_caching_failed, 0x5f8c2335, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x982b5e8d, "");
SYMBOL_CRC(__fscache_use_cookie, 0x557da383, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x0b6f7fe4, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xcd81d926, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x7aa87b21, "");
SYMBOL_CRC(fscache_put_cookie, 0x98c5e654, "");
SYMBOL_CRC(fscache_get_cookie, 0x45b461e9, "");
SYMBOL_CRC(__fscache_invalidate, 0x04d415a6, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xf3ecdaa0, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x365973a7, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xadb2d7f5, "");
SYMBOL_CRC(fscache_dirty_folio, 0xcd2f9c8c, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x3c9c5942, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x2f43456f, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xcf32c284, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x8a5f80bd, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x89966023, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0xf0e47f86, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0xe7500825, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x68ef7c4d, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0xc0b78f5b, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x3cf9ee36, "");
SYMBOL_CRC(fscache_end_volume_access, 0x9199967f, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x60896cbe, "");
SYMBOL_CRC(fscache_put_volume, 0xe0512728, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x411b2717, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x394f3a6b, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x231dadb6, "__var_waitqueue" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xaee5396, "proc_mkdir" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x73dbe95f, "folio_end_private_2" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x49b4d906, "filemap_dirty_folio" },
	{ 0x77aba229, "seq_puts" },
	{ 0x2948e4a, "iov_iter_xarray" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5ac181d5, "proc_create_single_data" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xe3036f11, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xfb45f7a, "xas_find" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x65a59b0b, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xfbd954b1, "remove_proc_subtree" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "EF2E4AEB72F38D1890B53C9");

MODULE_INFO(suserelease, "ALP-0.1");
