#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(jbd2__journal_start, 0xd97a7ef7, "");
SYMBOL_CRC(jbd2_journal_start, 0xfb6361bd, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xab628a95, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x3eb82a13, "");
SYMBOL_CRC(jbd2__journal_restart, 0x8e35ffb5, "");
SYMBOL_CRC(jbd2_journal_restart, 0x714a6cb7, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xd628c880, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x5572a2a8, "");
SYMBOL_CRC(jbd2_journal_extend, 0xc81f87bc, "");
SYMBOL_CRC(jbd2_journal_stop, 0xb408cf0e, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x17331055, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xe664a906, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x5cc30474, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x7e076e49, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xa658051b, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x81c64771, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x6fbc34b5, "");
SYMBOL_CRC(jbd2_journal_forget, 0x4c4a35ec, "");
SYMBOL_CRC(jbd2_journal_flush, 0x7b12af87, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x18cf7bae, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x3ff63ae8, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x31150e5d, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x4ed614a0, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xba140f81, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xb84ea1d6, "");
SYMBOL_CRC(jbd2_journal_load, 0xe3fa8617, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xa60a7c91, "");
SYMBOL_CRC(jbd2_journal_abort, 0x1a718929, "");
SYMBOL_CRC(jbd2_journal_errno, 0x1333d10e, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xdd40fc1f, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x1651fb67, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x6396a747, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x65c9c1cf, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xbaea3c56, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x183f4702, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xa7e81bc2, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x28d2207d, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x447211e1, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x2c2a7057, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xbb9f0ce4, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x83370cee, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x2ebdd9de, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x5600f502, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xf1086f96, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xfbb3395f, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xe6166ecf, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x4f017f36, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xef46ecf6, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xcac4bbb2, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x7027d406, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x2aa2675f, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x8d96db48, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xe4110454, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0xe491aa56, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xa53ecafc, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x05551dc0, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x3a2eac9e, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x6204b2ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd7864882, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x70357a43, "try_to_free_buffers" },
	{ 0x3033b366, "sync_blockdev" },
	{ 0x11a0b7be, "free_buffer_head" },
	{ 0x1a07b575, "unregister_shrinker" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x8556fbfb, "blk_finish_plug" },
	{ 0xb08797d2, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe40b7c26, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x324b1850, "__brelse" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb78a5944, "__bh_read_batch" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0xc8e411f, "__wait_on_buffer" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x24331357, "__bh_read" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x6d73eaf3, "blkdev_issue_zeroout" },
	{ 0x8203f394, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd018be27, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x777d668b, "freezing_slow_path" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xaee5396, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xed521741, "set_bh_page" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xeae172b0, "unlock_buffer" },
	{ 0x2b878aab, "__getblk_gfp" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x783bc4e5, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0x4a6c24b5, "__lock_buffer" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0xd7a84ff, "truncate_inode_pages_range" },
	{ 0x7b408975, "blkdev_issue_flush" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4d578d6b, "end_buffer_write_sync" },
	{ 0xc26a63ff, "seq_open" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xfdcf7cbd, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x69ea1734, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xd6ea98b6, "bh_uptodate_or_lock" },
	{ 0x74af5041, "blk_start_plug" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc7b1acd1, "folio_unlock" },
	{ 0xaf9817ee, "param_ops_ushort" },
	{ 0x6fe4e653, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xa86dfc15, "bpf_trace_run6" },
	{ 0xda3e3f35, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xc2d753a1, "__find_get_block" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0x53e1113f, "filemap_fdatawrite_range" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x679e9abb, "__bforget" },
	{ 0xae16be32, "write_dirty_buffer" },
	{ 0xbae4c7a3, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9d833506, "iput" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1c363aa7, "blockdev_superblock" },
	{ 0x4537749d, "proc_create_data" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xf3de63ec, "bpf_trace_run8" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf05c2bd3, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0x6a49d275, "alloc_buffer_head" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EA6A52C6EB5CB9909224F45");

MODULE_INFO(suserelease, "ALP-0.1");
