#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfs3_set_ds_client, 0xe87f4ca5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc523c8e, "nfs_setattr_update_inode" },
	{ 0x3b52d0b3, "nfs_sops" },
	{ 0x703bec8e, "init_user_ns" },
	{ 0x5fe09be7, "rpc_restart_call" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x443c902f, "nfs_link" },
	{ 0xe25418ae, "dput" },
	{ 0x87070128, "put_nfs_open_context" },
	{ 0xa27a4604, "nfs_permission" },
	{ 0x8bfd93a6, "nfs_add_or_obtain" },
	{ 0x744f0ee3, "from_kuid_munged" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x359d3c77, "nfs_free_client" },
	{ 0x15c4283b, "nfs_close_context" },
	{ 0x73078833, "nfs_refresh_inode" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xde97f161, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x720bc95, "nfs_symlink" },
	{ 0x6d79331b, "nfs_unlink" },
	{ 0x797e375c, "forget_cached_acl" },
	{ 0xb4d61dfa, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x973f9f43, "nlmclnt_proc" },
	{ 0x4f4df491, "nfs_writeback_update_inode" },
	{ 0x3ab6d129, "nfs_alloc_client" },
	{ 0x6821b57a, "nfs_dentry_operations" },
	{ 0x8610aa8a, "xdr_write_pages" },
	{ 0x8a232723, "nfs_access_zap_cache" },
	{ 0x33bc21d3, "xdr_inline_decode" },
	{ 0xd7744e03, "forget_all_cached_acls" },
	{ 0x34e50f7f, "nfs_submount" },
	{ 0x7ef3beb3, "__tracepoint_nfs_xdr_status" },
	{ 0xdf97b4dc, "nfs_mknod" },
	{ 0x56bb4d3c, "nfs_create_server" },
	{ 0x5dd71c83, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x722191c1, "nfs_post_op_update_inode" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xc7308e60, "xdr_read_pages" },
	{ 0x199049e5, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0xe3ff2024, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfe248a3a, "nfs_mkdir" },
	{ 0xbd840c29, "nfs_revalidate_inode" },
	{ 0xbc20a9e9, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd3f7118a, "nfs_try_get_tree" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x541732c8, "nfs_get_client" },
	{ 0xddaba837, "__free_pages" },
	{ 0x76026908, "nfs_file_operations" },
	{ 0x2e518db6, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xb3ffa099, "nfs_put_lock_context" },
	{ 0x1e79c84a, "nfs_rename" },
	{ 0xe1b8260f, "nfs_lookup" },
	{ 0x678bd7d4, "nfsacl_encode" },
	{ 0x9ed8e293, "posix_acl_create" },
	{ 0x97856db4, "get_nfs_open_context" },
	{ 0xa2ee558, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x74689256, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x995408f5, "nfs_getattr" },
	{ 0x82c00f42, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x4f095940, "nfs_zap_acl_cache" },
	{ 0xdf5ac2c6, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x88ad5366, "rpc_bind_new_program" },
	{ 0x5503fd6, "register_nfs_version" },
	{ 0xbb2a7f83, "nfs_atomic_open_v23" },
	{ 0x8919af96, "rpc_call_start" },
	{ 0x61d9edb5, "rpc_call_sync" },
	{ 0x9fc0a59b, "rpc_prepare_reply_pages" },
	{ 0x12396c33, "nfs_fs_type" },
	{ 0xdb0741ec, "nfs_setattr" },
	{ 0xcf793b22, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xc94f56d6, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x5b7e6acc, "make_kgid" },
	{ 0xec05f4ce, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x6dd8c1e2, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf04908db, "nfs_rmdir" },
	{ 0xd83dbf94, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3595de3, "nfs_async_iocounter_wait" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "2C775A309C72E0A1EF56FEC");

MODULE_INFO(suserelease, "ALP-0.1");
