#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xaf969565, "ocfs2_dlm_lock" },
	{ 0x6141c1ab, "mark_page_accessed" },
	{ 0x567413a2, "debugfs_attr_read" },
	{ 0x6e23e59a, "seq_escape_mem" },
	{ 0x9ba26305, "ilookup5" },
	{ 0x1475f64b, "ocfs2_dlm_lvb_valid" },
	{ 0x1651fb67, "jbd2_journal_clear_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x324b1850, "__brelse" },
	{ 0xbc4e8b86, "inode_nohighmem" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x31150e5d, "jbd2_journal_init_inode" },
	{ 0x49608959, "migrate_disable" },
	{ 0xe915fae4, "down_write" },
	{ 0x4a85cca8, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x1a718929, "jbd2_journal_abort" },
	{ 0xcbf27bfb, "generic_file_read_iter" },
	{ 0x21d23b99, "inode_maybe_inc_iversion" },
	{ 0xffb8a654, "unlock_page" },
	{ 0x6afab081, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0xa3f1e3cf, "qtree_release_dquot" },
	{ 0x3802a8f7, "set_cached_acl" },
	{ 0x16e58faf, "simple_attr_release" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x65bac911, "unlock_two_nondirectories" },
	{ 0xc5196999, "ocfs2_dlm_unlock" },
	{ 0x425a953b, "dquot_resume" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0x91481ac1, "setattr_copy" },
	{ 0xf1086f96, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xc8e411f, "__wait_on_buffer" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x2c6a44d5, "set_nlink" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x7216f779, "security_inode_init_security" },
	{ 0x2e6179a3, "d_move" },
	{ 0xf2766c7c, "seq_putc" },
	{ 0x2e119b90, "from_kgid" },
	{ 0x3f62783d, "qtree_read_dquot" },
	{ 0x24331357, "__bh_read" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x65c9c1cf, "jbd2_journal_start_commit" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x6d73eaf3, "blkdev_issue_zeroout" },
	{ 0xdd40fc1f, "jbd2_journal_ack_err" },
	{ 0xf1e046cc, "panic" },
	{ 0x8ce129fa, "ocfs2_plock" },
	{ 0x8f244fcf, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xde7a6d22, "write_inode_now" },
	{ 0xe6166ecf, "jbd2_trans_will_send_data_barrier" },
	{ 0xc81f87bc, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7f6cfc7a, "__audit_inode_child" },
	{ 0x51e62e11, "d_obtain_alias" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0x6a524957, "__seq_open_private" },
	{ 0xc7a6eb45, "ocfs2_kset" },
	{ 0x10c83bbf, "block_dirty_folio" },
	{ 0xf112b53e, "dquot_alloc_inode" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0xf82f664e, "bpf_trace_run9" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x6fbc34b5, "jbd2_journal_dirty_metadata" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x7e1c322f, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x15fe6c01, "generic_remap_file_range_prep" },
	{ 0xdf3c7586, "__insert_inode_hash" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x61b3cded, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5222aa39, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xfc141aab, "register_quota_format" },
	{ 0x5b7e6acc, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x183f4702, "jbd2_journal_wipe" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xcd48be2c, "d_delete" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfb6361bd, "jbd2_journal_start" },
	{ 0x8d86a229, "down_write_trylock" },
	{ 0xe86db549, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3df9eb9e, "unregister_quota_format" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0x54983576, "block_read_full_folio" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xa60a7c91, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x89f3671d, "__dquot_alloc_space" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xeae172b0, "unlock_buffer" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x3986793e, "igrab" },
	{ 0x2b878aab, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5a4b184e, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7defe69c, "kobject_del" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x136ce522, "__dquot_free_space" },
	{ 0x85df9b6c, "strsep" },
	{ 0x72f91897, "mount_bdev" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x985b137f, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x38b22652, "filemap_fdatawait_range" },
	{ 0x76f40744, "ocfs2_dlm_lvb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4ed614a0, "jbd2_journal_check_used_features" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x703bec8e, "init_user_ns" },
	{ 0xd5a3cda7, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x30f711c, "seq_printf" },
	{ 0xe25418ae, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5ea248c4, "__percpu_down_read" },
	{ 0x2c2a7057, "jbd2_journal_force_commit" },
	{ 0x4a6c24b5, "__lock_buffer" },
	{ 0xa658051b, "jbd2_journal_get_undo_access" },
	{ 0x7315dcf7, "qtree_get_next_id" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x6396a747, "jbd2_log_wait_commit" },
	{ 0x9db59fb5, "posix_acl_update_mode" },
	{ 0xd7a84ff, "truncate_inode_pages_range" },
	{ 0xde431453, "__folio_lock" },
	{ 0xda481a10, "pagecache_get_page" },
	{ 0x7b408975, "blkdev_issue_flush" },
	{ 0x6b8b48b7, "is_bad_inode" },
	{ 0xb806f33a, "rcuwait_wake_up" },
	{ 0xd0bca46c, "block_is_partially_uptodate" },
	{ 0x6204b2ac, "jbd2_journal_put_journal_head" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x644e20c1, "filemap_splice_read" },
	{ 0x1efed582, "done_path_create" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xab04ec5b, "seq_release_private" },
	{ 0x4d578d6b, "end_buffer_write_sync" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x3fe032ed, "iget5_locked" },
	{ 0xb9c894d, "__generic_file_write_iter" },
	{ 0x17331055, "jbd2_journal_lock_updates" },
	{ 0x226d2561, "filemap_write_and_wait_range" },
	{ 0x9507547f, "ocfs2_cluster_disconnect" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x77e69709, "bpf_trace_run7" },
	{ 0xd354fb76, "clean_bdev_aliases" },
	{ 0x1333d10e, "jbd2_journal_errno" },
	{ 0xb74f92cd, "generic_write_checks" },
	{ 0xeb55802f, "dqget" },
	{ 0x38f50d1f, "inode_permission" },
	{ 0x2617c71b, "user_path_at_empty" },
	{ 0xf5969f04, "dqput" },
	{ 0x4d3af7fa, "ocfs2_cluster_hangup" },
	{ 0xc9ab445a, "dquot_quotactl_sysfile_ops" },
	{ 0xd169e119, "kmem_cache_alloc_lru" },
	{ 0xaec04343, "filemap_fault" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x33055851, "__mark_inode_dirty" },
	{ 0xf9827e8f, "generic_file_llseek" },
	{ 0xb4012c4d, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfbb3395f, "jbd2_journal_begin_ordered_truncate" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x3a4b6b8d, "dquot_load_quota_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x8563df9b, "put_pid" },
	{ 0x298ee571, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7b12af87, "jbd2_journal_flush" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0xbe66d4ec, "kobject_get" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1b86680a, "kset_create_and_add" },
	{ 0x69ea1734, "blkdev_issue_discard" },
	{ 0x7dafd263, "kobject_put" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2b27e2e, "truncate_inode_pages" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xd6ea98b6, "bh_uptodate_or_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0xe914e41e, "strcpy" },
	{ 0xbe57efd3, "inode_init_owner" },
	{ 0xd075833a, "filemap_fdatawrite" },
	{ 0x3694affc, "generic_fillattr" },
	{ 0x152a9111, "setattr_prepare" },
	{ 0x672915c5, "clear_nlink" },
	{ 0x2aa2675f, "jbd2_complete_transaction" },
	{ 0xab041b88, "__dquot_transfer" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0x50cf9efa, "d_instantiate" },
	{ 0x9f07de13, "simple_attr_open" },
	{ 0xff4bb4e0, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1ab7c9d7, "clear_inode" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0x1867317f, "dquot_commit_info" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xe3106c83, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4360b385, "dquot_disable" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1fee95fa, "dquot_free_inode" },
	{ 0xc7b1acd1, "folio_unlock" },
	{ 0x3a2eac9e, "jbd2_journal_grab_journal_head" },
	{ 0xd02b7a1a, "mode_strip_sgid" },
	{ 0xb0e602eb, "memmove" },
	{ 0x82acc1c, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0xf414b2e8, "user_path_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb408cf0e, "jbd2_journal_stop" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xd7744e03, "forget_all_cached_acls" },
	{ 0x25d5a1b0, "init_special_inode" },
	{ 0x6a003309, "unregister_filesystem" },
	{ 0xbb9f0ce4, "jbd2_journal_inode_ranged_write" },
	{ 0xa86dfc15, "bpf_trace_run6" },
	{ 0x714a6cb7, "jbd2_journal_restart" },
	{ 0xda3e3f35, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc2d753a1, "__find_get_block" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0x53e1113f, "filemap_fdatawrite_range" },
	{ 0x81c64771, "jbd2_journal_set_triggers" },
	{ 0xb028fbf1, "__block_write_begin" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x57523876, "inode_query_iversion" },
	{ 0xa220bcf7, "__blockdev_direct_IO" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3d22c13b, "nop_posix_acl_access" },
	{ 0xe3fa8617, "jbd2_journal_load" },
	{ 0x3ae12b4c, "nop_posix_acl_default" },
	{ 0xd996db56, "d_make_root" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0xb84ea1d6, "jbd2_journal_set_features" },
	{ 0xe165b723, "sb_set_blocksize" },
	{ 0x7f655c5d, "sync_filesystem" },
	{ 0xcafdd707, "ocfs2_dlm_lock_status" },
	{ 0xad53ba63, "end_buffer_read_sync" },
	{ 0xdc651f85, "fsnotify" },
	{ 0x9b3d6814, "d_splice_alias" },
	{ 0xe664a906, "jbd2_journal_unlock_updates" },
	{ 0x3c6f80f7, "generic_error_remove_page" },
	{ 0x6a30d8ea, "current_time" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x2934488e, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc1bf084b, "unmap_mapping_range" },
	{ 0x3b2929a4, "ihold" },
	{ 0xf524d32d, "page_get_link" },
	{ 0x2645d6d4, "inode_dio_wait" },
	{ 0xf0803949, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x9d833506, "iput" },
	{ 0xb3f863e9, "kset_unregister" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x58968cb, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5551dc0, "jbd2_journal_clear_features" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0xbbc4ef97, "ocfs2_stack_supports_plocks" },
	{ 0xe799217, "iter_file_splice_write" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x2ebdd9de, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xb192e312, "__wake_up" },
	{ 0xf104c629, "register_filesystem" },
	{ 0x11327ff6, "dq_data_lock" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xf3de63ec, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xce98a1c3, "dquot_drop" },
	{ 0x60c3fa90, "path_put" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3894b7c0, "down_read_trylock" },
	{ 0xf05c2bd3, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5e2e94ab, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac26e6f1, "shrink_dcache_parent" },
	{ 0xfd38d7, "make_vfsuid" },
	{ 0xc9fae756, "ocfs2_cluster_connect" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68918e36, "dquot_scan_active" },
	{ 0xdc5266ce, "qtree_entry_unused" },
	{ 0xe32706cc, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe2c6b3a4, "inode_newsize_ok" },
	{ 0xd3577031, "lock_two_nondirectories" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x62d75048, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x40040e3d, "mnt_want_write_file" },
	{ 0x2fb1cdd6, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xb4681fa4, "block_invalidate_folio" },
	{ 0x6135464e, "make_kprojid" },
	{ 0x5600f502, "jbd2_journal_init_jbd_inode" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x5cc30474, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0x70357a43, "try_to_free_buffers" },
	{ 0x1044f1b4, "create_empty_buffers" },
	{ 0x86c56cfc, "truncate_inode_pages_final" },
	{ 0x3033b366, "sync_blockdev" },
	{ 0x4e94f3be, "block_write_full_page" },
	{ 0xa4161ce5, "wait_for_stable_page" },
	{ 0xa916b694, "strnlen" },
	{ 0x35a1c9af, "sync_mapping_buffers" },
	{ 0xecff9665, "dquot_initialize" },
	{ 0xdb928849, "locks_init_lock" },
	{ 0xd806a273, "ocfs2_dlm_dump_lksb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd344e4ee, "ocfs2_stack_glue_set_max_proto_version" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xffc8f6b5, "setattr_should_drop_suidgid" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x3dcda1e, "block_commit_write" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc9ae942f, "mnt_drop_write_file" },
	{ 0xa726931, "ocfs2_cluster_this_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x67513817, "inode_init_once" },
	{ 0x360103c7, "file_write_and_wait_range" },
	{ 0x82a7be28, "qtree_write_dquot" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_stackglue,jbd2,quota_tree,ocfs2_nodemanager");


MODULE_INFO(srcversion, "9A9BED5654FB393196152B9");

MODULE_INFO(suserelease, "ALP-0.1");
