#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0xc328e32b, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0x9959f843, "");
SYMBOL_CRC(ax25_linkfail_release, 0xa86cf721, "");
SYMBOL_CRC(ax25_listen_register, 0xacff7b0b, "");
SYMBOL_CRC(ax25_listen_release, 0x919896bb, "");
SYMBOL_CRC(ax25_header_ops, 0x19f52ba7, "");
SYMBOL_CRC(ax25_ip_xmit, 0x65b26015, "");
SYMBOL_CRC(ax25_send_frame, 0x5cdc1ca8, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0xc3de367f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb8f51180, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x14b20ff5, "sock_register" },
	{ 0x8faf00bd, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0xeb85eadd, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x8231185e, "init_net" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xde8cede0, "dev_remove_pack" },
	{ 0x24c20235, "sk_free" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0x9b2a733d, "__skb_wait_for_more_packets" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xd4f88c37, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x151de0ba, "sock_rfree" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1712d8e, "sock_i_ino" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x5657e91c, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xe058c5bc, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x30f711c, "seq_printf" },
	{ 0xf426d754, "skb_copy" },
	{ 0x619dc912, "skb_clone" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x77aba229, "seq_puts" },
	{ 0xccba49ce, "sock_gettstamp" },
	{ 0xd0aa6aac, "send_sig" },
	{ 0xeaa0f617, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x744f0ee3, "from_kuid_munged" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0xe3036f11, "proc_create_seq_private" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x5f2318ff, "skb_queue_head" },
	{ 0x28b9794f, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x76bad91a, "skb_free_datagram" },
	{ 0x88593a1, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x610b0c07, "skb_put" },
	{ 0x4e9cd23e, "skb_expand_head" },
	{ 0xcae4b1b, "register_net_sysctl" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6819d9c3, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x2b1bc484, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DC68F513DA7E3C5F12F4E00");

MODULE_INFO(suserelease, "ALP-0.1");
