#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bt_sock_reclassify_lock, 0x01ebfd36, "");
SYMBOL_CRC(bt_sock_register, 0xfdfca089, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_link, 0xa4d055e2, "");
SYMBOL_CRC(bt_sock_unlink, 0x65eb76bc, "");
SYMBOL_CRC(bt_accept_enqueue, 0x12f7e44f, "");
SYMBOL_CRC(bt_accept_unlink, 0x41fe232b, "");
SYMBOL_CRC(bt_accept_dequeue, 0xe575a96a, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xb2164d89, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x77df5072, "");
SYMBOL_CRC(bt_sock_poll, 0x70ea1f27, "");
SYMBOL_CRC(bt_sock_ioctl, 0x5db88681, "");
SYMBOL_CRC(bt_sock_wait_state, 0x592d1a61, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x1e4153fa, "");
SYMBOL_CRC(bt_procfs_init, 0x0e2fa760, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x9e4d844b, "");
SYMBOL_CRC(bt_debugfs, 0x9e8e7231, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xe5842f88, "");
SYMBOL_CRC(hci_free_dev, 0x63db92de, "");
SYMBOL_CRC(hci_register_dev, 0xe475734f, "");
SYMBOL_CRC(hci_unregister_dev, 0x41aa0ff0, "");
SYMBOL_CRC(hci_release_dev, 0xacc63d45, "");
SYMBOL_CRC(hci_suspend_dev, 0x480db2b8, "");
SYMBOL_CRC(hci_resume_dev, 0xa38d675a, "");
SYMBOL_CRC(hci_reset_dev, 0x1a902cb3, "");
SYMBOL_CRC(hci_recv_frame, 0x9f07be13, "");
SYMBOL_CRC(hci_recv_diag, 0xb49f9ad5, "");
SYMBOL_CRC(hci_set_hw_info, 0x7720d352, "");
SYMBOL_CRC(hci_set_fw_info, 0x8bd84818, "");
SYMBOL_CRC(hci_register_cb, 0x0eed9964, "");
SYMBOL_CRC(hci_unregister_cb, 0x95b1688e, "");
SYMBOL_CRC(__hci_cmd_send, 0x4eab07e6, "");
SYMBOL_CRC(hci_get_route, 0x1adf5866, "");
SYMBOL_CRC(hci_conn_security, 0xaf73fb30, "");
SYMBOL_CRC(hci_conn_check_secure, 0x0db23f6a, "");
SYMBOL_CRC(hci_conn_switch_role, 0x3d81a5cb, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x5690674e, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x70fe8fc4, "");
SYMBOL_CRC(l2cap_add_psm, 0xba1db5af, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x68e6c73d, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xbbee731e, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x364917d5, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0x935bd867, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x1a0693fd, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x30bdffe1, "");
SYMBOL_CRC(l2cap_register_user, 0x1806c842, "");
SYMBOL_CRC(l2cap_unregister_user, 0x40e9601c, "");
SYMBOL_CRC(l2cap_conn_get, 0x54295808, "");
SYMBOL_CRC(l2cap_conn_put, 0xd650026f, "");
SYMBOL_CRC(l2cap_chan_send, 0x8133994b, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x9db03092, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x040d79c4, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x316d9853, "");
SYMBOL_CRC(__hci_cmd_sync, 0x99d38317, "");
SYMBOL_CRC(hci_cmd_sync, 0x725d60b9, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x3148b205, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x583a6f76, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xd5e6b045, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xe6fb9c0d, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xc82bf53d, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x4d0af5e3, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x8f9dca1f, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x298fc6ad, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x9f4f8eac, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x5cc17129, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xb1641462, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x3eb25daf, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x43a80fca, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x801ffa45, "");
SYMBOL_CRC(hci_devcd_init, 0xf3885aba, "");
SYMBOL_CRC(hci_devcd_append, 0x2fbed744, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x5583508f, "");
SYMBOL_CRC(hci_devcd_complete, 0xa4b4ffe3, "");
SYMBOL_CRC(hci_devcd_abort, 0x153c368c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xf2c06fce, "ida_destroy" },
	{ 0x7e6c27af, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x610b0c07, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x2e5eea88, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x7982a839, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xe6efd078, "add_wait_queue_exclusive" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x58968cb, "seq_lseek" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3aa247ea, "sock_no_connect" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xa3d0f3a3, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x38e650cd, "led_trigger_unregister_simple" },
	{ 0xb192e312, "__wake_up" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xcf2d3c83, "get_device" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xf2c941b8, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe09a5dd, "put_cmsg" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xbe479612, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x14b20ff5, "sock_register" },
	{ 0x8faf00bd, "datagram_poll" },
	{ 0x947ca131, "__sock_recv_cmsgs" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6e2f408a, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0xeb85eadd, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x91a2f9da, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x8cbf62c3, "__sock_recv_timestamp" },
	{ 0xe604a5b6, "sock_no_shutdown" },
	{ 0x9b9ab8a8, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x8231185e, "init_net" },
	{ 0x1f408ce2, "crypto_shash_setkey" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x97e846ac, "device_add" },
	{ 0xa5cb9fe8, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x372cdee1, "init_uts_ns" },
	{ 0x24c20235, "sk_free" },
	{ 0x40c665d8, "device_move" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8a77d358, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xd282eca6, "sock_no_listen" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xf2766c7c, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0x43b4ad20, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x48a118b6, "iov_iter_kvec" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x360d4cf6, "device_find_child" },
	{ 0xc79913b9, "dev_coredumpv" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0x52e25474, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0x686cbe9f, "device_del" },
	{ 0xe6d41fd0, "__sock_queue_rcv_skb" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0x65d2fb29, "__sock_recv_wifi_status" },
	{ 0x7e1c322f, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xdc5bfae9, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3e6509b0, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0xf06ff2fa, "seq_read" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1712d8e, "sock_i_ino" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0xc85f979b, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4940786a, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x8cd759e3, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe058c5bc, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x168ff8a7, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf426d754, "skb_copy" },
	{ 0x619dc912, "skb_clone" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x2fd5dcf7, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x77aba229, "seq_puts" },
	{ 0xccba49ce, "sock_gettstamp" },
	{ 0x3d60d0b7, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xe2e6de11, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe3036f11, "proc_create_seq_private" },
	{ 0xe0b3d283, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x4345ac42, "crypto_alloc_shash" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x11a7f8dd, "fwnode_property_read_u8_array" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc662d63f, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4053333a, "__dev_fwnode" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5f2318ff, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x76bad91a, "skb_free_datagram" },
	{ 0x88593a1, "sock_queue_rcv_skb_reason" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xdea82a14, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill,crc16");


MODULE_INFO(srcversion, "C6D693F76E0B562840AB811");

MODULE_INFO(suserelease, "ALP-0.1");
