#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_br_ops, 0x89c69efc, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x15a4f5c0, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x3b92d7ad, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xf58c9af0, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xc6db0750, "_gpl");
SYMBOL_CRC(br_forward, 0x046920ea, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xa8ea3d94, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x11f6bb41, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x497c421e, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xd0d49ae6, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xcfdea1c8, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x2f5db7d2, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xf0823e3c, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x7be59532, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x6f5220c9, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x06db3315, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x622df441, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xe0d317e2, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x880cf536, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xd478c103, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x1da713c9, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x788c4373, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x65ba8110, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x7d51cbe2, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x99aff350, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdc8bff31, "__ip_mc_inc_group" },
	{ 0x9d491a51, "netdev_walk_all_upper_dev_rcu" },
	{ 0x54794243, "pv_ops" },
	{ 0xc2cf69fb, "sysfs_remove_group" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0xe180d292, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xaad8fdcc, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x25287446, "__netpoll_setup" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x10fa4997, "vlan_vid_add" },
	{ 0x5cddbfe1, "neigh_destroy" },
	{ 0x4f2da849, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x7defe69c, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xb7d5cb24, "__SCK__tp_func_br_fdb_update" },
	{ 0xc36ec7a8, "call_netdevice_notifiers" },
	{ 0xf07fe0a3, "is_skb_forwardable" },
	{ 0x6d0d79bd, "vlan_vid_del" },
	{ 0x992b5420, "dev_set_allmulti" },
	{ 0x9dbefc08, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbf4d09e2, "netdev_master_upper_dev_get" },
	{ 0x27900ab8, "ipv6_dev_mc_inc" },
	{ 0x835b71f1, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a114a2e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf84b29e, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf426d754, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x619dc912, "skb_clone" },
	{ 0xbf7c81d0, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x65132ad1, "metadata_dst_alloc" },
	{ 0xcb71f293, "dst_release" },
	{ 0xb39a39a6, "netif_carrier_on" },
	{ 0xff20df4, "kobject_uevent" },
	{ 0xb2eaafe4, "arp_tbl" },
	{ 0x1f3f892e, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9802c3e0, "netdev_rx_handler_register" },
	{ 0x9eeedd3e, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x183c745, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbd1efdeb, "dev_disable_lro" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xee86ba3, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x872596f8, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2e357a2e, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x43b57ed, "percpu_counter_destroy" },
	{ 0xdc9d5e47, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x7f32b5bb, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xebed02e, "skb_ext_add" },
	{ 0xebd629f7, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xe662c95a, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0xdb49dc67, "neigh_lookup" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7dafd263, "kobject_put" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd3106468, "netdev_lower_get_next" },
	{ 0x8e6896bd, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9ed9cc40, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0xff7d79a3, "__nlmsg_put" },
	{ 0xf688068f, "switchdev_port_attr_set" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7babfe78, "ipv6_mc_check_mld" },
	{ 0x610b0c07, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4036c307, "call_switchdev_notifiers" },
	{ 0xddfa96bb, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x51b3ef4b, "netdev_update_features" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x681e9f58, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x2acb7002, "dev_uc_del" },
	{ 0xfdac3b5a, "netpoll_send_skb" },
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd275fcb7, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x61bc4617, "switchdev_port_obj_act_is_deferred" },
	{ 0xd91af242, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xf4b7c6e8, "dev_set_promiscuity" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x47a37274, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x78fdf694, "netdev_state_change" },
	{ 0xb8f51180, "__dev_get_by_name" },
	{ 0x7a730f35, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbab55129, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf85db0fb, "__percpu_counter_init" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x3e7f3262, "brioctl_set" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x9afa703a, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbc36f48, "alloc_netdev_mqs" },
	{ 0x36bfded4, "passthru_features_check" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe47a1770, "netdev_rx_handler_unregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a3ffd7d, "__SCK__tp_func_br_mdb_full" },
	{ 0xf864cd00, "rtnl_af_register" },
	{ 0x48d320b6, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0x9214d3ca, "rtnl_set_sk_err" },
	{ 0x78876305, "skb_vlan_pop" },
	{ 0x7a5e10f6, "sysfs_create_link" },
	{ 0xa158899b, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xf0910ebc, "nla_reserve_64bit" },
	{ 0xfec297d7, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x11e6e70e, "dev_get_port_parent_id" },
	{ 0x8231185e, "init_net" },
	{ 0xbaf695e4, "ipv6_stub" },
	{ 0xc3c83135, "inet_confirm_addr" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3999391e, "sysfs_remove_link" },
	{ 0x1ca82b2f, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xea5d950c, "__SCK__tp_func_br_fdb_add" },
	{ 0x92835252, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x487afb21, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xf52b1425, "dev_get_by_index_rcu" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x496e7ba, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x999baa49, "br_fdb_test_addr_hook" },
	{ 0x749f7623, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xd50f677f, "netdev_upper_dev_unlink" },
	{ 0xfe3aa697, "netif_receive_skb" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x55b2473a, "llc_mac_hdr_init" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x44138f7a, "__SCK__tp_func_fdb_delete" },
	{ 0x8f244fcf, "kobject_init_and_add" },
	{ 0x7a40cf51, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf097f381, "ns_capable" },
	{ 0xf38edc5d, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfbe3c8db, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xc8422798, "arp_create" },
	{ 0x846a4211, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7764188c, "stp_proto_register" },
	{ 0x4d01d6c6, "rtnl_register_module" },
	{ 0x67b94924, "__tracepoint_br_fdb_update" },
	{ 0x8534f341, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1c7fb14f, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x358fc257, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9fc0bb84, "ip_mc_check_igmp" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0xc8d339e5, "rhashtable_destroy" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x373b8313, "switchdev_port_obj_del" },
	{ 0xaf0e4db2, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6f234f2e, "kobject_create_and_add" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0x834af099, "nf_hook_slow" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x59dda637, "__dynamic_netdev_dbg" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "48D83F1708F3CCB16BD1C29");

MODULE_INFO(suserelease, "ALP-0.1");
