#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x1d96deb3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x1c175ea8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x059ec954, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xe7101303, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0xb487e93a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xabb415fa, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xc4c9253f, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x967864dc, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x44fd53cb, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xed5a30f3, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x67189ba5, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xd4d15190, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xd53bbf5f, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xf2be8ee8, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x2b5f618e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x6316b5a8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xc41504a6, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xc1456e15, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xdf579ed0, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xc77a2694, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xd26bf44c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa930f862, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x1198d446, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x97e17209, "sock_create_kern" },
	{ 0xac4efb63, "kernel_bind" },
	{ 0x84ecc2bf, "kernel_connect" },
	{ 0x8afd7df7, "udp_sock_create6" },
	{ 0x443efe6f, "kernel_sock_shutdown" },
	{ 0x19dd031b, "sock_release" },
	{ 0xb0f402b7, "udp_sock_create4" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x7e6c27af, "idr_find" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe2e0cfd3, "idr_get_next_ul" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0x24c20235, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0x5b0e31b4, "idr_alloc_u32" },
	{ 0x5624864a, "sockfd_lookup" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x6b8397d9, "idr_replace" },
	{ 0x92c520a8, "fput" },
	{ 0x76fdef71, "setup_udp_tunnel_sock" },
	{ 0x80c39a2e, "udp_set_csum" },
	{ 0x75ce260c, "ip_queue_xmit" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x54e8e762, "udp6_set_csum" },
	{ 0x56c656ec, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xcb71f293, "dst_release" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "4583EC78E1FA52F20EA565C");

MODULE_INFO(suserelease, "ALP-0.1");
