#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc41504a6, "l2tp_tunnel_register" },
	{ 0x59ec954, "l2tp_tunnel_dec_refcount" },
	{ 0x37a0cba, "kfree" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x3977f7e2, "proc_create_net_data" },
	{ 0xc4c9253f, "l2tp_tunnel_get_nth" },
	{ 0x337f2432, "l2tp_nl_unregister_ops" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x88593a1, "sock_queue_rcv_skb_reason" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdda91a6f, "ppp_input" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xa057bad7, "skb_pull" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xed5a30f3, "l2tp_session_get_nth" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0xacd47ac7, "release_sock" },
	{ 0xc1456e15, "l2tp_tunnel_delete" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xd26bf44c, "l2tp_session_create" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xe7101303, "l2tp_session_inc_refcount" },
	{ 0xd4d15190, "l2tp_session_register" },
	{ 0x51cad47c, "ip6_mtu" },
	{ 0xcb71f293, "dst_release" },
	{ 0x678fe6a4, "ppp_register_net_channel" },
	{ 0xdf579ed0, "l2tp_session_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8feb2400, "ipv4_mtu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x24c20235, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x441ca385, "ppp_dev_name" },
	{ 0x30f711c, "seq_printf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x77aba229, "seq_puts" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc77a2694, "l2tp_session_set_header_len" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe8f183d8, "sock_wmalloc" },
	{ 0x610b0c07, "skb_put" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2b5f618e, "l2tp_xmit_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0xa038fd88, "pppox_unbind_sock" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x65e86c6f, "sock_no_bind" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0x8a77d358, "sock_no_accept" },
	{ 0x8faf00bd, "datagram_poll" },
	{ 0x2223ab29, "pppox_ioctl" },
	{ 0x757fa57f, "pppox_compat_ioctl" },
	{ 0xd282eca6, "sock_no_listen" },
	{ 0xe604a5b6, "sock_no_shutdown" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa930f862, "register_pernet_device" },
	{ 0xeb85eadd, "proto_register" },
	{ 0xd7c19084, "register_pppox_proto" },
	{ 0xff796e6a, "l2tp_nl_register_ops" },
	{ 0xe0ff7a18, "unregister_pppox_proto" },
	{ 0x92997ed8, "_printk" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0x1198d446, "unregister_pernet_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x967864dc, "l2tp_tunnel_get_session" },
	{ 0xb487e93a, "l2tp_session_dec_refcount" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0xf2be8ee8, "l2tp_udp_encap_recv" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8cd759e3, "skb_recv_datagram" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0xabb415fa, "l2tp_tunnel_get" },
	{ 0x6316b5a8, "l2tp_tunnel_create" },
	{ 0x1c175ea8, "l2tp_tunnel_inc_refcount" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core,l2tp_netlink,ppp_generic,pppox");


MODULE_INFO(srcversion, "C27C977E6B2D9E655BD7531");

MODULE_INFO(suserelease, "ALP-0.1");
