#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mpls_output_possible, 0x83bb37c3, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x6ffea39d, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0x256b1d5e, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x777cc86c, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x31a70585, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf864cd00, "rtnl_af_register" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9214d3ca, "rtnl_set_sk_err" },
	{ 0x3e76cd2, "rtnl_unicast" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf0910ebc, "nla_reserve_64bit" },
	{ 0x6ac52fd9, "ip_valid_fib_dump_req" },
	{ 0xa5fcd8da, "__dev_get_by_index" },
	{ 0xbaf695e4, "ipv6_stub" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbe144437, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x92835252, "rtnl_af_unregister" },
	{ 0xde8cede0, "dev_remove_pack" },
	{ 0x98582421, "dev_get_by_index" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0x7a40cf51, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4d01d6c6, "rtnl_register_module" },
	{ 0x345ef853, "ip_tunnel_encap_del_ops" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x835b71f1, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x619dc912, "skb_clone" },
	{ 0xcb71f293, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8736529e, "proc_dointvec" },
	{ 0xeaa0f617, "unregister_net_sysctl_table" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x872596f8, "dev_get_flags" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x28b9794f, "proc_dointvec_minmax" },
	{ 0xdac8677, "netlink_strict_get_check" },
	{ 0xa1f71e4c, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xff7d79a3, "__nlmsg_put" },
	{ 0x54922595, "skb_gso_validate_network_len" },
	{ 0xcae4b1b, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x6819d9c3, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x2d093ac3, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "2E8F8DDC0476B2E94FF5348");

MODULE_INFO(suserelease, "ALP-0.1");
