#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_conntrack_locks, 0xe6c4a118, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x5b6b0db6, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xc9b7a5f4, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x7067e1c9, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x9af51e1f, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x68df5237, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xd029370b, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x02a5406d, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x8406f01f, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x92f5dd4c, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x20352fa9, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x8d586836, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x4225c5af, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xf342d26f, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x8df916ea, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x7b95abfc, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x5edfc40b, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x57b09025, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xdf312895, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xeaa3faa6, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x547a4c97, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x4435d8b7, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x2994b7ae, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x57b92864, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x0da06e4d, "_gpl");
SYMBOL_CRC(print_tuple, 0x89617531, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xc8801a34, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xefb29588, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xafbab6b1, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xa6388712, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x5bc5241a, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xa93d9fd5, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xf8b5c740, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xc7c8d87f, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x05a7a822, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xb93c7033, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x79956a90, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x2274ed15, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x97d58e94, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x85a53ea3, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x0921c910, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x228d134e, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x910c1c12, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x42cd5e2f, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x866ab336, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x16480f6f, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xff4f9b8b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x7cf8cd87, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x81efb5f4, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xc8304d5b, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xa408a220, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x8d600fa6, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xdc5c5e43, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x4164247e, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x13008521, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x22b82a55, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x85e6ce94, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x07361718, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xb617c435, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xa1a347ba, "_gpl");
SYMBOL_CRC(nf_confirm, 0x730ed86b, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xd9e5fa69, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x5dad01ff, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x64607973, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x9383f282, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x8181ca2a, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xa0e002dc, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x09e9a2ef, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x3d660a6d, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xa87d68c8, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x0b0e62c7, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x452b84a4, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xb02e6e81, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x644634bf, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x87469ed3, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x15805490, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x9de207d0, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xbc8e62e4, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xfa5db487, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x66889112, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x8d7221e3, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xfb09b63c, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xc4411782, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x7c8b004d, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xf8a0336a, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xbb7956cf, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x785a4086, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x6973dc22, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x6261dd64, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x6cb667f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x80c1365c, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0x9c965bef, "nf_defrag_ipv6_disable" },
	{ 0x1de47b2b, "ipv6_skip_exthdr" },
	{ 0x84ec7283, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x91a2f9da, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd3436fea, "nf_checksum" },
	{ 0xfc010d68, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x8231185e, "init_net" },
	{ 0xd4f74fc4, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0xf2766c7c, "seq_putc" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x3b2014cd, "nf_checksum_partial" },
	{ 0xd4955c69, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xbd26d09e, "nf_unregister_net_hooks" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb3f56e1d, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x11c7ca4c, "nf_log_packet" },
	{ 0x5b7e6acc, "make_kgid" },
	{ 0x241b92cf, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x7709c528, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xc4781ba0, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x5de25569, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xac9e5106, "__skb_checksum" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8021a91b, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8c7a6fc, "param_ops_bool" },
	{ 0x59a6137a, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaf3a09c4, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x8736529e, "proc_dointvec" },
	{ 0x77aba229, "seq_puts" },
	{ 0x79231e05, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xeaa0f617, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb71256a8, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x2d3c41d3, "pskb_trim_rcsum_slow" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x48e85076, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbc4b59b2, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x56aa8515, "nf_defrag_ipv4_disable" },
	{ 0xd3c7a255, "nf_ip6_checksum" },
	{ 0x750a8c46, "proc_dou8vec_minmax" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x4e9981e3, "proc_dointvec_jiffies" },
	{ 0xcae4b1b, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x53e766e1, "nf_register_sockopt" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x3943d0a, "nfct_btf_struct_access" },
	{ 0x80e78fff, "param_set_uint" },
	{ 0x3b34947a, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x90bcc5e6, "nf_ct_frag6_gather" },
	{ 0x363e38c7, "get_net_ns_by_id" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0x65b4e11a, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3977f7e2, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x2faedd9f, "nf_unregister_sockopt" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "3FE1F4E589CA9E38A95D0B3");

MODULE_INFO(suserelease, "ALP-0.1");
