#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_ct_nat_ext_add, 0xc16104a8, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x3af1f76f, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xe822dfee, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xea7e22e0, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x795d1ce4, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x8521b2a0, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x67790e19, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xf9cde84c, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x5ae9e695, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x3e762575, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x9c396ca8, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xcfb25a7e, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xbf77280a, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xf15baa64, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x21779fee, "");
SYMBOL_CRC(nf_nat_follow_master, 0xccbc6e53, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x24b71f81, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x506d1f83, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x058fbd20, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xddb40855, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xf337ae39, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xfec8d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x4225c5af, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x547a4c97, "nf_ct_iterate_cleanup_net" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1de47b2b, "ipv6_skip_exthdr" },
	{ 0x84ec7283, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x91a2f9da, "module_put" },
	{ 0xa158899b, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x79956a90, "nf_ct_expect_related_report" },
	{ 0x5edfc40b, "nf_conntrack_alter_reply" },
	{ 0x4d5caf9, "ip_route_me_harder" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x96b5f1dc, "nf_hook_entries_delete_raw" },
	{ 0xd4955c69, "skb_ensure_writable" },
	{ 0xbd26d09e, "nf_unregister_net_hooks" },
	{ 0xf38edc5d, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x43628b2c, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x241b92cf, "nf_ip_checksum" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x7709c528, "register_btf_kfunc_id_set" },
	{ 0x4435d8b7, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xe767a139, "inet_proto_csum_replace16" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x5de25569, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xac9e5106, "__skb_checksum" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x59a6137a, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xcb71f293, "dst_release" },
	{ 0xdf312895, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x79231e05, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8181ca2a, "nf_ct_ext_add" },
	{ 0xbc4b59b2, "__do_once_done" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xd3c7a255, "nf_ip6_checksum" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0xf613a32d, "nf_hook_entries_insert_raw" },
	{ 0xba5882f7, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x9e9a2ef, "nf_ct_seqadj_set" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xff4f9b8b, "nf_ct_helper_expectfn_unregister" },
	{ 0xcd057079, "__xfrm_decode_session" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x16480f6f, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xe8047b61, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "8B553A41E61FA63F2FB76DD");

MODULE_INFO(suserelease, "ALP-0.1");
