#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nft_do_chain, 0x75a8051d, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0x1178d2bb, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0x00aa6ed2, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0xe0fb4326, "_gpl");
SYMBOL_CRC(nft_request_module, 0xa56ed237, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x76ab9aca, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0xce45e936, "_gpl");
SYMBOL_CRC(nft_register_expr, 0x022490aa, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0xd0f748e0, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x5f1f7355, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0x0534123f, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x79e38edc, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0xa90eae41, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0x9f77c1c9, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x02a05d34, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x59f7f52c, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0x9ef48f8d, "_gpl");
SYMBOL_CRC(nft_set_catchall_gc, 0xad8e1342, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x365f5c0b, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0xaa2a49c7, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0xc5a8b1b6, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0x9135d35e, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0xe70f7072, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0xff76b234, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0xd17a371d, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x272f7764, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x854654d4, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x3b76ace9, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x49d16136, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0xa5ad5e7b, "_gpl");
SYMBOL_CRC(nft_data_init, 0xf3ab44de, "_gpl");
SYMBOL_CRC(nft_data_release, 0x261d55d6, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xf96c3fa4, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x3410ef7a, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0x37736388, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0xa82b04f8, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0x3481a53f, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0xd9fa6c88, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xe2c74001, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0xaf2a3f44, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0xf02de237, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x44295006, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x7de6790b, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x0ef4710a, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0xb0177918, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0x17e7c358, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x59c1cae4, "_gpl");
SYMBOL_CRC(nft_ct_get_fast_eval, 0x4fada96d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x37129fcb, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xcc154404, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9ba5cefc, "nfnetlink_subsys_register" },
	{ 0xe8047b61, "ip6_route_me_harder" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x47a37274, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x8822092b, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb8f51180, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbaea30b, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x47fd8fcd, "nf_route" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x91a2f9da, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9b525947, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xcc8f990d, "nf_register_net_hook" },
	{ 0x9c7249bd, "__skb_get_hash" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51cad47c, "ip6_mtu" },
	{ 0x4d5caf9, "ip_route_me_harder" },
	{ 0xa8c22ae0, "skb_store_bits" },
	{ 0xf52b1425, "dev_get_by_index_rcu" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x78aa857e, "nfnetlink_unicast" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd4955c69, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x18cce0d3, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeb31f337, "flow_indr_dev_setup_offload" },
	{ 0x5e593901, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x937ff5aa, "rhashtable_free_and_destroy" },
	{ 0x43628b2c, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0x567cb36a, "nfnetlink_send" },
	{ 0xdc5bfae9, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x94e89113, "nfnetlink_subsys_unregister" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xec05f4ce, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x5de25569, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0x7a4c8735, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8feb2400, "ipv4_mtu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0xac9e5106, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x59a6137a, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x24cdea7e, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xcb71f293, "dst_release" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x316f68d6, "rhashtable_walk_next" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x744f0ee3, "from_kuid_munged" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x5c0caa1d, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x277e8c1d, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xbc4b59b2, "__do_once_done" },
	{ 0x832a748a, "__netlink_dump_start" },
	{ 0x5cd5b7bc, "flow_rule_alloc" },
	{ 0x7ad44544, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9968aacb, "__audit_log_nfcfg" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0xff7d79a3, "__nlmsg_put" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x610b0c07, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink,libcrc32c");


MODULE_INFO(srcversion, "EEC98A699D04B6A5CED7DC2");

MODULE_INFO(suserelease, "ALP-0.1");
