#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0x11adaaf7, "");
SYMBOL_CRC(nci_req_complete, 0xc024e808, "");
SYMBOL_CRC(nci_prop_cmd, 0xa661a116, "");
SYMBOL_CRC(nci_core_cmd, 0xd194d6d2, "");
SYMBOL_CRC(nci_core_reset, 0x340acbf4, "");
SYMBOL_CRC(nci_core_init, 0x5b762dbe, "");
SYMBOL_CRC(nci_nfcc_loopback, 0xeb2c2af9, "");
SYMBOL_CRC(nci_set_config, 0x6609fbcd, "");
SYMBOL_CRC(nci_nfcee_discover, 0xcde4f01c, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0x1edb9612, "");
SYMBOL_CRC(nci_core_conn_create, 0x9c2e7ff9, "");
SYMBOL_CRC(nci_core_conn_close, 0x66a84849, "");
SYMBOL_CRC(nci_allocate_device, 0x84f88343, "");
SYMBOL_CRC(nci_free_device, 0x9be7be4d, "");
SYMBOL_CRC(nci_register_device, 0xb662e80e, "");
SYMBOL_CRC(nci_unregister_device, 0x4a46ea48, "");
SYMBOL_CRC(nci_recv_frame, 0x5e3dcd75, "");
SYMBOL_CRC(nci_send_frame, 0xa88a05da, "");
SYMBOL_CRC(nci_send_cmd, 0xf0caa65c, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0x628e5bdf, "");
SYMBOL_CRC(nci_send_data, 0x385078ed, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0x731a0f29, "");
SYMBOL_CRC(nci_hci_send_cmd, 0x57f27be1, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0xd3d0ceb0, "");
SYMBOL_CRC(nci_hci_open_pipe, 0x5166b377, "");
SYMBOL_CRC(nci_hci_set_param, 0x63b29800, "");
SYMBOL_CRC(nci_hci_get_param, 0x85319a71, "");
SYMBOL_CRC(nci_hci_connect_gate, 0xec1fe87c, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0x3b103467, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb73ac380, "nfc_get_local_general_bytes" },
	{ 0x45aac32, "nfc_set_remote_general_bytes" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xa057bad7, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd0974e50, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x21a2d972, "nfc_targets_found" },
	{ 0xbff22cf4, "nfc_dep_link_is_up" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x521ef184, "nfc_send_to_raw_sock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x30da8917, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0x610b0c07, "skb_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xc77ed312, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8ba66b43, "nfc_allocate_device" },
	{ 0xbe3f27e2, "nfc_tm_data_received" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x2c020b77, "nfc_tm_deactivated" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x7352e3ca, "nfc_alloc_recv_skb" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "47C6DFF792351ADE6015734");

MODULE_INFO(suserelease, "ALP-0.1");
