#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nfc_fw_download_done, 0xf2a09bd7, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0xbff22cf4, "");
SYMBOL_CRC(nfc_find_se, 0x82d19ee1, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x045aac32, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0xb73ac380, "");
SYMBOL_CRC(nfc_tm_data_received, 0xbe3f27e2, "");
SYMBOL_CRC(nfc_tm_activated, 0xd0974e50, "");
SYMBOL_CRC(nfc_tm_deactivated, 0x2c020b77, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x7352e3ca, "");
SYMBOL_CRC(nfc_targets_found, 0x21a2d972, "");
SYMBOL_CRC(nfc_target_lost, 0xaf45fdf5, "");
SYMBOL_CRC(nfc_driver_failure, 0xe150a828, "");
SYMBOL_CRC(nfc_add_se, 0x13e28e68, "");
SYMBOL_CRC(nfc_remove_se, 0x18897c19, "");
SYMBOL_CRC(nfc_se_transaction, 0x2cdca210, "");
SYMBOL_CRC(nfc_se_connectivity, 0x22352a17, "");
SYMBOL_CRC(nfc_class, 0xf15b8c4a, "");
SYMBOL_CRC(nfc_allocate_device, 0x8ba66b43, "");
SYMBOL_CRC(nfc_register_device, 0x30da8917, "");
SYMBOL_CRC(nfc_unregister_device, 0xc77ed312, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0x35f57703, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0xcb8e6baf, "");
SYMBOL_CRC(nfc_proto_register, 0xf6f7b8f1, "");
SYMBOL_CRC(nfc_proto_unregister, 0xbc48ed4c, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x521ef184, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14b20ff5, "sock_register" },
	{ 0x8faf00bd, "datagram_poll" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc33ff55c, "put_device" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0xeb85eadd, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x91a2f9da, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8cbf62c3, "__sock_recv_timestamp" },
	{ 0xe604a5b6, "sock_no_shutdown" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0x8231185e, "init_net" },
	{ 0xa057bad7, "skb_pull" },
	{ 0x97e846ac, "device_add" },
	{ 0x1e112548, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x24c20235, "sk_free" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8a77d358, "sock_no_accept" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0xd282eca6, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa2f5151b, "ida_free" },
	{ 0x5e6b72ff, "class_unregister" },
	{ 0xf097f381, "ns_capable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65e86c6f, "sock_no_bind" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0x52e25474, "rfkill_alloc" },
	{ 0x3a637a41, "class_dev_iter_init" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0x686cbe9f, "device_del" },
	{ 0x65d2fb29, "__sock_recv_wifi_status" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3e6509b0, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xff282521, "rfkill_register" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x8cd759e3, "skb_recv_datagram" },
	{ 0xe058c5bc, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf3b4cdee, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf426d754, "skb_copy" },
	{ 0x619dc912, "skb_clone" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x2d0af318, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xebccce8c, "genl_unregister_family" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0xf6b0512a, "genl_register_family" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xc662d63f, "class_register" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x5f2318ff, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x99b2a14a, "class_find_device" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x76bad91a, "skb_free_datagram" },
	{ 0x88593a1, "sock_queue_rcv_skb_reason" },
	{ 0x3375b6fb, "ida_alloc_range" },
	{ 0x610e7434, "class_dev_iter_next" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x610b0c07, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xe6efd078, "add_wait_queue_exclusive" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x43e60b19, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa1073230, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x3aa247ea, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf2c941b8, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4b6b07fb, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xed52bf1, "sk_error_report" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8b463f8, "class_dev_iter_exit" },
	{ 0x92997ed8, "_printk" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "08453F86210F371FF17EE1A");

MODULE_INFO(suserelease, "ALP-0.1");
