#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__ovs_vport_ops_register, 0x0a4ca75d, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xeeea3745, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x5fee1906, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x1bd9361f, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xc4c4c32a, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x832b7baa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xa6388712, "__nf_ct_expect_find" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xa849c2a8, "skb_mpls_pop" },
	{ 0x78876305, "skb_vlan_pop" },
	{ 0x8356326a, "dst_init" },
	{ 0x91a2f9da, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x78ee2350, "rtnl_link_unregister" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x9c7249bd, "__skb_get_hash" },
	{ 0x8231185e, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xbaf695e4, "ipv6_stub" },
	{ 0xe9f3342f, "skb_mpls_update_lse" },
	{ 0xa057bad7, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1e112548, "netlink_unicast" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0xf52b1425, "dev_get_by_index_rcu" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x85eb42d7, "skb_push" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0xd50f677f, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xd4955c69, "skb_ensure_writable" },
	{ 0x742ddb7b, "free_netdev" },
	{ 0x7a40cf51, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1198d446, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf2242df9, "ethtool_op_get_link" },
	{ 0x8d586836, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x910c1c12, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeea4d606, "__pskb_pull_tail" },
	{ 0x2a5406d, "nf_ct_delete" },
	{ 0xa7466d59, "nf_conncount_init" },
	{ 0xc70965b1, "skb_vlan_push" },
	{ 0x358fc257, "dev_get_tstats64" },
	{ 0xe68bffe3, "netif_rx" },
	{ 0xcb34776a, "__netdev_alloc_skb" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xaf0e4db2, "netdev_master_upper_dev_link" },
	{ 0x83d0c931, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe86db549, "down_read" },
	{ 0xe767a139, "inet_proto_csum_replace16" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6f8849d5, "skb_scrub_packet" },
	{ 0xbc8e62e4, "nf_ct_deliver_cached_events" },
	{ 0x7a4c8735, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x89ea5c6, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xce6ac565, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xac9e5106, "__skb_checksum" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x59a6137a, "inet_proto_csum_replace4" },
	{ 0xf4801945, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x12734c88, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbf4d09e2, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x621666fe, "dev_get_by_name" },
	{ 0x619dc912, "skb_clone" },
	{ 0x65132ad1, "metadata_dst_alloc" },
	{ 0xcb71f293, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcf878a46, "peernet2id_alloc" },
	{ 0x7067e1c9, "nf_ct_get_tuplepr" },
	{ 0x9802c3e0, "netdev_rx_handler_register" },
	{ 0x14fa9101, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xebccce8c, "genl_unregister_family" },
	{ 0xbd1efdeb, "dev_disable_lro" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x7e5be69f, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf6b0512a, "genl_register_family" },
	{ 0xd029370b, "nf_ct_tmpl_free" },
	{ 0x816b5805, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3c7ec025, "__skb_gso_segment" },
	{ 0xc45b8d2b, "up_read" },
	{ 0x952bd73e, "skb_mpls_push" },
	{ 0xa930f862, "register_pernet_device" },
	{ 0x7b95abfc, "nf_conntrack_in" },
	{ 0x48e85076, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xae78eb95, "kmem_cache_alloc_node" },
	{ 0xef72b6e4, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0x58120dc0, "__skb_vlan_pop" },
	{ 0x68df5237, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xde106bdc, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x8181ca2a, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1410832f, "nsh_pop" },
	{ 0x8406f01f, "nf_conntrack_find_get" },
	{ 0x644634bf, "nf_ct_set_timeout" },
	{ 0xa30f9ad1, "dev_get_stats" },
	{ 0x87c95dff, "__nla_put" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbacc733f, "dev_fill_metadata_dst" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x6973dc22, "nf_ct_handle_fragments" },
	{ 0x5b208aea, "eth_mac_addr" },
	{ 0x610b0c07, "skb_put" },
	{ 0x10528da5, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4ad18976, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfec8d24d, "nf_ct_nat" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x76af058, "skb_eth_pop" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xce9e8614, "skb_gso_validate_mac_len" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x866ab336, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xf8a0336a, "nf_ct_helper" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xf0148714, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x84dd1a32, "rtnl_delete_link" },
	{ 0x9cde6bb2, "rtnl_link_register" },
	{ 0x7c8b004d, "nf_connlabels_put" },
	{ 0xa1073230, "genlmsg_put" },
	{ 0x38539737, "___pskb_trim" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf4b7c6e8, "dev_set_promiscuity" },
	{ 0x87469ed3, "nf_ct_destroy_timeout" },
	{ 0xbb7956cf, "nf_ct_add_helper" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x228d134e, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb02e6b9, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x785a4086, "nf_ct_skb_network_trim" },
	{ 0x5907f8d7, "unregister_netdevice_queue" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0x473f8047, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x7a730f35, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4b6b07fb, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf29a0948, "pskb_expand_head" },
	{ 0x3f73b7e1, "skb_csum_hwoffload_help" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x8f57ccac, "dev_addr_mod" },
	{ 0xfb09b63c, "nf_connlabels_replace" },
	{ 0xc6c587bb, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbc36f48, "alloc_netdev_mqs" },
	{ 0x71bcd5e0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc4411782, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xe47a1770, "netdev_rx_handler_unregister" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xddba400f, "skb_eth_push" },
	{ 0xdfeea149, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat");


MODULE_INFO(srcversion, "9CB1925372B1C343EFD4A20");

MODULE_INFO(suserelease, "ALP-0.1");
