#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rds_cong_map_updated, 0xb28e1c3a, "_gpl");
SYMBOL_CRC(rds_conn_create, 0xd677fa24, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0x46edb42f, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0xd0362f81, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0x1f804b17, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0x2d4c62ef, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0x216cd584, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0x5d52156d, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0x9f94211c, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0xe84ee6e0, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0xaf01d8b2, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xc2dab779, "_gpl");
SYMBOL_CRC(rds_message_addref, 0x0bead9fa, "_gpl");
SYMBOL_CRC(rds_message_put, 0x9bc178f7, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0x2b0d543c, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0xa90979f9, "_gpl");
SYMBOL_CRC(rds_inc_init, 0xe1e1e64c, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0xbe3b4e2a, "_gpl");
SYMBOL_CRC(rds_inc_put, 0x03d71661, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0x19f4adac, "_gpl");
SYMBOL_CRC(rds_send_path_reset, 0x891044ab, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0xda10a852, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0x53a7a919, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0xcaa1441f, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0xcf842872, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0x95447bdd, "_gpl");
SYMBOL_CRC(rds_send_ping, 0xb63de708, "_gpl");
SYMBOL_CRC(rds_stats, 0x36087aa4, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0x85e4e520, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0x3ee34624, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0x0d579f4a, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0xe67151f3, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0x326c8a71, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x9dcbbbf0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x47a37274, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe09a5dd, "put_cmsg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x14b20ff5, "sock_register" },
	{ 0x6dd005c6, "mm_account_pinned_pages" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xddaba837, "__free_pages" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xeb85eadd, "proto_register" },
	{ 0x91a2f9da, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe604a5b6, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x49608959, "migrate_disable" },
	{ 0xe915fae4, "down_write" },
	{ 0x8231185e, "init_net" },
	{ 0x4a85cca8, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xacd779ad, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x24c20235, "sk_free" },
	{ 0x8a77d358, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xd282eca6, "sock_no_listen" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb6279ba7, "sock_recv_errqueue" },
	{ 0xa241a1c3, "mm_unaccount_pinned_pages" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1198d446, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0xcd0d881a, "copy_page_to_iter" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xb78782f9, "rht_bucket_nested_insert" },
	{ 0xf9030427, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xc8d339e5, "rhashtable_destroy" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe86db549, "down_read" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdaf1844a, "copy_page_from_iter" },
	{ 0x54794243, "pv_ops" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x23f56bb2, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0x1712d8e, "sock_i_ino" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x8736529e, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeaa0f617, "unregister_net_sysctl_table" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xa930f862, "register_pernet_device" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x50b0d97a, "iov_iter_npages" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x49f721a7, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xbc4b59b2, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xcda4026b, "unpin_user_pages_dirty_lock" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcae4b1b, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x92ce86bc, "unpin_user_pages" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x3d006ca1, "iov_iter_get_pages2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98ED5423CE9223AB49269DC");

MODULE_INFO(suserelease, "ALP-0.1");
