#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x365aee3b, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0xc2c9bcb1, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x048cdba1, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xe7bb0a5b, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xf8f3dbce, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xd4b31409, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x70b84d15, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x0b62a005, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x0df5d3ac, "");
SYMBOL_CRC(key_type_rxrpc, 0xe7fca445, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x061cac17, "");
SYMBOL_CRC(rxrpc_get_null_key, 0xf87209a1, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x966d7174, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xd887d9bc, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x3ac4bc7e, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xe36fc70c, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xf68d1df7, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x9a8c2044, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x19167c6f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8059758f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x48a118b6, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1198d446, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7758cda8, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0x2dd2d70f, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x2fdbc144, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0xfb0793f9, "idr_destroy" },
	{ 0x65d2fb29, "__sock_recv_wifi_status" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb57cace3, "key_revoke" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xbb78ebae, "_atomic_dec_and_lock" },
	{ 0x6863dc77, "key_validate" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x50ba074d, "crypto_alloc_sync_skcipher" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x76fdef71, "setup_udp_tunnel_sock" },
	{ 0xbb3e7d4a, "proc_remove" },
	{ 0x8afd7df7, "udp_sock_create6" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21250a2b, "kthread_create_on_node" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8feb2400, "ipv4_mtu" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0x524087c3, "keyring_search" },
	{ 0x239b0f9a, "ip_sock_set_recverr" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x783bc4e5, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x868d84cb, "request_key_tag" },
	{ 0x4a317df5, "generic_key_instantiate" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x168ff8a7, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf3b4cdee, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30f711c, "seq_printf" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0xf426d754, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x619dc912, "skb_clone" },
	{ 0xcb71f293, "dst_release" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x19dd031b, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x77aba229, "seq_puts" },
	{ 0x2d0af318, "sock_no_ioctl" },
	{ 0x803491dc, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeaa0f617, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x77e69709, "bpf_trace_run7" },
	{ 0x9991f572, "ip_icmp_error" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xdfa5b911, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5507ce36, "skb_to_sgvec" },
	{ 0xa930f862, "register_pernet_device" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x8ddf48b5, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xd9f4e826, "kmem_cache_destroy" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x5f2318ff, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd9592eed, "proc_create_net_single_write" },
	{ 0x80c06867, "crypto_alloc_skcipher" },
	{ 0x28b9794f, "proc_dointvec_minmax" },
	{ 0x41ce6aec, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x19756f10, "key_alloc" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x7e6c27af, "idr_find" },
	{ 0xacb540dc, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcae4b1b, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xb0f402b7, "udp_sock_create4" },
	{ 0xa86dfc15, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x497d4e71, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xe6efd078, "add_wait_queue_exclusive" },
	{ 0xbd04876b, "set_user_nice" },
	{ 0xbfc97bdc, "up" },
	{ 0xb6fa6525, "udpv6_sendmsg" },
	{ 0xa08afc12, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf4517b10, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb192e312, "__wake_up" },
	{ 0xf49b8df2, "crypto_skcipher_setkey" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0x5856a086, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf449dbee, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xc3802c07, "register_key_type" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3977f7e2, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe09a5dd, "put_cmsg" },
	{ 0x3792ab5d, "wake_up_process" },
	{ 0x92dda894, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x4c79c6b5, "ipv6_icmp_error" },
	{ 0x14b20ff5, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe160349b, "crypto_skcipher_decrypt" },
	{ 0x4aa7a6de, "make_kuid" },
	{ 0x3bd14ba3, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6e2f408a, "idr_get_next" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x5117e36f, "kmem_cache_alloc" },
	{ 0xeb85eadd, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xd0db9bdf, "skb_queue_tail" },
	{ 0x231dadb6, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2c5802, "work_busy" },
	{ 0xc866b1a6, "idr_remove" },
	{ 0x8cbf62c3, "__sock_recv_timestamp" },
	{ 0x3144c6ee, "key_put" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0x8231185e, "init_net" },
	{ 0xa057bad7, "skb_pull" },
	{ 0xacd779ad, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0xeb1fcd75, "sock_enable_timestamps" },
	{ 0xfdc9bb9, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51cad47c, "ip6_mtu" },
	{ 0x32a460e8, "down" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0x24c20235, "sk_free" },
	{ 0xb48ba4ff, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x443efe6f, "kernel_sock_shutdown" },
	{ 0x8a77d358, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x353b765c, "kmem_cache_free" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "ECFD179E653216CF0D67A73");

MODULE_INFO(suserelease, "ALP-0.1");
