#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(smc_hash_sk, 0xb93aac14, "_gpl");
SYMBOL_CRC(smc_unhash_sk, 0x086d81a5, "_gpl");
SYMBOL_CRC(smc_proto, 0xa1b0a9c5, "_gpl");
SYMBOL_CRC(smc_proto6, 0x1e5bfc04, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x593af9c3, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xac82c83b, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0xd68c2d48, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x17139333, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0x3c486427, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0x6f816b59, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x95b28ed2, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x2eb258f3, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0xed2076b8, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0x433b89cd, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0xb53bd229, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0x3ba971a7, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc33ff55c, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xecb87ee3, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xddaba837, "__free_pages" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xd3a38038, "ib_unregister_event_handler" },
	{ 0xeb85eadd, "proto_register" },
	{ 0x4e7387b4, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2caaa47f, "__wake_up_sync_key" },
	{ 0x372ddf81, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc42ab194, "ib_map_mr_sg" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa7d7a8e4, "generic_pipe_buf_get" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xb9f20af3, "ib_set_client_data" },
	{ 0xe915fae4, "down_write" },
	{ 0x8231185e, "init_net" },
	{ 0x4a85cca8, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1e112548, "netlink_unicast" },
	{ 0x6f16a279, "__SCK__tp_func_sk_data_ready" },
	{ 0x434f4856, "rdma_put_gid_attr" },
	{ 0xc4fafac7, "kernel_getsockname" },
	{ 0x24c20235, "sk_free" },
	{ 0xb48ba4ff, "sock_wake_async" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x443efe6f, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xa5d75718, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x12cba9e8, "proc_douintvec_minmax" },
	{ 0x8dfb23d, "dma_need_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x48a118b6, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x67e2679c, "__ib_create_cq" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8cd254f8, "sk_alloc" },
	{ 0xdfa8e03c, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x312b4f88, "dma_sync_single_for_cpu" },
	{ 0x84ecc2bf, "kernel_connect" },
	{ 0x6dc95317, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x81ce1aa6, "sk_wait_data" },
	{ 0x9bae352a, "proc_douintvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xa67164c4, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc34cdb2f, "sock_no_mmap" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xb86e1305, "ib_destroy_cq_user" },
	{ 0xe86db549, "down_read" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xa5fdaf57, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xac36d08d, "tcp_register_ulp" },
	{ 0xa9410f6d, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x534e61ce, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x394fea99, "kernel_listen" },
	{ 0xd14cb1b, "ib_dma_virt_map_sg" },
	{ 0x5cddbfe1, "neigh_destroy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x97e17209, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x98475540, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbbd42e49, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x621666fe, "dev_get_by_name" },
	{ 0xcb71f293, "dst_release" },
	{ 0x7d7248fe, "sk_stream_wait_connect" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x19dd031b, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x86138277, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0x42648b0b, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf6437fc0, "vlan_dev_vlan_id" },
	{ 0xeaa0f617, "unregister_net_sysctl_table" },
	{ 0xbf85295c, "ib_dealloc_pd_user" },
	{ 0xdc8783a9, "rdma_get_gid_attr" },
	{ 0xc24a3d13, "dma_unmap_sg_attrs" },
	{ 0xebccce8c, "genl_unregister_family" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf6b0512a, "genl_register_family" },
	{ 0xdfa5b911, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x1a27ffe1, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x38dc4914, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x28b9794f, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd3106468, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x803f6b8a, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbad2e416, "__init_rwsem" },
	{ 0xc81ab0f3, "ib_unregister_client" },
	{ 0x27a6eb8d, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xff7d79a3, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4e9981e3, "proc_dointvec_jiffies" },
	{ 0xcae4b1b, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4241a137, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x85b8b268, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x655b440d, "__ib_alloc_pd" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xd8847469, "dma_unmap_page_attrs" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xac4efb63, "kernel_bind" },
	{ 0xe6efd078, "add_wait_queue_exclusive" },
	{ 0x6fbf004, "dma_sync_single_for_device" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa1073230, "genlmsg_put" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9aab28c, "ib_dereg_mr_user" },
	{ 0xbf7a2079, "__tracepoint_sk_data_ready" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0x4b27f31f, "kernel_accept" },
	{ 0x108c1d0b, "rdma_dev_access_netns" },
	{ 0xf38ae1f3, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xc6555727, "ip_route_output_flow" },
	{ 0xcf2d3c83, "get_device" },
	{ 0xad42fe7d, "sk_stream_error" },
	{ 0xafc122f6, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd21afd77, "sock_alloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xed52bf1, "sk_error_report" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x3c753ea1, "dev_driver_string" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xae8686a2, "tcp_abort" },
	{ 0x3f56833f, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x21e71e0a, "dma_map_page_attrs" },
	{ 0xbc34bd22, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0x1aa9b65b, "proto_unregister" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x14b20ff5, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "24E01EA0295445223C1A643");

MODULE_INFO(suserelease, "ALP-0.1");
