#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tls_device_sk_destruct, 0x0a73b92f, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xdaa4a097, "_gpl");
SYMBOL_CRC(tls_get_record, 0xfe127c05, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x1bd8ad1b, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x51e5601e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8250a16a, "rt_write_unlock" },
	{ 0x4e7387b4, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x393d6cd4, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x644b746a, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x70f0b35f, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xe915fae4, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x4a85cca8, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd2d01436, "crypto_aead_encrypt" },
	{ 0x6f16a279, "__SCK__tp_func_sk_data_ready" },
	{ 0x2b5fc130, "bpf_trace_run5" },
	{ 0x24c20235, "sk_free" },
	{ 0xa8c22ae0, "skb_store_bits" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xaa22bf7b, "__sk_mem_reclaim" },
	{ 0xcbf1f1c8, "sk_stream_wait_memory" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x48a118b6, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb6279ba7, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x23f8fe08, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3232195d, "sk_msg_return_zero" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0x4d978383, "skb_copy_datagram_iter" },
	{ 0x731aeab7, "bpf_trace_run1" },
	{ 0xc9fdb58c, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8a5d6066, "sock_efree" },
	{ 0x3760cf8e, "iov_iter_bvec" },
	{ 0x3b395a14, "kfree_skb_list_reason" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf8c07b93, "clean_acked_data_disable" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2ab2e89, "sk_msg_free_partial" },
	{ 0xe86db549, "down_read" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0xf7e245c6, "mutex_trylock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3f674485, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xac36d08d, "tcp_register_ulp" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe1f3c778, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x82209cbf, "skb_page_frag_refill" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4969cf4c, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x89912a1c, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5068b70e, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3ae00e0a, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x30f711c, "seq_printf" },
	{ 0x253e208e, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x619dc912, "skb_clone" },
	{ 0xcb71f293, "dst_release" },
	{ 0xa41fe63b, "rt_write_lock" },
	{ 0x92dbff71, "_copy_from_iter" },
	{ 0x759a1d, "skb_copy_header" },
	{ 0x35fa510a, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xa4c67d25, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xc832d8a9, "netdev_sk_get_lowest_dev" },
	{ 0x25fded50, "sk_msg_alloc" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x62f27c27, "_copy_from_iter_nocache" },
	{ 0x48e36e0f, "tcp_rate_check_app_limited" },
	{ 0x71a9e4e6, "tcp_poll" },
	{ 0x1bd2d5, "iov_iter_revert" },
	{ 0x34f9afe, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5507ce36, "skb_to_sgvec" },
	{ 0xc45b8d2b, "up_read" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x50b0d97a, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xb9fe0426, "tcp_read_done" },
	{ 0xacd47ac7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb54b04c6, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4f3155ce, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x682338eb, "tcp_read_sock" },
	{ 0xd74f5c62, "bpf_trace_run4" },
	{ 0xc21e224e, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe1c4de22, "sk_page_frag_refill" },
	{ 0x610b0c07, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1d3cd947, "tcp_sendmsg_locked" },
	{ 0xf0bb16c4, "consume_skb" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x5a2d40ee, "sk_psock_msg_verdict" },
	{ 0xa86dfc15, "bpf_trace_run6" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0x3d006ca1, "iov_iter_get_pages2" },
	{ 0x38539737, "___pskb_trim" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xdccdecc1, "add_wait_queue" },
	{ 0x655a1d8a, "__put_devmap_managed_page_refs" },
	{ 0x1f66a55c, "clean_acked_data_enable" },
	{ 0x4d2761f, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x16d10432, "crypto_alloc_aead" },
	{ 0xbf7a2079, "__tracepoint_sk_data_ready" },
	{ 0xa031b3f5, "crypto_aead_setauthsize" },
	{ 0x484e9d03, "crypto_aead_decrypt" },
	{ 0xb192e312, "__wake_up" },
	{ 0xad42fe7d, "sk_stream_error" },
	{ 0x32da1bf7, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4d2fc0c, "sk_msg_memcopy_from_iter" },
	{ 0xed52bf1, "sk_error_report" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0xe09a5dd, "put_cmsg" },
	{ 0xd5d31ac9, "__sk_flush_backlog" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x31e7c0bb, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x732164a, "sk_psock_tls_strp_read" },
	{ 0x1c2cbabf, "sk_msg_clone" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C4087A2E685B9E0420B90D0");

MODULE_INFO(suserelease, "ALP-0.1");
