#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0x205adfce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9166fada, "strncpy" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xb6df9f82, "__alloc_skb" },
	{ 0xff7d79a3, "__nlmsg_put" },
	{ 0x1e112548, "netlink_unicast" },
	{ 0x101635e, "xfrm_sad_getinfo" },
	{ 0xeef6cc6f, "skb_trim" },
	{ 0x6f2811fd, "xfrm_spd_getinfo" },
	{ 0x9a0bfc64, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x4d71fe21, "__xfrm_init_state" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0x35b314e9, "xfrm_init_replay" },
	{ 0x215e03ea, "xfrm_dev_state_add" },
	{ 0x127e271d, "xfrm_state_update" },
	{ 0xc263c706, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6c5b5b9e, "__xfrm_state_destroy" },
	{ 0x2fdfab40, "xfrm_state_add" },
	{ 0x4b6b07fb, "netlink_broadcast_filtered" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x8231185e, "init_net" },
	{ 0xf82051bb, "__fib6_flush_trees" },
	{ 0xe4d7c38b, "xfrm_state_lookup_byaddr" },
	{ 0xf7ccb189, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0x1168f3e0, "xfrm_state_delete" },
	{ 0x84fe7e92, "xfrm_audit_state_delete" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x39c80670, "km_state_expired" },
	{ 0x46510c7c, "__xfrm_state_delete" },
	{ 0x243a2d9d, "xfrm_policy_byid" },
	{ 0x553601bb, "km_policy_expired" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x6d0671a6, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x1149526f, "xfrm_policy_destroy" },
	{ 0xfc1f38d6, "xfrm_policy_delete" },
	{ 0xed784945, "xfrm_audit_policy_delete" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x27bb81a1, "xfrm_find_acq_byseq" },
	{ 0x129bfca7, "xfrm_find_acq" },
	{ 0x80b32f0b, "xfrm_alloc_spi" },
	{ 0xcf120a6e, "xfrm_dev_policy_add" },
	{ 0xb1f9188, "xfrm_policy_insert" },
	{ 0xb0dfc361, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xda3f6659, "km_query" },
	{ 0x77469707, "xfrm_state_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xebe4c260, "register_pernet_subsys" },
	{ 0x7904ff0a, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x816b5805, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x336459b8, "netlink_kernel_release" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x6819f262, "netlink_rcv_skb" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe70eb0b7, "xfrm_policy_hash_rebuild" },
	{ 0xa0e45d78, "xfrm_state_flush" },
	{ 0xe34587c6, "km_state_notify" },
	{ 0x67ac0400, "xfrm_policy_walk_done" },
	{ 0x1fb1a67c, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xd40b8740, "xfrm_state_walk_done" },
	{ 0x12f453f, "__netlink_kernel_create" },
	{ 0xfe8d687b, "xfrm_unregister_km" },
	{ 0x534cee44, "unregister_pernet_subsys" },
	{ 0xc7d8fcbe, "netlink_net_capable" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x832a748a, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x62ae3e8d, "xfrm_get_translator" },
	{ 0x7c1b8ecb, "xfrm_put_translator" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc1efe874, "kfree_skb_reason" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x24ca20fc, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0x98bd1d18, "xfrm_policy_alloc" },
	{ 0xe6803f53, "xfrm_policy_flush" },
	{ 0xccaf5425, "km_policy_notify" },
	{ 0x1f4f3a74, "xfrm_migrate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xfb578fc5, "memset" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "3377447EBC9241E5BAC06CB");

MODULE_INFO(suserelease, "ALP-0.1");
