#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_fw_transaction, 0xb32625d9, "");
SYMBOL_CRC(fw_iso_resources_init, 0xf05965cf, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x5f52e746, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0xad961bd8, "");
SYMBOL_CRC(fw_iso_resources_update, 0x3e669cee, "");
SYMBOL_CRC(fw_iso_resources_free, 0xf0803661, "");
SYMBOL_CRC(iso_packets_buffer_init, 0xfe8ac056, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x086f3795, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x94cc6ccb, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0xc15cd2b4, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x7eace56e, "");
SYMBOL_CRC(fcp_avc_transaction, 0xeb2155c1, "");
SYMBOL_CRC(fcp_bus_reset, 0xaa4fd3b9, "");
SYMBOL_CRC(cmp_connection_init, 0x8f165e31, "");
SYMBOL_CRC(cmp_connection_check_used, 0x93edf9e5, "");
SYMBOL_CRC(cmp_connection_destroy, 0xae5c6bd8, "");
SYMBOL_CRC(cmp_connection_reserve, 0x2b450920, "");
SYMBOL_CRC(cmp_connection_release, 0x5eca43bd, "");
SYMBOL_CRC(cmp_connection_establish, 0x614dc3db, "");
SYMBOL_CRC(cmp_connection_update, 0xdd4194e2, "");
SYMBOL_CRC(cmp_connection_break, 0xc36b4fde, "");
SYMBOL_CRC(amdtp_stream_init, 0xac46e798, "");
SYMBOL_CRC(amdtp_stream_destroy, 0xfcbb2fad, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x8913e13c, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x84c193b0, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0xab967f22, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0x7d60118a, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0xbcb025b0, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0xb64e47ae, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0x9d25f51c, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x3ca29adf, "");
SYMBOL_CRC(amdtp_domain_init, 0xa0b57e81, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x266d6115, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x66bb38d2, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x79c36921, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0x7fbb76ec, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x95e13332, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x80b8b908, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x4f7a8f36, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0xf5e1a2a7, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x2b4f4a79, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0xef61f509, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x27e78600, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xc455cc63, "fw_core_remove_address_handler" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xebcea5dc, "fw_iso_context_stop" },
	{ 0xb192e312, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85cd9d09, "fw_core_add_address_handler" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xba1997a7, "snd_pcm_hw_rule_add" },
	{ 0x8da801e1, "fw_iso_context_queue" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xdad9d28a, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x90876813, "fw_iso_buffer_destroy" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xacd3a4f2, "fw_iso_resource_manage" },
	{ 0xf82f664e, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0x2ad9ddf5, "fw_iso_context_start" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb39bc345, "snd_pcm_stop_xrun" },
	{ 0xaf363e64, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4450827f, "snd_pcm_period_elapsed" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x58dec89e, "fw_iso_context_flush_completions" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x7cc786c4, "fw_iso_context_destroy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xeee7583b, "fw_run_transaction" },
	{ 0x9bfc272, "snd_rawmidi_receive" },
	{ 0xa75ae634, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6b3c61a4, "snd_rawmidi_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xc8b6dde9, "snd_pcm_hw_constraint_minmax" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "B0869187C626EE3CCF538C9");

MODULE_INFO(suserelease, "ALP-0.1");
