#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hdac_get_device_id, 0x19382816, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xbfbd7779, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x6812ca27, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xcd4b1db7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x5089e2a8, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x00049be1, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xb963bf2e, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0xb5f3b7d6, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x1dc41a4c, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x40005d10, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xf710f975, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xed06ef1a, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x7c6c9dc7, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x08fcbe35, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x457d5717, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xb60490c8, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x68724e96, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x666eaee3, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0xf7ebcf4f, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x64e4ba8b, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x2621e4ab, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xc86fabaf, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x4dcaaf87, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xac4638e8, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x95e53340, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xe9b4f807, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x32ad9484, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x7eaeea86, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x6f6515ed, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xed7802bc, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x4aa57c91, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x79a3fdbf, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0xd8e31aed, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0xe3895dc8, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0xd74d3215, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0xd419d0aa, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0xef04122d, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x11d7ff13, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x144f5af7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x9bda74b0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0xd61a5480, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x5c8b65fe, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x52790219, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x3654005f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xd2effddc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xd01ba2a2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x7859e21a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x74447a5b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x4707e03c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x05ee7487, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x5de275c9, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x1a38d2a3, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xce50cfbd, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x979e75df, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x0ebf2134, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x3688dd33, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xdd1ec327, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xf8155e84, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x2ee935c2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xbc94c863, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xd47ac9c1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x76fab799, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x9a66a38d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0xcc34890f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x3f932675, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0xba1057d2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x508a539a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x84accc79, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x30da8332, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x38d48d0b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0xd772d3f6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xf9e79399, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0xff413fdc, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x305086a1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x3dc5cf9d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x9200c132, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x22e9f8d3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x17f8ac6a, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xf3dbba9a, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x80ab776e, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x6a517225, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0xc8cefe57, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x6d6818b5, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x73f37325, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x9e0f249f, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x4872fdd5, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x709cbc34, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x7258e8b2, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x39e773ac, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x39209099, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x85719439, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x3201397b, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0xb0e782dd, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x6cabd91f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x170e2c3e, "snd_sgbuf_get_chunk_size" },
	{ 0xd2df1afb, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5772e404, "trace_event_buffer_commit" },
	{ 0xfe37a2a4, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc33ff55c, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x91a2f9da, "module_put" },
	{ 0x6a39b19d, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf190ceb6, "perf_trace_run_bpf_submit" },
	{ 0xa7da18b1, "bus_unregister" },
	{ 0xc31ee504, "_dev_err" },
	{ 0xc9e0b247, "kobject_add" },
	{ 0x97e846ac, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x77e713eb, "__devres_alloc_node" },
	{ 0x8059758f, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfbe3c8db, "sysfs_create_group" },
	{ 0xfb24aeea, "__regmap_init" },
	{ 0x686cbe9f, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6f234f2e, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc2cf69fb, "sysfs_remove_group" },
	{ 0xc2c2be40, "bpf_trace_run3" },
	{ 0x2ed158cd, "component_master_del" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0x9658a9f0, "trace_event_buffer_reserve" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb0d9464c, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xff20df4, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0x1c02df6e, "pci_match_id" },
	{ 0x57ce6ebb, "devres_find" },
	{ 0x54ab2ad8, "regmap_update_bits_base" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0x83fc8d75, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0xaa7b2a14, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x17c84a16, "pci_bus_type" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd3b2192c, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7dafd263, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7ad44544, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xec377c18, "regcache_sync" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0x8c65d24a, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x32ea2fd2, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38be43b3, "component_master_add_with_match" },
	{ 0xfcfda422, "trace_raw_output_prep" },
	{ 0x4155c69f, "snd_pcm_add_chmap_ctls" },
	{ 0x2b599ded, "pci_dev_put" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd562de9d, "__trace_trigger_soft_disabled" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0xeef1f8b4, "pci_get_device" },
	{ 0xa2b8cecb, "trace_event_printf" },
	{ 0xd81a9e36, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x9ee83502, "pm_runtime_get_if_active" },
	{ 0x646e9f5b, "kobject_init" },
	{ 0xb39946c8, "device_initialize" },
	{ 0x45c27580, "prepare_to_wait" },
	{ 0xc739a6ad, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xd93faf96, "regcache_reg_cached" },
	{ 0x4e4e93e2, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9492a554, "bpf_trace_run2" },
	{ 0xb192e312, "__wake_up" },
	{ 0x754b7f7b, "snd_sgbuf_get_addr" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "C55C99E4C61D3336E964462");

MODULE_INFO(suserelease, "ALP-0.1");
