#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa022eb42, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ce1bba2, "snd_hda_get_path_from_idx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xad590726, "snd_hda_gen_update_outputs" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xa51c4a22, "snd_hda_jack_unsol_event" },
	{ 0xa6aff0fd, "snd_hda_gen_shutup_speakers" },
	{ 0x5e9f831c, "snd_hda_gen_build_pcms" },
	{ 0xa200344f, "snd_hda_mixer_amp_tlv" },
	{ 0x77ae199e, "snd_hda_pick_fixup" },
	{ 0x91d93f46, "snd_hda_apply_fixup" },
	{ 0x1ac22a8, "snd_hda_gen_parse_auto_config" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x32ad9484, "snd_hdac_codec_read" },
	{ 0xaa46b674, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x9d6a9d0d, "snd_hda_codec_get_pin_target" },
	{ 0x89838ef1, "snd_hda_gen_free" },
	{ 0x5c1fb87b, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0x6316cebb, "snd_hda_add_new_ctls" },
	{ 0x97f8f7ca, "snd_hda_gen_build_controls" },
	{ 0x6e1abb9c, "snd_hda_gen_mic_autoswitch" },
	{ 0x5ed20729, "query_amp_caps" },
	{ 0xeec3768f, "snd_hda_mixer_amp_volume_info" },
	{ 0xd74d3215, "snd_hdac_regmap_read_raw" },
	{ 0x5cd7837a, "snd_hda_jack_detect_state_mst" },
	{ 0x9b3df448, "snd_hda_gen_spec_init" },
	{ 0x29d56269, "snd_hda_mixer_amp_switch_info" },
	{ 0x5f6c492, "hda_codec_driver_unregister" },
	{ 0x139d3901, "snd_hda_add_new_path" },
	{ 0x7eaeea86, "snd_hdac_codec_write" },
	{ 0xab302a5f, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xcfb17af0, "snd_hda_gen_add_kctl" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x37c33ada, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x457d5717, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x3ef359ea, "snd_ctl_boolean_mono_info" },
	{ 0x2823d5af, "snd_hda_override_amp_caps" },
	{ 0x2ffa206a, "__hda_codec_driver_register" },
	{ 0x8681ff0d, "snd_hda_jack_set_gating_jack" },
	{ 0xab97f220, "snd_hda_parse_pin_defcfg" },
	{ 0x88d0a77, "snd_hda_gen_init" },
	{ 0x1593e1d5, "snd_hda_activate_path" },
	{ 0xe07e0efb, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0xd8e31aed, "snd_hdac_regmap_add_vendor_verb" },
	{ 0x319a2e0c, "snd_hda_codec_set_pin_target" },
	{ 0x74ffbf4b, "snd_hda_gen_check_power_status" },
	{ 0xe3895dc8, "snd_hdac_regmap_write_raw" },
	{ 0x52c9b73e, "snd_hda_mixer_amp_volume_get" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "DF069482A4013BF22BF6B34");

MODULE_INFO(suserelease, "ALP-0.1");
