#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(snd_hda_gen_spec_init, 0x9b3df448, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xcfb17af0, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0xf29b0990, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x6ce1bba2, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x139d3901, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x1593e1d5, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x5c1fb87b, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0xe07e0efb, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x44b99d41, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0xad590726, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x59075a65, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x2ddf1b33, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x6e1abb9c, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x8872d80d, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xafc04b6d, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0xa6aff0fd, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x01ac22a8, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x97f8f7ca, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x5e9f831c, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x088d0a77, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x89838ef1, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x74ffbf4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f06a64b, "snd_hda_enum_helper_info" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0xd6f3ae31, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x32ad9484, "snd_hdac_codec_read" },
	{ 0xaa46b674, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x701d3874, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x9d6a9d0d, "snd_hda_codec_get_pin_target" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x11d7ff13, "snd_hdac_regmap_sync" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x86d713b5, "snd_hda_apply_verbs" },
	{ 0xfd124ce6, "snd_hda_codec_amp_update" },
	{ 0x6316cebb, "snd_hda_add_new_ctls" },
	{ 0xbc6f051a, "snd_hda_get_connections" },
	{ 0x8da50f1c, "snd_hda_codec_amp_init_stereo" },
	{ 0x2afb2bb0, "snd_hda_set_vmaster_tlv" },
	{ 0xa5286e08, "hda_get_autocfg_input_label" },
	{ 0x5ed20729, "query_amp_caps" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xeec3768f, "snd_hda_mixer_amp_volume_info" },
	{ 0xd74d3215, "snd_hdac_regmap_read_raw" },
	{ 0x5cd7837a, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd5f847e, "snd_hda_codec_setup_stream" },
	{ 0x29d56269, "snd_hda_mixer_amp_switch_info" },
	{ 0x5f6c492, "hda_codec_driver_unregister" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x9e237f6, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7eaeea86, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0xcc4bfb7d, "snd_hda_jack_tbl_get_mst" },
	{ 0x7a22abd2, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x13224e49, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xe96d1ea7, "led_classdev_unregister" },
	{ 0xa600c8dd, "snd_hda_codec_pcm_new" },
	{ 0xba10ba72, "__snd_hda_codec_cleanup_stream" },
	{ 0xe186499f, "snd_ctl_sync_vmaster" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x8fb33bbb, "snd_hda_multi_out_dig_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4eb11ae, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4a953677, "snd_hda_add_imux_item" },
	{ 0xab2cd65c, "snd_hda_correct_pin_ctl" },
	{ 0x457d5717, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe23bd09d, "snd_hda_create_dig_out_ctls" },
	{ 0x5a2d4802, "snd_hda_multi_out_dig_close" },
	{ 0x247997d0, "snd_hda_get_conn_index" },
	{ 0xd1d6a274, "snd_hda_multi_out_analog_open" },
	{ 0xb120e099, "snd_hda_get_bool_hint" },
	{ 0x97578446, "snd_hda_create_spdif_share_sw" },
	{ 0x94e3c1d9, "snd_hda_find_mixer_ctl" },
	{ 0xc939ac3b, "snd_hda_get_int_hint" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x2ffa206a, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0xab97f220, "snd_hda_parse_pin_defcfg" },
	{ 0x3cb7c175, "snd_hda_codec_amp_init" },
	{ 0xa59d16b7, "snd_hda_create_spdif_in_ctls" },
	{ 0x1e7e5f1, "is_jack_detectable" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xc104b0cd, "snd_hda_multi_out_analog_cleanup" },
	{ 0x6cd030de, "snd_hda_multi_out_analog_prepare" },
	{ 0x3df8f8ca, "snd_ctl_boolean_stereo_info" },
	{ 0xf9c9886d, "snd_hda_get_conn_list" },
	{ 0x95dfa3d8, "snd_hda_mixer_amp_switch_get" },
	{ 0x319a2e0c, "snd_hda_codec_set_pin_target" },
	{ 0x6a12d405, "led_classdev_register_ext" },
	{ 0xdca4e5a2, "snd_hda_attach_beep_device" },
	{ 0xfb9fec31, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe3895dc8, "snd_hdac_regmap_write_raw" },
	{ 0x52c9b73e, "snd_hda_mixer_amp_volume_get" },
	{ 0xa022eb42, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xc2bc7081, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6d50a292, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa51c4a22, "snd_hda_jack_unsol_event" },
	{ 0x7b675e16, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xa200344f, "snd_hda_mixer_amp_tlv" },
	{ 0x9f4f4102, "snd_hda_jack_add_kctls" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x46dd3c9, "__snd_hda_add_vmaster" },
	{ 0xef89bb0, "snd_hda_codec_amp_stereo" },
	{ 0x1d4480b, "snd_hda_sync_vmaster_hook" },
	{ 0x91d93f46, "snd_hda_apply_fixup" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "95B4D156EB2EA1321DDBC69");

MODULE_INFO(suserelease, "ALP-0.1");
