#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(oxygen_read8, 0x7e406faf, "");
SYMBOL_CRC(oxygen_read16, 0x63dbde40, "");
SYMBOL_CRC(oxygen_read32, 0x5ade2419, "");
SYMBOL_CRC(oxygen_write8, 0xd8ce2f38, "");
SYMBOL_CRC(oxygen_write16, 0x4a52802a, "");
SYMBOL_CRC(oxygen_write32, 0xb22532eb, "");
SYMBOL_CRC(oxygen_write8_masked, 0x913e6329, "");
SYMBOL_CRC(oxygen_write16_masked, 0x695b837a, "");
SYMBOL_CRC(oxygen_write32_masked, 0x378433e5, "");
SYMBOL_CRC(oxygen_write_ac97, 0x2471221a, "");
SYMBOL_CRC(oxygen_read_ac97, 0x26407bdc, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x40ea9760, "");
SYMBOL_CRC(oxygen_write_spi, 0x23dd44de, "");
SYMBOL_CRC(oxygen_write_i2c, 0xac6c5983, "");
SYMBOL_CRC(oxygen_reset_uart, 0x08da01bb, "");
SYMBOL_CRC(oxygen_write_uart, 0x9c5def84, "");
SYMBOL_CRC(oxygen_pci_probe, 0x4621be3e, "");
SYMBOL_CRC(oxygen_pci_pm, 0xc179e63d, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x5a3f55d2, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x899bf7bb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xafd71691, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x30f711c, "seq_printf" },
	{ 0xedf6d458, "snd_mpu401_uart_new" },
	{ 0x1c02df6e, "pci_match_id" },
	{ 0xaf363e64, "snd_pcm_hw_constraint_msbits" },
	{ 0x4450827f, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x1eca4f16, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x2e48e8a6, "pcim_enable_device" },
	{ 0xfc02f0f0, "pci_write_config_word" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xebfc4cae, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xc48d5c57, "snd_ctl_add" },
	{ 0xa82f5e3d, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbd67f3de, "snd_card_register" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x44d72404, "snd_card_free_on_error" },
	{ 0x87a49487, "snd_card_rw_proc_new" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0x33620863, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf6736b53, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe5e07bbf, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3ef359ea, "snd_ctl_boolean_mono_info" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xd8eb1676, "snd_ctl_notify" },
	{ 0x6c9884f7, "snd_pcm_set_ops" },
	{ 0xdc4cb15f, "snd_pcm_set_managed_buffer" },
	{ 0xffbadaa9, "mutex_lock_interruptible" },
	{ 0xbdd44446, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-mpu401-uart,snd-pcm");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");

MODULE_INFO(suserelease, "ALP-0.1");
