#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs35l45_probe, 0xb7d88e73, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x459913d8, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0x15dae802, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x4b5949ef, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0xba5b8c65, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0xf9634d29, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0x3431c8ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x335396f1, "device_property_read_u32_array" },
	{ 0xebe04dc9, "devm_regulator_get" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x33e7db46, "snd_soc_info_volsw" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x45605508, "wm_adsp_event" },
	{ 0x6ca08be8, "wm_adsp_fw_enum" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x4d8bbe95, "wm_adsp2_component_probe" },
	{ 0xb4cf56f8, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f051d6f, "wm_adsp2_preloader_get" },
	{ 0xe0171758, "snd_soc_info_enum_double" },
	{ 0x2fc205c, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdde5080b, "devm_regmap_add_irq_chip" },
	{ 0x7de1d722, "snd_soc_get_volsw" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0xc97c52f4, "snd_soc_put_volsw" },
	{ 0x41e9db88, "wm_adsp_fw_get" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6d4f211f, "regmap_bulk_read" },
	{ 0x54ab2ad8, "regmap_update_bits_base" },
	{ 0x5af8a8ea, "regulator_disable" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x98a8221c, "regmap_multi_reg_write" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0x7d9ff068, "regmap_register_patch" },
	{ 0x21d270b1, "snd_soc_dapm_get_enum_double" },
	{ 0xe87d5fee, "__pm_runtime_use_autosuspend" },
	{ 0xfbf5cbb0, "wm_halo_init" },
	{ 0x9f29b1ae, "wm_adsp_early_event" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x58ca3524, "snd_soc_dapm_put_enum_double" },
	{ 0x8a23901f, "wm_adsp_fw_put" },
	{ 0xcc6600d0, "regulator_enable" },
	{ 0xc7866340, "regcache_cache_only" },
	{ 0xec377c18, "regcache_sync" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0x3f4dd35, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x6deff41a, "pm_runtime_set_autosuspend_delay" },
	{ 0xfe8f3ceb, "gpiod_set_value_cansleep" },
	{ 0xeeebf3d0, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x184102c6, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f631154, "__pm_runtime_set_status" },
	{ 0x9964a4aa, "devm_snd_soc_register_component" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "B2CDE7550098D5749DEEBA5");

MODULE_INFO(suserelease, "ALP-0.1");
