#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cs42l42_readable_register, 0x4ea74f65, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x3681fbe3, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xb4132af3, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x28ee35aa, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xa1f033cf, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x294a6949, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x2319044e, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xd371eca3, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x5a93037a, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x852b094b, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xa5e296f1, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xfd8e1476, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x3903e58c, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x6246dfcb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3c672dc6, "snd_soc_jack_report" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xfe8f3ceb, "gpiod_set_value_cansleep" },
	{ 0xc8b6dde9, "snd_pcm_hw_constraint_minmax" },
	{ 0xc52cb7ac, "regcache_sync_region" },
	{ 0x4a52df16, "snd_soc_put_enum_double" },
	{ 0x184102c6, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9bfa664, "devm_gpiod_get_optional" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9964a4aa, "devm_snd_soc_register_component" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x8179adbf, "regulator_bulk_disable" },
	{ 0x335396f1, "device_property_read_u32_array" },
	{ 0x7a4e7073, "snd_soc_get_enum_double" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x33e7db46, "snd_soc_info_volsw" },
	{ 0x415b5cae, "regcache_drop_region" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0171758, "snd_soc_info_enum_double" },
	{ 0x46c3ac62, "regulator_bulk_enable" },
	{ 0x57b9de6f, "devm_regulator_bulk_get" },
	{ 0x7de1d722, "snd_soc_get_volsw" },
	{ 0x9ee601b3, "regmap_read" },
	{ 0xc97c52f4, "snd_soc_put_volsw" },
	{ 0xdcda9487, "snd_soc_component_update_bits" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6d4f211f, "regmap_bulk_read" },
	{ 0x54ab2ad8, "regmap_update_bits_base" },
	{ 0x76415b7c, "dev_err_probe" },
	{ 0x98a8221c, "regmap_multi_reg_write" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x155c0846, "device_property_present" },
	{ 0xc7866340, "regcache_cache_only" },
	{ 0xec377c18, "regcache_sync" },
	{ 0xf2c8721a, "regmap_write" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "ABDF760A37EB1899A58220A");

MODULE_INFO(suserelease, "ALP-0.1");
