#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hdac_hdmi_jack_port_init, 0x0bf470cd, "_gpl");
SYMBOL_CRC(hdac_hdmi_jack_init, 0xbc6346f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb60490c8, "snd_hdac_read_parm_uncached" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x73f37325, "snd_hdac_register_chmap_ops" },
	{ 0x304d4c72, "snd_hdac_ext_bus_link_get" },
	{ 0x9a992743, "mutex_lock" },
	{ 0x3bd544c2, "snd_hdac_get_active_channels" },
	{ 0xc8cefe57, "snd_hdac_setup_channel_mapping" },
	{ 0xd8eb1676, "snd_ctl_notify" },
	{ 0xb963bf2e, "snd_hdac_codec_link_down" },
	{ 0x50adcdf1, "dapm_kcontrol_get_value" },
	{ 0x39e773ac, "snd_hdac_acomp_get_eld" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x709cbc34, "snd_hdac_display_power" },
	{ 0x780e9bc2, "snd_hda_ext_driver_register" },
	{ 0x9c0196bf, "snd_pcm_hw_constraint_mask64" },
	{ 0x8d67b0aa, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0171758, "snd_soc_info_enum_double" },
	{ 0x6f6515ed, "snd_hdac_check_power_state" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbf9a38c5, "snd_pcm_hw_constraint_eld" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x822b9bd5, "snd_hda_ext_driver_unregister" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0xd1273513, "snd_soc_dapm_new_controls" },
	{ 0x666eaee3, "snd_hdac_get_sub_nodes" },
	{ 0x45899d73, "pm_runtime_force_resume" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48e0756d, "snd_soc_dapm_put_pin_switch" },
	{ 0xf3c8bdad, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xe1c85407, "snd_soc_dapm_info_pin_switch" },
	{ 0x28e96d35, "snd_hdac_ext_bus_link_put" },
	{ 0xea8c3c82, "snd_soc_add_card_controls" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0x21d270b1, "snd_soc_dapm_get_enum_double" },
	{ 0x32ad9484, "snd_hdac_codec_read" },
	{ 0x8ae7af77, "__pm_runtime_disable" },
	{ 0xf549f52e, "device_link_add" },
	{ 0x19382816, "hdac_get_device_id" },
	{ 0x8d1c92c, "pm_runtime_force_suspend" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0x1bb2d6c, "__pm_runtime_idle" },
	{  0x49be1, "snd_hdac_codec_link_up" },
	{ 0xcdaf3ce9, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x58ca3524, "snd_soc_dapm_put_enum_double" },
	{ 0x64e4ba8b, "snd_hdac_get_connections" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xed7802bc, "snd_hdac_sync_power_state" },
	{ 0xc48d5c57, "snd_ctl_add" },
	{ 0x9e0f249f, "snd_hdac_add_chmap_ctls" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c672dc6, "snd_soc_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6d6818b5, "snd_hdac_channel_allocation" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0xb14ab1ef, "hdmi_audio_infoframe_init" },
	{ 0xb23e375, "snd_soc_dapm_enable_pin" },
	{ 0x7eaeea86, "snd_hdac_codec_write" },
	{ 0xa7edfceb, "snd_soc_dapm_disable_pin" },
	{ 0x95e53340, "snd_hdac_query_supported_pcm" },
	{ 0xf7ebcf4f, "snd_hdac_refresh_widgets" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x41ebadda, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9964a4aa, "devm_snd_soc_register_component" },
	{ 0xf6736b53, "snd_ctl_new1" },
	{ 0x29e1e204, "hdmi_audio_infoframe_pack" },
	{ 0xe0a23317, "snd_soc_dapm_new_widgets" },
	{ 0xe64b7926, "devm_kstrdup" },
	{ 0x457d5717, "_snd_hdac_read_parm" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x799632c9, "pm_runtime_enable" },
	{ 0x8c1d4464, "snd_soc_dapm_get_pin_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x39209099, "snd_hdac_acomp_register_notifier" },
	{ 0xce32995d, "devm_kmemdup" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-hda-ext-core,snd,snd-soc-core,snd-pcm");

MODULE_ALIAS("hdaudio:v80862809r00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Ar00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Br00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Cr00100000a02*");
MODULE_ALIAS("hdaudio:v8086280Dr00100000a02*");

MODULE_INFO(srcversion, "B972B1B1F3CE977DCF16FA1");

MODULE_INFO(suserelease, "ALP-0.1");
