#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7edfceb, "snd_soc_dapm_disable_pin" },
	{ 0xbc6346f8, "hdac_hdmi_jack_init" },
	{ 0xc11ab784, "snd_soc_card_jack_new" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x645c2c83, "max_98357a_dai_link" },
	{ 0x2b1731f5, "max_98360a_dai_link" },
	{ 0x314e2ffc, "snd_soc_dai_set_sysclk" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x7825c551, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x41ebadda, "snd_soc_dapm_sync" },
	{ 0xceef63ac, "sof_rt1015_codec_conf" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x7d93a91a, "snd_soc_component_set_jack" },
	{ 0xe64b7926, "devm_kstrdup" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x979577c9, "rt5645_sel_asrc_clk_src" },
	{ 0x8c1d4464, "snd_soc_dapm_get_pin_switch" },
	{ 0x27c2375a, "max_98373_components" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x41b4d4d5, "max_98373_spk_codec_init" },
	{ 0x6d72a0c6, "max_98390_dai_link" },
	{ 0x58c5370d, "asoc_dummy_dlc" },
	{ 0xd13095cf, "max_98373_set_codec_conf" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0xbf470cd, "hdac_hdmi_jack_port_init" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x8d67b0aa, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8412131e, "snd_jack_set_key" },
	{ 0x9c93d754, "__platform_driver_register" },
	{ 0xf88aa2f3, "devm_kasprintf" },
	{ 0x9a6cc7b2, "snd_soc_card_jack_new_pins" },
	{ 0xbd3c4850, "sof_rt1015p_codec_conf" },
	{ 0x2fb5cf87, "snd_soc_dai_set_pll" },
	{ 0xd1273513, "snd_soc_dapm_new_controls" },
	{ 0x65ca6f43, "rt5682_sel_asrc_clk_src" },
	{ 0x48e0756d, "snd_soc_dapm_put_pin_switch" },
	{ 0xe7246eba, "sof_dai_get_mclk" },
	{ 0x828cafb2, "sof_rt1011_codec_conf" },
	{ 0xe1c85407, "snd_soc_dapm_info_pin_switch" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x8cca2549, "snd_soc_pm_ops" },
	{ 0xde6bc093, "hda_dsp_hdmi_build_controls" },
	{ 0xb842bd24, "max_98390_set_codec_conf" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0x3e1bc39, "sof_rt1015p_dai_link" },
	{ 0x3744d1c2, "sof_rt1019p_dai_link" },
	{ 0x51c7653c, "sof_rt1011_dai_link" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4e6a3a3e, "devm_snd_soc_register_card" },
	{ 0xfb906ced, "max_98373_ops" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xf1c52c17, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8ed43960, "snd_soc_dai_set_tdm_slot" },
	{ 0x1754981b, "sof_rt1015_dai_link" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6c0445eb, "rt5682s_sel_asrc_clk_src" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-hdac-hdmi,snd-soc-intel-sof-maxim-common,snd-soc-intel-sof-realtek-common,snd-soc-rt5645,snd,snd-soc-rt5682,snd-sof,snd-soc-intel-hda-dsp-common,snd-pcm,snd-soc-rt5682s");

MODULE_ALIAS("platform:sof_rt5682");
MODULE_ALIAS("platform:cml_rt1015_rt5682");
MODULE_ALIAS("platform:jsl_rt5682_rt1015");
MODULE_ALIAS("platform:jsl_rt5682_mx98360");
MODULE_ALIAS("platform:jsl_rt5682_rt1015p");
MODULE_ALIAS("platform:jsl_rt5682");
MODULE_ALIAS("platform:tgl_mx98357_rt5682");
MODULE_ALIAS("platform:tgl_rt1011_rt5682");
MODULE_ALIAS("platform:tgl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98357_rt5682");
MODULE_ALIAS("platform:adl_max98390_rt5682");
MODULE_ALIAS("platform:adl_mx98360_rt5682");
MODULE_ALIAS("platform:adl_rt5682");
MODULE_ALIAS("platform:adl_rt1019_rt5682");
MODULE_ALIAS("platform:adl_rt5682_c1_h02");
MODULE_ALIAS("platform:rpl_mx98357_rt5682");
MODULE_ALIAS("platform:rpl_mx98360_rt5682");
MODULE_ALIAS("platform:rpl_rt1019_rt5682");
MODULE_ALIAS("platform:mtl_mx98357_rt5682");
MODULE_ALIAS("platform:mtl_mx98360_rt5682");
MODULE_ALIAS("platform:mtl_rt1019_rt5682");
MODULE_ALIAS("platform:jsl_rt5650");

MODULE_INFO(srcversion, "1B08B1866B405F5317A4222");

MODULE_INFO(suserelease, "ALP-0.1");
