#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(skl_dsp_set_dma_control, 0x30fc6dcd, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0x8f071934, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0xa6debc0a, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0x250d42e0, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0x3dfe81c8, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0xcc5567db, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x8e92c527, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0xc9ac3498, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0x326d4d49, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0x575a2a5c, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0x66c2f950, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x56c83117, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0xc4f96c86, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0x572c9586, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0x741f0c59, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0xaa89c8aa, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0xdd448359, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0xbcb466fc, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x39a185cd, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0xe0a24702, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0x4b5086a0, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0x915e076b, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x44609aa1, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0xe9c9cea9, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0xfd61e02d, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0xbad95237, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0x52c52ec9, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0x5499d590, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0x040e93f2, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0x4b81eaac, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0x97b31b6d, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0x8635b9e0, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0x576f1f39, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x75a0a5d0, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0xd57b2136, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50a79378, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0x5a4457be, "snd_hdac_ext_bus_exit" },
	{ 0xc18ae790, "pci_intx" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc33ff55c, "put_device" },
	{ 0x4e99583, "sysfs_remove_file_ns" },
	{ 0xfa9d41f4, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0x75c1d5d5, "snd_hdac_ext_stream_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0x40005d10, "snd_hdac_device_register" },
	{ 0xf9e79399, "snd_hdac_stream_spbcap_enable" },
	{ 0xff1d5ce3, "sst_ipc_tx_message_nopm" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6cabd91f, "snd_hdac_i915_init" },
	{ 0x135fd2f0, "_dev_info" },
	{ 0x74447a5b, "snd_hdac_bus_init_chip" },
	{ 0xdd1ec327, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x49d93bd7, "intel_nhlt_get_endpoint_blob" },
	{ 0x76fab799, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0xf3505a3e, "sst_dsp_shim_read_unlocked" },
	{ 0x7e7d0158, "devm_kfree" },
	{ 0xc31ee504, "_dev_err" },
	{ 0x6c9dbcb5, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0xd01ba2a2, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe48087a1, "platform_device_unregister" },
	{ 0xaf1b8823, "sst_ipc_fini" },
	{ 0x65296537, "snd_hdac_ext_stream_assign" },
	{ 0xb2516ac5, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x9a992743, "mutex_lock" },
	{ 0xe721d7ba, "snd_hdac_ext_stream_init_all" },
	{ 0x95c0f9d6, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xc36ec2f7, "sst_dsp_shim_update_bits_unlocked" },
	{ 0x262bd80c, "sst_dsp_shim_update_bits_forced" },
	{ 0x63e3c0f7, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0x4f085f70, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0xd20d50fe, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0xd6b6cfbd, "snd_soc_tplg_component_load" },
	{ 0xd6de2d4d, "sst_dsp_shim_read" },
	{ 0x86b17a3, "snd_hdac_ext_stream_setup" },
	{ 0x9bda74b0, "snd_hdac_bus_stop_cmd_io" },
	{ 0xd772d3f6, "snd_hdac_stream_sync" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb736efba, "pci_restore_state" },
	{ 0xab956cf, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xbdd44446, "snd_pcm_set_managed_buffer_all" },
	{ 0x52d9bc69, "_dev_warn" },
	{ 0x709cbc34, "snd_hdac_display_power" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0x81e0cabe, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2dcdefdb, "sst_dsp_mailbox_init" },
	{ 0x7097e3f3, "__init_waitqueue_head" },
	{ 0x9e9fe706, "sst_ipc_tx_msg_reply_complete" },
	{ 0x4d93a75b, "snd_soc_tplg_component_remove" },
	{ 0x144f5af7, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x69a1fb27, "rt_spin_unlock" },
	{ 0xeb6f091f, "rt_spin_lock" },
	{ 0xb9b55600, "dma_set_coherent_mask" },
	{ 0x76be4ce2, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6f89c3f4, "sst_dsp_shim_update_bits" },
	{ 0x3201397b, "snd_hdac_acomp_exit" },
	{ 0xcefe439c, "debugfs_create_file" },
	{ 0x3654005f, "snd_hdac_bus_parse_capabilities" },
	{ 0x3e30f11d, "platform_device_register_full" },
	{ 0x641f683e, "sst_dsp_outbox_write" },
	{ 0xc2c84900, "pm_runtime_allow" },
	{ 0xbbadd3cf, "__pm_runtime_resume" },
	{ 0xb0fc6f6c, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0xd47ac9c1, "snd_hdac_stream_setup" },
	{ 0x3d293fe0, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x84accc79, "snd_hdac_stream_set_params" },
	{ 0x22e2f6a3, "pci_release_regions" },
	{ 0xd7987e11, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd17bc217, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0x5ee7487, "snd_hdac_bus_handle_stream_irq" },
	{ 0x71e4a52a, "pci_write_config_byte" },
	{ 0x3dc5cf9d, "snd_hdac_stream_drsm_enable" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xba903a7a, "snd_soc_acpi_intel_skl_machines" },
	{ 0xf3c8bdad, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x78e2d73, "snd_soc_set_runtime_hwparams" },
	{ 0xba1057d2, "snd_hdac_get_stream" },
	{ 0x4934895a, "pci_disable_device" },
	{ 0xf390ee93, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x1c02df6e, "pci_match_id" },
	{ 0x38d48d0b, "snd_hdac_stream_sync_trigger" },
	{ 0x28e96d35, "snd_hdac_ext_bus_link_put" },
	{ 0xb334b4a, "snd_hda_codec_device_init" },
	{ 0x20cd9f6a, "dma_set_mask" },
	{ 0x4872fdd5, "snd_hdac_set_codec_wakeup" },
	{ 0xbc94c863, "snd_hdac_stream_reset" },
	{ 0x27b38d06, "sst_dsp_shim_write" },
	{ 0x4450827f, "snd_pcm_period_elapsed" },
	{ 0x35951d04, "kmalloc_trace" },
	{ 0x170653bb, "__pm_runtime_suspend" },
	{ 0x5de275c9, "snd_hdac_bus_alloc_stream_pages" },
	{ 0xe852b8ea, "snd_soc_tplg_widget_bind_event" },
	{ 0xfbdf00f7, "pci_read_config_byte" },
	{ 0x80ab776e, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0xc5787db9, "param_ops_int" },
	{ 0xd727e6c, "intel_nhlt_init" },
	{ 0x2ee935c2, "snd_hdac_stop_streams_and_chip" },
	{ 0x6a517225, "snd_hdac_dsp_cleanup" },
	{ 0x6d50c913, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7c97ddf1, "snd_hdac_ext_stream_reset" },
	{ 0xb5a9dc94, "__mutex_rt_init" },
	{ 0xf8155e84, "snd_hdac_stop_streams" },
	{ 0xf2737644, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0x3688dd33, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xebfc4cae, "pci_write_config_dword" },
	{ 0x6d4e02ff, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcdaf3ce9, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x22e9f8d3, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x6aafa22b, "snd_soc_acpi_intel_hda_machines" },
	{ 0x1908a9cc, "platform_device_put" },
	{ 0xe3b9a733, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4b47037b, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xce0dd914, "sst_dsp_register_poll" },
	{ 0x8c65d24a, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb097c155, "devm_kmalloc" },
	{ 0xb3568308, "pci_enable_device" },
	{ 0xd61a5480, "snd_hdac_bus_send_cmd" },
	{ 0xddfa96bb, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xff413fdc, "snd_hdac_stream_set_spib" },
	{ 0xd2effddc, "snd_hdac_bus_enter_link_reset" },
	{ 0xccdd3d87, "sst_ipc_tx_message_wait" },
	{ 0xb97e43a5, "intel_nhlt_get_dmic_geo" },
	{ 0x52790219, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x375c42ea, "snd_hdac_ext_stream_start" },
	{ 0x96aae247, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3d690fe4, "snd_hdac_ext_stream_free_all" },
	{ 0x5c8b65fe, "snd_hdac_bus_update_rirb" },
	{ 0x91249c50, "sst_dsp_shim_write_unlocked" },
	{ 0xe000056b, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0xe35d4005, "rt_mutex_base_init" },
	{ 0x70dee27, "finish_wait" },
	{ 0x64a8d59f, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x538900dc, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc8b6dde9, "snd_pcm_hw_constraint_minmax" },
	{ 0x7c6c9dc7, "snd_hdac_codec_modalias" },
	{ 0x4707e03c, "snd_hdac_bus_stop_chip" },
	{ 0x4b200949, "pci_request_regions" },
	{ 0x3ab34129, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd97de440, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x5d63904, "prepare_to_wait_event" },
	{ 0xb192e312, "__wake_up" },
	{ 0x47c9cfd6, "snd_intel_dsp_driver_probe" },
	{ 0x17f8ac6a, "snd_hdac_stream_set_lpib" },
	{ 0x754b7f7b, "snd_sgbuf_get_addr" },
	{ 0x9212708, "__dynamic_dev_dbg" },
	{ 0x170e2c3e, "snd_sgbuf_get_chunk_size" },
	{ 0x1446db0, "pci_ioremap_bar" },
	{ 0x9648a18e, "snd_hdac_ext_bus_device_remove" },
	{ 0x8a8a413f, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0x33620863, "snd_pcm_set_sync" },
	{ 0xca607301, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x75abc7e4, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5a8f98ad, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x30da8332, "snd_hdac_stream_timecounter_init" },
	{ 0x90c3e695, "snd_hdac_ext_link_free_all" },
	{ 0x88bed23f, "sst_ipc_tx_message_nowait" },
	{ 0x3605473d, "pci_read_config_dword" },
	{ 0xfe37a2a4, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9964a4aa, "devm_snd_soc_register_component" },
	{ 0x1a38d2a3, "snd_hdac_bus_free_stream_pages" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xf3dbba9a, "snd_hdac_dsp_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4375cb4, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-sst-dsp,snd-soc-acpi-intel-match,snd-soc-acpi,snd-soc-core,snd-pcm,snd-hda-codec,snd-soc-hdac-hda");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");

MODULE_INFO(suserelease, "ALP-0.1");
